# see bnc#357562: we must make sure that we have free loop devices for
# mkinitrd later.
case `uname -i` in
	ppc*)  # ppc uses mkinitramfs and doesn't need loop
		;;
	*)
		if [ -d /sys/block ]; then
			modprobe loop >/dev/null 2>&1 
			max=`ls -d /sys/block/loop* 2>/dev/null | wc -l`
			# If no loop devices are found at all, assume
			# the module is unloaded.
			if [ $max -gt 0 ]; then
				used=`losetup -a| wc -l`
				avail=$((max-used))

				if [ $avail -lt 2 ]; then
					exit 1
				fi
				unset max used avail
			fi
		fi
		;;
esac

# see bug #259303
# this script runs when the kernel gets updated with YaST
# YaST calls rpm always with -U
# -U replaces all packages with the new one
# rpm removes the files from the old packages after the postinstall script ran
# this will double the required space below /boot
# remove the files from the old packages to make room for the new initrd
# rpm may complain about low disk space if /boot/vmlinux does not fit
if [ "$YAST_IS_RUNNING" != "" ]; then
	mydf="$( POSIXLY_CORRECT=1 df -P /boot/ | awk '/^(\/|-[[:blank:]])/{ print $4}' )"
	if test "$mydf" != "" ; then
		echo "Free diskspace below /boot: $mydf blocks"
		# echo "512 byte blocks: $(( 2 * 1024 * 20 ))"
		if test "$mydf" -lt  "40960" ; then
			echo "make room for new kernel '@FLAVOR@' because there are less than 20MB available."
			# disabled because it breaks patch rpms
			#rm -fv /boot/@IMAGE@-*-@FLAVOR@
			rm -fv /boot/initrd-*-@FLAVOR@
		fi
	fi
fi
