#
# spec file for package kernel-SLRS (Version 2.6.5)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp popt popt-devel python kernel-dummy kernel-module-packages gpg -km_ocfs2 km_pos_ibm

# ( kernel-module-packages is expanded into the list of all km_*
#   packages for each architecture by Autobuild. )

Name:         kernel-SLRS
Version:      2.6.5
Release: 7.318
Summary:      Dummy summary
License:      core kernel and most modules are GPL, some proprietary
Group:        System/Kernel
%if "kernel-SLRS" != "kernel-um"
Provides:     kernel = 2.6.5-%release
%endif

%ifarch x86_64
%if "kernel-SLRS" != "kernel-default"
Requires:     irqbalance
%endif
%endif
Autoreqprov:  on
%define kversion %(echo %version | sed s/_/-/g)
%define my_builddir %_builddir/%{name}-%{version}
Source0:      http://www.kernel.org/pub/linux/kernel/v2.6/linux-%kversion.tar.bz2
Source1:      functions.sh
Source8:      trigger-script.sh.in
Source10:     post.sh
Source11:     postun.sh
Source12:     pre.sh
Source20:     series.conf
Source21:     config.conf
Source22:     supported.conf
Source25:     config.tar.bz2
Source30:     arch-symbols
Source31:     guards
Source32:     config-subst
Source33:     check-for-config-changes
Source34:     check-supported-list
Source35:     install-configs
Source36:     kabi-checks
Source40:     build-source-timestamp
Source45:     module-renames
Source46:     find-types
Source100:    patches.arch.tar.bz2
Source101:    patches.fixes.tar.bz2
Source102:    patches.drivers.tar.bz2
Source103:    patches.rpmify.tar.bz2
Source104:    patches.uml.tar.bz2
Source105:    patches.suse.tar.bz2
Source106:    patches.addon.tar.bz2
Source107:    patches.xen.tar.bz2
Source108:    patches.vfe.tar.bz2
Source120:    kabi.tar.bz2
PreReq:       awk
PreReq:       mkinitrd >= 1.2
PreReq:       /usr/bin/test /bin/df /usr/bin/du /bin/cp /bin/sed /usr/bin/cut /usr/bin/expr /bin/touch /sbin/update-modules.dep
BuildRoot:    %_tmppath/%name-%version-build
ExclusiveArch: %ix86

# These files are found in the kernel-source package, and don't need to be
# duplicated in all other packages as well:
NoSource:     0
NoSource:     100
NoSource:     101
NoSource:     102
NoSource:     103
NoSource:     104
NoSource:     105
NoSource:     106
NoSource:     107
NoSource:     108
NoSource:     120

# Will failures in external modules abort the kernel build (0/1)?
%define extmod_failures_are_fatal 0

# Will unknown sybols cause the kernel build to fail (0/1)?
%define unknown_symbol_check 0

# Will modules not listed in supported.conf abort the kernel build (0/1)?
%define supported_modules_check 0

# Are we also building a debug package?
%define with_debug %([ -n "" ]; echo $?)

%define tolerate_unknown_new_config_options 0

# kABI change tolerance (default in maintenance should be 4, 8 or 15, see rpm/kabi-checks)
%define tolerate_kabi_changes 8

%(chmod +x %_sourcedir/{arch-symbols,guards,config-subst,check-for-config-changes,check-supported-list,kabi-checks,find-types})
%define ver_str %kversion-%release-SLRS
%define build_um %([ SLRS != um ] ; echo $?)
%define build_xen %([ SLRS != xen ] ; echo $?)
%define build_xenpae %([ SLRS != xenpae ] ; echo $?)
%define build_vfe %([ SLRS != vfe ] ; echo $?)

%description
Dummy description.

%prep
if ! [ -e %_sourcedir/linux-%kversion.tar.bz2 ]; then
    echo "The kernel-SLRS-2.6.5.nosrc.rpm package does not contain the" \
	 "complete sources. Please install kernel-source-2.6.5.src.rpm."
    exit 1
fi

symbols=$(
    echo kernel-SLRS
    cd %_sourcedir
    PATCH_ARCH=%_target_cpu ./arch-symbols
    ! [ -e extra-symbols ] || cat extra-symbols
)
echo "Architecture symbol(s):" $symbols

# Unpack all sources and patches
%setup -q -c -T -a 0 -a 25 -a 100 -a 101 -a 102 -a 103 -a 104 -a 105 -a 106 -a 107 -a 108 -a 120

# Generate the list of supported modules
(   %_sourcedir/guards $symbols < %_sourcedir/supported.conf
    for how in external; do
	(   %_sourcedir/guards $symbols < %_sourcedir/supported.conf
	    %_sourcedir/guards $symbols < %_sourcedir/supported.conf
	    %_sourcedir/guards $symbols $how < %_sourcedir/supported.conf \
	) | sort | uniq -u | sed -e 's:$: '"$how"':'
    done
) | sed -e 's,.*/,,' | sort > linux-%kversion/Module.supported

# Create the scipts for %pre, %post, %preun, %postun
for when in pre preun post postun ; do
    sed -e "s/@when@/$when/g" %_sourcedir/trigger-script.sh.in > $when.sh
done

echo -n '\
if [ -x /sbin/module_upgrade ]; then
    # The megaraid driver has been renamed to megaraid_mbox in SP1. At the
    # same time, magaraid-old has been renamed back to megaraid. Check if
    # we are upgrading from a pre-SP1 kernel, and update the sysconfig files
    # in this case. We must not do the rename twice, because otherwise SP1
    # or younger machines which use the megaraid driver will break.

    # Check if any kernel >= 2.6.5-7.139 (i.e., SP1) is installed:
    at_least_sp1=
    for dir in /lib/modules/2.6.5-*; do
	rel=${dir##*/}
	[ "$rel" = %ver_str ] && continue
	rel=${rel#*2.6.5-} ; rel=${rel%%%%-*}
	set -- `IFS=. ; echo $rel`
	if [ -n "${1//[0-9]}" -o -n "${2//[0-9]}" ]; then
	    continue  # non-numeric
	fi
	# $1 / $2 = major / minor release number
	if [ $# -ge 1 -a $1 -gt 7 ] || \
	   [ $# -ge 2 -a $1 -eq 7 -a $2 -ge 139 ]; then
	    at_least_sp1=1
	fi
    done

    running_new_kernel=
    case $(uname -r) in
	%kversion-%release-*)
	    running_new_kernel=1 ;;
    esac

    if [ -z "$at_least_sp1" ]; then
	# We must only rename modules if this is an update from SLES9 GA.
	if [ -z "$running_new_kernel" ] || \
	   grep -q megaraid_mbox /proc/modules; then
	    # When running the new kernel, we know whether we want
	    # to rename. When running an old kernel, we can only
	    # guess. Our guess is that megaraid_mbox is the
	    # right choice more often.
	    /sbin/module_upgrade --rename megaraid=megaraid_mbox
	fi
    fi
    
    # mptscsih.o used to include parallel SCSI support. The parallel SCSI code
    # has now been moved to mptspi.o, with mptscsih.o containing code common
    # to mptspi.o, mptfc.o, and mptsas.o. Remove old mptscsih and add the new
    # ones.
    /sbin/module_upgrade --rename mptscsih="mptspi mptfc mptsas"
fi
' >> post.sh
cat %_sourcedir/{functions.sh,post.sh}  >> post.sh
cat %_sourcedir/{functions.sh,postun.sh} >> postun.sh
sed -e "s:@FLAVOR@:SLRS:g" %_sourcedir/pre.sh >> pre.sh
#
cd linux-%kversion

# Find out for which architecture to build. We do this here, and use the
# result in the %build and %install sections.
#
# On architectures with a bi-arch or cross compiler, we can compile for
# an architecture different from %arch. The location of the config file
# tells us for which architecture to compile.
set -- $(
    for config in $(%_sourcedir/guards $symbols < %_sourcedir/config.conf) ; do
	[ ${config#*/} = SLRS ] || continue
	echo $config
    done)
if [ $# -ne 1 ]; then
    echo "$# config files found for this spec file (but one needed)" >&2
    exit 1
fi
flavor=${1#*/}
subarch=${1%/*}

# Apply the patches needed for this architecture.
for patch in $(%_sourcedir/guards $symbols < %_sourcedir/series.conf); do
    if ! patch -s -F0 -E -p1 --no-backup-if-mismatch -i ../$patch; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
done

# We allow to apply an additional patch for custom builds
if [ -e %_sourcedir/$subarch-$flavor.diff ]; then
    echo "Applying additional patch $subarch-$flavor.diff"
    if ! patch -s -E -p1 --no-backup-if-mismatch \
	       -i %_sourcedir/$subarch-$flavor.diff; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
fi

# We allow to override the config file for custom builds
if [ -e %_sourcedir/$subarch-$flavor.conf ]; then
    echo "Using override config file $subarch-$flavor.conf"
    cat %_sourcedir/$subarch-$flavor.conf \
	| %_sourcedir/config-subst CONFIG_CFGNAME '"'$flavor'"' \
	| %_sourcedir/config-subst CONFIG_RELEASE '"'%release'"' \
	| %_sourcedir/config-subst CONFIG_SUSE_KERNEL y \
	> config.override
    config=config.override
else
    %_sourcedir/install-configs %_sourcedir %my_builddir %release
    config=arch/$subarch/defconfig.$flavor
fi

# We compile for this sub-architecture (i.e., machine architecture):
%if %build_um
cat > .rpm-defs <<EOF
ARCH=um
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=um SUBARCH=$subarch"
CONFIG=$config
EOF
%else
%if %build_xen
cat > .rpm-defs <<EOF
ARCH=xen
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=xen SUBARCH=$subarch"
CONFIG=$config
EOF
%else
%if %build_xenpae
cat > .rpm-defs <<EOF
ARCH=xenpae
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=xen SUBARCH=$subarch"
CONFIG=$config
EOF
%else
%if %build_vfe
cat > .rpm-defs <<EOF
ARCH=vfe
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=vfe SUBARCH=$subarch"
CONFIG=$config
EOF
%else
cat > .rpm-defs <<EOF
ARCH=$subarch
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=$subarch"
CONFIG=$config
EOF
%endif
%endif
%endif
%endif

%build
cd linux-%kversion
source .rpm-defs

# always build with debug symbols enabled
# um needs PT_PROXY=n, avoids build failures
cat $CONFIG \
    | %_sourcedir/config-subst CONFIG_DEBUG_INFO y \
%if %build_um
    | %_sourcedir/config-subst CONFIG_PT_PROXY \
    | %_sourcedir/config-subst CONFIG_GPROF \
    | %_sourcedir/config-subst CONFIG_GCOV \
    | %_sourcedir/config-subst CONFIG_FRAME_POINTER y \
%endif
    > .config

cp .config .config.orig
%if %{tolerate_unknown_new_config_options}
yes '' | make oldconfig $MAKE_ARGS
%else
make silentoldconfig $MAKE_ARGS < /dev/null
%_sourcedir/check-for-config-changes .config.orig .config
rm .config.orig
%endif

# Override the timestamp `uname -v' reports with the build
# timestamp.
export BUILD_TIMESTAMP="$(head -n 1 %_sourcedir/build-source-timestamp)"

# The following branch/timestamp will end up in Oopses.
export OOPS_TIMESTAMP="$(
    echo -n $(sed -nre 's/^(CVS|GIT) Branch: \(.*\)/\1-/p' \
		  %_sourcedir/build-source-timestamp)
    head -n 1 %_sourcedir/build-source-timestamp \
	| tr -dc 0-9)"

# Warn when unsupported modules are loaded.
export UNSUPPORTED_MODULES=1

export KBUILD_VERBOSE=0
export KBUILD_SYMTYPES=1
%if %build_um
    make sys_prepare $MAKE_ARGS  # workaround for broken dependencies
    make %{?jobs:-j%jobs} linux modules $MAKE_ARGS
%else
    make %{?jobs:-j%jobs} all -k $MAKE_ARGS
%endif

mkdir -p %my_builddir/modules-%kversion
shopt -s nullglob
for dir in /usr/src/kernel-modules/*; do
    if [ -e $dir/Makefile ]; then
	build_dir=%my_builddir/modules-%kversion/${dir##*/}
	cp -a $dir $build_dir

	rm -f $build_dir-failed
	if ! make -C $build_dir %{?jobs:-j%jobs} modules $MAKE_ARGS \
		  KERNEL_SOURCE=%my_builddir/linux-%kversion; then
%if %extmod_failures_are_fatal
	    exit 1
%endif
	    echo "External module error: $dir failed"
	    touch $build_dir-failed
	fi
    fi
done
shopt -u nullglob

%install
# get rid of /usr/lib/rpm/brp-strip-debug 
# strip removes too much from the vmlinux ELF binary
export NO_BRP_STRIP_DEBUG=true

cd linux-%kversion

source .rpm-defs

# /lib/modules/%ver_str/build will be a stale symlink until the
# kernel-source package is installed. Don't check for stale symlinks
# in the brp-symlink check:
export NO_BRP_STALE_LINK_ERROR=yes

rm -rf %buildroot
mkdir -p %buildroot/boot
cp -p System.map %buildroot/boot/System.map-%ver_str

add_vmlinux()
{
    local use_compressed_vmlinux
    use_compressed_vmlinux="$1"
%if %with_debug
    mkdir -p %buildroot/usr/lib/debug/boot/
    gzip -c9 vmlinux > %buildroot/usr/lib/debug/boot/vmlinux-%ver_str.gz
%endif
    strip --strip-debug vmlinux
    if test "$use_compressed_vmlinux" = "1" ; then
       gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    fi
}

%if %build_um
    mkdir -p %buildroot/usr/bin
    cp linux %buildroot/usr/bin/linux-%ver_str
    cp linux %buildroot/boot/linux-%ver_str
    # TODO strip here, too?
    image=linux
%else
%if %build_xen
    add_vmlinux 1
    gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    cp -p vmlinuz %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
    mkdir -p %buildroot/usr/include/xen/linux
    cp -p include/asm-xen/linux-public/*.h %buildroot/usr/include/xen/linux
%else
%if %build_xenpae
    add_vmlinux 1
    gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    cp -p vmlinuz %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
    mkdir -p %buildroot/usr/include/xen/linux
    cp -p include/asm-xen/linux-public/*.h %buildroot/usr/include/xen/linux
%else
%if %build_vfe
    add_vmlinux 0
    cp -p vmlinux %buildroot/boot/vmlinux-%ver_str
    image=vmlinux
%else
%ifarch %ix86 x86_64
    add_vmlinux 1
    gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    cp -p arch/*/boot/bzImage %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
%endif
%endif
%endif
%endif
%ifarch alpha
    add_vmlinux 1
    cp -p arch/alpha/boot/vmlinux.gz %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
%endif
%ifarch ppc ppc64
    add_vmlinux 0
    cp -p vmlinux %buildroot/boot/vmlinux-%ver_str
    image=vmlinux
%endif
%ifarch ia64
    add_vmlinux 1
    mv %buildroot/boot/vmlinux-%ver_str.gz %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
%endif
%ifarch s390 s390x
    add_vmlinux 1
    cp -p arch/s390/boot/image %buildroot/boot/image-%ver_str
    image=image
%endif
    if [ -e init/kerntypes.o ]; then
	cp init/kerntypes.o %buildroot/boot/Kerntypes-%ver_str
    fi
%endif
%if %build_xen
echo no symlinks for kernel-xen
%else
%if %build_xenpae
echo no symlinks for kernel-xen
%else
ln -s $image %buildroot/boot/$image
ln -s initrd %buildroot/boot/initrd
ln -s $image %buildroot/boot/$image.previous
ln -s initrd %buildroot/boot/initrd.previous
%endif
%endif
cp .config %buildroot/boot/config-%ver_str

make modules_install $MAKE_ARGS INSTALL_MOD_PATH=%buildroot

shopt -s nullglob
for build_dir in %my_builddir/modules-%kversion/* ; do
    [ -d $build_dir ] || continue
    if [ -e $build_dir-failed ]; then
	echo "Build of $build_dir has failed"
    else
	make -C $build_dir install $MAKE_ARGS \
	    KERNEL_SOURCE=%my_builddir/linux-%kversion \
	    INSTALL_MOD_PATH=%buildroot
    fi
done
shopt -u nullglob

pushd %buildroot > /dev/null
for file in $(find -name '*.ko'); do
%if %with_debug
    file2=%buildroot/usr/lib/debug/$file
    mkdir -p ${file2%/*}
    gzip -c9 $file > $file2.gz
%endif
    strip --strip-debug $file
done
popd > /dev/null

if ! %_sourcedir/check-supported-list \
	%_sourcedir %buildroot/lib/modules/%ver_str; then
%if %supported_modules_check
    exit 1
%endif
    echo "Consistency check error: please update supported.conf."
fi

#if [ -e Module.symvers ]; then
#    gzip -c9 Module.symvers \
#	> %buildroot/boot/symvers-%kversion-%release-$ARCH-SLRS.gz
#fi

# Recreate Module.symvers, and include all symbols from modules in
# km_* packages.
symver() {
    local file=$1 name=${1%.ko}
    nm $file \
    | sed -ne 's,^0*\([0-9a-f]\{8\}\) A __crc_\(.*\),0x\1\t\2\t'"$name"',p'
}

(   symver vmlinux
    moddir=%buildroot/lib/modules/%ver_str
    cd $moddir/kernel
    for module in $(find * -name '*.ko'); do
	symver $module
    done
    cd $moddir
    for module in $(find * -path 'kernel/*' -prune -o \
			   -name '*.ko' -print); do
	symver $module
    done
) | sort -u -k2 \
| gzip -c9 > %buildroot/boot/symvers-%kversion-%release-$ARCH-SLRS.gz

# Also put the resulting file in /usr/src/linux-obj/$SUBARCH/$FLAVOR
# so that kernel-source + kernel-$FLAVOR is sufficient for building
# modules that have modversions as well.
mkdir -p %buildroot/usr/src/linux-%kversion-%release-obj/$SUBARCH/$FLAVOR
zcat %buildroot/boot/symvers-%kversion-%release-$ARCH-SLRS.gz \
    > %buildroot/usr/src/linux-%kversion-%release-obj/$SUBARCH/$FLAVOR/Module.symvers

# Table of types used in exported symbols (for modversion debugging).
%_sourcedir/find-types > %buildroot/boot/symtypes-%ver_str
if [ -s %buildroot/boot/symtypes-%ver_str ]; then
    gzip -9 %buildroot/boot/symtypes-%ver_str
else
    rm -f %buildroot/boot/symtypes-%ver_str
fi

# Check for kABI changes
KABI=0
if [ -e %my_builddir/kabi/$ARCH/symvers-$FLAVOR ]; then
    %_sourcedir/kabi-checks \
	%my_builddir/kabi/$ARCH/symvers-$FLAVOR \
	%buildroot/boot/symvers-%kversion-%release-$ARCH-SLRS.gz \
	%my_builddir/kabi/commonsyms \
	%my_builddir/kabi/usedsyms \
    || KABI=$?
fi
if [ $KABI -gt %tolerate_kabi_changes ]; then
#    # Create an unresolved dummy shared library symbol: this way we can keep
#    # the kernel rpm but installing the package will fail without --nodeps,
#    # and the Autobuild team will detect packages with excessive badness as
#    # well.
#    gcc -o dummy.o -shared -Wl,-soname,kabi_badness_$KABI
#    gcc -o %buildroot/boot/kabi-badness-$KABI -nostdlib -shared dummy.o
#    rm dummy.o
#
    echo "kABI changes of badness $KABI exceed the maximum allowed badness" \
	 "of %tolerate_kabi_changes."
    #echo "The kernel package created will have an unresolved" \
    #     "\`kabi_badness_$KABI' requirement."
    echo "
Please try to avoid the kABI changes.  If this is not feasible,
get permission to bump the kABI and check in new reference files.
"
    if [ ! -e %_sourcedir/IGNORE-KABI-BADNESS ]; then
echo "Create a file IGNORE-KABI-BADNESS in the kernel-source directory to
build this kernel even though its badness is higher than allowed for an
official kernel"
	exit 1
    fi
fi

# We were building in %my_builddir/linux-%kversion, but the sources will
# later be installed in /usr/src/linux-%kversion-%release. Fix up the
# build symlink.
rm -f %buildroot/lib/modules/%ver_str/{source,build}
ln -s /usr/src/linux-%kversion-%release \
    %buildroot/lib/modules/%ver_str/source
ln -s /usr/src/linux-%kversion-%release-obj/$ARCH/$FLAVOR \
    %buildroot/lib/modules/%ver_str/build

# Set up the override directory: Modules in that path take precedence
# over modules in the directory specific to this package.
mkdir -p %buildroot/lib/modules/%version-override-SLRS
mkdir -p %buildroot/lib/modules/scripts
mkdir -p %buildroot/lib/modules/precompiled
/sbin/depmod -b %buildroot -ae -F %buildroot/boot/System.map-%ver_str \
    %ver_str 2>&1 \
| awk '
    /needs unknown symbol/  { fail=FAIL }
			    { print }
    END			    { exit fail }
' FAIL=%unknown_symbol_check

# Collect the file list.
(   cd %buildroot
    echo "%%defattr(-, root, root)"
    find boot \
	-type l -printf '%%%%ghost /%%p\n' -o \
	-type f -printf '/%%p\n'
    find lib/modules/%ver_str \
	-type d -printf '%%%%dir /%%p\n' -o \
	-path '*/modules.*' -printf '%%%%verify(not md5 size mtime) /%%p\n' -o \
	-printf '/%%p\n'
    find usr/src/linux-%kversion-%release-obj \
	-type d -printf '%%%%dir /%%p\n' -o \
	-printf '/%%p\n'
    echo /lib/modules/%version-override-SLRS
    echo /lib/modules/scripts
    echo /lib/modules/precompiled
    echo '%%dir /etc/modprobe.d/'
    echo '%%config /etc/modprobe.d/module-renames'
    if [ -e .%_docdir/%name ]; then
	echo "%%doc %_docdir/%name"
    fi
) > %my_builddir/kernel.files
%if %build_xen
echo -e "%%dir /usr/include/xen\n%%dir /usr/include/xen/linux" >> %my_builddir/kernel.files
echo "%%attr(0644, root, root) /usr/include/xen/linux/*.h" >> %my_builddir/kernel.files
%endif

%if %build_xenpae
echo -e "%%dir /usr/include/xen\n%%dir /usr/include/xen/linux" >> %my_builddir/kernel.files
echo "%%attr(0644, root, root) /usr/include/xen/linux/*.h" >> %my_builddir/kernel.files
%endif
# Set up some module aliases
install -d -m 755 %buildroot/etc/modprobe.d/
install -m 644 %_sourcedir/module-renames %buildroot/etc/modprobe.d/

%pre -f pre.sh

%preun -f preun.sh

%post -f post.sh

%postun -f postun.sh

%files -f kernel.files

%if %with_debug
%package -n kernel-SLRS-debug
Summary:      Dummy summary
Group:        System/Kernel

%description -n kernel-SLRS-debug
Dummy description.

%files -n kernel-SLRS-debug
%defattr(-, root, root)
/usr/lib/debug
%endif

%if %build_um
%package -n um-host-kernel
Summary:      Dummy summary
Group:        System/Kernel

%description -n um-host-kernel
Dummy description.

%files -n um-host-kernel
%defattr(-, root, root)
/usr/bin/linux-%ver_str
%endif
%changelog
* Mon Aug 17 2009 teheo@suse.de
- patches.fixes/block-failfast-merge-fix: block: don't merge
  requests of different failfast settings (bnc#519111).
* Sat Aug 15 2009 jjolly@suse.de
- patches.arch/s390-55-01-smsg_sender.patch: smsgiucv: incorrect
  sender for cmm (bnc#529165,LTC#55335).
* Fri Aug 14 2009 jeffm@suse.com
- patches.fixes/net-make-sock_sendpage-use-kernel_sendpage:
  Make sock_sendpage() use kernel_sendpage() (bnc#530151
  CVE-2009-2692)).
* Thu Aug 06 2009 jeffm@suse.com
- patches.fixes/tg3-fix-performance-regression: : Fix performance
  regression on 5705. (bnc#526040).
* Tue Aug 04 2009 jeffm@suse.de
- patches.fixes/altstack-avoid-copying-stack_t-as-a-structure-to-userspace:
  do_sigaltstack: avoid copying 'stack_t' as a structure to user
  space (bnc#527848).
* Wed Jul 29 2009 jjolly@suse.de
- patches.arch/s390-54-01-iucv-parm-irq.patch: iucv:
  provide second per-cpu IUCV command parameter block
  (bnc#516789,LTC#52052).
* Wed Jul 22 2009 jslaby@suse.de
- patches.fixes/add-fno-delete-null-pointer-checks.patch: Add
  '-fno-delete-null-pointer-checks' to gcc CFLAGS (bnc#522914).
- patches.rpmify/supported-flag: Refresh.
* Fri Jul 10 2009 nfbrown@suse.de
- patches.fixes/nfs-fix-utimes-clobber.patch: NFS: writes should
  not clobber utimes() calls (bnc#507292).
* Thu Jul 02 2009 ptesarik@suse.cz
- patches.arch/ia64-avoid-oops-on-bad-mmap-of-dev_mem: Avoid
  oops on mmap of memory holes using dev/mem (bnc#492736).
* Wed Jun 24 2009 jbeulich@novell.com
- patches.fixes/LAuS-fshooks-deadlock: fix ABBA deadlock between
  audit_lock and fshooks.lock (bnc#493804).
* Tue Jun 23 2009 jdelvare@suse.de
- patches.fixes/ipcomp-convert-to-vmalloc.patch: ipcomp: Convert
  to vmalloc (bnc#413319).
- patches.fixes/ipsec-fix-leak-in-xfrm_state_find.patch:
  Do not leak entries in xfrm_state_find (bnc#413319).
* Tue Jun 16 2009 gregkh@suse.de
- patches.fixes/r8169-fix-crash-when-large-packets-are-received.patch:
  r8169: fix crash when large packets are received (CVE-2009-1389)
  (bnc#511243) - fix build errors.
* Tue Jun 16 2009 gregkh@suse.de
- patches.fixes/r8169-fix-crash-when-large-packets-are-received.patch:
  r8169: fix crash when large packets are received (CVE-2009-1389)
  (bnc#511243).
* Mon Jun 15 2009 carnold@novell.com
- patches.xen/hypervisor_callback.patch: VUL-0: kernel/xen:
  user application may oops/crash kernel (bnc#503457).
* Wed Jun 10 2009 rgoldwyn@suse.de
- patches.fixes/ext3-ordered-problem: Fix ext3 problem when
  device suddenly stops accepting barrier requests. (bnc#502823).
* Fri May 29 2009 jack@suse.cz
- patches.fixes/aio-lock-wakeup-race-fix.diff: Fix race in AIO
  leading to assertion failure or use after free (bnc#480557).
* Tue May 26 2009 jdelvare@suse.de
- patches.fixes/sata_promise-update-reset.patch: sata_promise:
  update reset protocol (bnc#471938).
* Tue May 19 2009 coly.li@suse.de
- patches.fixes/remove-ext3-inode-from-orphan-list-when-link-and-unlink.diff:
  (bnc#496251)
* Mon May 18 2009 npiggin@suse.de
- patches.fixes/mm-invalidate_complete_page-race-fix.patch:
  invalidate_complete_page() race fix (bnc#484931).
- patches.fixes/mm-invalidate_inode_pages2-ignore-refcount.patch:
  invalidate_inode_pages2(): ignore page refcounts (bnc#484931).
* Tue May 12 2009 jjolly@suse.de
- patches.arch/s390-53-02-af_iucv-fix-race-msgpending.patch:
  af_iucv: Fix race when queuing incoming iucv messages
  (bnc#493573,LTC#53033).
* Tue May 12 2009 mmarek@suse.de
- Update reference module symbol versions, delete reference files for
  ppc/symvers-pmac64_32bit, ppc/symvers-power3 (not shipped).
* Wed May 06 2009 jeffm@suse.com
- patches.fixes/CAP_FS_MASK-fixups: CAP_FS_MASK: add
  CAP_LINUX_IMMUTABLE and CAP_MKNOD (bnc#497551).
* Wed May 06 2009 jdelvare@suse.de
- patches.fixes/copy_process-fix-clone_parent-parent_exec_id-interaction.patch:
  copy_process: fix CLONE_PARENT && parent_exec_id interaction
  (bnc#497597).
* Tue May 05 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-unicode-string-alignment: cifs: fix
  unicode string area word alignment in session setup (bnc#498237,
  bnc#496398).
* Tue May 05 2009 hare@suse.de
- patches.fixes/scsi-scan-ignore-pq1: Don't add scsi_device for
  devices that return PQ=1, PDT=0x1f (bnc#445313).
* Tue May 05 2009 nfbrown@suse.de
- patches.fixes/mm-dont-clear-PG_uptodate-on-truncate-invalidate.patch:
  [PATCH] mm: dont clear PG_uptodate on truncate/invalidate
  (bnc#484931).
- patches.fixes/read_page_cache_race.fix: Delete.
  The former patch is a better fix than the latter, and is upstream
  as well.
* Thu Apr 30 2009 hare@suse.de
- patches.drivers/aic79xx-handle-physical-disconnect: aic79xx
  fails to handle physical device disconnect (bnc#460983).
* Mon Apr 27 2009 nfbrown@suse.de
- patches.fixes/read_page_cache_race.fix: Avoid race between
  page_cache_read and invalida_inode_pages (bnc#484931).
* Fri Apr 24 2009 jjolly@suse.de
- patches.arch/s390-53-01-kernel_appldata_vtimer.patch: kernel:
  appldata vtimer bug with cpu hotplug (bnc#493573,LTC#52680).
* Thu Apr 23 2009 jdelvare@suse.de
- patches.fixes/exit_notify-kill-the-wrong-capable-check.patch:
  exit_notify: kill the wrong capable(CAP_KILL) check (bnc#492768
  CVE-2009-1337).
* Wed Apr 22 2009 jeffm@suse.com
- patches.fixes/shm-fix-shmctl-SHM_INFO-lockup: shm: fix
  shmctl(SHM_INFO) lockup with !CONFIG_SHMEM (bnc#482720).
* Wed Apr 22 2009 jdelvare@suse.de
- patches.fixes/net-af_rose-x25-check-maximum-user-frame-size.patch:
  af_rose/x25: Sanity check the maximum user frame size
  (bnc#490608 kernel.org#10423 CVE-2009-1265).
* Mon Apr 20 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-buffer-overflow-in-CIFSTCon: cifs:
  fix buffer size for tcon->nativeFileSystem field  (bnc#492282).
* Mon Apr 20 2009 nfbrown@suse.de
- patches.fixes/nfs-name-len-limit: [PATCH] NFS: Fix an Oops in
  encode_lookup() (bnc#325913 bnc#492766).
* Wed Apr 15 2009 mmarek@suse.cz
- scripts/tar-up.sh: fixed ExclusiveArch computation for
  kernel-s390.spec.
* Wed Apr 15 2009 mmarek@suse.cz
- rpm/get_release_number.sh.in, scripts/tar-up.sh: do not append
  the commit id to the release number.
* Mon Mar 30 2009 ptesarik@suse.cz
- patches.fixes/ptrace-signal-race: Close race windows in ptrace
  notify against attach/detach (bnc#210680, bnc#471154).
* Thu Mar 26 2009 jjolly@suse.de
- patches.arch/s390-52-02-af_iucv-connect-free-path.patch:
  af_iucv: avoid left over IUCV connections from failing connects
  (bnc#475660,LTC#52270).
* Wed Mar 18 2009 mmarek@suse.de
- rpm/get_release_number.sh: Delete.
- rpm/get_release_number.sh.in, rpm/kernel-binary.spec.in,
  scripts/check-cvs-add, scripts/cvs-touched-files,
  scripts/cvs-wd-timestamp, scripts/log, scripts/sequence-patch.sh,
  scripts/tar-up.sh, scripts/lib/Time/Zone.pm, scripts/check-patch,
  scripts/git-create-branch, scripts/git-pre-commit,
  scripts/install-git-hooks, scripts/rpm-changes-merge.pl,
  scripts/vc, scripts/wd-functions.sh: Backported changes from git
  master.
* Thu Mar 05 2009 nfbrown@suse.de
- patches.fixes/nfs-dir-flush-on-ctime-change: nfs: flush cached
  directory information slightly more readily. (bnc#478878).
- patches.suse/nfsd-creative-mtime: nfsd: be creative with 'mtime'
  so that NFS client can reliably discover changes (bnc#474728).
* Fri Feb 27 2009 nfbrown@suse.de
- patches.fixes/md-raid1-handle-read-error.patch: Allow read
  error in single drive in raid1 to be passed up (bnc#447835).
* Tue Feb 24 2009 jeffm@suse.de
- patches.fixes/net-4-bytes-kernel-memory-disclosure-in-SO_BSDCOMPAT-gsopt:
  complete fix
* Tue Feb 24 2009 jeffm@suse.de
- patches.fixes/fix-minor-signal-handling-vulnerability: kernel:
  minor signal handling vulnerability (bnc#465963 CVE-2009-0028).
* Mon Feb 23 2009 jeffm@suse.de
- patches.fixes/skfp-fix-inverted-logic: drivers/net/skfp:
  if !capable(CAP_NET_ADMIN): inverted logic (bnc#478003
  CVE-2009-0675).
* Mon Feb 23 2009 jeffm@suse.de
- patches.fixes/net-4-bytes-kernel-memory-disclosure-in-SO_BSDCOMPAT-gsopt:
  net: 4 bytes kernel memory disclosure in SO_BSDCOMPAT gsopt
  try #2 (bnc#478002 CVE-2009-0676).
* Thu Feb 19 2009 nfbrown@suse.de
- patches.fixes/md-idle-test.fix: Fix (again) is_mddev_idle test
  (473081).
* Tue Feb 17 2009 trenn@suse.de
- patches.fixes/acpi_alias_fix.patch: Avoid ACPI Error messages
  at boot time (bnc#419178).
* Mon Feb 16 2009 jblunck@suse.de
- Enable patches for bnc#396779 due to positive customer feedback.
* Mon Feb 16 2009 jjolly@suse.de
- patches.arch/s390-52-01-sclp-handle-empty-evbufs.patch: sclp:
  handle zero-length event buffers (bnc#475660,LTC#51641).
* Fri Feb 13 2009 hare@suse.de
- patches.drivers/emulex-lpfc-801646: Emulex lpfc driver update
  to 8.0.16.46 (bnc#474425).
* Wed Feb 04 2009 jjolly@suse.de
- patches.fixes/sysfs-dont-hash-invisible-nodes: Reverted patch
  for non-s390 platforms
- patches.fixes/s390-sysfs-dont-hash-invisible-nodes: Made s390-
  only patch
* Wed Feb 04 2009 jjolly@suse.de
- patches.arch/s390-51-04-zfcp-enhanced-traces.patch: zfcp
  (new function): Enhanced trace facility. (bnc#456783).
- patches.fixes/sysfs-dont-hash-invisible-nodes: Fixed minor
  sequence fuzz error.
- patches.suse/backing-store-fix-remove-dir.patch: Fixed minor
  sequence fuzz error.
- patches.suse/sysfs-backing-store-02.patch: Fixed minor sequence
  fuzz error.
* Tue Feb 03 2009 jeffm@suse.de
- Refreshed patches to work with SLES9 patch(1), which isn't as
  forgiving as later versions.
- Refreshed VFe patches to eliminate fuzz.
 - In the process found a bug where the VFe kernel was re-using
  a page flag. (bnc#472045)
* Tue Feb 03 2009 jeffm@suse.de
- patches.fixes/dmapool-nopci.patch: Adjusted context.
* Tue Feb 03 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in: Enabled -F0.
* Sat Jan 31 2009 jeffm@suse.de
- Removed fuzz from patches and enabled -F0 in sequence-patch.sh
  Zero code changes.
* Sat Jan 31 2009 jeffm@suse.de
- patches.fixes/dell_rbu-scnprintf: dell_rbu: use scnprintf()
  instead of less secure sprintf() (bnc#470943).
* Sat Jan 31 2009 jeffm@suse.de
- patches.fixes/sctp-avoid-memory-overflow-with-bad-stream-id:
  sctp: Avoid memory overflow while FWD-TSN chunk is received
  with bad stream ID (bnc#463522).
* Fri Jan 30 2009 jjolly@suse.de
- patches.arch/s390-51-03-af_iucv-msgpeek.patch: af_iucv: System
  hang if recvmsg() is used with MSG_PEEK (bnc#456783,LTC#51136).
* Tue Jan 27 2009 hare@suse.de
- patches.drivers/cciss-dynamic-number-of-cmds: cciss: read
  config to obtain max cmds per controller (bnc#460103).
* Tue Jan 27 2009 hare@suse.de
- patches.suse/sg-failfast-requests: multipath sometimes fails
  following the loss of one fabric (bnc#402095).
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/watchdog-ib700wdt-buffer-underflow: [WATCHDOG]
  ib700wdt.c - fix buffer_underflow bug (bnc#457898).
* Wed Jan 14 2009 jjolly@suse.de
- patches.arch/s390-51-01-dasd_device_from_cdev_deadlock.patch:
  dasd: dasd_device_from_cdev called from
  interrupt. (bnc#456783,LTC#49689).
- patches.arch/s390-51-02-qdio-input-processing.patch:
  qdio: not more than 1 buffer in INPUT_PROCESSING state
  (bnc#456783,LTC#50755).
* Fri Jan 09 2009 ptesarik@suse.cz
- patches.fixes/fix-lkcd-sysrq-d-hang.patch: Added missing includes
  to get rid of unresolved symbol ack_APIC_irq in uni-processor
  builds (bnc#340274).
* Mon Jan 05 2009 jack@suse.cz
- patches.fixes/aio-writeback-race-fix.patch: Fix assertion in
  AIO during O_SYNC writes (bnc#446796).
* Thu Dec 18 2008 nfbrown@suse.de
- patches.fixes/md-disable-recovery-on-faulty-degraded-array:
  Disable recovery when degraded RAID1 array appears to be
  faulty. (bnc#447835).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/applicom-fix-unchecked-ioctl-range: applicom: Fix
  an unchecked user ioctl range and an error return (bnc#457897).
* Thu Dec 04 2008 trenn@suse.de
- patches.arch/amd-c1e-fix-clear-idle-thread-polling-thread.patch:
  Clear poll_idle flag on idle tasks after c1e disabling
  (bnc#368130).
* Wed Dec 03 2008 jjolly@suse.de
- patches.arch/s390-50-03-cio-ungroup-race-fix.patch:
  cio: ccwgroup online vs. ungroup race condition
  (bnc#434328,LTC#50092).
* Thu Nov 27 2008 teheo@suse.de
  Patch chunk misplaced during apply.  Updated.
- patches.drivers/libata-seagate-firmware-bug: libata: blacklist
  Seagate drives which time out FLUSH_CACHE when used with NCQ
  (bnc#449531).
* Thu Nov 27 2008 teheo@suse.de
- patches.drivers/libata-seagate-firmware-bug: libata: blacklist
  Seagate drives which time out FLUSH_CACHE when used with NCQ
  (bnc#449531).
* Wed Nov 26 2008 gregkh@suse.de
- rework series to get kernel-vfe to build again due to change
  in sched.h
* Wed Nov 26 2008 gregkh@suse.de
- patches.fixes/net-fix-recursive-descent-in-__scm_destroy.patch:
  net: Fix recursive descent in __scm_destroy() (CVE-2008-5029)
  (bnc#442364).
* Tue Nov 25 2008 lmb@suse.de
- rpm/pre.sh: discard a harmless, spurious error message (bnc#406985).
* Tue Nov 25 2008 lmb@suse.de
- patches.arch/ia64-flush_icache.patch: export __ia64_sync_icache_dcache
  (bnc#336259, bnc#379773).
* Tue Nov 25 2008 jeffm@suse.de
- patches.fixes/hfsplus-fix-buffer-overflow-with-corrupt-fs:
  hfsplus: fix Buffer overflow with a corrupted image (bnc#442594
  CVE-2008-4933).
- patches.fixes/hfs-fix-namelength-memory-corruption: hfs:
  fix namelength memory corruption (CVE-2008-5025 bnc#443640).
* Fri Nov 21 2008 nfbrown@suse.de
- patches.suse/nfs-multiple-acl-cache.patch: Cache ACCESS result
  for multiple credentials per inode (bnc#414047).
* Tue Nov 11 2008 jeffm@suse.de
- patches.fixes/epoll-wait-fix: epoll: Fix reader race
  (bnc#442489).
* Tue Nov 11 2008 teheo@suse.de
- patches.drivers/libata-fix-ata_tf_read_block-overflow: [PATCH]
  libata: Avoid overflow in ata_tf_read_block() when tf->hba_lbal
  > 127 (bnc#443661).
- patches.drivers/libata-fix-ata_tf_to_lba48-overflow: [PATCH]
  libata: Avoid overflow in ata_tf_to_lba48() when tf->hba_lbal >
  127 (bnc#443661).
* Thu Nov 06 2008 jjolly@suse.de
- patches.arch/s390-50-01-dasd-fix_sleep_on_interuptible.patch:
  dasd: Fixed race-condition in
  dasd_sleep_on. (bnc#434328,LTC#48928).
- patches.arch/s390-50-02-kernel_sysinfo.patch: Add system z10
  specific extensions to sysinfo. (bnc#434328).
* Thu Oct 23 2008 rgoldwyn@suse.de
- patches.fixes/fix-coredump-limit-2GB.diff: Fix coredump limit of
  2GB (bnc#378073)
* Thu Oct 23 2008 nfbrown@suse.de
- patches.fixes/nfs-lowmem-bug: Handle low-memory error correctly
  when mounting NFS (bnc#433855).
* Wed Oct 22 2008 knikanth@suse.de
- patches.fixes/noop_add_request_honor_where.patch: noop-iosched:
  fix insertion point (bnc#434987).
* Tue Oct 21 2008 knikanth@suse.de
- patches.fixes/blk-phys-segment-accounting: Fix nr_phys_segments
  miscalculation bug (bnc#418900).
* Wed Oct 15 2008 jeffm@suse.de
- patches.fixes/x86-fix-kernel-panic-not-syncing-IO-APIC+timer-doesnt-work:
  x86: fix "Kernel panic - not syncing: IO-APIC + timer doesn't
  work!".
* Wed Oct 08 2008 npiggin@suse.de
- patches.suse/objrmap-truncate-bug_on: upgrade WARN_ON assertions
  to BUG_ON (bnc#418897).
* Tue Sep 30 2008 ptesarik@suse.cz
- patches.fixes/fix-signal-tty-race: fix race conditions for
  ->signal->tty (bnc#423055).
* Sat Sep 27 2008 trenn@suse.de
- patches.arch/x86_64-mce-remove-limitation_fix_out_of_bounds.diff:
  Avoid crash on Dunnington where 7 mce banks are created
  but array has only 6 entries
  (bnc#424368).
* Fri Sep 26 2008 rgoldwyn@suse.de
- patches.fixes/audit-clr-fileset-on-clrfilter: Clear filesets
  while clearing filters (bnc#396734)
* Wed Sep 24 2008 jeffm@suse.de
- patches.fixes/remove-suid-bits-on-truncate: Remove suid/sgid
  bits on [f]truncate() (bnc#429478 bko#8420).
* Mon Sep 22 2008 jeffm@suse.de
- patches.fixes/ext2-avoid-printk-flood-with-dir-corruption:
  ext2: Avoid printk floods in the face of directory corruption
  (bnc#427244 CVE-2008-3528).
- patches.fixes/ext3-avoid-printk-flood-with-dir-corruption:
  ext3: Avoid printk floods in the face of directory corruption
  (bnc#427244 CVE-2008-3528).
* Mon Sep 22 2008 jjolly@suse.de
- patches.arch/s390-49-16-qdio-hsi-asynch-full.patch: qdio: speed
  up multicast traffic on full HiperSocket queue
  (bnc#397927,LTC#47893)
* Thu Sep 18 2008 ptesarik@suse.cz
- patches.fixes/fix-max_map_count-check: fix sysctl_max_map_count
  checks (bnc#393978).
* Wed Sep 17 2008 jjolly@suse.de
- patches.arch/s390-49-15-lcs_zero_cpa.patch: lcs: Output request
  completion with zero cpa value. (bnc#397927,LTC#47038)
* Mon Sep 15 2008 jeffm@suse.de
- patches.fixes/cifs-fix-O_APPEND-on-directio-mounts: cifs:
  fix O_APPEND on directio mounts (bnc#425998).
* Thu Sep 11 2008 jeffm@suse.de
- patches.vfe/kzalloc: kzalloc simple API.
* Thu Sep 11 2008 jeffm@suse.de
- patches.suse/LAuS-kernel: Changed minor from 224 to 230 (bnc#253940)
* Thu Sep 11 2008 jjolly@suse.de
- patches.arch/s390-49-12-cio-refcount.patch: cio: memory leak when
  ccw devices are discarded (bnc#397927,LTC#47120)
- patches.arch/s390-49-13-qdio_shutdown.patch: qdio: shutdown hang
  during a channel checkstop (bnc#397927,LTC#47460)
- patches.arch/s390-49-14-ptrace-cve-2008-1514.patch: ptrace:
  CVE-2008-1514 ptrace padding area read/write
  (bnc#397927,LTC#47752)
* Wed Sep 10 2008 teheo@suse.de
- patches.drivers/libata-lba28-off-by-one: libata: LBA28/LBA48
  off-by-one bug in ata.h (bnc#425147).
* Tue Sep 09 2008 bwalle@suse.de
- patches.arch/x86_64-mce-remove-limitation.diff:
  [PATCH] x86_64: remove 6 bank limitation in MCE reporting code
  (bnc#424368).
* Tue Sep 09 2008 jeffm@suse.de
- patches.fixes/dio-zero-struct-dio-with-kzalloc: dio: zero struct
  dio with kzalloc instead of manually (bnc#422963 CVE-2007-6716).
* Tue Sep 09 2008 teheo@suse.de
- patches.drivers/libata-ich10: libata: add ICH10 support to
  ata_piix and ahci (bnc#407619).
* Fri Sep 05 2008 jdelvare@suse.de
- patches.drivers/add-PCI-IDs-for-ICH10.patch,
  patches.drivers/add-ICH10-irq-handling.patch: Add IRQ support for
  the Intel ICH10 (bnc#407619).
- patches.drivers/add-SMBus-support-for-ICH10.patch: Add ICH10
  support to the i2c-i801 SMBus host driver (bnc#407619).
* Wed Sep 03 2008 jbohac@suse.cz
- patches.fixes/hpet-nolegacy-fix-rtc: fix RTC/hwclock on
  systems with HPET without legacy timer replacement (bnc#339575,
  bnc#214809).
* Mon Sep 01 2008 rgoldwyn@suse.de
- patches.fixes/usb-change-tag-check-32bit: Downcast 64bit serial
  to 32-bits for comparison with tag (bnc#417730)
* Fri Aug 29 2008 jeffm@suse.de
- patches.fixes/sbni_ioctl-missing-capability-checks: wan: Missing
  capability checks in sbni_ioctl() (bnc#421321 CVE-2008-3525).
* Fri Aug 22 2008 pavel@suse.cz
- patches.fixes/fix-string-ops.diff: fix information leak in
  string copy (bnc#400491).
* Thu Aug 21 2008 ksrinivasan@novell.com
- patches.xen/extend_kernel_segments_to_4g.patch: Extend kernel
  data segment to cover the whole 4g range. .
- patches.xen/pae_pgdir_above_4gb.patch: Support pae pgdir
  above 4g..
  Fixed bug#: 305780, 411198
* Thu Aug 21 2008 ksrinivasan@novell.com
- patches.xen/extend_kernel_segments_to_4g.patch:
- patches.xen/pae_pgdir_above_4gb.patch:
  Fixed Bug#: 305780, 411198
* Thu Aug 21 2008 neilb@suse.de
- patches.fixes/interrupted-o-direct-corruption: Fix possible
  corruption due to incomplete O_DIRECT write - e.g. interrupted
  NFS write. (393041).
* Wed Aug 20 2008 npiggin@suse.de
- patches.fixes/hugetlb-fix-prio_tree-unit.patch: [PATCH] hugetlb:
  fix prio_tree unit (bnc#328899).
* Wed Aug 20 2008 rgoldwyn@suse.de
- patches.fixes/reiserfs-commit-ids-unsigned-ints: Added chunk
  to fix section testing th->t_trans_id against ~UL to ~U
* Mon Aug 11 2008 jeffm@suse.de
- patches.fixes/nf_nat_snmp_basic-fix-a-range-check-in-nat-for-SNMP:
  netfilter: ip_nat_snmp_basic: fix a range check in NAT for SNMP
  (bnc#415690 CVE-2008-1673).
* Mon Aug 11 2008 jeffm@suse.de
- Fixed ordering of patches.fixes/cifs-fix-compiler-warning-on-64bit
* Mon Aug 11 2008 jeffm@suse.de
- patches.fixes/cifs-fix-compiler-warning-on-64bit: [CIFS]
  Fix compiler warning on 64-bit (bnc#415690 CVE-2008-1673).
* Sun Aug 10 2008 jjolly@suse.de
- patches.arch/s390-49-10-cio-fix-double-unregistering-of-subchannels.patch:
  cio: fix double unregistering of subchannels
  (bnc#397927,LTC#46186)
- patches.arch/s390-49-11-dasd-handle-incomplete-disk-geometry-data.patch:
  dasd: prevent oops when Hyper PAV alias is set online
  (bnc#397927,LTC#46966)
* Thu Aug 07 2008 jeffm@suse.de
- patches.fixes/sound-ensure-device-number-is-valid-in-snd_seq_oss_sync_make_info:
  sound: ensure device number is valid in
  snd_seq_oss_synth_make_info (bnc#414947 CVE-2008-3272).
* Mon Jul 21 2008 ptesarik@suse.cz
- patches.fixes/irq-uidhash-lock.patch: fix uidhash_lock <-> RCU
  deadlock (bnc#410594).
* Wed Jul 16 2008 jjolly@suse.de
- patches.arch/s390-49-07-kernel_fix_waitq.patch: kernel: fix race
  with stack local wait_queue_head_t. (bnc#397927)
- patches.arch/s390-49-08-tape_blk_race.patch: tape: Fix race
  condition in tape block device driver (bnc#397927)
- patches.arch/s390-49-09-zfcp_messages_link_down.patch:
  zfcp: Remove messages flooding the kernel log
  (bnc#397927,LTC#45819)
* Thu Jul 10 2008 lmb@suse.de
- rpm/pre.sh: Fix loop detection logic in case loop is not loaded
  (bnc#406985).
* Tue Jul 08 2008 trenn@suse.de
- patches.arch/xapic_4_vs_8_bit.patch: i386: fix 4 bit apicid
  assumption of mach-default (bnc #371636).
* Mon Jul 07 2008 knikanth@suse.de
- patches.fixes/tty_ops_null_vul: tty operations NULL function
  execution (bnc#405017).
* Wed Jul 02 2008 jdelvare@suse.de
- patches.fixes/powernow-k8-handle-uninitialized-CPU-vid.patch:
  Deal gracefully with uninitialized CPU vid (402092).
* Fri Jun 27 2008 sjayaraman@suse.de
- patches.fixes/fix-asn1-ber-decoding: asn1: additional sanity
  checking during BER decoding (397347, CVE-2008-1673).
* Thu Jun 19 2008 neilb@suse.de
- patches.fixes/explicit-dirty-max: Allow a KB limit on the
  amount of dirty memory (179915).
* Tue Jun 17 2008 hare@suse.de
- patches.arch/s390-49-01-april2004.diff:
  kernel: next_timer_interrupt overflow in
  stop_hz_timer. (bnc#397927,LTC#44328).
- patches.arch/s390-49-02-april2004.diff: zfcp: Deadlock in
  slave_destroy handler.  (bnc#397927,LTC#44869).
- patches.arch/s390-49-03-april2004.diff: zfcp: Error handling
  for blocked unit for send FCP command (bnc#397927,LTC#44886).
- patches.arch/s390-49-04-april2004.diff: zfcp: Memory handling
  for GID_PN requests (bnc#397927,LTC#44894).
- patches.arch/s390-49-05-april2004.diff: zfcp: Out-of-memory
  handling for status_read requests (bnc#397927,LTC#44897).
- patches.arch/s390-49-06-april2004.diff: cio: fix system hang
  with reserved DASD (bnc#397927,LTC#45337).
* Fri Jun 06 2008 jblunck@suse.de
- patches.fixes/dm-raid-fix-rh_dec-race.diff: fix rh_dec()/rh_inc()
  race in dm-raid1.c (396779).
- patches.fixes/dm-raid-use-singlethread-workqueue-fix.diff:
  use singlethreaded workqueue fix (396779).
- patches.fixes/dm-raid-Fix_inconsistent_mirroring_after_interrupted_recovery.diff:
  Fix inconsistent mirroring after interrupted recovery (396779).
* Fri Jun 06 2008 neilb@suse.de
- patches.fixes/locks-deadlock-loop-detect: detect loops in
  the wait/blocks list during deadlock detection (bnc#332084,
  bnc#396640).
* Wed Jun 04 2008 lmb@suse.de
- patches.arch/x86_64-dos-with_ptrace.patch: Prevent DOS attack
  via ptrace on x86-64 (bnc#388123, CVE-2008-1615).
* Thu May 29 2008 jeffm@suse.de
- Update OCFS2 to 1.2.9-1:
  - ocfs2: Use dlm_print_one_lock_resource for lock resource print.
  - ocfs2/dlm: Add missing dlm_lock_put()s.
  - ocfs2/dlm: Add missing dlm_lockres_put()s in migration path.
  - ocfs2/dlm: Add missing dlm_lockres_put()s.
  - ocfs2/dlm: Print message showing the recovery master.
  - ocfs2/dlm: dlm_thread should not sleep while holding the dlm_spinlock.
  - ocfs2: Fix NULL pointer dereferences in o2net.
  - ocfs2: Reconnect after idle time out.
  - ocfs2: Improve rename locking.
  - ocfs2/cluster: Get rid of arguments to the timeout routines.
  - ocfs2: Use GFP_NOFS in kmalloc during localalloc window move.
  - ocfs2: Allow uid/gid/perm changes of symlinks.
  - ocfs2: add dlm_ctxt printing for dlm debugging.
  - ocfs2: Filter -ENOSPC in mlog_errno().
  - ocfs2: Remove inode_alloc from handle when inode allocation fails.
* Wed May 28 2008 agruen@suse.de
- rpm/kernel-source.spec.in: Add pre.sh (359068).
* Tue May 27 2008 lmb@suse.de
- rpm/pre.sh: Revise fix - /sys not available in build environment.
* Tue May 27 2008 lmb@suse.de
- rpm/pre.sh: Ensure that we have at least two free loop devices before
  installing the kernel (bnc#357562).
* Mon May 26 2008 agruen@suse.de
- rpm/post.sh: Call /sbin/depmod directly instead of going via
  /sbin/update-modules.dep (388635).
* Mon May 26 2008 jblunck@suse.de
- patches.fixes/x86_64-ignore_lost_ticks.patch: fix bugs discoverd by
  Jan Beulich and Jiri Bohac (bnc#267050,bnc#343287):
  - do_vgettimeofday to also cap the offset witch one jiffie worth of time.
  This was a serious bug which could cause the time to be nonmonotonic.
  - the operator precedence problem (which is not such a big problem after all,
  as jiffies - wall_jiffies seems to always be zero)
  - the compiler warning with min()
* Fri May 23 2008 astarikovskiy@suse.de
- patches.arch/x86_64-dos-with_ptrace.patch
  Prevent DOS through ptrace call (bnc#388123).
* Fri May 23 2008 astarikovskiy@suse.de
- patches.arch/x86-dont_cascade_irq2_in_ioapic_mode.patch
  Delete cascade irq2 in IO APIC mode (bnc#263877).
* Fri May 23 2008 hare@suse.de
- supported.conf: Mark qla3xxx as supported (bnc#372379)
* Wed May 21 2008 ptesarik@suse.cz
- patches.arch/x86_64-make-kern_addr_valid-more-robust: [x86_64]
  make dump address validation more robust (bnc355724).
* Wed May 21 2008 trenn@suse.de
- patches.arch/x86_64-fam10_powernow.patch:
  PowerNow! support for fam10 cpus
  (https://bugzilla.novell.com/show_bug.cgi?id=290013).
- patches.arch/cpufreq_remove_speedstep_unsupported_msg.patch:
  Lower prio of misleading message (348137).
  Do not use KERN_DEBUG which seem to still be visible in sles9
  messages, totally remove the messages now.
* Mon May 19 2008 oneukum@suse.de
- patches.fixes/ipmi274525.diff: ipmi_thread needs schedule()
  not udelay(1) to avoid soft lockups (bnc#274525).
* Wed May 14 2008 jack@suse.cz
- patches.fixes/aio_ringbuffer_race_fix.diff: Delete (was already disabled)
- patches.fixes/aio-barrier-fix.diff: Fix hang in io_getevent()
  (bnc#265996).
* Tue May 13 2008 kkeil@suse.de
- patches.fixes/sit-add-missing-kfree_skb: sit: Add missing
  kfree_skb() on pskb_may_pull() failure. (bnc#389152)
* Wed May 07 2008 jdelvare@suse.de
- patches.arch/i386-nosmp-implies-noapic.patch: When booting with
  nosmp or maxcpus=0 on i386, we must disable the I/O APIC,
  otherwise the system won't boot in most cases (bnc#308540).
* Wed May 07 2008 jack@suse.cz
- patches.fixes/dnotify-close-race.diff: Fix dnotify/close race
  (bnc#377145).
- patches.fixes/dnotify-close-race-kabi.diff: Fix supposed kABI
  breakage by dnotify-close-race.diff.
* Wed May 07 2008 dsterba@suse.de
- patches.fixes/fix-lkcd-sysrq-d-hang.patch: lkcd: fix hang on
  sysrq-d via iLO2 on BL460c blades (bnc#340274).
* Tue May 06 2008 jdelvare@suse.de
- patches.arch/ia64-region-5,
  patches.arch/shub2-hwperf-dynamic-misc-device,
  patches.fixes/pcnet-misc-fixes: Refresh to touch each file only
  once, otherwise patch may fail to backup the files correctly.
* Fri May 02 2008 hare@suse.de
- patches.arch/s390-48-09-april2004.diff: qeth: eddp skb buff
  problem running EDDP guestlan (LTC#43200,bnc#381324).
- patches.arch/s390-48-11-april2004.diff: qeth: avoid inconsistent
  lock state for inet6_dev->lock (LTC#44102,bnc#381324).
- patches.arch/s390-48-10-april2004.diff: qdio:
  Undetected inb. traffic with many online FCP devices
  (LTC#44083,bnc#381324).
* Wed Apr 30 2008 kkeil@suse.de
- patches.fixes/ESP-fix-OOB-access: Ensure IV is in linear part
  of the skb to avoid BUG() due to OOB access. (bnc#385198)
* Thu Apr 24 2008 ksrinivasan@novell.com
- patches.xen/xen-arch.diff: Addition of the Xen architecture.
- patches.xen/xen-common.diff: Changes of Xen to common code.
  Fixed Bug#366886, 374292
* Mon Apr 21 2008 ptesarik@suse.cz
- patches.arch/x86_64-halt-no-irq-enable: do not enable irq in
  machine_restart() if disabled before (355724).
- patches.suse/lkcd-avoid-do_gettimeofday-hangs: Avoid hangs in
  do_gettimeofday() during crash dump (355724).
* Tue Apr 15 2008 bwalle@suse.de
- patches.arch/fix-amd-c1e-disable:
  Merged into patches.arch/amd-c1e-disable.
- patches.arch/amd-c1e-disable:
  Don't disable C1e on Fam15h AMD CPUs < RevF (bnc#368130).
* Tue Apr 15 2008 hare@suse.de
- patches.drivers/megaraid-disable-64bit-dma: Disable 64bit DMA
  capabilities for megaraid drivers (bnc#352439).
* Wed Apr 02 2008 ptesarik@suse.cz
- patches.suse/objrmap-truncate-race: set PG_truncate also in
  truncate_complete_page (bnc#347998).
- patches.suse/ocfs2-truncate-fix: fix a race when truncating
  inside i_size (exposed by OCFS2) (bnc#347998).
* Wed Apr 02 2008 jack@suse.cz
- patches.fixes/aio-generic-file-read-error-propagation2.patch:
  Fix data corruption in aio read path (bnc#369361).
* Mon Mar 31 2008 ptesarik@suse.cz
- patches.fixes/oom-fix-acct-hang: move the process accounting
  write after exit_mm()  (363939).
- patches.fixes/oom-fix-deadlocks: reset VM_is_OOM immediately
  after calling __exit_mm()  (363939).
* Mon Mar 31 2008 sjayaraman@suse.de
- patches.fixes/nfs-fix-client-cache-consistency: NFS client
  cache-consistency fixes (bnc#352368).
* Wed Mar 26 2008 jkosina@suse.de
- patches.arch/x86-clear-df-before-calling-signal-handler.patch:
  x86: clear DF before calling signal handler (bnc#369911
  CVE-2008-1367).
* Tue Mar 25 2008 trenn@suse.de
- patches.arch/x86-intel-disable-smi.diff: Allow to disable most
  SMI interrupts on a Intel chipset (358950).
  This one already is in for x86_64. Now as L3 request also
  ported to i386.
* Thu Mar 20 2008 neilb@suse.de
- patches.fixes/oom-fix-deadlocks: fix oom deadlocks and
  auto-debug new ones (202338).
  Fixed a bug in this patch which caused NFS writes to sometimes
  return a "short write" if the process had recieved a signal
  (e.g. SIGALRM). (bnc#368429)
* Mon Mar 17 2008 hare@suse.de
- patches.arch/s390-48-05-april2004.diff: qeth: CCL-seq. numbers
  required for prot. 802.2 only (LTC#42811,bnc#371076).
- patches.arch/s390-48-06-april2004.diff: lcs: CCL-seq. numbers
  required for prot. 802.2 only. (LTC#43012,bnc#371076).
- patches.arch/s390-48-07-april2004.diff: qeth: recovery problems
  with failing STARTLAN (LTC#43214,bnc#371076).
- patches.arch/s390-48-08-april2004.diff: qdio: change in timeout
  handling during qdio establish (LTC#43126,bnc#371076).
* Mon Mar 10 2008 lmb@suse.de
- patches.fixes/pnpbios-message: Correct PnPBIOS boot
  message. (367738).
* Sat Mar 08 2008 ak@suse.de
- patches.arch/memmap-high: Avoid filled up DMA zone in more cases
  (#363957).
* Thu Mar 06 2008 lmb@suse.de
- rpm/pre.sh: SLES9 does not yet support losetup -f.
* Thu Mar 06 2008 lmb@suse.de
- rpm/pre.sh: Ensure that a free loop device exists for the mkinitrd
  call in post (bnc#357562).
* Wed Mar 05 2008 hare@suse.de
- patches.arch/s390-47-17-april2004.diff:
  Added LTC buzilla no (354725,LTC-38980,LTC-355038).
- patches.arch/s390-47-18-april2004.diff:
  Added LTC bugzilla no (354725,LTC-41622,LTC-41657).
- patches.arch/s390-48-01-april2004.diff: zfcp: Fix handling
  for boxed port after physical close (LTC-42000,361812).
- patches.arch/s390-48-02-april2004.diff: dasd: fix ifcc handling
  (LTC-42187,bnc#361812).
- patches.arch/s390-48-03-april2004.diff: sclp: console lock-up
  during SE warmstart (LTC-42413,bnc#365992).
- patches.arch/s390-48-04-april2004.diff: qdio / zfcp: slow
  database write IO to FCP/SCSI disk (LTC-42681,bnc#365992).
* Wed Mar 05 2008 lmb@suse.de
- patches.fixes/aio-dio-error-passing: direct-io: bug fix in
  dio handling write error (202289, 360382).
* Tue Mar 04 2008 neilb@suse.de
- patches.fixes/nfs-more-random-port: Make initial port/xid
  selection for NFS more random (292406).
* Thu Feb 28 2008 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-max_sectors.patch
  decreases the default max_sectors value from 256 to 255
  add max_sectors module parameter (365407 - LTC41370)
* Sun Feb 24 2008 sjayaraman@suse.de
- patches.fixes/cifs-fix-remote-buffer-overflow.diff: Fix remote
  buffer overflow in CIFS (bnc#342448).
* Fri Feb 22 2008 sjayaraman@suse.de
- patches.fixes/sunrpc-fix-rpc_killall_tasks.diff: Fix a bug in
  rpc_killall_tasks() (bnc#356914).
* Fri Feb 22 2008 sjayaraman@suse.de
- patches.fixes/sunrpc-sched-deadlock: Removed. As this patch
  introduced a race.
  patches.fixes/sunrpc-fix-rpc_killall_tasks.diff now fixes the
  deadlock (bnc#356914)
* Wed Feb 20 2008 lmb@suse.de
- patches.fixes/intel-cpu-family-6: x86-64/i386: Fix CPU model
  for family 6 (bnc#343477).
* Tue Feb 12 2008 ptesarik@suse.cz
- patches.fixes/rusage-posix-fix.patch: Use correct per-thread CPU
  stats for /proc/<pid>/task/*/stat.  Also fixes a kernel oops.
  (359845).
* Mon Feb 11 2008 ak@suse.de
- patches.arch/swiotlb-low: Fix and reenable (340398 et.al.).
- patches.arch/memmap-high: Fix ABI and make more robust
  (340398).
* Fri Feb 08 2008 jblunck@suse.de
- kernel-source.changes: Reorder changelog entries.
* Fri Feb 08 2008 npiggin@suse.de
- patches.fixes/read_pages-fix.patch: Cleanup read_pages()
  (bnc#354114).
* Fri Feb 08 2008 neilb@suse.de
- patches.fixes/lockd-dont-unlock-on-cancel: [PATCH] NLM: don't
  unlock on cancel requests (356191).
* Thu Feb 07 2008 jeffm@suse.de
- patches.suse/ocfs2-1.2-version.diff: Version updated to 1.2.8-2.
* Wed Feb 06 2008 bwalle@suse.de
- patches.drivers/lkcd-megaraid_sas-polling:
  Add polling interface for megaraid_sas (bcn#355724).
- patches.fixes/lkcd-polling-rebooting:
  Fix polling and rebooting issues with LKCD (bnc#355724).
* Wed Feb 06 2008 olh@suse.de
- update patches.drivers/libata-ppc64-iomap-fix
  correct io_to_addr function (bnc 352090 - LTC41276)
* Mon Feb 04 2008 jeffm@suse.de
- patches.fixes/ocfs2-1.2-svn-r3081: ocfs2: dlm: Reversing
  patch r3062.
* Mon Feb 04 2008 ptesarik@suse.cz
- patches.fixes/oom-fix-deadlocks: reverted the changes to do_acct
  because they can cause a Kernel oops (356583).
* Fri Feb 01 2008 jblunck@suse.de
- patches.fixes/x86_64-ignore_lost_ticks.patch: add ignore_lost_ticks
  option for x86_64 (343287).
* Tue Jan 29 2008 tiwai@suse.de
- patches.drivers/alsa-sp4-pos-hda-via-add: Fix VIA82xx audio
  for new POS hardwares (352724, FATE 303376).
- patches.drivers/alsa-sp4-pos-via82xx-fix: Fix VIA82xx audio
  for new POS hardwares (352724, FATE 303376).
* Fri Jan 25 2008 trenn@suse.de
- patches.arch/cpufreq_remove_speedstep_unsupported_msg.patch:
  Lower prio of misleading message (348137).
* Thu Jan 24 2008 teheo@suse.de
- patches.drivers/ide-piix-implement-ign_ich5_native_sata: piix:
  implement piix_ign_ich5_native_sata kernel parameter (352874).
* Thu Jan 24 2008 kkeil@suse.de
- patches.fixes/I4L-fix-isdn_ioctl-memory-overrun-vulnerability:
  I4L: fix isdn_ioctl memory overrun vulnerability (#348453)
* Tue Jan 22 2008 trenn@suse.de
- patches.arch/x86_64-fam10_powernow.patch:
  PowerNow! support for fam10 cpus
  Revert newly added (SP4) out-of-sync messages:
  https://bugzilla.novell.com/show_bug.cgi?id=334782
* Mon Jan 21 2008 rw@suse.de
- patches.arch/ia64-mca-TLB-check:
  [ia64] Proper handling of TLB errors from duplicate itr.d dropins.
  (343304)
* Mon Jan 21 2008 rw@suse.de
- patches.arch/ia64-kernel-unaligned-fix:
  [ia64] Fix unaligned handler for floating point instructions
  with base update. (354069)
* Mon Jan 21 2008 npiggin@suse.de
- patches.fixes/nopage-range-fix.patch: insufficient range checks
  of certain fault handlers (CVE-2008-0007) (353207).
* Sun Jan 20 2008 ksrinivasan@novell.com
- patches.xen/xen-arch.diff: Addition of the Xen architecture.
- patches.xen/xen-common.diff: Changes of Xen to common code.
  Fixed a spradic bug in udev. Also implemented features to save/restore
  and migrate sles9 PV guests.
  Bug numbers: 306199, 351367 and 338127
* Fri Jan 18 2008 hare@suse.de
- patches.arch/s390-47-17-april2004.diff: qeth:
  HiperSockets layer-3 interface drop non IPv4 or IPv6
  packets. (354725,LTC-38980).
- patches.arch/s390-47-18-april2004.diff: qeth: revert copying
  of outgoing skbs (problem 28120) (354725,LTC-41622).
- patches.arch/s390-47-19-april2004.diff: lcs: Channel
  errors drive lcs_recovery which leads to kernel
  panic. (354725,LTC-41636).
- patches.arch/s390-47-20-april2004.diff: dasd: fix loop in
  request expiration handling (354725,LTC-41604).
* Fri Jan 18 2008 hare@suse.de
- patches.arch/s390-47-01-april2004.diff: kernel: pfault
  disabled. (342656,LTC-40650,LTC-40293).
- patches.arch/s390-47-02-april2004.diff: zfcp:
  Remove SCSI devices when removing complete adapter
  (342656,LTC-40650,LTC-38981).
- patches.arch/s390-47-03-april2004.diff: zfcp: Deadlock when
  adding invalid LUN (342656,LTC-40650,LTC-40331).
- patches.arch/s390-47-04-april2004.diff: 0zfcp: Reduce flood
  on hba trace (342656,LTC-40650,LTC-40333).
- patches.arch/s390-47-05-april2004.diff: zfcp: Oops when
  performing DS8000 cocopoof run (342656,LTC-40650,LTC-40332).
- patches.arch/s390-47-06-april2004.diff: zfcp: invalid
  kernel pointer dereference if CONFIG_STATISTICS is not
  selected. (342656,LTC-40650,LTC-40339).
- patches.arch/s390-47-07-april2004.diff: af_iucv: af_iucv module
  does not load automatically (342656,LTC-40650,LTC-39911).
- patches.arch/s390-47-08-april2004.diff: iucv: locking problem
  with iucv_table_lock (342656,LTC-40650,LTC-40451).
- patches.arch/s390-47-09-april2004.diff: zfcp: dismiss actions
  in ready queue (342656,LTC-40650,LTC-40502).
- patches.arch/s390-47-10-april2004.diff: zfcp: imbalance in
  erp_ready_sem usage (342656,LTC-40650,LTC-40504).
- patches.arch/s390-47-11-april2004.diff: qeth:
  kernel panic during online setting of OSA devices
  (354429,LTC-41634,LTC-40816).
- patches.arch/s390-47-12-april2004.diff: zfcp: Fix check for
  handles in abort handler (354429,LTC-41634,LTC-41038).
- patches.arch/s390-47-13-april2004.diff: zfcp: Hold queue lock
  when checking handle for abort command (350708,LTC-41142).
- patches.arch/s390-47-14-april2004.diff: zfcp: Hold queue lock
  when checking handle for ELS command (350708,LTC-41145).
- patches.arch/s390-47-15-april2004.diff: zfcp: Hold queue lock
  when checking handle for FCP command (350708,LTC-41146).
- patches.arch/s390-47-16-april2004.diff: zfcp: Hold queue lock
  when checking handle for task management cmd (350708,LTC-41147).
* Thu Jan 17 2008 ak@suse.de
- patches.arch/swiotlb-low: Disable for now
- patches.arch/memmap-high: dito.
* Thu Jan 17 2008 jack@suse.cz
- patches.fixes/fadvise_pipe_error_check.diff: Disallow fadvise()
  for pipes (349453).
* Thu Jan 17 2008 jbeulich@novell.com
- patches.xen/xen-common.diff: Fix context to apply again.
* Thu Jan 17 2008 npiggin@suse.de
- patches.fixes/fork-boost-fix.patch: fix for
  patches.fixes/fork-boost (352466).
* Wed Jan 16 2008 astarikovskiy@suse.de
- patches.arch/patches.arch/i386-pit_init_cpu_khz.patch:
  init cpu_khz in the case of PIT override (347319).
* Wed Jan 16 2008 jbohac@suse.de
- patches.fixes/bonding-jiffies.patch: fix jiffies handling in
  the bonding driver (#310203, #345489).
* Wed Jan 16 2008 jbohac@suse.de
- patches.arch/sn-hwperf: just refreshed the patch; it only appliead
  with fuzz=1 and the ambiguity caused a hunk to be applied on a
  different line with newer versions of the patch tool, which broke
  other patches later in the series.
* Wed Jan 16 2008 ptesarik@suse.cz
- patches.arch/ia64-ptrace-lockup-fix: [ia64] Prevent system
  lock-ups caused by strace on multithreaded processes. (180423).
* Wed Jan 16 2008 npiggin@suse.de
- patches.fixes/task_files-exec-race.patch: Fix unserialized
  task->files changing (343737).
* Wed Jan 16 2008 npiggin@suse.de
- patches.fixes/oom-too-early-1: Prevent OOM from kicking in
  too early (326784).
- patches.fixes/oom-too-early-2: Prevent the kernel from going
  OOM too early (326784).
* Tue Jan 15 2008 lmb@suse.de
- patches.fixes/ckrm-re-enable: Avoid bug if re-enabling CKRM
  CPU class (255771).
* Tue Jan 15 2008 olh@suse.de
- update patches.arch/ibm-ppc64-970MP.patch
  add oprofile data (349648 - LTC41215)
* Sat Jan 12 2008 lmb@suse.de
- patches.arch/swiotlb-low: Disable until kABI resolved.
- patches.fixes/ocfs2-1.2-svn-r3049.diff: Delete, unused.
* Fri Jan 11 2008 jeffm@suse.de
- OCFS2: Update to 1.2.8.
- patches.fixes/ocfs2-1.2-svn-r3070.diff: [PATCH] ocfs2: Remove
  overzealous BUG_ON().
- patches.fixes/ocfs2-1.2-svn-r3072.diff: [PATCH] ocfs2: fix
  rename vs unlink race.
- patches.fixes/ocfs2-1.2-svn-r3074.diff: [PATCH] ocfs2: Remove
  expensive local alloc bitmap scan code.
* Fri Jan 11 2008 jbeulich@novell.com
- patches.arch/x86_64-delay.patch: x86_64: Fix missing delay
  when the TSC counter just overflowed (351677).
* Fri Jan 11 2008 lmb@suse.de
- Update reference module symbol versions to SLES9 SP4 release level.
* Thu Jan 10 2008 teheo@suse.de
- patches.drivers/libata-tape-fix: libata: backport tape support
  fixes (345438).
* Wed Jan 09 2008 philips@suse.de
- patches.fixes/reset-pdeath_signal-cve-2007-3848.patch: Reset
  current->pdeath_signal on SUID binary execution (CVE-2007-3848)
  (Bug #296871).
* Mon Jan 07 2008 teheo@suse.de
- patches.drivers/libata-sata_nv-disable-ADMA: sata_nv: disable
  ADMA by default (346508).
* Wed Dec 19 2007 jdelvare@suse.de
- patches.fixes/proc_pid_flush-cant-sleep-in-do_exit.patch:
  We can't sleep if we're in the do_exit->release_task path or
  we'll never come back into the scheduler (339545).
* Fri Dec 14 2007 oneukum@suse.de
- patches.fixes/usb_storage_max64_backport.diff: backport of
  quirk handling mechanism for maximum of 64K (336850).
* Fri Dec 14 2007 hare@suse.de
- patches.fixes/aic7xxx-tag-initialisation: Panic in aic7xxx
  driver (344660).
* Thu Dec 13 2007 hare@suse.de
- patches.fixes/aacraid-fix-ioctl-permissions-check: aacraid:
  Fix security hole (326270, CVE-2007-4308).
* Thu Dec 13 2007 oneukum@suse.de
- patches.fixes/usb_336850.diff: missing quirk leading to spurious
  disconnects (336850).
* Wed Dec 12 2007 lmb@suse.de
- patches.fixes/perfmon-montecito, patches.fixes/perfmon-tables,
  patches.suse/pci.ids-update.extra: refreshed to apply more cleanly.
* Wed Dec 12 2007 lmb@suse.de
- Activate queued post-sp4 patches:
- patches.arch/ia64-flush_icache.patch: flush icache before
  set_pte() on ia64: flush icache at set_pte (336259).
- patches.arch/swiotlb-low: Allocate swiotlb low (340398).
- patches.arch/memmap-high: Allocate memmap near end of node
  (340398).
- patches.arch/x86-hpet-drift: Fix drift with HPET timer enabled
  (158650).
- patches.fixes/avm-fix-capilib-locking: [PATCH] [ISDN] Fix
  random hard freeze with AVM cards.
- patches.fixes/cifs-fix-reconnect-on-short-recv: fix for
  incorrect session reconnects (279783).
- patches.fixes/i4l-avoid-copying-an-overly-long-string.patch:
  [PATCH] Avoid copying an overly-long string..
- patches.fixes/nfsacl-retval.diff: knfsd: fix spurious EINVAL
  errors on first access of new filesystem (340873).
- patches.fixes/reiserfs-fault-in-pages.patch: reiserfs avoid
  buffered write deadlock (333412).
- patches.fixes/lockd-avoid-deadlock: avoid creating
  deadlock-loops in the blocked_list. (332084).
- patches.fixes/cpufreq_xeon_div0.patch: Avoid div by zero
  exception while loading speedstep_ceentrino (#341576).
- patches.fixes/md-idle-test: md: improve the is_mddev_idle test
  fix (346721).
* Mon Dec 10 2007 jeffm@suse.de
- patches.fixes/ocfs2-1.2-svn-r3049.diff: Removed. Fix was already
  included and it found (invalid) context to apply.
* Mon Dec 10 2007 jeffm@suse.de
- Updated OCFS2 to 1.2.7, proactive fixes:
  - ocfs2_dlm: Silence compiler warnings.
  - ocfs2: Wrap access of directory allocations with ip_alloc_sem.
  - ocfs2: Breaks from the sendpage() loop incase of an error.
  - ocfs2: detect and use MS_LOOP_NO_AOPS.
  - ocfs2: Check for cluster locking in ocfs2_readpage.
  - ocfs2: patch to free fcbs in ocfs2_cluster_lock.
  - ocfs2_dlm: Fix double increment of migrated lockres' owner count.
  - ocfs2: Remove the printing of harmless ERRORS like ECONNRESET, EPIPE.
  - Updated version to 1.2.7-SLES-r3062.
* Mon Dec 10 2007 lmb@suse.de
- patches.arch/memmap-high, patches.arch/swiotlb-low: disabled until
  resolved (346663).
* Mon Dec 03 2007 trenn@suse.de
- patches.fixes/cpufreq_xeon_div0.patch: Avoid div by zero
  exception while loading speedstep_ceentrino (#341576).
* Fri Nov 30 2007 ak@suse.de
- patches.arch/memmap-high: Update again to fix another case
  of filled DMA zone (340398).
* Wed Nov 28 2007 ak@suse.de
- patches.arch/memmap-high: Update to not fill DMA zone
  (340398).
- patches.arch/swiotlb-low: dito (340398).
* Tue Nov 27 2007 lmb@suse.de
- supported.conf: Mark igb as externally supported (341966).
* Tue Nov 13 2007 ak@suse.de
- patches.fixes/agp-gart-discovery: Disable again (340398)
- patches.arch/memmap-high: Allocate memmap near end of node
  (340398).
- patches.arch/swiotlb-low: Allocate swiotlb low (340398).
* Tue Nov 13 2007 lmb@suse.de
- patches.fixes/agp-gart-discovery: enable the x86_64 kernel to
  find the AGP in quad-core AMD chipsets (340398).
* Fri Nov 09 2007 jdelvare@suse.de
- patches.fixes/tcp-send-ACKs-each-2nd-received-segment.patch:
  Send ACKs each 2nd received segment. This fixes a problem where
  the tcp cubic congestion algorithm was too slow in converging
  (327848).
* Thu Nov 08 2007 jack@suse.cz
- patches.fixes/jbd_reuse_freed_buffer_fix.diff: fix BUG in
  journal_commit_transaction() (339745).
* Tue Nov 06 2007 kkeil@suse.de
- supported.conf: add bnx2
* Mon Nov 05 2007 hare@suse.de
- patches.drivers/ati-sb600-quirk: ATI SB600 disks are hanging
  during installation (336890).
* Tue Oct 30 2007 kkeil@suse.de
- patches.fixes/e100-mdio-corruption.diff: corruption during
  e100 MDI register access. (#330502)
* Mon Oct 29 2007 carnold@novell.com
- patches.xen/disable-tls-warning: Disable the tls warning message
  when booting sles9sp4 as a guest vm. (#328710)
* Fri Oct 26 2007 kkeil@suse.de
- patches.fixes/ipv6-addrconf-before-link: Fix crash on adding
  static IPv6 addresses. (#336794)
* Fri Oct 26 2007 oneukum@suse.de
- patches.fixes/fix-the-graphic-corruption-issue-on-ia64-machines.patch:
  Fix the graphic corruption issue on IA64 machines (241041).
* Fri Oct 26 2007 andrea@suse.de
- patches.fixes/mprotect-overcommit (bug #327176)
* Tue Oct 23 2007 bwalle@suse.de
- patches.arch/ia64-check-for-tio-errors:
  Check for TIO errors on shub2 Altix (335624).
* Mon Oct 22 2007 astarikovskiy@suse.de
- patches.arch/x86_64-Always-use-CPUID-80000008-to-figure-out-MT.patch
- patches.arch/x86_64-Force-correct-address-space-size-for-MTRR.patch
- patches.arch/i386-fix-size_or_mask-and-size_and_mask.patch
- patches.arch/x86_64-use-size_and_mask-to-prg-mtrr.patch
- MTRR support for new AMD and Intel CPUs (bug #328965)
* Fri Oct 19 2007 ksrinivasan@novell.com
- patches.xen/xen-arch.diff: Addition of the Xen architecture.
- Fix for bug # 333170
* Fri Oct 19 2007 hare@suse.de
- patches.arch/s390-cio-ignore-subchannels-fix: Delete.
- patches.arch/s390-45-04-april2004.diff: Replace with
  official version from IBM (335013,LTC-39790).
* Fri Oct 19 2007 hare@suse.de
- patches.arch/s390-cio-ignore-subchannels-fix: cio: cio_ignore
  off by one error (335013,LTC39790).
* Thu Oct 18 2007 trenn@suse.de
- patches.arch/x86_64-fam10_powernow.patch:
  PowerNow! support for fam10 cpus
  (https://bugzilla.novell.com/show_bug.cgi?id=290013).
  Remove activation of debug messages
* Wed Oct 17 2007 jkosina@suse.de
- patches.fixes/aio-generic-file-read-error-propagation.patch:
  Fix error propagation from __generic_file_aio_read() (165140
  LTC20252).
* Wed Oct 17 2007 ptesarik@suse.cz
- patches.fixes/ide-tape-no-device: Prevent oops in ide-tape
  when opening a non-existent device (165539).
* Mon Oct 15 2007 kkeil@suse.de
- patches.fixes/bonding-arpmon-default: arp_validate default
  should be "none" (333364).
* Fri Oct 12 2007 hare@suse.de
- patches.arch/s390-45-01-april2004.diff: qeth: recognize
  "exclusively used"-RC from Hydra3 (333418,LTC27787).
- patches.arch/s390-45-02-april2004.diff: qeth: discard inbound
  packets with unknown header id (333418,LTC-39323).
- patches.arch/s390-45-03-april2004.diff: cio: Incorrect check
  for activity in cmf (333418,LTC39542).
* Wed Oct 10 2007 teheo@suse.de
- patches.drivers/ide-implement-ide_disable_generic: [PATCH]
  ide: implement kernel parameter ide_disable_generic (326768).
* Mon Oct 08 2007 bwalle@suse.de
- patches.arch/x86_64-remove-warning: [PATCH] Remove "%%d cores
  found for CPU%%d, should be %%d" warning (331736).
* Fri Oct 05 2007 bwalle@suse.de
- patches.arch/x86-k8topology_add_fam10_and_fam11:
  Add PCI IDs of AMD's family 10h and 11h CPU's northbridges to
  k8topology discovery. (290016).
* Fri Oct 05 2007 bwalle@suse.de
- patches.arch/fix-amd-c1e-disable:
  Execute the code on all CPUs, add a command line parameter to
  disable that code and fix minor issue (299226).
- patches.arch/x86-use_apic_core_id_bits_for_core_nums:
  x86_64: use apic core id bits for core nums (290016).
* Tue Oct 02 2007 lmb@suse.de
- patches.xen/handle-bogus-cs-selector-in-single-step-instruction-decoding:
  Handle bogus %%cs selector in single-step instruction decoding
  (326270, CVE-2007-3731).
* Tue Oct 02 2007 rw@suse.de
- patches.fixes/pid-overflow-fix:
  Keep pid from overflowing the value of pid_max.  (#266059)
* Tue Oct 02 2007 perex@suse.de
- patches.drivers/alsa-memalloc-vul-fix: VUL-0: kernel: iDefense
  Security Advisory 09.25.07: Linux Kernel ALSA snd_mem_proc_read
  Information Disclosure Vulnerability (328404 ).
* Sun Sep 30 2007 jeffm@suse.de
- patches.fixes/reiserfs-transaction-overflow: reiserfs: handle
  trans_id overflow (329645).
* Sat Sep 29 2007 bwalle@suse.de
- patches.arch/x86-cpuid_family10h_updates.patch:
  x86: Add new CPUID bits for AMD Family 10 CPUs in /proc/cpuinfo.
- patches.arch/x86_64-remove-constant_tscreporting:
  x86: remove constant_tsc reporting from /proc/cpuinfo' power
  flags.
* Fri Sep 28 2007 bwalle@suse.de
- patches.arch/fix-amd-c1e-disable:
  Add i386 and fix build for Xen and vfe (299226).
* Fri Sep 28 2007 ksrinivasan@novell.com
- Update config files.
- patches.xen/xen-arch.diff.
  Updated the xen x86_64 config file to turn on ia32 emulation. Also fixed an SMP bug
  (bug #328352) in the xen x86_64 architecture.
* Fri Sep 28 2007 jeffm@suse.de
- patches.fixes/x86_64-zero-extend-all-registers-after-ptrace-in-32bit-entry-path:
  x86_64: Zero extend all registers after ptrace in 32bit entry
  path. (326270, CVE-2007-4573).
* Fri Sep 28 2007 hare@suse.de
- patches.arch/s390-06-iucv-cpu-hotplug.diff: Delete.
- patches.arch/s390-01-iucv-sles9.diff: Update patch to
  -v3, pulling in the fixes from iucv-cpu-hotplug patch.
* Thu Sep 27 2007 lmb@suse.de
- patches.fixes/ckrm-callback-deactivation: Bug in ckrm unregister
  routine prevented the callbacks from being deactivated
  (159498 LTC23109).
* Thu Sep 27 2007 bwalle@suse.de
- patches.arch/x86-amd-fam10-mwait: x86: Don't use MWAIT on AMD
  Family 10 (264246).
- patches.arch/amd-c1e-disable: Disable C1e on AMD systems with
  more than one CPU (299226).
- patches.arch/fix-amd-c1e-disable: Move disable of C1e state
  after ACPI initialisation (299226).
* Thu Sep 27 2007 bwalle@suse.de
- patches.fixes/netdev_pages.patch: [PATCH] Fix LKCD 4GB file
  limitation (145355).
* Wed Sep 26 2007 teheo@suse.de
- patches.drivers/libata-sata_sil24-fix-IRQ-clearing-race-on-IRQ_WOC:
  [PATCH] sata_sil24: fix IRQ clearing race when PCIX_IRQ_WOC
  is used (327536).
* Sun Sep 23 2007 ksrinivasan@novell.com
- Update config files.
  updated the x86_64 xen config file to turn on virtual framebuffer support.
* Sun Sep 23 2007 ksrinivasan@novell.com
- Update config files.
* Sun Sep 23 2007 ksrinivasan@novell.com
- Update config files.
- patches.xen/xen-arch-i386.diff: xen patches for sles9 (sp4).
- patches.xen/xen-arch-public.diff: xen-public headers from the
  xen package.
- patches.xen/xen-arch-x86_64.diff: xen patches for sles9 (sp4).
- patches.xen/xen-arch.diff: Addition of the Xen architecture.
- patches.xen/xen-common.diff: Changes of Xen to common code.
- patches.xen/xen-erratic-mouse.diff: This patch removes the
  erratic mouse behavior of SLES10, SLES9 hvm guests. (167187).
- patches.xen/xen-fdiv-test-stts: FPU screwed up after fdiv test.
- patches.xen/xen-fix-nettle: Replace asm wbinvd with wbinvd()
  call for Xen compat.
- patches.xen/xen-rcu-nohz: Fix race in generic RCU code..
- patches.xen/xen-udp-frag: use _bh locks in UDP code.
  Update all the xen bits from SLES10 GA vintage to sles10 SP1 level. Also implemented support for virtual framebuffer for domus.
* Sat Sep 22 2007 teheo@suse.de
- patches.drivers/libata-sata_via-kill-SATA_PATA_SHARING:
  [PATCH] sata_via: kill SATA_PATA_SHARING register handling
  (309069, 254158).
* Fri Sep 21 2007 neilb@suse.de
- patches.fixes/lockd-chroot-fix: Allow lockd to work reliably
  with applications in a chroot (305480, 288376).
* Thu Sep 20 2007 olh@suse.de
- update patches.arch/ibm-ppc64-oprofile-power5.patch
  recognize also power5+
* Thu Sep 20 2007 hare@suse.de
- Disable Ultrix partition check for s390 and s390x (308715)
* Thu Sep 20 2007 teheo@suse.de
- patches.drivers/ide-libata-fix-ide-generic-collision: [PATCH]
  ide/libata: fix ide generic / libata ahci collision (326768).
* Thu Sep 20 2007 hare@suse.de
- patches.arch/s390-06-iucv-cpu-hotplug.diff: Update patch
  to -v2.
- patches.arch/s390-44-13-april2004.diff: qdio/qeth: make sure
  sent skbs are freed in time (LTC-30634).
* Wed Sep 19 2007 lmb@suse.de
- patches.arch/woodcrest_est_x64_short: Updated to fix cpufreq scaling
  (216747, 325606).
* Wed Sep 19 2007 olh@suse.de
- add patches.fixes/matroxfb-jitter.patch
  fix DVI setup to be more compatible (326213 - LTC20895)
* Tue Sep 18 2007 ptesarik@suse.cz
- patches.fixes/ide-no-flush_cache_ext-with-small-drives: always
  issue FLUSH CACHE instead of FLUSH CACHE EXT on drives smaller
  than 128 GiB (275351).
* Mon Sep 17 2007 lmb@suse.de
- patches.drivers/qla2xxx-v8.01.07.15: This patch overwrote
  patches.suse/qla-failover-deprecated; restored (325695).
* Mon Sep 17 2007 kkeil@suse.de
- patches.drivers/bonding-doc.diff: Update bonding.txt to reflect
  our backports (297144).
* Sun Sep 16 2007 lmb@suse.de
- patches.fixes/ckrm-crbce_default_params: CKRM - modprobe crbce
  without command line options fails (308593).
* Sat Sep 15 2007 lmb@suse.de
- patches.vfe/VFe-common-cpu-hotplug.patch,
  patches.vfe/sigqueue_opt.patch: refreshed to apply again.
* Fri Sep 14 2007 hare@suse.de
- patches.arch/s390-suse-bk-cpint_cpcmd.diff: Fix cpint memory
  leak (289821)
* Fri Sep 14 2007 hare@suse.de
- S/390: Mark monwriter as supported (308723)
* Fri Sep 14 2007 olh@suse.de
- disable patches.suse/rcu-signal-handling
  prevent kernel oops from userspace app (307130)
* Fri Sep 14 2007 olh@suse.de
- add  patches.arch/ibm-ppc64-970-purr.patch
  read PURR values on systems without a PURR register (310471 - LTC29628)
* Fri Sep 14 2007 hare@suse.de
- patches.arch/s390-44-09-april2004.diff: update patch to -v3.
- patches.arch/s390-06-iucv-cpu-hotplug.diff: IUCV-Update fuer
  CPU-Hotplug (FATE302091).
* Thu Sep 13 2007 olh@suse.de
- reenable patches.fixes/zone_reclaim_v6.patch
  reenable patches.fixes/swappiness-use-curr-prio.diff
  Ensure that mininum limits are checked with zone reclaim (309190)
* Wed Sep 12 2007 ksrinivasan@novell.com
- patches.xen/xen-arch.diff: Added ioctl for getting disk geometry
  (305748, 308451).
* Tue Sep 11 2007 duwe@suse.de
- Omit zero-sized e820 region at 4GB (Bug #137320)
* Tue Sep 11 2007 olh@suse.de
- disable patches.fixes/zone_reclaim_v6.patch
  disable patches.fixes/swappiness-use-curr-prio.diff
  workaround for OOM errors (309190)
* Mon Sep 10 2007 olh@suse.de
- add  patches.arch/ibm-ppc64-pci_iounmap.patch
  Add function to check if address is an IO port (309109)
* Fri Sep 07 2007 olh@suse.de
- add head patches.drivers/ibm-ppc64-vscsis-md-list.patch
  handle more than 10 entries in memory desdriptor list (300220 - LTC37712)
* Fri Sep 07 2007 hare@suse.de
- patches.arch/s390-06-iucv-cpu-hotplug.diff: IUCV-Update fuer
  CPU-Hotplug (FATE 302091).
* Fri Sep 07 2007 olh@suse.de
- add patches.drivers/libata-pdc2027x-pll.patch
  PLL detection fixes (308600 - LTC38587)
* Thu Sep 06 2007 hare@suse.de
- patches.drivers/cciss-sp4-update: fix disk size calculation
  (#307765)
* Tue Sep 04 2007 bwalle@suse.de
- patches.drivers/ips-update-7.12.05: Update version number for
  modinfo.
* Wed Aug 29 2007 jeffm@suse.de
- Updated to OCFS2 1.2.5-6 (FATE 302122).
* Tue Aug 28 2007 hhetter@suse.de
- patches.drivers/cifs-1.50a-update: Update to CIFS 1.50a.
- patches.suse/lustre-combined: Delete obsolete CIFS part.
- patches.fixes/cifs-do-not-take-rename-sem.patch: Delete.
- patches.fixes/cifs-rename-fix: Delete.
- patches.fixes/CIFS-Don-t-allow-a-backslash-in-a-path-component.patch:
  Delete.
- patches.fixes/cifs-inval-dentry-sles9.patch: Delete.
- patches.fixes/cifs-copy-cache-fix: Delete.
* Mon Aug 27 2007 jeffm@suse.de
- patches.fixes/reiserfs-unsigned-compare: Delete.
- patches.fixes/reiserfs-unsigned-less-than-zero-checks.diff:
  [PATCH] reiserfs: do not check if unsigned < 0 (208950).
* Mon Aug 27 2007 hhetter@suse.de
- patches.drivers/cifs-1.32-update: CIFS cleanup before version update
- patches.suse/lustre-combined: CIFS cleanup before version update
- patches.fixes/{inode_setattr.diff,cifs-inode_setattr.diff}:
  Split out CIFS part
* Mon Aug 27 2007 lmb@suse.de
- patches.drivers/ipmi_bmc_interrupt: Fix IPMI BMC interrupt
  handling (295941, FATE 302280).
* Mon Aug 27 2007 mszeredi@suse.cz
- patches.fixes/fix-might-sleep-in-atomic-while-dumping-elf.patch:
  [PATCH] fix might-sleep-in-atomic while dumping elf (277544).
* Fri Aug 24 2007 bwalle@suse.de
- patches.drivers/aic79xx-IBM-Havana: Move after
  patches.drivers/aic7xxx-sp4-update and adapted to add the PCI ID
  described in FATE #290337.
- patches.drivers/aic7xxx-sp4-update: Rebased because of moving
  of patches.drivers/aic79xx-IBM-Havana after this patch.
* Fri Aug 24 2007 jblunck@suse.de
- patches.arch/s390-44-10-april2004.diff: [S/390] zfcp: IO stall
  after deleting and path checker changes after.
- patches.arch/s390-44-11-april2004.diff: [S/390] hypfs: Inode
  corruption due to missing locking (303762).
- patches.arch/s390-44-12-april2004.diff: [S/390] kernel: out
  of memory notifier.
- patches.fixes/oom-fix-deadlocks: Rediff.
- patches.fixes/oom-fix-spurious-kills: Rediff.
* Thu Aug 23 2007 bwalle@suse.de
- patches.drivers/aic79xx-IBM-Havana: Revert last change because
  of later update (see FATE 302288)
* Thu Aug 23 2007 bwalle@suse.de
- patches.drivers/aic79xx-IBM-Havana: Update aic79xx driver
  version to "1.3.11-suse01" (290337).
* Thu Aug 23 2007 carnold@novell.com
- Removed unused patches from patches.xen
* Thu Aug 23 2007 andrea@suse.de
- patches.fixes/page-writeback-highmem: avoid overstimating
  the dirty limits for inodes only backed by lowmem.
* Thu Aug 23 2007 ak@suse.de
- patches.arch/x86_64-fam10-mtrr-fix.diff: Fix and reenable
  for all architectures
* Thu Aug 23 2007 ak@suse.de
- patches.arch/x86_64-dac-memleak: x86_64: Fix memory leak in
  pci_alloc_consistent (302094).
* Wed Aug 22 2007 olh@suse.de
- add patches.vfe/segment-registers-are-not-long.patch
  add patches.vfe/vfe-proc_unknown_nmi_panic.patch
* Tue Aug 21 2007 olh@suse.de
- define TIF_MEMDIE on vfe
* Tue Aug 21 2007 bwalle@suse.de
- patches.drivers/3w-9xxx-2.26.02.008: [PATCH] Update 3w-9xxx
  to 2.26.02.008 (from 2.6.22.3) (302507).
* Tue Aug 21 2007 trenn@suse.de
- patches.fixes/swappiness-use-curr-prio.diff: distress use
  current priority (Novell bugzilla #288799).
  -> Fix smp compile
* Fri Aug 17 2007 garloff@suse.de
- patches.fixes/make-swappiness-safer-to-use.patch: Handle low
  swappiness more gracefully (288799). (Upstream version from
  2.6.23-rc-mm.)
- patches.fixes/swappiness-use-curr-prio.diff: Use current memory
  pressure rather than old (racy) one to avoid wasting too many
  cycles (288799).
* Fri Aug 17 2007 rw@suse.de
- patches.arch/ia64-tioce-bringup-fixes-fix:
  [ia64] Unshackle tioce_dma_d32(). (203970)
* Fri Aug 17 2007 rw@suse.de
- patches.arch/ia64-mca.bus.check:
  [ia64] MCA recovery return value when no bus check.
- patches.arch/ia64-mca.os.init.slave:
  [ia64] Remove obsolete SN SAL error handling feature bit.
- patches.arch/ia64-mca_message:
  [ia64] Increase severity of MCA recovery messages.
- patches.arch/ia64-add.minstate.validation:
  [ia64] Add MCA minstate validation.
- patches.arch/ia64-message.details:
  [ia64] Adjust severity of MCA recovery messages.
  (296235, FATE 300736).
* Thu Aug 16 2007 bwalle@suse.de
- patches.fixes/cciss-cpq-disk-stats: Update disk statistics
  for cciss and cpqarray devices (276501).
* Mon Aug 13 2007 kkeil@suse.de
- patches.suse/sles9_myri10ge.diff: Myricom network driver.
  update to final 1.3.1 version from Myricom
* Thu Aug 09 2007 lmb@suse.de
- patches.fixes/xfs-27894a-make_growfs_work_for_amounts_greater_than_2tb:
  Make growfs work for amounts greater than 2TB (SGI:PV959978,
  296116, FATE 302325).
- patches.fixes/get_apic_id-fix: incorrect mask in get_apic_id()
  (260743).
* Thu Aug 09 2007 lmb@suse.de
- patches.arch/x86_64-fam10-mtrr-fix.diff: Disable on non-x86_64
  architectures.
* Tue Aug 07 2007 ksrinivasan@novell.com
- config.conf:
- Update config files.
- patches.xen/xen-arch-i386.diff: xen patches for sles9 (sp4).
- patches.xen/xen-arch-public.diff: xen-public headers from the
  xen package.
- patches.xen/xen-arch-x86_64.diff: xen patches for sles9 (sp4).
- patches.xen/xen-arch.diff: Addition of the Xen architecture.
- patches.xen/xen-common.diff: Changes of Xen to common code.
- patches.xen/xen-erratic-mouse.diff: This patch removes the
  erratic mouse behavior of SLES10, SLES9 hvm guests. (167187).
- patches.xen/xen-fdiv-test-stts: FPU screwed up after fdiv test.
- patches.xen/xen-fix-nettle: Replace asm wbinvd with wbinvd()
  call for Xen compat.
- patches.xen/xen-rcu-nohz: Fix race in generic RCU code..
- patches.xen/xen-rpmify: Also allow the kernel to carry a unique
  name for Xen.
- patches.xen/xen-udp-frag: use _bh locks in UDP code.
- rpm/kernel-binary.spec.in:
* Tue Aug 07 2007 trenn@suse.de
- patches.arch/x86_64-fam10-mtrr-fix.diff:
  mtrr: fix size_or_mask and size_and_mask
  (https://bugzilla.novell.com/show_bug.cgi?id=290021).
* Tue Aug 07 2007 olh@suse.de
- update preinstall diskspace check
  handle missing /etc/mtab, handle failed df call
* Mon Aug 06 2007 ksrinivasan@novell.com
- patches.xen: Added the following two patches as part xen support in SLES9SP4:
  [PATCH] xen-arch-x86_64.diff
  [PATCH] xen-arch-i386.diff
* Mon Aug 06 2007 ksrinivasan@novell.com
- Added xen config files for i386 pae and x86_64 architectures.
* Mon Aug 06 2007 teheo@suse.de
- patches.drivers/libata-ata_piix-update-map-10b-for-ich8m:
  [PATCH] ata_piix: update map 10b for ich8m.
* Mon Aug 06 2007 trenn@suse.de
- patches.arch/x86_64-fam10_powernow.patch:
  PowerNow! support for fam10 cpus
  (https://bugzilla.novell.com/show_bug.cgi?id=290013).
* Fri Aug 03 2007 hare@suse.de
- patches.drivers/aic7xxx-sp4-update: aic7xxx driver update
  (FATE #302288).
* Fri Aug 03 2007 olh@suse.de
- enable CONFIG_FUSION_SAS in pseries64 config
* Fri Aug 03 2007 kkeil@suse.de
- patches.drivers/tg3-3.77d_3.79b: Update tg3 to version 3.79b.
  FATE 300580, 301263, 302277, 302328
- patches.drivers/bnx2-1.6.3c: Update bnx2 to version 1.6.3c.
  FATE 302006 302278 302327
* Thu Aug 02 2007 hare@suse.de
- Update config files.
- patches.arch/s390-01-iucv-sles9.diff: AF_IUCV protocol support
  for Linux on System z. (FATE #302091).
- patches.arch/s390-02-hypfs-vm.diff: Hypervisor filesystem
  "s390_hypfs" for z/VM (FATE #302096).
- patches.arch/s390-03-crypto-tape.diff: Add encryption support
  for 3592 tape devices..
- patches.arch/s390-04-adapter-statistics.diff: zfcp: Add
  adapter statistics..
- patches.arch/s390-05-monwriter-sles9.diff: Character device
  driver for writing z/VM monitor records. (FATE #302089).
- patches.suse/lkcd-arch-kerntypes.patch:
* Thu Aug 02 2007 kkeil@suse.de
- patches.drivers/netxen: include netxen driver version 3.4.2.
  (FATE 300839)
* Wed Aug 01 2007 olh@suse.de
- add patches.drivers/ipr-sas.patch
  Update ipr and iprutil for SCSI adapter support on i5/p5 systems
  (296504 - LTC36432)
* Wed Aug 01 2007 hare@suse.de
- patches.drivers/mptfusion-3.12.12.00: Update MPT Fusion drivers
  to 3.12.12.00 (FATE #302331).
* Wed Aug 01 2007 teheo@suse.de
- patches.drivers/add-PCI-IDs-for-ICH8-9: [PATCH] add PCI IDs
  for ICH8 and 9 (249216, FATE 302270, FATE 302273, FATE 302274).
* Wed Aug 01 2007 olh@suse.de
- update patches.arch/ibm-ppc64-eeh-e1000.patch
  more changes (115942 - LTC16227)
* Wed Aug 01 2007 olh@suse.de
- remove initrd-flavor before rpm -U on a small /boot partition (259303)
* Tue Jul 31 2007 hare@suse.de
- patches.fixes/scsi-devinfo-update: Update blacklist entry for
  older HP XP arrays (FATE #301255).
* Tue Jul 31 2007 hare@suse.de
- patches.drivers/cciss-sp4-update: cciss update for SLES9 SP4
  (FATE #300686).
* Fri Jul 27 2007 ak@suse.de
- patches.arch/x86_64-pfn-valid: Harden pfn_valid() on x86_64
  against big memory holes (224744).
* Fri Jul 27 2007 olh@suse.de
- update patches.arch/ibm-ppc64-eeh-e1000.patch
  adapt patch for new e1000 version (115942 - LTC16227)
* Thu Jul 26 2007 oneukum@suse.de
- patches.fixes/sbp2_dma_boundary.patch: set a conservative DMA
  limit for buffers to be transfered via sbp2 (243270).
* Wed Jul 25 2007 bwalle@suse.de
- patches.drivers/s2io-update-build-2.0.23.1: Fixed driver
  (302320).
* Wed Jul 25 2007 schwab@suse.de
- perfmon-{montecito,tables}: perfmon support for Montecito [#243094].
* Tue Jul 24 2007 bwalle@suse.de
- patches.drivers/igb-1.0.1: Include kcompat.c to have _kc_kzalloc
  and _kc_netdev_alloc_skb available in igb.ko.
* Tue Jul 24 2007 andrea@suse.de
- patches.fixes/oom-fix-spurious-kills: go in sync with mainline
  to avoid spurious oom kills
- patches.fixes/oom-fix-deadlocks: fix lots of oom deadlock
  related bugs (202338).
* Mon Jul 23 2007 bwalle@suse.de
- patches.drivers/dell_rbu_0.9: [PATCH] Update the dell_rbu
  kernel module to 3.2 or later  (293823 302281).
* Mon Jul 23 2007 jdelvare@suse.de
- patches.fixes/anycast6-unbalanced-inet6_dev-refcnt.patch:
  Fix netdevice reference leak when reading from
  /proc/net/anycast6 (285336).
* Fri Jul 20 2007 olh@suse.de
- add patches.arch/ppc-of_get_property.patch
  map of_get_property to get_propery to avoid unresolved symbols
* Fri Jul 20 2007 teheo@suse.de
  Further vfe/um build fixes.  um builds okay now.  vfe is still broken
  due to a different reason (undefined reference to
  proc_unknown_nmi_panic).
- Update config files.
- patches.vfe/vfe-set-NO_IOMEM: [PATCH] vfe: set NO_IOMEM in
  arch Kconfig (249216, FATE 300695, FATE 300670).
* Thu Jul 19 2007 teheo@suse.de
- patches.drivers/libata-um-set-NO_IOMEM: [PATCH] um: set NO_IOMEM
  in arch Kconfig (249216, FATE 300695, FATE 300670).
* Thu Jul 19 2007 teheo@suse.de
- undo temp build fix to patches.drivers/libata-backport-iomap.
* Thu Jul 19 2007 teheo@suse.de
- patches.drivers/libata-ppc64-iomap-fix: [PATCH] ppc64: fix
  iomap on pseries (249216, FATE 300695, FATE 300670).
* Thu Jul 19 2007 jeffm@suse.de
- patches.fixes/pppoe-memory-leak-when-socket-is-released.diff:
  [PPPOE]: memory leak when socket is release()d before
  PPPIOCGCHAN has been called ... (292975).
* Thu Jul 19 2007 kkeil@suse.de
- patches.drivers/e1000-update-7.6.5: update e1000 driver to
  version 7.6.5. (#271167, FATE 302349, 300478)
- patches.drivers/e1000-poll-performance.patch: Delete.
- patches.drivers/e1000-watchdog-timer.patch: Delete.
- patches.drivers/e1000-update: Delete.
- patches.fixes/e1000-6.2.15-skb_trim.patch: Delete.
- patches.fixes/e1000-allocate_rx_buffer_fix.patch: Delete.
- patches.fixes/e1000-jumboframes-fix: Delete.
- patches.fixes/from-2.6.6-rcx-E1000-e1000.h-needs-dma-mapping.h:
  Delete.
- patches.suse/e1000-D3-cold-wake.patch: Delete.
* Thu Jul 19 2007 olh@suse.de
- update patches.drivers/libata-backport-iomap
  define _IO_BASE 0 to fix compile on ppc64
* Thu Jul 19 2007 kkeil@suse.de
- patches.suse/sles9_myri10ge.diff: Myricom network driver.
  (292647, FATE 302321)
- Update config files.
* Thu Jul 19 2007 teheo@suse.de
- patches.drivers/libata-ia64-dma_noncoherent-build-fix: [PATCH]
  ia64: dma_alloc/free_noncoherent() build fix (249216, FATE
  300695, FATE 300670).
* Wed Jul 18 2007 bwalle@suse.de
- patches.drivers/qla2xxx-v8.01.07.15: [PATCH] Update qla2xxx
  to v8.01.07.15 (279750 300932).
* Wed Jul 18 2007 bwalle@suse.de
- patches.drivers/s2io-update-2.0.23.1: [PATCH] Update s2io
  driver to latest upstream release (302320).
- patches.drivers/s2io-update-build-2.0.23.1: [PATCH] Backport
  s2io driver for SLES kernel (302320).
* Wed Jul 18 2007 olh@suse.de
- patches.fixes/ppc-fpu-corruption-fix.diff: [PATCH] ppc: fix
  corruption of fpu (292330, CVE-2007-3107).
* Tue Jul 17 2007 bwalle@suse.de
- patches.drivers/tg3-3.71b: Delete.
- patches.drivers/tg3-3.77d: [PATCH] Update tg3 to 3.77d (292312
  302203 200577).
* Tue Jul 17 2007 bwalle@suse.de
- Update config files.
- patches.drivers/igb-1.0.1: [PATCH] Add IGB driver 1.0.1
  (302317).
* Mon Jul 16 2007 tiwai@suse.de
- patches.suse/enable-unknown_nmi_panic: Add support of
  unknown_nmi_panic (291093).
* Mon Jul 16 2007 bwalle@suse.de
- patches.fixes/correct_l2_l3_cacheinfo_cpuinfo: [PATCH] Correct
  L2/L3 cacheinfo in /proc/cpuinfo (291661 302244).
* Fri Jul 13 2007 gregkh@suse.de
- patches.fixes/don-t-sync-in-panic.patch: Don't sync in panic
  (182348).
* Thu Jul 12 2007 bwalle@suse.de
- patches.fixes/ipv6-disallow-rh0-by-default.patch:
  fix wrong array size which prevented some systems from booting
  correctly (291483)
* Thu Jul 12 2007 teheo@suse.de
  Trim PCI device ID table of libata drivers which have intersecting
  support with IDE drivers and enable the ones which support controllers
  which IDE ones don't.
- Update config files.
- patches.drivers/libata-trim-supported-devices: [PATCH] libata:
  trim supported devices to avoid collision with IDE drivers
  (249216, FATE 300695, FATE 300670).
* Thu Jul 12 2007 teheo@suse.de
  lkcd-lkdump-sata_vsc was temporarily disabled for libata backport.
  Revive and adapt it to new libata.
- patches.fixes/lkcd-lkdump-sata_vsc: Add polling I/O support
  for Vitesse VSC7174.
* Thu Jul 12 2007 hare@suse.de
- patches.arch/s390-fixup-z90crypt: Compilation failure in
  drivers/s390/crypto/z90main.c.
* Thu Jul 12 2007 hare@suse.de
- Update config files for libata backport.
* Thu Jul 12 2007 teheo@suse.de
  Remove all existing libata updates and backport libata from 2.6.22.
  Patches for backport are put near the end of the series to avoid
  disturbing other patches.  However, removal of earlier libata patches
  did make updating several patches.
  i386/x86-64 configs are updated accordingly.  Other archs are untested
  yet and need fixing and config file update.
  References: bug 249216, FATE 300695, FATE 300670
  [#]### REMOVED LIBATA UPDATES
- patches.arch/libata-enable-pata-atapi-ppc: Delete.
- patches.drivers/libata-update-2.6.11: Delete.
- patches.drivers/libata-update-2.6.12: Delete.
- patches.drivers/libata-update-2.6.13: Delete.
- patches.drivers/libata-update-2.6.14-rc4: Delete.
- patches.drivers/libata-update-2.6.14-rc4-fixup: Delete.
- patches.drivers/libata-update-2.6.14-rc4-fixup-qstor: Delete.
- patches.drivers/pdc2027x-sata: Delete.
- patches.drivers/pdc2027x-sata-mdelay.patch: Delete.
- patches.drivers/libata-pdc2027x-atapi_dma.patch: Delete.
- patches.drivers/sata-nv-update: Delete.
- patches.drivers/libata-pdc2027x-pll: Delete.
- patches.drivers/libata-atapi-dont-log-pio-error: Delete.
- patches.drivers/libata-prepare-for-adhoc-working-EH: Delete.
- patches.drivers/libata-ata_piix-adhoc-EH: Delete.
- patches.drivers/libata-sata_promise-adhoc-EH: Delete.
- patches.drivers/sles9-sp3-libata-noshare.diff: Delete.
- patches.fixes/libata-eh-data-corruption: Delete.
  [#]### i386/x86-64 CONFIG FILES UPDATED
- Update config files.
  [#]### UPDATED PATCHES (NO CONTENT CHANGE)
- patches.drivers/forcedeth-update: update forcedeth driver to
  0.44 (117677).
- patches.drivers/ibm-ipr-2.0.0.patch: IPR update.
- patches.drivers/ibm-ppc64-vscsi: IBM VSCSI support.
- patches.drivers/nvidia-ide: amd74xx ide update.
  [#]### PATCHES BACKPORTING LIBATA FROM 2.6.22
- patches.drivers/libata-add-pci-ids-for-backport: [PATCH] PCI:
  add PCI IDs in preparation of libata backport (249216, FATE
  300695, FATE 300670).
- patches.drivers/libata-add-pci-features-for-backport: [PATCH]
  PCI: backport miscellaneous features for libata backport
  (249216, FATE 300695, FATE 300670).
- patches.drivers/libata-add-misc-features-for-backport: [PATCH]
  backport misc features for libata backport (249216, FATE 300695,
  FATE 300670).
- patches.drivers/libata-backport-HAS_IOMEM-and-friends: [PATCH]
  backport HAS_{IOMEM|IOPORT|DMA} config options (249216, FATE
  300695, FATE 300670).
- patches.drivers/libata-backport-iomap: [PATCH] iomap: backport
  iomap from 2.6.22. (249216, FATE 300695, FATE 300670).
- patches.drivers/libata-backport-devres: [PATCH] devres:
  backport devres from 2.6.22. (249216, FATE 300695, FATE 300670).
- patches.drivers/libata-update-SCSI-core-for-backport: [PATCH]
  SCSI: update SCSI core for libata backport (249216, FATE 300695,
  FATE 300670).
- patches.drivers/libata-kill-old-libata: [PATCH] libata: kill
  libata (249216, FATE 300695, FATE 300670).
- patches.drivers/libata-import-libata-from-2.6.22: [PATCH]
  libata: import libata from 2.6.22 (249216, FATE 300695,
  FATE 300670).
- patches.drivers/libata-adapt-sht: [PATCH] libata: adjust
  sht's according to the current SCSI (249216, FATE 300695,
  FATE 300670).
- patches.drivers/libata-kill-PM-support: [PATCH] libata: kill PM
  (249216, FATE 300695, FATE 300670).
- patches.drivers/libata-kill-ACPI-suppport: [PATCH] libata:
  kill ACPI support (249216, FATE 300695, FATE 300670).
- patches.drivers/libata-make-backported-code-work: [PATCH]
  libata: make the backported code work (249216, FATE 300695,
  FATE 300670).
* Wed Jul 11 2007 bwalle@suse.de
- patches.drivers/dell-dcdbas-update-5.6.0-3.2: [PATCH] dcdbas:
  Update to 5.6.0-3.2 (302286).
* Tue Jul 10 2007 jbeulich@novell.com
- patches.fixes/LAuS-scalar-ioctl-args.patch: don't terminate
  app on inaccessible ioctl argument (245164).
* Mon Jul 09 2007 bwalle@suse.de
- series.conf: fix build (patches.suse/increase-MCE-bank-counts
  was added twice)
* Mon Jul 09 2007 bwalle@suse.de
- patches.suse/increase-MCE-bank-counts: [PATCH] x86_64: increase
  MCE bank counts (302243).
* Mon Jul 09 2007 bwalle@suse.de
- patches.drivers/aic79xx-IBM-Havana: [PATCH] Update aic79xx
  driver to support IBM Havana (AHA29320 LPe) SCSI Adapter
  (290337).
* Mon Jul 09 2007 jeffm@suse.de
- patches.fixes/taskdelays-license-patch: [PATCH] taskdelays:
  Add LGPL license to include/linux/taskdelays.h.
* Mon Jul 09 2007 bwalle@suse.de
- patches.drivers/tg3-3.71b: [PATCH] Update tg3 to 3.71b (300580).
* Fri Jul 06 2007 bwalle@suse.de
- patches.drivers/aacraid-1.1.5.2434: [PATCH] Update aacraid to
  1.1.5.2434 (290155 302292).
- patches.drivers/aacraid-1.1.5.2434-fix-build: [PATCH] Fix
  build for driver update (290155  302292).
* Wed Jul 04 2007 bwalle@suse.de
- Update config files.
- patches.drivers/netxen: Add 10Gb Ethernet Expansion Card for
  IBM BladeCenter (301846).
* Wed Jul 04 2007 bwalle@suse.de
- patches.drivers/ips-update-7.12.05: Update to ips V7.12.05
  (300829).
- patches.drivers/ips-update-7.12.05-buildfix: Fix build of ips
  driver (300829).
* Tue Jul 03 2007 olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-power5.patch
  oprofile support for Power 5++ (288671 - LTC 35794)
* Mon Jul 02 2007 bwalle@suse.de
- patches.drivers/adp94xx-v1.0.8-11: adp94xx v1.0.8-11 (Bugzilla
  190441 265628, FATE 265628).
- Update config files.
* Fri Jun 22 2007 jeffm@suse.de
- patches.fixes/random-fix-bound-check-ordering.diff: [PATCH]
  random: fix bound check ordering (286672).
* Fri Jun 22 2007 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-hvcall-ack.patch
  Replace custom locking code with a spinlock (237261 - LTC30800)
* Thu Jun 21 2007 hare@suse.de
- patches.arch/s390-43-13-april2004.diff: [S/390] cio: device
  becomes not-operational after device offline (LTC-35129).
- patches.arch/s390-44-01-april2004.diff: [S/390] zfcp: Adapter
  fails after several hours chpid off/on (LTC-35232).
- patches.arch/s390-44-02-april2004.diff: [S/390] zfcp: Units
  are reported as BOXED. (LTC-35239).
- patches.arch/s390-44-03-april2004.diff: [S/390] zfcp: I/O
  stall when performing FC cable pulls (LTC-35237).
- patches.arch/s390-44-04-april2004.diff: [S/390] zfcp: incorrect
  usage of erp_lock might lead to deadlocks (LTC-35248).
- patches.arch/s390-44-05-april2004.diff: [S/390] zfcp: Avoid
  possible memory corruptions. (LTC-35294).
- patches.arch/s390-44-06-april2004.diff: [S/390] zfcp: Locking
  for req_seq_no (LTC-34405).
- patches.arch/s390-44-07-april2004.diff: [S/390] zfcp: fix
  incorrect usage of fsf_req_list_lock (LTC-35282).
- patches.arch/s390-44-08-april2004.diff: [S/390] zfcp: adapter
  in failed state after successful recovery (LTC-35244).
- patches.arch/s390-44-09-april2004.diff: [S/390] zfcp: might
  hang while registering devices with SCSI (LTC-35235).
* Thu Jun 21 2007 hare@suse.de
- patches.fixes/scsi-remove-host-procfs: kernel Oops after rmmod
  lpfc (251257).
* Wed Jun 20 2007 bwalle@suse.de
- patches.drivers/qla3xxx_2.03.00: Adding qla3xxx driver for
  SLES9 SP4 inclusion (255180, 300937).
- enable qla3xx driver in config file
* Wed Jun 20 2007 bwalle@suse.de
- patches.drivers/megaraid_sas_2.00: megaraid_sas Driver update
  to 3.13 from 2.00 (283599, 302332).
* Tue Jun 19 2007 olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-no-power4p.patch
  fix crash with OProfile on Power4 iSeries (257061 - LTC 30226)
* Wed Jun 13 2007 bwalle@suse.de
- patches.drivers/emulex-lpfc-801634: [PATCH] Update driver to
  8.0.16.34 (302324, 279653).
* Wed Jun 13 2007 bwalle@suse.de
- patches.fixes/increase-vmcore-length-128: [PATCH] Increase
  core pattern length to 128 (300382).
* Tue Jun 12 2007 olh@suse.de
- update patches.arch/ppc64.patch
  add + to "POWER5 (gs)" /proc/cpuinfo entry (280815 - LTC34294)
* Fri Jun 08 2007 jeffm@suse.de
- patches.fixes/fix-sctp-remote-triggerable-oops.diff: [PATCH]
  NETFILTER: {ip, nf}_conntrack_sctp: fix remotely triggerable
  NULL ptr dereference (282234).
* Fri Jun 08 2007 jeffm@suse.de
- patches.suse/amd-fam10-11-pci-ids: [PATCH] pci.ids: update
  PCI IDs for new AMD processors (281298).
* Fri Jun 08 2007 jdelvare@suse.de
- patches.fixes/fusion-nat-consumption-fix: Handle a potential race
  in mptbase. This fixes a NaT consumption crash (257412).
* Thu Jun 07 2007 jkosina@suse.de
- patches.fixes/fix-hiddev-oops-2: Fix disconnect oops in hiddev
  (279318).
* Thu Jun 07 2007 jdelvare@suse.de
- patches.fixes/xfs-kern-25683a-chash-doublelink: Fix inode
  reclaim scalability regression (255313).
* Thu Jun 07 2007 neilb@suse.de
- patches.fixes/nfs-osync-error-return: Ensure proper error
  return from O_SYNC writes (280833).
* Sun Jun 03 2007 bwalle@suse.de
- patches.drivers/qla4xxx-5.01.00.08: Update the qla4xxx driver
  to 5.00.07 (Bug 192598, FATE 300933).
* Thu May 31 2007 lmb@suse.de
- patches.fixes/bonding-arpmon-2: Send only one ARP probe when
  using bonding with ARP monitoring (226764).
* Fri May 25 2007 ak@suse.de
- patches.arch/x86_64-intel-disable-smi: Allow to disable most
  SMI interrupts on a Intel chipset (212086).
* Wed May 23 2007 lmb@suse.de
- patches.fixes/fix-posix_locks_deadlock: Fix a deadlock with
  POSIX deadlock detection (272738).
* Wed May 23 2007 jack@suse.cz
- disabled patches.fixes/aio_ringbuffer_race_fix.diff as IBM
  (author) isn't sure it's the right fix (265996)
* Wed May 23 2007 olh@suse.de
- add patches.arch/ppc-os-term-panic_timeout.patch
  reboot when panic_timout is set (274474)
* Wed May 23 2007 hare@suse.de
- patches.drivers/qla2xxx-8.01.06: Update qla2xxx to 8.01.06
  (209542).
- patches.suse/ckrm-rbce-path-args: Fixup patch to compile again.
* Tue May 22 2007 jack@suse.cz
- patches.fixes/compat_mount_oops_fix.diff: Skip data
  conversion in compat_sys_mount when data_page is NULL (274112,
  CVE-2006-7203).
* Tue May 22 2007 hare@suse.de
- Update config files.
- patches.drivers/cciss-2.6.14-update: Add HP cciss 2.6.14
  for review.
* Tue May 22 2007 hare@suse.de
- patches.fixes/raw-dont-call-device-remove-on-bind: raw device
  file disappears after binding by using raw command (211211).
* Tue May 22 2007 hare@suse.de
- patches.arch/s390-41-0[1-4]-april2004.diff:
- patches.arch/s390-42-0[1-4]-april2004.diff:
- patches.arch/s390-43-[01-12]-april2004.diff:
  Include latest patchset from IBM.
- patches.arch/s390-cio-deferred-retry:
  Remove obsolete patch
- patches.suse/ckrm-rbce-path-args:
  Update patch to apply again.
* Mon May 21 2007 ptesarik@suse.cz
- patches.fixes/fs-rewrite-remove_arg_zero: If necessary, free
  pages when removing arg zero during exec (204281).
* Mon May 21 2007 ptesarik@suse.cz
- patches.fixes/ptrace-signal-race: Fix ptracer race condition
  to prevent BUG_ON in do_notify_parent (210680).
* Thu May 17 2007 jbohac@suse.cz
- fixed patches.fixes/ipv6-disallow-rh0-by-default.patch
* Wed May 16 2007 jbohac@suse.cz
- patches.fixes/ipv6-disallow-rh0-by-default.patch:
  disallow routing header by default (270814, CVE-2007-2242)
* Tue May 15 2007 lmb@suse.de
- patches.arch/woodcrest_est_x64_short: Support Intel Woodcrest
  and Conroe CPUs (216747, LTC 26500, FATE 300853).
* Tue May 15 2007 hare@suse.de
- patches.suse/lkcd-allocate-isa-bounce-pool: LKCD running out
  of memory during dump (204316).
- patches.suse/scsi-add-DID_COND_REQUEUE: SLES 9 SP3 mptscsi
  device driver doesn't work with IBM SVC (243958).
* Mon May 14 2007 jack@suse.cz
- patches.fixes/aio_ringbuffer_race_fix.diff: Fix race in AIO
  buffer handling leading to lost wake-ups (265996).
* Thu May 10 2007 jack@suse.cz
- patches.fixes/xfs-flush_invalidate_dirty_pages_direct_read.diff:
  Flush and invalidate dirty pages at start of direct read (263366,
  SGI:PV:949916, SGI:Modid:xfs-linux-melb:xfs-kern:25483a).
* Fri May 04 2007 jack@suse.cz
- patches.fixes/ext3-GFP_NOFS-for-symlinks.diff: ext3:
  ext3_symlink should use GFP_NOFS allocations inside (259497).
* Fri Apr 27 2007 bwalle@suse.de
- patches.fixes/i386-microcode.diff: x86 microcode: don't check
  the size (266888).
* Mon Apr 23 2007 bwalle@suse.de
- patches.suse/rcu-signal-handling: Fix compile warnings
  (in every C file including <linux/sched.h> => every C file)
* Fri Apr 20 2007 jdelvare@suse.de
- patches.drivers/e1000-poll-performance.patch: Disable for now,
  it causes lockups on some systems, most notably Thinkpad laptops
  (see #254713).
* Tue Apr 10 2007 ptesarik@suse.cz
- patches.fixes/dio-shortread-over-hole-at-eof: fix O_DIRECT read
  of last block in a sparse file.  (#257118)
* Fri Apr 06 2007 jdelvare@suse.de
- patches.fixes/net-appletalk-prevent-crash-in-ddp.patch:
  [APPLETALK] Fix a remotely triggerable crash (251735).
* Wed Apr 04 2007 teheo@suse.de
- patches.drivers/ide-via82cxxx-sync-PCI-IDs-to-upstream:
  [PATCH] via82cxxx: sync PCI IDs to upstream (254158).
* Tue Apr 03 2007 npiggin@suse.de
- patches.suse/objrmap-truncate-race-compat: merge fix.
* Tue Apr 03 2007 npiggin@suse.de
- patches.suse/objrmap-truncate-race-compat: bug for bug
  compatibility for objrmap-truncate-race (255909 252797).
* Mon Apr 02 2007 hare@suse.de
- patches.arch/s390-cio-deferred-retry: cio: Retry internal
  operation on deferred condition code 1 (259406).
* Fri Mar 30 2007 jeffm@suse.de
- patches.fixes/bluetooth-setsockopt-leak.diff: Compile fix.
* Fri Mar 30 2007 ak@suse.de
- patches.arch/x86_64-smphalt: Fix race in shutdown that can
  lead to hangs. (193735).
* Wed Mar 28 2007 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-slave_configure.patch
  add slave_configure to allow device restart (258104 - LTC20253)
* Tue Mar 27 2007 jbohac@suse.cz
- patches.fixes/ipv6-flowlabel-fix-doube-free: fix a possible double
  free and other ipv6/flowlabel problems. #257090
* Tue Mar 27 2007 oneukum@suse.de
- patches.fixes/visor_security.patch: OOM DoS in visor driver.
  (257921)
* Tue Mar 27 2007 ptesarik@suse.cz
- patches.fixes/rusage-posix-fix.patch: fix a race condition
  in procfs
* Mon Mar 26 2007 oneukum@suse.de
- patches.fixes/visor_spinlock.patch: fixed my own
  stupid spinlock bug
* Mon Mar 26 2007 oneukum@suse.de
- patches.fixes/visor_merge_fix.patch: fixed merge
* Mon Mar 26 2007 oneukum@suse.de
- patches.fixes/visor_security.patch: OOM DoS in visor driver.
* Mon Mar 26 2007 neilb@suse.de
- patches.fixes/lockd-flush-signals: Allow lockd to unregister
  with portmap (255811).
* Fri Mar 23 2007 gregkh@suse.de
- patches.fixes/mp_uart_backup_timer.patch: 8250 UART backup
  timer fix (188701).
* Tue Mar 20 2007 jdelvare@suse.de
- patches.drivers/intel-ich7: Remove duplicate device ID
  definition.
* Tue Mar 20 2007 neilb@suse.de
- patches.fixes/net-llc-fixup: [LLC]: Use pskb_trim_rcsum()
  in llc_fixup_skb(). (238198).
* Fri Mar 16 2007 jeffm@suse.de
- patches.suse/LAuS-kernel: Updated minor number to remove clash
  with TPM LKM (253940)
* Fri Mar 16 2007 oneukum@suse.de
- patches.fixes/firewire_swiotlb.patch: make sure firewire
  doesn't bomb on systems with a lot of ram but no iommu (243270).
* Mon Mar 12 2007 oneukum@suse.de
- patches.fixes/8250_further_locking.patch: [SERIAL] 8250:
  sysrq deadlock fix.
* Mon Mar 12 2007 oneukum@suse.de
- patches.fixes/8250_add_locking.patch: [SERIAL] 8250: add
  locking to console write function. 250051
* Fri Mar 09 2007 ptesarik@suse.cz
- patches.fixes/cciss-fifo-full.patch: set maximum number of
  commands according to the kind of the controller (221453).
* Fri Mar 09 2007 neilb@suse.de
- patches.fixes/nfsd-filldir-64bit: Allow nfsd readdir to return
  64bit cookies (86039).
* Thu Mar 08 2007 jblunck@suse.de
- patches.fixes/ext3-readdir-readahead-bug-quickfix.diff: Delete.
- patches.fixes/ext3-bread-find-entry-fix.diff: ext3: Fix
  ext3_bread and ext3_find_entry (228682, RH 213921).
- patches.fixes/reiserfs-readahead-fix.diff: reiser: fix problem
  when READA returns EAGAIN (228682, 249272, RH 213921).
- patches.fixes/udf-readahead-fix.diff: udf: replace READA by READ
  (228682, RH 213921).
* Tue Mar 06 2007 jeffm@suse.de
- patches.fixes/xfs-use-new-i_flags_lock-to-protect-i_flags:
  XFS inode use after free, trips BUG() in generic_delete_inode()
  (179117, SGI:PV958118).
* Tue Mar 06 2007 jeffm@suse.de
- patches.fixes/dio_should_wait-zab1.patch: aio/dio: fix another
  refcount bug (207588).
* Wed Feb 28 2007 npiggin@suse.de
- patches.arch/ia64-perfmon-fix: Fix ia64 perfmon file/memory
  lifetime (200055).
* Mon Feb 26 2007 jack@suse.cz
- patches.fixes/xfs-fix-inode-i_sem-counter-problem.diff: Fix
  inode i_sem count problem. (205154, SGI:PV953294).
* Fri Feb 23 2007 teheo@suse.de
- patches.drivers/libata-prepare-for-adhoc-working-EH: [PATCH]
  libata: prepare for ad-hoc working EH (225378, 236219).
- patches.drivers/libata-ata_piix-adhoc-EH: [PATCH] ata_piix:
  implement ad-hoc EH (236219).
- patches.drivers/libata-sata_promise-adhoc-EH: [PATCH]
  sata_promise: implement ad-hoc EH (225378).
* Thu Feb 22 2007 jeffm@suse.de
- patches.fixes/swapfile-no-i_sem.diff: [PATCH] Don't hold i_sem
  on swapfiles (222533).
* Thu Feb 22 2007 npiggin@suse.de
- patches.arch/x86_64-ia32-stack-account: Correct x86_64 stack
  accounting for ia32 binaries (221174).
* Thu Feb 22 2007 hare@suse.de
- patches.drivers/mptspi-sequential-scan-hang: Boot time hang
  during sequential scan of SCSI-2 target LUNs (243401).
* Thu Feb 22 2007 jeffm@suse.de
- patches.fixes/smbfs-honor-mount-ops.diff:  smbfs does not
  honor uid, gid, file_mode and dir_mode supplied by user mount
  (225692, CVE-2006-5871).
* Thu Feb 22 2007 jeffm@suse.de
- patches.fixes/fix-ext3-kmalloc-flags-with-journal-handle.diff:
  [PATCH] ext3: use GFP_NOFS when allocating memory with an open
  journal handle (228694).
* Wed Feb 21 2007 jblunck@suse.de
  LVM2 hangs when creating snapshots with load on LV (#190263)
- patches.fixes/dm-__lock_fs-error.diff
- patches.fixes/dm-dm_swap_table-fix.diff
- patches.fixes/dm-fix-deadlock-prep.diff
- patches.fixes/dm-fix-deadlock.diff
- patches.fixes/dm-free_dev-fix.diff
- patches.fixes/dm-freeze_bdev-return.diff
- patches.fixes/dm-snapshot-fix-kcopyd-destructor.diff
- patches.fixes/dm-snapshot-fix-origin_write-pe-submission.patch
- patches.fixes/dm-store-frozen_bdev.diff
- patches.fixes/dm-suspend-error-path.diff
- patches.fixes/dm-suspend_lock.diff
- patches.fixes/dm-tidy-dm_suspend.diff
* Tue Feb 20 2007 ptesarik@suse.cz
- patches.fixes/ia64-accessed-dirty-race-fix:
  Fix race in the accessed/dirty bit handlers (63321).
* Thu Feb 15 2007 npiggin@suse.de
- patches.fixes/buffer-memorder-fix.patch: Fix buffer lock
  critical section.
* Tue Feb 13 2007 oneukum@suse.de
- further fix for #191836
* Tue Feb 13 2007 oneukum@suse.de
- backport of memory dos fix for #191836
* Thu Feb 08 2007 neilb@suse.de
- patches.fixes/nfs-jiffie-wrap: Avoid extra GETATTR calls caused
  by 'jiffie wrap'. (233155).
* Mon Feb 05 2007 jack@suse.cz
- patches.fixes/ext3-readdir-readahead-bug-quickfix.diff: Quick
  fix for ext3 readdir problems making fs go read-only (235305).
* Mon Feb 05 2007 jdelvare@suse.de
- patches.fixes/xfs-kern-28000a-buffer-unwritten-new: Set the
  buffer new flag on writes to unwritten XFS extents. This fixes
  a corruption in preallocated files on XFS (237843).
* Thu Feb 01 2007 jdelvare@suse.de
- patches.suse/dynamic-timeslice: Updated to prevent an overflow
  leading to an oops when max_timeslice is set too high (222334).
  32-bit architectures are still affected though.
* Tue Jan 30 2007 neilb@suse.de
- patches.fixes/sunrpc-busy-atomic: test and set SK_BUSY
  atomically (211839).
* Wed Jan 24 2007 olh@suse.de
- fix uml build
* Wed Jan 24 2007 neilb@suse.de
- patches.suse/nfs-write-limit: Make suggested values the default
  so that the benefit of this patch is available without tuing (162604)
* Tue Jan 23 2007 perex@suse.de
- patches.fixes/aio_free_ring-oops2.diff: Delete.
  The problem is already fixed with patches.fixes/aio_free_ring-oops.diff.
* Tue Jan 23 2007 perex@suse.de
- patches.fixes/aio_free_ring-oops2.diff: Oops in aio_free_ring
  on 2.6.9 (CVE-2006-5754) (231185).
* Mon Jan 22 2007 oneukum@suse.de
- patches.fixes/usb-hid-203911-event-field-not-found.diff
  backport of a surpression of a warning from newer kernels
* Mon Jan 22 2007 hare@suse.de
- patches.fixes/scsi-devinfo-hitachi-update: LVM UUID fails
  after LVM update (223287).
* Wed Jan 17 2007 olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg-quiet.patch
  Quieten lparcfg (233668 - LTC30293)
* Wed Jan 17 2007 olh@suse.de
- add patches.drivers/e1000-poll-performance.patch
  reduce polling overhead with multiple interfaces (234509 - LTC16105)
* Thu Jan 11 2007 hare@suse.de
- patches.fixes/dm-mpath-emc-status-fix: emc multipath hw handler
  does not return its status (96836).
* Wed Jan 10 2007 ak@suse.de
- patches.arch/x86-mpparse: Need to pass virtual address to
  smp_read_mpc for x86_64/i386 (#196917).
* Tue Jan 09 2007 perex@suse.de
- patches.fixes/dev-queue-xmit-bh: unbalanced local_bh_enable()
  in dev_queue_xmit() (CVE-2006-6535) (228201).
* Thu Jan 04 2007 jblunck@suse.de
- rpm/kernel-binary.spec.in: fixed overriding of config options.
* Thu Jan 04 2007 jeffm@suse.de
- patches.fixes/bad_inode-types.diff: vfs: fix missing sign
  extension on error return codes w/ bad inodes (230270).
* Fri Dec 22 2006 okir@suse.de
- patches.fixes/sunrpc-listen-race: knfsd: Fix race that can
  disable NFS server. (230287).
* Fri Dec 22 2006 andrea@suse.de
- patches.fixes/refill-inactive-irq-latency-can_writepage: avoid
  can_writepag slowdowns. (224664)
* Thu Dec 21 2006 kkeil@suse.de
- patches.fixes/patch-isdn-ppp-init-reset-state-timer: add
  init_timer() for ISDN PPP CCP reset state timer.
* Wed Dec 20 2006 kkeil@suse.de
- patches.fixes/patch-bluetooth-cmtp-length-check: [Bluetooth]
  Add packet size checks for CAPI messages.
* Wed Dec 20 2006 rw@suse.de
- patches.arch/ia64-sn2-bte_unaligned_copy-overrun:
  [ia64] Avert transfer of extra cache line by bte_unaligned_copy().
  (#224169)
* Mon Dec 18 2006 neilb@suse.de
- patches.fixes/nfs-silly-delete-fix: avoid BUG when mount -f
  on nfs filesystem with  pending silly-delete. (226717).
* Fri Dec 15 2006 rw@suse.de
- patches.arch/ia64-fp-rate-limit:
  [ia64] Reduce overhead of FP exception logging messages. (#228433)
* Wed Dec 13 2006 neilb@suse.de
- patches.fixes/nfsd-llseek: Use llseek instead of f_pos= for
  directory seeking in nfsd (86039).
* Fri Dec 01 2006 jeffm@suse.de
- patches.suse/reiserfs-missing-unlock.diff: reiserfs: fix missing
  unlock in io-error code.
* Wed Nov 29 2006 rw@suse.de
- patches.arch/ia64-mca-ignore-valid.fr:
  [ia64] avoid KDB errors from kdba_mca_init.  (#209660)
* Tue Nov 28 2006 lmb@suse.de
- patches.fixes/ptrace_check_attach-locking: Fix ptrace race by
  adding locking to ptrace_check_attach (180423).
* Tue Nov 28 2006 lmb@suse.de
- patches.fixes/atm-null-dereference.fix: Fix null pointer
  dereference in atm (205383).
* Tue Nov 28 2006 jeffm@suse.de
- patches.fixes/ext2_readdir-filp-f_pos-fix.diff: ext2:
  ext2_readdir() filp->f_pos fix (220330).
* Fri Nov 24 2006 perex@suse.de
- patches.fixes/fs-buffer-recovery-fix: VUL-0: kernel: Information
  leak in __block_prepare_write (208460).
* Thu Nov 23 2006 schwab@suse.de
- perfmonctl: Fix reference counting in perfmonctl syscall [#202269].
* Wed Nov 22 2006 jeffm@suse.de
- patches.fixes/hfs-fail-mount.diff: hfs_fill_super returns
  success even if no root inode (221230).
* Wed Nov 22 2006 jeffm@suse.de
- patches.fixes/cifs-inval-dentry-sles9.patch: [CIFS] When file
  is deleted locally but later recreated on the server they
  don't get noticed (220540).
* Wed Nov 22 2006 rw@suse.de
- patches.fixes/CVE-2006-4538:
  [ia64] local DoS with corrupted ELFs.  (#203822 CVE-2006-4538)
* Fri Nov 17 2006 jeffm@suse.de
- patches.suse/audit-realpath-enoent: open(/foo/bar) would be
  logged whenever /foo didn't exist (200118).
* Fri Nov 17 2006 jeffm@suse.de
- patches.fixes/handle-ext3-directory-corruption-better.patch:
  ext3: directory integrity checking (220288).
* Fri Nov 17 2006 rw@suse.de
- patches.fixes/xfs-unlink-recovery-fix:
  [XFS] unlink recovery fix.  (#202877 SGI:PV953263)
* Tue Nov 14 2006 gregkh@suse.de
- fix error in: patches.drivers/usb-add-raritan-kvm-usb-dongle-to-the-hid_quirk_noget-blacklist.patch:
  USB: add Raritan KVM USB Dongle to the HID_QUIRK_NOGET blacklist
  (216225).
* Tue Nov 14 2006 gregkh@suse.de
- patches.drivers/usb-add-raritan-kvm-usb-dongle-to-the-hid_quirk_noget-blacklist.patch:
  USB: add Raritan KVM USB Dongle to the HID_QUIRK_NOGET blacklist
  (216225).
* Sat Nov 11 2006 andrea@suse.de
- patches.fixes/dev-mem-false-positive: avoid false positive
  BUG_ON on /dev/mem page aliases.
* Thu Nov 09 2006 jblunck@suse.de
- rpm/kernel-binary.spec.in: always build with debug info enabled.
* Thu Nov 09 2006 jeffm@suse.de
- patches.fixes/cramfs-blocksize.diff: corrupted cramfs
  filesystems cause kernel oops (218237).
* Thu Nov 09 2006 olh@suse.de
- add patches.suse/ppc-alignment-exception.patch
  Make alignment exception always check exception table (217295)
* Wed Nov 08 2006 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-ibmveth_replenish_buffer_pool.patch
  fix assertion failure in ibmveth_replenish_buffer_pool (206419 - LTC25576)
* Tue Nov 07 2006 lmb@suse.de
- patches.fixes/pfm_record_tm-locking-fix: Add list entry with
  write lock protection in perfmon (214936).
* Mon Nov 06 2006 hare@suse.de
- patches.drivers/qla1280-scb-timeout: qla1280 times out on long
  operations such as tape rewind (214695).
* Mon Nov 06 2006 hare@suse.de
- patches.drivers/qla1280-bus-reset-handling: performance slowdown
  after bus reset on qla12160 HBA (213717).
* Mon Nov 06 2006 hare@suse.de
- patches.suse/lkcd-struct-runqueue-export: cannot find per cpu
  symbol 'runqueues' when analyzing dump (202697).
* Sat Nov 04 2006 lmb@suse.de
- patches.fixes/bonding-arpmon: bonding driver: verify incoming
  packets in arp_mon mode (202326).
* Fri Nov 03 2006 kkeil@suse.de
- patches.suse/calculate-task-pressure-properly
- patches.suse/do_not_allow_a_limit_of_zero
- patches.suse/doc_update
- patches.suse/dont_remove_if_guar_zero
- patches.suse/fix_savings
- patches.suse/ignore-rq-with-1proc-in-load-balancing
- patches.suse/make_softlimit_proper
- patches.suse/mult_overflow_fix.patch
- patches.suse/no_undue_importance_for_low_grt
- patches.suse/pressure_zero_when_nr_running_is_zero
- patches.suse/rename_total_grt_to_total_esl
- patches.suse/savings_accum_recalc
- patches.suse/use_busiest_load_instead_of_avg_load
- patches.suse/use_grt_in_sort_instead_of_inc_limit
- patches.suse/use_limit_instead_of_grt_when_consuming_surplus
- patches.suse/fix_demand_calc.patch1
- patches.suse/be_less_aggressive_in_load_balancing
  CKRM fails to enforce CPU resource guarantees (173437).
* Wed Nov 01 2006 ihno@suse.de
- default for HZ_TIMER is now off and not on (s390/s390x)
* Tue Oct 31 2006 hare@suse.de
- patches.arch/s390-40-10-april2004.diff:
  Update with fixed version.
- patches.arch/s390-40-1[1-8]-april2004.diff:
  Include latest patchset from IBM.
* Mon Oct 30 2006 agruen@suse.de
- scripts/log (via scripts/check-cvs-add): Complain when a patch
  referenced in series.conf does not exist.
* Tue Oct 17 2006 rmaxfiel@novell.com
- patches.xen/xen-erratic-mouse.diff: Fixes erratic mouse behavior
  in HVM SLES9 guest. (167187)
* Tue Oct 17 2006 ptesarik@suse.cz
- patches.fixes/sys_flock-race-fix.diff: Fix sys_flock() race (205323).
* Thu Oct 12 2006 jeffm@suse.de
- patches.fixes/grow_buffers-infinite-loop-fix.diff: grow_buffers()
  infinite loop fix (205384).
* Thu Oct 12 2006 jeffm@suse.de
- patches.fixes/ipx_rcv-ipx-header-check: Actually added the patch.
* Thu Oct 12 2006 kkeil@suse.de
- patches.fixes/ipx_rcv-ipx-header-check: [IPX]: Header length
  validation needed (197809).
* Tue Oct 10 2006 lmb@suse.de
- patches.suse/rcu-signal-handling: Improve signal handling
  scalability on SMP (209630).
* Wed Oct 04 2006 hare@suse.de
- patches.drivers/icadd-license_gpl.patch:
  Add license to ICA drivers (140103 - LTC20744)
* Wed Oct 04 2006 hare@suse.de
- patches.arch/s390-04-10-april2004.diff:
  Add latest Patchset from IBM.
* Fri Sep 29 2006 olh@suse.de
- add patches.suse/kdb-ppc64-dabr.patch
  fix dabr support in kdb (208224 - LTC19783)
* Fri Sep 29 2006 andrea@suse.de
- patches.fixes/cached_hole_size: avoid fragmentation (141653).
* Wed Sep 27 2006 jack@suse.cz
- patches.fixes/bdev-imapping-race.diff: Fix race between
  sync_single_inode() and iput() (172493).
* Tue Sep 26 2006 hare@suse.de
- patches.fixes/libata-eh-data-corruption: Fix data corruption
  when invoking error handling (202998)
- patches.arch/s390-40-[3-9]-april2004.diff: Import latest
  patchset from IBM
* Tue Sep 26 2006 neilb@suse.de
- patches.fixes/statd-refcount-fix: Fix refcounting problems in
  host management in lockd. (148009).
- patches.fixes/statd-regular-gc: Make lockd garbage collect
  hosts more often (148009).
* Tue Sep 19 2006 olh@suse.de
- add patches.fixes/wait_on_page_writeback_range_wq.patch
  fix oops in __aio_run_iocbs (165140 - LTC20252)
* Tue Sep 19 2006 jblunck@suse.de
- patches.fixes/i386-cpuinfo-amd-dualcore-fix.diff: /proc/cpuinfo:
  display number of cores (203749).
* Tue Sep 12 2006 jblunck@suse.de
- patches.fixes/dm-bio_list_merge-fix.diff: device-mapper
  snapshot: bio_list fix (117435).
- disabled patches.arch/s390-35-06-april2004.diff because it breaks
  kernel-um (203196).
* Fri Sep 08 2006 hare@suse.de
- patches.arch/s390-39-1[3-8]-april2004.diff
- patches.arch/s390-40-0{1,2}-april2004.diff
  Add latest patches from IBM
- Mark qla2400 as supported (204078)
* Wed Sep 06 2006 jack@suse.cz
- patches.fixes/no_write_inode_recursive_201.patch: Prevent
  recursive call of filesystem from balance_dirty_pages (166012).
* Wed Sep 06 2006 jack@suse.cz
- patches.fixes/udf-truncate-overflow.diff: Fix possible UDF
  deadlock and memory corruption (186226, CVE-2006-4145).
* Tue Sep 05 2006 jack@suse.cz
- patches.fixes/reiserfs-nfs-lock-fix.diff: Add forgotten lock
  in reiserfs_get_dentry (170162).
* Sat Sep 02 2006 tonyj@suse.de
- patches.suse/subdomain_secupdate: AppArmor security fixes
  (172061 175388).
* Wed Aug 30 2006 lmb@suse.de
- patches.fixes/aio-dio-error-passing: Propagate errors for
  AIO/O_DIRECT (202289).
* Mon Aug 28 2006 jblunck@suse.de
- patches.suse/delayed-atime-3: fixed a typo (197710).
* Fri Aug 25 2006 jeffm@suse.de
- patches.fixes/sun-disklabel-unsigned.patch: sun disk label:
  fix signed int usage for sector count (183366).
* Fri Aug 25 2006 jeffm@suse.de
- patches.drivers/mpt-module-load-fix: kernel panic during power
  on sequence (189534).
* Fri Aug 25 2006 neilb@suse.de
- patches.fixes/nfs-pmap-hard-retry: Make portmap requests 'hard'
  when nfs filesystem is mounted 'hard' (95374).
* Wed Aug 23 2006 ak@suse.de
- patches.suse/toss-page-read-only: disable reading from
  /proc/sys/vm/toss_page_cache_nodes (199686).
* Wed Aug 23 2006 gregkh@suse.de
- patches.fixes/ext3-lookup-dotdot.patch: Fix knfsd intermittently
  returns ENOENT on GETATTR of valid file or directory (193934).
- patches.fixes/netdev_timeout.patch: ignore multiple
  COMM_START_WRITE_NETDUMP_ACK packets (138321).
- patches.fixes/zone_reclaim_v6.patch: Zone reclaim changes for
  NUMA (143199).
* Wed Aug 23 2006 schwab@suse.de
- within-logging-rate-limit: Scaling fix for simultaneous unaligned
  accesses [#145599].
* Wed Aug 23 2006 axboe@suse.de
- patches.drivers/libata-atapi-dont-log-pio-error: Don't log
  atapi stat == 0x51 errors for atapi commands (141385).
- patches.drivers/sles9-sp3-libata-noshare.diff: Fix EH deadlock
  (188351).
- patches.fixes/scsi-scan-sequential-luns-leak: SCSI HBA drivers
  cannot rmmod w/o oops due to SCSI scan logic.
* Tue Aug 22 2006 jeffm@suse.de
- patches.suse/lkcd-lvm-dump-partition.patch: lkcd: deal with
  dumping to lvm and md (146711 LTC21294).
* Tue Aug 22 2006 jeffm@suse.de
- patches.suse/ckrm-buffer-size: ckrm - make relay_open params
  an module parameter. (149762 LTC21406).
* Tue Aug 22 2006 jeffm@suse.de
- patches.fixes/reiserfs-periodic-flush-latency: Fix reiserfs
  latencies caused by data=ordered (154374).
* Tue Aug 22 2006 jeffm@suse.de
- patches.fixes/reiserfs-fix-transaction-overflowing.diff:
  [PATCH] reiserfs: fix transaction overflowing (145070).
* Tue Aug 22 2006 agruen@suse.de
- patches.fixes/pagevec_strip.patch: Fix race in pagevec_strip
  (158289).
* Tue Aug 22 2006 agruen@suse.de
- patches.fixes/xfs-kern-26347a-fix-race-on-link: fix race on link
  (191713, SGI:PV953287).
* Tue Aug 22 2006 jbenc@suse.cz
- fix for bug 199441 (CVE-2006-3635)
* Thu Aug 17 2006 agruen@suse.de
- Remove obsolete kabi reference symbols: SLES9 SP4 will not have
  binary compatible modules to SLES9 SP3.
* Thu Aug 17 2006 olh@suse.de
- add patches.arch/ppc-970-attn.patch
  Clear HID0 bit 31 on PPC970 at boot time (197810)
* Wed Aug 16 2006 rw@suse.de
- patches.arch/ia64-sn-tioce_bus_fixup:
  Altix: amend patches.fixes/tioce-bringup-fixes.  (#187261)
- patches.arch/ia64-sn-tioce_reserve_m32:
  Altix: keep tioce_reserve_m32() from walking off the end of
  the CE ATE array.  (#183472)
* Tue Aug 15 2006 lmb@suse.de
- patches.fixes/proc_do_toss_page_cache_nodes-fix: Fix locking
  (183048).
* Thu Aug 10 2006 gregkh@suse.de
- fix kdb build issue with patches.fixes/rusage-posix-fix.patch:
  [PATCH] fix rusage semantics (195113).
* Thu Aug 10 2006 lmb@suse.de
- patches.fixes/vm-overcommit-is-signed: bugfix for
  sysctl_overcommit_memory is set to OVERCOMMIT_NEVER (153342).
- patches.suse/ocfs2-configfs-20060809: Update to OCFS2 1.2.3 (138287).
* Thu Aug 10 2006 gregkh@suse.de
- fix build error in patches.fixes/rusage-posix-fix.patch:
  [PATCH] fix rusage semantics (195113).
* Thu Aug 10 2006 ak@suse.de
- patches.fixes/x86-watchdog-x460: Enable watchdog on IBM x460
  for i386/x86-64 (SUSE194555).
* Thu Aug 10 2006 gregkh@suse.de
- patches.fixes/rusage-posix-fix.patch: [PATCH] fix rusage
  semantics (195113).
* Thu Aug 10 2006 neilb@suse.de
- patches.fixes/ext2-check-filehandles: Have ext2 reject file
  handles with bad inode numbers early. (192988).
- patches.fixes/ext3-check-filehandles: Make ext3 reject
  filehandles referring to invalid inode numbers (192988).
* Tue Aug 08 2006 hare@suse.de
- patches.arch/s390-39-{01-12}-april2004.diff
  Add latest patchset from IBM.
* Tue Aug 08 2006 neilb@suse.de
- patches.fixes/nfs-dir-avoid-getattr: NFS: Optimise away an
  excessive GETATTR call when a file is symlinked (189132).
- patches.fixes/nfs-cleanup_fattr_init: Nfs: Cleanup
  initialisation of struct nfs_fattr (189132).
- patches.fixes/nfs-make_change_attr_jiffies: NFS: Convert
  cache_change_attribute into a jiffy-based value (189132).
- patches.fixes/nfs-fattr_set_timestamp: NFS: Make nfs_fattr
  record the time at which the rpc call started (189132).
- patches.fixes/nfs-optimise_attribute_updates: NFS: Optimise
  inode attribute cache updates (189132).
- patches.fixes/nfs-remove_verifier_arg: NFS: Remove redundant
  'verifier' argument to nfs_update_inode() (189132).
- patches.fixes/nfs-dont_clobber_attribute_update_info: NFS:
  Don't let nfs_end_data_update() clobber attribute update
  information (189132).
- patches.fixes/nfs-nfs_close_optimise: NFS: Optimise attribute
  revalidation on close(). (189132).
* Tue Aug 08 2006 neilb@suse.de
- patches.fixes/nfs-xprt-flush_work: Fix possible work queue
  corruption resulting in oops. (183391).
* Tue Aug 08 2006 gregkh@suse.de
- patches.fixes/ckrm-free-argv-stuff-exec-if-it-has-been-allocated-earlier.patch:
  CKRM: Free argv stuff at exec if it has been allocated earlier
  (182973).
* Mon Aug 07 2006 kkeil@suse.de
- patches.fixes/forcedeth_mapping_fix: [PATCH] forcedeth: fix
  random memory scribbling bug (188013).
* Fri Aug 04 2006 hare@suse.de
- patches.fixes/st-fix-ioctl: Fix return value for 'mt tell'
  ioctl (145383)
* Fri Aug 04 2006 axboe@suse.de
- patches.fixes/scsi-remove-device-fix: Fix problem with
  /proc/scsi remove-single-device (186236).
* Tue Aug 01 2006 jdelvare@suse.de
- patches.drivers/fusion-oops: Updated the double completion fix
  for fusion driver (172910).
* Mon Jul 31 2006 lmb@suse.de
- patches.fixes/proc_do_toss_page_cache_nodes-fix: Updated to prevent a
  deadlock (183048).
* Fri Jul 28 2006 lmb@suse.de
- patches.suse/ocfs2-enable-cdsl: Enable context-dependent symlinks in
  OCFS2 (195081).
* Mon Jul 17 2006 olh@suse.de
- add patches.arch/ibm-ppc64-power6-avoid-priv-instr.patch
  bring up more than 1 CPU on POWER6 (192875 - LTC25468)
* Mon Jul 17 2006 jblunck@suse.de
- patches.fixes/fix-proc-race-explpoit.patch: Kernel /proc
  "root race" (192688).
* Mon Jul 17 2006 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries_veth-offline-lpar-errors.patch
  Lower transmit error counts (192484 - LTC19058)
* Fri Jul 14 2006 olh@suse.de
- add patches.arch/ibm-ppc64-signal-keep-fpscr.patch
  Save fpscr correctly in signals (192315 - LTC24525)
* Fri Jul 14 2006 jeffm@suse.de
- patches.fixes/netfilter-sctp-conntrack-fix-crash.diff:
  [PATCH] NETFILTER: SCTP conntrack: fix crash triggered by
  packet without chunks [CVE ... (190136).
* Fri Jul 14 2006 jeffm@suse.de
- patches.fixes/xt_sctp-fix-endless-loop.diff: [PATCH] xt_sctp:
  fix endless loop caused by 0 chunk length (CVE-2006-3085)
  (186584).
* Fri Jul 14 2006 jeffm@suse.de
- patches.fixes/netfilter-snmp-nat-fix-memory-corruption.diff:
  [PATCH] NETFILTER: SNMP NAT: fix memory corruption
  (CVE-2006-2444) (177577).
* Thu Jul 13 2006 jblunck@suse.de
- patches.drivers/cdrom-dvdreadstructure-typo.patch: stack buffer
  overflow in CDROM handling (190396).
* Wed Jul 12 2006 lmb@suse.de
- patches.fixes/proc_do_toss_page_cache_nodes-fix: Fix concurrent writes
  to /proc/sys/vm/toss_page_cache_nodes (183048).
* Wed Jul 12 2006 hare@suse.de
- patches.fixes/dm-mpath-ratelimit-messages:
  system hangs when failing a path (177266 - LTC23855)
- patches.fixes/sysfs-dont-hash-invisible-nodes:
  Fix kernel panic when rmmod mptspi (175919)
* Tue Jul 11 2006 jblunck@suse.de
- patches.fixes/vfs-in-dentry-qstr-fix.diff: vfs: use in-dentry
  qstr rather than allocate an external one (182924).
* Tue Jul 11 2006 olh@suse.de
- add patches.arch/ppc-signal-sles9.patch
  Fix machine check problem on 32-bit kernels (186583)
* Mon Jul 10 2006 hare@suse.de
- patches.arch/s390-38-0[1-6]-april2004.diff
  Includes latest patchset from IBM
- patches.arch/s390-38-06-april2004.diff
  Disable broken patch
* Fri Jul 07 2006 lmb@suse.de
- patches.suse/ocfs2-configfs-20060707: Update OCFS2 to 1.2.2 from
  Oracle.
* Fri Jul 07 2006 jack@suse.cz
- patches.fixes/jbd-forget-fix.diff: Fix assertion failure in
  journal_drop_transaction() (180498)
* Thu Jul 06 2006 gregkh@suse.de
- patches.fixes/fix-prctl-privilege-escalation-and-suid_dumpable.patch:
  fix prctl privilege escalation and suid_dumpable (CVE-2006-2451)
  (186980).
* Thu Jul 06 2006 agruen@suse.de
- patches.fixes/null-terminate-over-long-proc-kallsyms-symbols.patch:
  Null-terminate over-long /proc/kallsyms symbols (190296).
* Thu Jul 06 2006 gregkh@suse.de
- Fix up
  patches.fixes/sctp-respect-the-real-chunk-length-when-walking-parameters.patch
  to build properly.
* Wed Jul 05 2006 gregkh@suse.de
- patches.fixes/sctp-respect-the-real-chunk-length-when-walking-parameters.patch:
  SCTP: Respect the real chunk length when walking parameters
  (CVE-2006-1858) (177571).
- patches.fixes/sctp-validate-the-parameter-length-in-hb-ack-chunk.patch:
  SCTP: Validate the parameter length in HB-ACK chunk
  (CVE-2006-1857) (177571).
* Thu Jun 29 2006 rw@suse.de
- patches.arch/ia64-sn2-hwperf-topology-nearest-node:
  SN topology fix for large systems.  (#180448)
* Wed Jun 28 2006 rw@suse.de
- patches.arch/ia64-sn2-only-checks:
  Add sn2 checks to sn2-only drivers. (#179096)
* Tue Jun 27 2006 jblunck@suse.de
- patches.fixes/dm-raid1-bad-mapping: bio_to_region fix (151217).
* Tue Jun 27 2006 neilb@suse.de
- patches.fixes/nfs-lookup-continue-fix: VFS: Ensure
  LOOKUP_CONTINUE flag is preserved by link_path_walk()
  (intel-nfs-problem).
* Tue Jun 27 2006 ak@suse.de
- patches.arch/apic-error-debug-printk: Make APIC errors
  KERN_DEBUG (188009).
* Wed Jun 21 2006 mason@suse.de
- patches.suse/write-throttle-limits: the whole RAM can't become
  dirty cache (pagetables, slab etc...) (164387).
* Wed Jun 21 2006 mason@suse.de
- patches.suse/write-throttle-limits: the whole RAM can't become
  dirty cache (pagetables, slab etc...) (164387).
* Tue Jun 20 2006 neilb@suse.de
- patches.fixes/nfsd-domainname-size-problem: Remove limit on
  domain name length in export cache (183226).
* Mon Jun 19 2006 agruen@suse.de
- patches.fixes/xfs-kern-952214-log-recovery-compat: log recovery
  32/64-bit system compatibility fix (184265, SGI:PV952214).
* Fri Jun 09 2006 neilb@suse.de
- patches.fixes/nfsd-type-3-fh: Fix nfsd support for filesystems
  on devices with large minors (182552).
* Thu Jun 08 2006 ak@suse.de
- patches.arch/x86_64-force-iret: Fix UML (156580).
* Wed Jun 07 2006 jdelvare@suse.de
- patches.drivers/lpfc-x0x3x0x0.patch: lpfc: Fix for "Unknown
  IOCB command Data: x0 x3 x0 x0" (161780).
* Fri Jun 02 2006 gregkh@suse.de
- patches.fixes/scsi-sg-do-not-set-VM_IO-flag-on-mmap-ed-pages.patch:
  [PATCH] [SCSI] sg: do not set VM_IO flag on mmap-ed pages
  (177085).
* Thu Jun 01 2006 tiwai@suse.de
- patches.drivers/alsa-hda-intel-free-irq-race-fix: hda-intel -
  Fix race in remove (167869).
* Thu Jun 01 2006 agruen@suse.de
- patches.fixes/xfs-kern-26040a-do-not-dirty-inode-being-freed:
  Don't dirty the inode if it being freed in xfs_iunpin
  (179117, SGI:PV952967).
* Tue May 30 2006 schwab@suse.de
- snsc-init: Fix 512p Altix 4700 boot problem in snsc driver [#179096].
* Mon May 29 2006 agruen@suse.de
- patches.drivers/fusion-oops: Oops when device is taken offline
  under I/O (172910).
- patches.drivers/fusion-restore-sp2-behavior: Restore queue_depth
  control from before SP3 (172910).
* Thu May 25 2006 kkeil@suse.de
- patches.fixes/s2io-mcast.patch: fix set_multicast_list bug
  (#178407)
* Tue May 23 2006 axboe@suse.de
- patches.drivers/scsi_scan_remove_fix.patch: Fix oops in SCSI
  PCI hotplug remove path (144204).
- patches.fixes/blk_recalc_rq_segments-fix: Fix
  blk_recalc_rq_segments() (173489).
- patches.fixes/scsi_init_io.diff: Fix IO restart on BLKPREP_DEFER
  (173489).
- patches.fixes/scsi_alloc_sgtable.diff: Kill request on invalid
  sgtable mapping (173489).
* Mon May 22 2006 olh@suse.de
- remove patches.arch/ibm-ppc64-dma_addr_t-64bit.patch
  hardware will not be supported in SLES9 (167391 - LTC23107)
* Fri May 19 2006 jblunck@suse.de
- patches.fixes/cifs-rename-fix: avoid oops in cifs_unlink (173177).
- patches.fixes/cifs-do-not-take-rename-sem.patch: CIFS kernel
  module deadlock when renaming/moving files (173178).
* Thu May 18 2006 gregkh@suse.de
- patches.fixes/pci-correctly-allocate-return-buffers-for-osc-calls.patch:
  PCI: correctly allocate return buffers for osc calls (171362).
* Mon May 15 2006 hare@suse.de
- patches.arch/s390-36-01-april2004.diff:
  Include open-sourced tape3590 driver.
- patches.arch/s390-37-0{1,2}-april2004.diff
  Add latest patches from IBM.
- Update S/390 configs.
* Fri May 12 2006 tonyj@suse.de
- patches.suse/subdomain: Fixes for:
  164920 VUL-0: kernel: sd_get_name doesn't check d_path return
  165472 VUL-0: kernel: if in _sd_perm_dentry() error occured
  174698 VUL-0: Apparmor fails to prevent PTRACE_TRACEME
* Fri May 12 2006 mason@suse.de
- patches.suse/objrmap-truncate-race: avoid race between
  invalidate_inode_pages2 and do_no_page (119654 133890).
* Thu May 11 2006 okir@suse.de
- patches.suse/nfs-write-limit: [NFS] Add write throttling to
  prevent OOM (129940).
- patches.fixes/nfs-write-limit: Delete.
* Wed May 10 2006 olh@suse.de
- add patches.arch/ibm-ppc64-multi-tce.patch
  use hcall-multi-tce when present (173693)
* Wed May 10 2006 kkeil@suse.de
- patches.fixes/sctp_prevent_infinite_recursion: [SCTP]:
  Prevent possible infinite recursion with multiple bundled
  DATA. (173800).
* Wed May 10 2006 kraxel@suse.de
- patches.fixes/fix-de_thread-vs-sys_wait4-race: de_thread()
  vs. sys_wait4() race fix (138306).
* Tue May 09 2006 ak@suse.de
- patches.arch/x86_64-vsyscall32-ptrace-map: x86_64: Map 32bit
  vsyscall area from ptrace (169980).
* Tue May 09 2006 kkeil@suse.de
- patches.fixes/sctp_fix_state_table: [SCTP]: Fix state table
  entries for chunks received in CLOSED state. (173800).
- patches.fixes/sctp_fragmentation_fix: [SCTP]: Fix panic's when
  receiving fragmented SCTP control chunks. (173800).
* Tue May 09 2006 neilb@suse.de
- patches.fixes/nfsd-size-change-locking: Fix locking when
  changing size in nfsd (173255).
* Mon May 08 2006 neilb@suse.de
- patches.fixes/nfs-write-limit: [NFS] Add write throttling to
  prevent OOM (129940).
* Sat May 06 2006 agruen@suse.de
- patches.fixes/dcache-race-during-umount: Fix error (136310).
* Sat May 06 2006 agruen@suse.de
- patches.fixes/umount-prune_one_dentry-fix.diff: replace with
  patches.fixes/dcache-race-during-umount, which is cleaner and
  only causes one kernel ABI change instead of many (136310).
* Fri May 05 2006 gregkh@suse.de
- patches.fixes/shmat-stop-mprotect-from-giving-write-permission-to-a-readonly-attachment.patch:
  shmat: stop mprotect from giving write permission to a readonly
  attachment (CVE-2006-1524) (165768).
* Fri May 05 2006 gregkh@suse.de
- patches.fixes/smbfs-chroot-issue-CVE-2006-1864.patch: smbfs
  chroot issue (CVE-2006-1864) (167929).
* Thu May 04 2006 ak@suse.de
- patches.arch/amd-fxsave: Fix compilation
* Thu May 04 2006 gregkh@suse.de
- patches.fixes/__group_complete_signal-remove-bogus-bug_on.patch:
  [PATCH] __group_complete_signal: remove bogus BUG_ON
  [CVE-2006-1523] (165492).
* Thu May 04 2006 gregkh@suse.de
- patches.fixes/netfilter-sctp-conntrack-fix-infinite-loop.patch:
  NETFILTER: SCTP conntrack: fix infinite loop (CVE-2006-1527)
  (172111).
* Thu May 04 2006 okir@suse.de
- patches.suse/nfs-statd-hostnames: Back out accidental
  change that removed nlm_use_underlying_lock_ops sysctl (172510)
* Thu May 04 2006 hare@suse.de
- patches.arch/s390-34-1[0-5]-april2004.diff
- patches.arch/s390-35-0[1-8]-april2004.diff
  Include latest patchsets from IBM
* Thu May 04 2006 gregkh@suse.de
- patches.fixes/IPV4-ip_route_input-panic-fix.patch: [PATCH]
  [IPV4]: ip_route_input panic fix (CVE-2006-1525) (167534).
* Thu May 04 2006 gregkh@suse.de
- Fix build error with CIFS patch
* Thu May 04 2006 gregkh@suse.de
- patches.fixes/CIFS-Don-t-allow-a-backslash-in-a-path-component.patch:
  [CIFS] Don't allow a backslash in a path component
  (CVE-2006-1863) (167929).
* Tue May 02 2006 lmb@suse.de
- patches.fixes/lsm-do_compat_readv_writev: LSM: add missing hook to
  do_compat_readv_writev() (#170096).
* Mon May 01 2006 perex@suse.de
- patches.suse/ipvs-workqueue:
  fix for IPVS can deadlock system by calling si_meminfo (#157765)
* Mon May 01 2006 perex@suse.de
- patches.suse/netfilter-conntrack-sinzero:
  VUL-0: kernel: minor information leak in SO_ORIGINAL_DST (#159046)
* Sat Apr 29 2006 gregkh@suse.de
- patches.fixes/usb-cache-strings-in-devices-file.patch: USB:
  let the /proc/bus/usb/devices file use the cached descriptor
  strings (#160487).
* Thu Apr 27 2006 neilb@suse.de
- patches.fixes/nfsd-groupsinfo_leak: Fix group_info leak in
  svcauth_null_accept (169434).
* Wed Apr 26 2006 hare@suse.de
- patches.arch/s390-33-[01-11]-april2004.diff
- patches.arch/s390-34-0[1-9]-april2004.diff
  Include IBM codedrop.
- patches.fixes/qeth_vlan_bonding_fix
- patches.arch/s390-zfcp-handle-failfast.patch
  Remove obsolete patches
- patches.fixes/scsi-scan-sdev-leak
  Fix sdev leak in scsi_scan (#161069)
* Tue Apr 25 2006 lmb@suse.de
- patches.fixes/ipmi-race: Fix a IPMI driver race condition (#162062).
* Mon Apr 24 2006 ak@suse.de
- patches.arch/amd-fxsave: i386/x86-64: Fix x87 information leak
  between processes (CVE-2006-1056) (135677).
* Mon Apr 24 2006 kkeil@suse.de
- patches.fixes/x86_64-vect_share_irq
  Don't lower FIRST_DEVICE_VECTOR for x86_64 too
* Mon Apr 24 2006 garloff@suse.de
- patches.suse/scsi-scan-tolerate-pq3-[23]: Change BLIST_ATTACH_PQ3
  flag to 0x1000000 to avoid conflict with BLIST_MAX_512.
* Sat Apr 22 2006 jack@suse.cz
- patches.fixes/quota-reiser-deadlock.diff: Fix deadlock in
  reiserfs with quotas (115460).
- patches.fixes/reiserfs-defacl-xattr-lock-fix.diff: Fix deadlock
  in reiserfs acl code (115460).
* Fri Apr 21 2006 olh@suse.de
- add patches.arch/ibm-ppc64-mdelay.patch
  disable patches.drivers/pdc2027x-sata-mdelay.patch
  mdelay() delays longer than expected when micro-partitioning is
  turned on. use private mdelay macro on ppc64 (161492 - LTC17558)
* Fri Apr 21 2006 lmb@suse.de
- patches.suse/ocfs2-configfs-20060420: Update to OCFS2 1.2.1.
* Fri Apr 21 2006 ak@suse.de
- patches.arch/x86_64-free-iommu-race: Fix a race in the
  free_iommu path.
* Thu Apr 20 2006 jbohac@suse.cz
- fixed patches.fixes/ipv6-addrconf-after-link. (#153631)
  The patch commited yesterday was malformed. Rediffed, fixed.
* Thu Apr 20 2006 olh@suse.de
- add patches.arch/ibm-ppc64-dma_addr_t-64bit.patch
  change dma_addr_t to u64 on ppc64 (167391 - LTC23107)
* Wed Apr 19 2006 jbohac@suse.cz
- updated patches.fixes/ipv6-addrconf-after-link. (#153631)
  IF_READY is now correctly set on NETDEV_UP.
  http://lkml.org/lkml/2006/2/27/345
* Wed Apr 19 2006 garloff@suse.de
- Mark TPM modules as eXternally supported.
* Wed Apr 19 2006 garloff@suse.de
- patches.suse/scsi-scan-tolerate-pq3-1: Return blacklist flags
  even if LUN is not attached.
- patches.suse/scsi-scan-tolerate-pq3-3: Fix typo.
* Wed Apr 19 2006 garloff@suse.de
- Patches for bug 158532: Handle PQ3 devices without REPORT_LUNS
  well.
  * patches.suse/scsi-scan-tolerate-pq3-1: At least try LUN 1, even
  if LUN 0 did report PQ==3 and thus was not attached.
  * patches.suse/scsi-scan-tolerate-pq3-2: If we don't attach b/c
  of PQ==3, log messages and make dev_flags suggestions.
  Use log level 2 << 6 (scsi_mod.scsi_logging_level=128).
  * patches.suse/scsi-scan-tolerate-pq3-3: Introduce blacklist
  flag BLIST_ATTACH_PQ3; if it's present, we'll treat devices
  with PQ==3 as present (but only attach sg). Set flag for HITACHI.
- Patch for bug 142561: Don't lower FIRST_DEVICE_VECTOR in
  patches.fixes/x86_64-vect_share_irq
* Tue Apr 18 2006 ak@suse.de
- patches.arch/x86-smp-siblings:  Double check smp siblings
  reported by BIOS (135723).
* Tue Apr 18 2006 lmb@suse.de
- patches.fixes/net-ipv4-ip_id: Fix IPv4 IP ID generation
  [CVE-2006-1242] (159035)
* Wed Apr 12 2006 ak@suse.de
- patches.arch/x86_64-force-iret: When user could have changed
  RIP always force IRET [CVE-2006-0744] (156580).
* Tue Apr 11 2006 kraxel@suse.de
- patches.fixes/fix-signal-exit-curr_target-race: fix race:
  signal->curr_target update vs. thread exit (157700, 138306).
* Mon Apr 10 2006 agruen@suse.de
- patches.fixes/xfs-kern-25687a-sles9sp3-iunpin-reclaim-fix: Fix
  an inode use-after-free during an unpin (SGI:PV946321, 142533).
* Mon Apr 10 2006 neilb@suse.de
- patches.fixes/nfs-random-xid: Improve randomess of initial
  xid choice (157597).
* Fri Apr 07 2006 neilb@suse.de
- patches.fixes/nfs-safe-cache-invalidate: avoid a revalidate
  to destroy the pte dirty bits (139336).
* Wed Apr 05 2006 olh@suse.de
- add patches.arch/ppc64-update_mmu_cache_fix.patch
  prefill MMU only on 0x300 and 0x400 exceptions (163142 - LTC19765)
* Wed Apr 05 2006 olh@suse.de
- add patches.arch/ppc64-htab-no-PTE_BUSY-loop.patch
  Dont loop on PTE_BUSY bit in low level ppc64 MMU code (163645 - LTC22944)
* Tue Apr 04 2006 schwab@suse.de
- memcpy-mck-exception-handler: Fix possible oops in copy_from_user
  [#162097].
* Tue Apr 04 2006 agruen@suse.de
- Add /boot/symtypes.gz and the logic to generate it. This table
  allows to trace modverion changes back to their causes.
* Thu Mar 30 2006 neilb@suse.de
- patches.fixes/nfs-kernel-lock: Add extra kernel_lock protection
  for nfsi->flags in nfs. (149063).
* Thu Mar 30 2006 neilb@suse.de
- patches.fixes/md-faulty-count-fix: Fix incorrect count of
  'faulty' devices (158278).
* Tue Mar 28 2006 agruen@suse.de
- patches.fixes/bte_addr_fix: Shub2 BTE address fix (159247).
- patches.fixes/fetchop-AMO-cache-flushing: fetchop driver fix
  (159247).
- patches.fixes/ptcfixes: Altix: TLB flushing fixes for SHUB2
  (159247).
- patches.fixes/sn_hwperf_geoid_to_cnode-fix: fix for-loop in
  sn_hwperf_geoid_to_cnode() (159247).
- patches.fixes/tioce-bringup-fixes: altix:  driver bugfixes
  and hardware workarounds for CE1.0 asic (159247).
* Mon Mar 27 2006 olh@suse.de
- build CONFIG_SECURITY_SUBDOMAIN as module
* Thu Mar 23 2006 ak@suse.de
- patches.fixes/mbind-limit: Add upper boundary to mempolicy
  node arguments. (156049).
* Thu Mar 23 2006 schwab@suse.de
- xpc-disengage-request: ensure XPC disengage request is processed
  [#160077].
* Thu Mar 23 2006 garloff@suse.de
- patches.drivers/sym2-ignore-wide: mask top byte when getting
  remaining bytes (91631).
* Wed Mar 22 2006 ak@suse.de
- patches.arch/x86_64-elf-entry-check: Check for bad elf entry
  address. (SUSE151546).
* Wed Mar 22 2006 axboe@suse.de
- patches.drivers/dm-fail-barrier-write: Make dm fail barrier
  writes (159455).
* Tue Mar 21 2006 agruen@suse.de
- patches.rpmify/supported-flag: Fix typo that made
  /proc/sys/kernel/unsupported unavailable (159547).
* Mon Mar 20 2006 okir@suse.de
- patches.suse/LAuS-lock-contention: Avoid lock contention in
  audit stubs (157734 - LTC21561).
* Mon Mar 20 2006 okir@suse.de
- patches.suse/silent-stack-overflow: rediffed to avoid patch
  mis-application (heap-stack-gap would show up in /proc/sys,
  not /proc/sys/vm).
- patches.suse/toss_page_cache_nodes: rediff
* Sat Mar 18 2006 agruen@suse.de
- scripts/update-symvers: Add script for updating the reference
  module symbol versions.
- Update reference module symbol versions to SLES-9-SP-3-*-RC4.
* Mon Mar 13 2006 schwab@suse.de
- perfmon-crash-2: fix perfmon crash [#157032].
* Sat Mar 11 2006 agruen@suse.de
- patches.vfe/startup_restart.patch: Rediff due to
  patches.fixes/fix-kstopmachine-preemtion.
* Fri Mar 10 2006 agruen@suse.de
- patches.fixes/xfs-kern-25238a-quota-trans-diag: quota trans diag
  (131262, SGI:PV931456).
* Thu Mar 09 2006 agruen@suse.de
- patches.fixes/fix-kstopmachine-preemtion: kstopmachine must
  not be prempted (140923).
* Thu Mar 09 2006 okir@suse.de
- patches.suse/LAuS-ia64-max-syscalls: [laus] Fix
  __AUD_POLICY_LAST_SYSCALL for ia64 (154804).
* Wed Mar 08 2006 jbohac@suse.cz
- fixed patches.fixes/ipv6-addrconf-after-link. (#153631)
  The previously submitted patch had been accidentally truncated.
* Tue Mar 07 2006 agruen@suse.de
- patches.fixes/xfs-ftruncate-stale-data: XFS ftruncate() bug
  could expose stale data (151055).
* Mon Mar 06 2006 jbohac@suse.cz
- patches.suse/ip6-export-in6_dev_put: exports in6_dev_get and
  in6_dev_put (155151)
* Mon Mar 06 2006 schwab@suse.de
- die-if-kernel-noreturn: don't declare die_if_kernel as noreturn
  [#154622].
* Fri Mar 03 2006 neilb@suse.de
- patches.fixes/nfs-direct-io-vul: Normal user can panic NFS
  client with direct I/O (CVE-2006-0555) (151056).
* Thu Mar 02 2006 jeffm@suse.de
- patches.fixes/reiserfs-attrs-check.diff: [PATCH] reiserfs:
  Check if attrs are enabled for attr ioctls (84537).
* Thu Mar 02 2006 olh@suse.de
- add patches.arch/ppc64-sys_rt_sigreturn-returntype.patch
  sys_rt_sigreturn must return a long instead of int
* Thu Mar 02 2006 neilb@suse.de
- patches.fixes/reiserfs-unsigned-compare: Fix unsigned <0
  problem in reisferfs.
* Thu Mar 02 2006 neilb@suse.de
- patches.fixes/nfsd-nohide-fix2: Protect reference to exp across
  calls to nfsd_cross_mnt (154444).
* Wed Mar 01 2006 jblunck@suse.de
- patches.fixes/vfs-too-early-mntput.diff: namei fixes: too
  early mntput()s.
- patches.fixes/umount-prune_one_dentry-fix.diff: Fix
  shrink_dcache_parent() against shrink_dcache_memory() race
  (136310).
- patches.fixes/libfs-dcache_readdir-lseek-remove: Update (still
  disabled).
* Wed Mar 01 2006 jbohac@suse.cz
- patches.fixes/ipv6-addrconf-after-link. (#153631)
  Defers ipv6 address autoconfiguration and DAD after the
  link is ready.
* Tue Feb 28 2006 rw@suse.de
- patches.arch/ia64-sn-cnode2nas-id:
  Altix: Fix the size of __sn_cnodeid_to_nasid.  (#151855)
* Fri Feb 24 2006 neilb@suse.de
- patches.fixes/md-reject-barrier-requests: Fail IO request to
  md that require a barrier. (147382).
* Tue Feb 21 2006 axboe@suse.de
- patches.fixes/cfq-dispatch-fix: cfq_dispatch_requests() picks
  wrong dispatch entry (151368).
* Mon Feb 20 2006 vojtech@suse.cz
- patches.fixes/input-keymap-overflow-fix.diff:
  fix possible keymap array overflow in keyboard.c (149137)
* Fri Feb 17 2006 olh@suse.de
- Fix typo in netlink_unicast
* Thu Feb 16 2006 kraxel@suse.de
- patches.fixes/ptrace-core_dump-exit_group-deadlock-sp3-1:
  backport of ptrace-core_dump-exit_group-deadlock (115754).
* Thu Feb 16 2006 agruen@suse.de
- kABI checker: instead of failing the build when the kABI badness
  is higher than the maximum allowed badness, create a dummy
  `kabi_badness_$n' rpm requirement.
* Mon Feb 13 2006 agruen@suse.de
- symvers-ref/usedsyms: Remove __udivdi3.
* Sat Feb 11 2006 olh@suse.de
- add patches.fixes/e1000-allocate_rx_buffer_fix.patch
  leave always one descriptor unused (146660 - LTC19196)
* Sat Feb 11 2006 olh@suse.de
- add patches.fixes/ibm-ppc64-veth_mb_after_atomic_dec.patch
  missing smp sync (150013 - LTC21396)
* Fri Feb 10 2006 olh@suse.de
- add patches.fixes/compat_systimes.patch
  update times() return value atomically (149877 - LTC21541)
* Fri Feb 10 2006 kkeil@suse.de
- patches.fixes/e1000-jumboframes-fix: GbE (e1000) slowdown with
  Jumbo frames (142540)
* Thu Feb 09 2006 schwab@suse.de
- Avoid intermediate-overflows in sched_clock [#143171].
* Thu Feb 09 2006 neilb@suse.de
- patches.fixes/dm-queue-flag-cluster: Make sure
  QUEUE_FLAG_CLUSTER is set properly for dm. (90365).
- patches.fixes/md-queue-flag-cluster: Make sure
  QUEUE_FLAG_CLUSTER is set properly for md. (90365).
* Wed Feb 08 2006 trenn@suse.de
- patches.arch/i386-x86_64-mpparse.diff:        Erroneous message:
  No mptable found. (by aosthof)
* Mon Feb 06 2006 gregkh@suse.de
- patches.fixes/ipmi-panic-selid.patch: Wrong IPMI id used in
  panic event (#135391).
* Mon Feb 06 2006 rw@suse.de
- patches.fixes/lkcd-netdev-reset-local_ip:
  Allow netpoll_setup() to fix local_ip.  (#139342)
* Mon Feb 06 2006 rw@suse.de
- patches.drivers/sgiioc4-limit-interfaces:
  Sanity check number of interfaces.  (#138371)
* Mon Feb 06 2006 ak@suse.de
- patches.suse/xfs-log-diag: log_runout_diagnostics (131262,
  SGI:PV947110).
* Fri Feb 03 2006 andrea@suse.de
- patches.fixes/refill-inactive-irq-latency: fix from Anton
  to avoid early oom conditions without swap.
* Fri Feb 03 2006 andrea@suse.de
- patches.fixes/route-flush-permissions: fix route flush
  permissions (write only) (97526).
* Thu Feb 02 2006 tonyj@suse.de
- patches.fixes/sysmqopen_dbl_decr: double decrement of
  mqueue_mnt->mnt_count in sys_mq_open (CVE-2005-3356 / BZ#142636).
* Mon Jan 30 2006 neilb@suse.de
- patches.fixes/dm-raid1-overrun: [PATCH] make dm-mirror not
  issue invalid resync requests (146335).
* Thu Jan 26 2006 schwab@suse.de
-  Fix memory ordering problem in wake_futex [#141295].
* Thu Jan 26 2006 andrea@suse.de
- patches.fixes/fork-speedup: avoid copying ptes when unnecesary.
* Thu Jan 26 2006 okir@suse.de
- patches.fixes/ip_queue-tcp-deadlock: [NETFILTER]: Fix deadlock
  with ip_queue and tcp local input path (145813).
* Thu Jan 26 2006 andrea@suse.de
- patches.fixes/readahead-smp-deadlock: fixes deadlock (140984).
- patches.fixes/write-eio-memleak: fixes memleak with hardware
  I/O errors (140984).
- patches.fixes/ext3-journal-leak: make sure not to leave
  unfreeable buffers around with truncate. (140984)
* Wed Jan 25 2006 olh@suse.de
- add patches.arch/ibm-ppc64-fixup_phb_devs.patch
  properly configure DDR/P5IOC children devs (144215 - LTC19892)
* Wed Jan 25 2006 okir@suse.de
- patches.fixes/icmp_push_reply-dst-leak: fix dst_entry leak in
  icmp_push_reply() (135929).
* Wed Jan 25 2006 okir@suse.de
- patches.arch/x86-64-report-actual-num-cores: x86/x86-64:
  report correct sibling/core info (135728).
- patches.drivers/e100-ignore-bad-eeprom: e100: add module
  parameter to ignore bad EEPROM checksum (59705).
* Tue Jan 24 2006 jeffm@suse.de
- split d_drop-should-use-per-dentry-lock.diff to handle the
  s390-only backing store sysfs changes
* Tue Jan 24 2006 jeffm@suse.de
- patches.fixes/d_drop-should-use-per-dentry-lock.diff:
  d_drop should use per dentry lock (100617).
* Tue Jan 24 2006 jbohac@suse.cz
- patches.fixes/ipv6-ip6_input_finish-leak: fixed memory leak
  in ip6_input_finish (#143531, CVE-2005-3858)
* Tue Jan 24 2006 schwab@suse.de
- Fix Altix BTE error handling [#144203].
* Tue Jan 24 2006 neilb@suse.de
- patches.fixes/dm-crypt-info-leak: dm-crypt: zero key before
  freeing it (142251).
* Sat Jan 21 2006 axboe@suse.de
- patches.fixes/bio-highmem-loop-fix: Fix bio bounce crash
  (144548).
* Thu Jan 19 2006 ak@suse.de
- patches.fixes/mpol-interleave: Fix user argument checking for
  MPOL_INTERLEAVE (138535).
* Wed Jan 18 2006 olh@suse.de
- enable CONFIG_IP_VS on pseries64
* Tue Jan 17 2006 ak@suse.de
- patches.arch/x86_64-256GB-fix: Support x86-64 machines with
  >128GB (141908).
* Tue Jan 17 2006 axboe@suse.de
- patches.fixes/prep-kill-wakeup: If request is killed before
  submission, make sure we wakeup waiters (137479).
* Thu Jan 12 2006 neilb@suse.de
- patches.fixes/nfs-dir-fsync-nop: [NFS] Allow fsync() on
  directories.
* Thu Jan 12 2006 neilb@suse.de
- patches.fixes/io-account.fix: Fix is_mddev_idle calculation
  now that disk/sector accounting happens when request
  completes. (140479).
* Wed Jan 11 2006 neilb@suse.de
- patches.fixes/nfs-statd-safe: Fix statd/lockd oops when lockd
  fails to start (137143).
* Tue Jan 10 2006 lmb@suse.de
- patches.suse/kzalloc: kzalloc API.
- patches.suse/debugfs-compat: debugfs dummy stubs.
- patches.suse/ocfs2-configfs-20051213: OCFS2 update from Oracle.
* Tue Jan 10 2006 agruen@suse.de
- patches.fixes/xfs-kern-930841-default_acl_enospc_fix:
  Default acl ENOSPC fix (133990, SGI:PV930841).
* Fri Jan 06 2006 olh@suse.de
- add patches.arch/ibm-ppc64-timegoesback.patch
  fix time syscall (141853 - LTC20428)
* Wed Jan 04 2006 kkeil@suse.de
- patches.fixes/e1000-6.2.15-skb_trim.patch: LTC19454-Packet
  loss in e1000 driver when sending a large size datagram (139431)
* Wed Jan 04 2006 kkeil@suse.de
- patches.fixes/3c59x-tornado-fix: Fix netif_carrier_ok() issue
  for Tornado cards. (141379)
* Tue Jan 03 2006 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-sg_inq.patch
  use correct buffersize for sg_inq command (133476 - LTC19734)
* Tue Jan 03 2006 olh@suse.de
- add patches.arch/ibm-ppc64-sles-udgb-console.patch
  early boot console for PCI serial cards (137084 LTC20131)
* Tue Jan 03 2006 olh@suse.de
- add patches.arch/cpuhp-set-next_jiffy_update_tb-at-online.patch
  set next_jiffy_update_tb when onlining new cpu (137315 - LTC20154)
* Tue Jan 03 2006 olh@suse.de
- add patches.suse/8250-sysrq-ctrl_o.patch
  handle sysrq also via 'ctrl o' on the system console (96313 - LTC16841)
* Tue Dec 20 2005 mason@suse.de
- patches.fixes/nfsd-setacl-readonly.diff: [nfsd] Check for
  read-only exports before setting acls (139411).
* Thu Dec 15 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Detect whether to build with debug
  information from %%optflags (can be controlled with the
  build script's --debug option).
* Tue Dec 13 2005 vojtech@suse.cz
- patches.suse/fix-kdb_kbdsend-ack-handling.diff: Wait for ACK on
  keyboard commands in KDB to avoid confusing i8042 init. (136237)
* Mon Dec 12 2005 mason@suse.de
- patches.arch/sn2-revert-tlbflush.patch: revert ia64/sn2 portions
  of patch from bug 132194 (137234 132194).
- patches.arch/sn2-patch_ptc.patch: altix ptc flush patch
  (137234).
* Fri Dec 09 2005 okir@suse.de
- patches.drivers/edd-update: Compile fix for previous patch (137205).
* Fri Dec 09 2005 duwe@suse.de
- patches.drivers/edd-update: Increase (BOOT_)PARAM_SIZE to 4k,
  and make the array non-__initdata.
  Fixes Bug #137205.
* Fri Dec 09 2005 kkeil@suse.de
- patches.fixes/qeth_vlan_bonding_fix: Fix qeth VLAN bonding
  (#135765 - LTC20061).
* Wed Dec 07 2005 agruen@suse.de
- Delete split-up POSIX message queue backport that has been added
  as patches.suse/posix-message-queues a long time ago.
* Mon Dec 05 2005 mason@suse.de
- patches.suse/reiserfs-delete-inode-failure: reiserfs: call
  journal_end if reiserfs_delete_object fails (136961 ).
- patches.suse/reiserfs-skip-commit-on-error.diff: [PATCH]
  reiserfs: skip commit on io error (136961).
* Mon Dec 05 2005 hare@suse.de
- patches.arch/s390-32-08-april2004.diff
  Optionally disable IPv6 for qeth (#128561 - LTC19880)
* Mon Dec 05 2005 hare@suse.de
- patches.drivers/fusion-performance_1.patch
- patches.drivers/fusion-pcix_2.patch
- patches.drivers/fusion_tid_reset_3.patch
- patches.drivers/fusion-ver_bump_4.patch
  Bugfix LSI1068 PCI Express (#135988).
* Mon Dec 05 2005 hare@suse.de
- s390: Increase number of raw devices to 4096 (#136750)
* Sat Dec 03 2005 agruen@suse.de
- Add missing files to kernel-source, and tag them as NoSource in
  kernel-$flavor instead.
* Thu Dec 01 2005 mason@suse.de
- patches.fixes/shrink_slab-noloop.patch: fix icache deadlock
  in shrink_slab (134043).
* Thu Dec 01 2005 jeffm@suse.de
- patches.fixes/reiserfs-cnode-failure.diff: [PATCH] reiserfs:
  handle cnode allocation failure gracefully (133999).
* Thu Dec 01 2005 hare@suse.de
- patches.arch/s390-28-04-april2004.diff:
  Default spin_retry to 0 (#136212 - LTC20030).
* Thu Dec 01 2005 mason@suse.de
- update virtual iron patches
* Mon Nov 28 2005 agruen@suse.de
- patches.suse/usbdevio-1.patch: Fix signal sending in usbdevio on
  async URB completion (118756).
- patches.suse/usbdevio-2.patch: Use the new
  "kill_proc_info_as_uid()" for USB disconnect too.
* Mon Nov 28 2005 hare@suse.de
- patches.arch/s390-32-07-april2004.diff
  Add latest patch from IBM (135663 - LTC19984).
* Sat Nov 26 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Make sure kernel flavors that are
  based on a different set of patches than kernel-source won't
  wrongly get a /usr/src/linux-obj directory for creating external
  kernel modules; such modules would not work.
- rpm/kernel-syms.spec.in: Make sure kernel flavors that are based
  on a different set of patches than kernel-source won't have
  their symvers.gz file put in /usr/src/linux-obj: it would not
  match the kernel sources, anyway.
* Sat Nov 26 2005 garloff@suse.de
- patches.fixes/scsi-hwerror-retry-kabi: Avoid kABI change caused
  by introducing retry_hwerror bit.
* Fri Nov 25 2005 garloff@suse.de
- Add checks for kABI changes.
* Thu Nov 24 2005 kkeil@suse.de
- patches.fixes/bonding-fix-feature-consolidation:
  fix feature consolidation (135417)
* Thu Nov 24 2005 agruen@suse.de
- patches.fixes/calibrate-delay-robustness: Make calibrate_delay
  robust against interrupts (65320).
* Thu Nov 24 2005 agruen@suse.de
- patches.fixes/dont-auto-reap-traced-children: Don't auto-reap
  traced children.
- patches.fixes/fix-ptrace-self-attach-rule: Fix ptrace
  self-attach rule.
* Wed Nov 23 2005 agruen@suse.de
- patches.vfe/VFe-common-tmpfs-free-inodes-leak-fix.patch:
  Fixes a generic tmpfs free_inodes accounting bug; enabled for
  all kernel flavors (was used for kernel_vfe only before).
* Wed Nov 23 2005 okir@suse.de
- patches.vfe/VFe-common-copy-skb-header-fix.patch: Copy TSO fields
  in copy_skb_header()
- patches.vfe/VFe-common-cpu-hotplug-incr.patch: Avoid race condition
  with hotplug CPU
- patches.vfe/VFe-common-tmpfs-free-inodes-leak-fix.patch: Fix tmpfs
  free_inodes accounting
- patches.vfe/pdflush_numa-incr.patch: Fix lock inversion
- config/i386/vfe: disable KDB for VFe
* Wed Nov 23 2005 okir@suse.de
- updated patches.vfe/VFe-common-hugetlb-page-fix.patch to
  unbreak kernel-vfe build
* Wed Nov 23 2005 okir@suse.de
- patches.fixes/scsi-hwerror-retry: Make certain SCSI devices
  retry on hardware errors (81774 - LTC15722).
* Tue Nov 22 2005 ak@suse.de
- patches.suse/mempolicy-huge-mbind: Handle mbind in hugetlbfs
  with non HPAGE alignment (132884).
* Tue Nov 22 2005 ak@suse.de
- patches.suse/mempolicy-huge-mbind: Don't BUG if mbind is done
  on non HPAGE_SIZE aligned boundary in hugetlbfs (132884).
* Mon Nov 21 2005 jeffm@suse.de
- patches.fixes/reiserfs-acl-deadlock-fix.diff: stupid compile fix
* Mon Nov 21 2005 jeffm@suse.de
- patches.fixes/reiserfs-acl-deadlock-fix.diff:
  fix deadlock in reiserfs inode creation failure path w/ default ACL (115460).
* Mon Nov 21 2005 ihno@suse.de
- patches.arch/s390-32-0{5,6}-april2004.diff
  Include latest codedrop from IBM.
* Mon Nov 21 2005 ak@suse.de
- patches.fixes/pid-cmdline: Fix race in /proc/pid/cmdline access
  (100393).
* Mon Nov 21 2005 rw@suse.de
- Tagged SLES9 SP3 RC2
* Mon Nov 21 2005 rw@suse.de
- patches.fixes/ia64-sn2-shub1-ptc_deadlock-recovery:
  ia64: fix ptc_deadlock recovery problem on shub1 systems. (#134416)
* Mon Nov 21 2005 okir@suse.de
- patches.fixes/ipmi-si-off-by-one: Fix off by one error in
  ipmi_si module (134494 - LTC19895).
* Mon Nov 21 2005 rw@suse.de
- patches.fixes/ia64-maxcpus:
  ia64: use cpu_online_map during sched domain init. (#131661)
* Sun Nov 20 2005 ak@suse.de
- patches.arch/amd-bigsmp: Switch to bigsmp on large AMD systems
  too (104440).
* Fri Nov 18 2005 mason@suse.de
- patches.fixes/smt_locking: SMT locking fix backport (131665).
- patches.suse/lkcd-handle_holey_pgdats.patch: lkcd: Fix overrun
  when num_mbanks > MAX_NUMNODES (132221).
- patches.suse/lkcd-multi-crash-stop: lkcd: deal with crashes
  on other cpus during a dump (118631).
- patches.vfe/lkcd.patch: update/rediff based on the other two patches
* Fri Nov 18 2005 schwab@suse.de
- Backport MCA recovery fixes [#134053].
* Fri Nov 18 2005 okir@suse.de
- supported.conf: mark ipmi_si as supported
* Fri Nov 18 2005 vojtech@suse.cz
- patches.drivers/amd74xx-skip-sata.diff (#130545): Skip SATA
  devices in AMD IDE driver based on a kernel option.
- patches.drivers/ck804-sata-remove-from-pata: Remove obsolete
  patch
* Fri Nov 18 2005 mason@suse.de
- update vfe
* Fri Nov 18 2005 gregkh@suse.de
- patches.drivers/ipmi-sles9-36.6.patch: Fix NULL pointer deref
  in IPMI driver (#134065).
* Thu Nov 17 2005 hare@suse.de
- patches.suse/lkcd-timezone
  Really disable patch (133967)
* Thu Nov 17 2005 hare@suse.de
- patches.drivers/fusion-slow-spi-fix
  Fix I/O slowdown with fusion spi drivers (133934)
* Wed Nov 16 2005 agruen@suse.de
- patches.fixes/xfs-kern-202363a-fix-xfs_finish_reclaim_all-umount-deadlock:
  fix xfs_finish_reclaim_all umount deadlock (132358,
  SGI:PV943821).
- patches.fixes/atapi-fix-error-handling.patch: Remove obsolete
  patch.
* Wed Nov 16 2005 neilb@suse.de
- patches.fixes/locks-compat-fcntl64: Fix this again (it wasn't
  returning information for conflicting locks) (64501 133849).
* Tue Nov 15 2005 mason@suse.de
- patches.suse/rcu-scale: improve rcu scaling w/ > 256 cpus
  (131919).
* Tue Nov 15 2005 agruen@suse.de
- patches.fixes/udp6-dosfix.patch: [IPV6]: Fix infinite loop in
  udp_v6_get_port(). (CAN-2005-2973, 128635).
* Tue Nov 15 2005 okir@suse.de
- patches.drivers/ibmasm-update: Update ibmasm driver (86120 - LTC16171).
* Tue Nov 15 2005 jbeulich@novell.com
- Update config files.
- patches.drivers/qla2xxx-build-fix: Fix build.
* Tue Nov 15 2005 mason@suse.de
- drop unused patch
- patches.fixes/inodes_stats-nr_unused-underflow: Delete.
* Mon Nov 14 2005 mason@suse.de
- update vfe patches
* Sat Nov 12 2005 kkeil@suse.de
- patches.fixes/netfilter-ebtables-race.diff
  fix a race condition in netfilter ebtables code (132724)
* Fri Nov 11 2005 olh@suse.de
- add patches.drivers/libata-pdc2027x-atapi_dma.patch
  pdc2027x ATAPI DMA lost irq problem workaround (78974 - LTC15255)
* Fri Nov 11 2005 garloff@suse.de
- patches.fixes/x86_64-vsyscall32-get_user_pages:
  Check for invalid page dirs in get_user_pages for vsyscall32
  page (132723, 132382)
* Fri Nov 11 2005 okir@suse.de
- patches.fixes/ipv6-flowlabel-refcnt: IPv6: fix refcnt of struct
  ip6_flowlabel  (130270).
* Fri Nov 11 2005 okir@suse.de
- patches.fixes/ipv6-init-fail-cleanup: inet6_init: cleanup
  after failed initialization (132894).
* Thu Nov 10 2005 okir@suse.de
- patches.drivers/qla2xxx-failover-fix: Fix two oopses in qla2xxx
  scsi error handlers (130047).
* Thu Nov 10 2005 okir@suse.de
- patches.arch/amd-powernow-rev-f: PowerNow support for AMD RevF
  processors (93780).
* Wed Nov 09 2005 kkeil@suse.de
- add patches.fixes/netfilter-portptr.patch
  Fix potential memory corruption in NAT code (131214)
* Wed Nov 09 2005 olh@suse.de
- add patches.fixes/usb-serial-treo650.patch
  add patches.fixes/usb-serial-zire31.patch
  new device ids for PDA devices (120347)
* Wed Nov 09 2005 kraxel@suse.de
- patches.fixes/128498-fix-multithread-times: zero-initialize
  counters (bug #132565).
* Tue Nov 08 2005 garloff@suse.de
- Tagged SLES9_SP3_RC1.
* Tue Nov 08 2005 axboe@suse.de
- patches.drivers/ck804-sata-remove-from-pata: Remove CK804 SATA
  ids from the PATA driver (130645).
* Tue Nov 08 2005 schwab@suse.de
- Improve tlb flush performance [#132194].
* Tue Nov 08 2005 mason@suse.de
- patches.fixes/invalidate-range-prototype: Add prototype for
  invalidate_inode_pages2_range (131704).
* Tue Nov 08 2005 schwab@suse.de
- Fix lockup when redirecting IRQs on Altix [#132508].
* Tue Nov 08 2005 schwab@suse.de
- Speed up reading memory with ptrace [#132218].
* Tue Nov 08 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20051101: Code update from Oracle.
- delete patches.suse/ocfs2-delete_inode_workaround: merged upstream.
* Tue Nov 08 2005 hare@suse.de
- patches.arch/s390-32-0{1,2,3,4}-april2004.diff
  Include latest codedrop from IBM.
* Tue Nov 08 2005 mason@suse.de
- update vfe
* Tue Nov 08 2005 mason@suse.de
- patches.fixes/kupdate-fixes: [PATCH] fix the kupdate function
  to very old dirty data (132628).
* Mon Nov 07 2005 schwab@suse.de
- Properly determine XPC partition ID [#131658].
* Mon Nov 07 2005 okir@suse.de
- patches.drivers/qla2340-nvram-pci-posting: qla2340: Correct
  pci posting issues during NVRAM accesses. (132212).
- patches.drivers/megaraid-update-fix2: More fixes for megaraid
  driver (131876).
- patches.fixes/net-stop-disabe-queuing: [NET]: Disable queueing
  when carrier is lost. (131289 - LTC19410).
* Mon Nov 07 2005 neilb@suse.de
- patches.fixes/locks-compat-fcntl64: fix a couple of typos that
  made the patch not-quite-right.
* Sat Nov 05 2005 olh@suse.de
- add patches.fixes/ibm-ppc64-ibmveth_change_mtu_ifdown.patch
  fix panic when the MTU is changed while the interface is down.
  (132402 - LTC19345)
* Sat Nov 05 2005 olh@suse.de
- add patches.fixes/jfs-truncate.patch
  make sure right-most xtree pages have header.next set to zero
  (130496 - LTC18916)
* Sat Nov 05 2005 mason@suse.de
- patches.fixes/invalidate_inode_pages2-fix: fix
  invalidate_inode_pages2_range (116883).
* Fri Nov 04 2005 olh@suse.de
- add patches.arch/ibm-ppc64-offb.patch
  Use PCI resource primitives to get correct MMIO address (132361 - LTC19582)
* Fri Nov 04 2005 olh@suse.de
- add patches.fixes/jfs-xtree-page-corruption-le32.patch
  missing endian conversion in last jfs change (131747 - LTC19461)
* Fri Nov 04 2005 agruen@suse.de
- patches.fixes/xfs-kern-24292a-fix-inode32-inum-regression:
  fix inode32 inum regression (132245, SGI:PV945242).
* Fri Nov 04 2005 olh@suse.de
- disable Fusion MPT FC driver on ppc because it doesnt play nice
* Thu Nov 03 2005 okir@suse.de
- patches.fixes/libfs-dcache_readdir-lseek-remove: disabled as it
  breaks compilation on power and s390
* Thu Nov 03 2005 okir@suse.de
- patches.suse/PAGG-fork-pagg-attach: Fixed for platforms that
  don't use PAGG (129363).
* Thu Nov 03 2005 schwab@suse.de
- Update config/ia64/debug and config/ia64/64k-pagesize to closer match
  config/ia64/default [#130913].
* Thu Nov 03 2005 mantel@suse.de
- patches.fixes/libfs-dcache_readdir-lseek-remove: fix dcache
  readdir (117188).
* Thu Nov 03 2005 kkeil@suse.de
- fix performance drop of e100 cards (#128036)
* Thu Nov 03 2005 schwab@suse.de
- Properly check return value of pagg_attach [#129363].
* Wed Nov 02 2005 mason@suse.de
- patches.suse/writeback_range-ret-fix: fix
  wait_on_page_writeback_range return value expectations (116883).
* Wed Nov 02 2005 mantel@suse.de
- series.conf: fix patch order for qla2xxx driver update in order
  to re-enable lkcd hooks (132024)
* Wed Nov 02 2005 mantel@suse.de
- patches.drivers/dell-rbu-update: set 1 MB memory floor for
  dell_rbu driver (update to 0.8) (131819).
* Wed Nov 02 2005 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-ethtool-procfs.patch
  remove stats from procfs, use ethtool instead (128619 - LTC19459)
* Wed Nov 02 2005 okir@suse.de
- Disabled the lkcd-timezone patch because it breaks
  lcrash compatibility (#130607)
* Wed Nov 02 2005 hare@suse.de
- add patches.arch/s390-31-0{7,8}-april2004.diff
  Include latest patches from IBM (#130734 - LTC19349).
- add patches.suse/ocfs2-delete_inode_workaround
  Remove delete_inode workaround (#131291 - LTC19411).
* Wed Nov 02 2005 mantel@suse.de
- patches.drivers/megaraid_sas-Makefile: add missing entry for
  megaraid_sas to drivers/scsi/Makefile (131762).
* Wed Nov 02 2005 olh@suse.de
- add patches.drivers/pdc2027x-sata-mdelay.patch
  workaround mdelay for expectations on mircopartitioned systems.
  (128763 - LTC19087)
* Wed Nov 02 2005 neilb@suse.de
- patches.fixes/locks-compat-fcntl64: fix extra '}' typo
* Wed Nov 02 2005 neilb@suse.de
- patches.fixes/sunrpc-cache-race-fix: Discard CACHE_HASHED flag,
  keeping information in refcount instead. (128970).
- series.conf: add above patch
* Wed Nov 02 2005 neilb@suse.de
- patches.fixes/sunrpc-cache-race-fix: Discard CACHE_HASHED flag,
  keeping information in refcount instead. (128970).
- series.conf: add above patch
* Wed Nov 02 2005 neilb@suse.de
- patches.fixes/locks-compat-fcntl64: Fix overflow tests for
  compat_sys_fcntl64 locking. (64501).
- series.conf: remove compat_sys_fcntl64, compat-fcntl-flock-fix.diff
  and add compat_sys_fcntl64
* Tue Nov 01 2005 mason@suse.de
- patches.suse/ia64-smt-boot-fix: Fix ia64 SMT related crash on
  big SGI machines (130327).
* Mon Oct 31 2005 olh@suse.de
- update patches.arch/libata-enable-pata-atapi-ppc
  use atapi per default on pseries (128763 - LTC19087)
* Fri Oct 28 2005 okir@suse.de
- patches.fixes/bonding-inherit-device-features: this patch
  installed ethtool_ops, but the set of functions implemented was
  incomplete. This caused ifenslave to fail (130772, 113880).
* Fri Oct 28 2005 olh@suse.de
- add patches.drivers/e100-watchdog-timer.patch
  add patches.drivers/e1000-watchdog-timer.patch
  add patches.drivers/ixgb-watchdog-timer.patch
  dont start the watchdog timer if the interface doesnt exist
  (130736 - LTC19344)
* Fri Oct 28 2005 okir@suse.de
- patches.fixes/tcp-stale-pred-flags: [TCP]: Clear stale
  pred_flags when snd_wnd changes.
* Fri Oct 28 2005 agruen@suse.de
- Some more xfs fixes (130070, 131224).
* Thu Oct 27 2005 andrea@suse.de
- patches.fixes/inode-I_WILL_FREE-2: avoid false positive while
  syncing the inode during I_FREEING. (131000)
* Thu Oct 27 2005 olh@suse.de
- add patches.arch/ibm-ppc64-rpaphp-fix_internal_remove_crash.patch
  handle internal slot DLPAR correctly (129913 - LTC19205)
* Thu Oct 27 2005 andrea@suse.de
- patches.fixes/shrink_cache-fs-corruption: fixup functional typo.
* Wed Oct 26 2005 olh@suse.de
- add patches.drivers/radeon-rn50.patch
  new device id for radeon, enable radeonfb (117795 - LTC18406)
* Wed Oct 26 2005 mantel@suse.de
- patches.fixes/openipmi-kthread: openipmi needs to use the
  kthread API for the kernel thread (130690).
* Wed Oct 26 2005 mantel@suse.de
- patches.fixes/jfs-xtree-page-corruption: fix xtree page
  corruption in jfs (130496 - LTC18916).
* Wed Oct 26 2005 kraxel@suse.de
- patches.fixes/128498-fix-multithread-times: fix times() for
  multithreaded apps. (LTC18854).
* Wed Oct 26 2005 hare@suse.de
- patches.arch/s390-zfcp-handle-failfast.patch
  Handle failfast flag properly on S/390 zfcp (129148 - LTC19146).
* Wed Oct 26 2005 ak@suse.de
- patches.arch/x86_64-max-apics: increase MAX_APICS on x86-64 to 255
  (#129199)
* Wed Oct 26 2005 mantel@suse.de
- patches.suse/qla2xxx-version: differentiate qla2xxx driver
  from upstream version (none).
* Wed Oct 26 2005 mantel@suse.de
- patches.drivers/megaraid_sas_fix: Delete obsolete patch
* Wed Oct 26 2005 mantel@suse.de
- patches.drivers/qla2xxx-fo-disable: Delete.
- Update config files.
- patches.drivers/qla2xxx-update2: update Qlogic driver qla2xxx
  to version 8.01.02-d2 (116886).
- patches.drivers/qla2xxx-failover: re-add failover support to
  qla2xxx driver (130047).
* Tue Oct 25 2005 mason@suse.de
- update subdomain
- patches.suse/subdomain: include AppArmor support (84513).
* Tue Oct 25 2005 andrea@suse.de
- patches.fixes/page-fault-scalability-ppc64: avoid some
  superfluous tlb flushes to improve smp scalability.
* Tue Oct 25 2005 mantel@suse.de
- moved tag SLES9_SP3_BETA4
* Tue Oct 25 2005 mason@suse.de
- patches.fixes/inode-I_WILL_FREE-2: fix freeing inodes with
  sync mounts (118986).
- patches.fixes/inode-autoremove: avoid mm/fs corruption while
  freeing inodes (118986).
* Tue Oct 25 2005 lmb@suse.de
- patches.fixes/dm-end-io-spinlock: Fix locking in dm-multipath end_io
  path (#128718).
* Tue Oct 25 2005 rw@suse.de
- patches.suse/kdb-notifier-list:
  Sync KDB changes with what ended up upstream.  (#117853)
* Tue Oct 25 2005 mantel@suse.de
- patches.fixes/usb-handoff_fix: provide usb-no-handoff cmdline
  option (130428 - LTC19311).
* Tue Oct 25 2005 ak@suse.de
- patches.arch/x86_64-no-default-console: Don't add a default console
  (#129977)
* Tue Oct 25 2005 mantel@suse.de
- patches.fixes/powernow-retry: powernow-k8 driver reports
  "pending bit stuck" (130088).
* Tue Oct 25 2005 hare@suse.de
- patches.arch/s390-31-06-april2004.diff
  Add latest IBM codedrop.
* Tue Oct 25 2005 mason@suse.de
- patches.fixes/jbd-SLES9_SP3-1-jbdremove.diff: Fix destruction
  of in-use journal_head (116653).
* Tue Oct 25 2005 mason@suse.de
- update vfe
* Tue Oct 25 2005 olh@suse.de
- readd patches.arch/libata-enable-pata-atapi-ppc
  use pata on pseries (128763 - LTC19087)
* Tue Oct 25 2005 neilb@suse.de
- patches.fixes/nfs-cache-consistant: Delete.
- patches.fixes/nfs-cache-consistent: Fix NFS cache consistency
  bug (130213). - rename and correct spelling.  now is now consistent
  with SL100 branch
- series.conf: change 'a' to 'e'
* Mon Oct 24 2005 agruen@suse.de
- patches.fixes/ramdisk-fixes: ramdisk fixes (120896).
* Mon Oct 24 2005 mantel@suse.de
- tagged SLES9_SP3_BETA4
* Mon Oct 24 2005 mantel@suse.de
- patches.drivers/openipmi-update4: fix ipmi driver rmmod
  (update to 36.5) (130080).
* Mon Oct 24 2005 mantel@suse.de
- Update config files.
- patches.drivers/qla4xxx-ioctl: enable failover for qla4xxx
  driver (5.00.04) (130118).
* Mon Oct 24 2005 mantel@suse.de
- patches.drivers/megaraid_sysfs_show_ldnum-fix: fix kernel
  panic in megaraid (120620).
* Mon Oct 24 2005 olh@suse.de
- add patches.arch/ibm-ppc64-request_irq-return.patch
  propagate errors from setup_irq (129959 - LTC19243)
* Mon Oct 24 2005 neilb@suse.de
- patches.fixes/nfs-cache-consistant: Fix NFS cache consistancy
  bug (130213). (Add bugzilla number now that one exists).
* Sun Oct 23 2005 olh@suse.de
- add patches.arch/ppc64-fix-gcc-warnings.patch (130061 - LTC19261)
* Fri Oct 21 2005 agruen@suse.de
- Mark lockd.ko, nfsacl.ko, nfs.ko, and sunrpc.ko as supported
  (129898).
* Fri Oct 21 2005 mantel@suse.de
- patches.fixes/shrink_cache-fs-corruption: avoid potential fs
  corruption in smp (129011).
* Fri Oct 21 2005 mantel@suse.de
- patches.suse/debug-resource-exhausted: print more info when
  resources are exhausted (85654 - LTC16108).
* Fri Oct 21 2005 olh@suse.de
- disable CONFIG_BLK_DEV_PDC202XX_NEW, use libata (128763 - LTC19087)
* Fri Oct 21 2005 olh@suse.de
- add patches.suse/e1000-D3-cold-wake.patch
  remove bogus error checking in e1000 driver
* Fri Oct 21 2005 hare@suse.de
- Added vmcp to the list of supported modules (120370 - LTC18817)
* Fri Oct 21 2005 olh@suse.de
- add patches.arch/ibm-ppc64-pci-use-OF-tree-dlpar.patch
  add patches.arch/ibm-ppc64-pci-use-OF-tree-rpahp.patch
  fix dlpar after recent PCI setup changes (129880 - LTC19235)
* Fri Oct 21 2005 neilb@suse.de
- patches.fixes/nfs-cache-consistant: Typo when transcribing from
  the tested patch...
* Fri Oct 21 2005 neilb@suse.de
- patches.fixes/nfs-cache-consistant: Fix NFS cache consistancy
  bug.
- series.conf: patches.fixes/nfs-cache-consistant
* Fri Oct 21 2005 neilb@suse.de
- patches.fixes/nfs-trunc-opt: Remove nfs truncate optimisation
  so mtime still gets set. (128853).
- series.conf: patches.fixes/nfs-trunc-opt
* Fri Oct 21 2005 neilb@suse.de
- series.conf: fixed typo: md-raid0-div for md-raid0-dev :-(
* Fri Oct 21 2005 neilb@suse.de
- patches.fixes/md-raid0-div: Fix sector_div problem in raid0
  (117810).
- series.conf: patches.fixes/md-raid0-div
* Thu Oct 20 2005 hare@suse.de
- Update patches.fixes/scsi-scan-sparse-luns
  Fix patch as suggested by Patrick Mansfield (#86834 - LTC16180).
- Add patches.suse/no-partition-check-for-pcmcia.patch
  Do not recheck partitions on PCMCIA (#99771)
- Add patches.arch/s390-31-05-april2004.diff
  Include latest codedrop from IBM (#129353 - LTC19170).
* Thu Oct 20 2005 mantel@suse.de
- patches.fixes/invalidate-range: DB2 >= FP9 with Direct I/O
  on temp tablespaces write eventually fails with EIO error
  (114454 - LTC17734).
* Thu Oct 20 2005 neilb@suse.de
- patches.fixes/md-interrupted-sync: Fix data-corruption bug in
  md when delayed recovery is interrupted. (118822).
* Wed Oct 19 2005 mantel@suse.de
- patches.fixes/madvise-ebadf-fix: Delete (128384 - LTC18885)
* Wed Oct 19 2005 mantel@suse.de
- patches.drivers/openipmi-update3: update openIPMI driver to
  version 36.4 (128900).
* Wed Oct 19 2005 rw@suse.de
- patches.arch/ia64-erratum66:
  Work around Itanium Erratum 66 on MCA/INIT entering KDB. (#100190)
* Wed Oct 19 2005 schwab@suse.de
- Enable pci segments on altix shub2 systems only [#129339].
* Wed Oct 19 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-usb.patch
  handle EEH errors from USB cards (127885 - LTC18419)
* Tue Oct 18 2005 mantel@suse.de
- patches.drivers/megaraid_sas: megaraid_sas from 2.6.14-rc4
  for 2.6.5 (128614).
* Tue Oct 18 2005 mantel@suse.de
- patches.suse/ckrm-rcfs-inode-leak-create-internal: fix rcfs
  memory leak (90716 - LTC16303).
- patches.suse/ckrm-rcfs-inode-leak-delete-internal: fix rcfs
  memory leak (90716 - LTC16303).
- patches.suse/ckrm-rcfs-inode-leak-rbce: fix rcfs memory leak
  (90716 - LTC16303).
* Tue Oct 18 2005 mantel@suse.de
- patches.suse/saved_affinity-cpumask_t: x86-64: allow NR_CPUS
  to go up to 128 (none).
* Tue Oct 18 2005 mantel@suse.de
- patches.suse/export-do_posix_clock_monotonic_gettime: export
  symbol do_posix_clock_monotonic_gettime (128187).
* Tue Oct 18 2005 mason@suse.de
- ckrm and lkcd fixes for SP3
- patches.suse/lkcd-reboot.patch: fix netdump hangs (117610).
- patches.suse/ckrm-rbce-pathregex.patch: CKRM: EWLM needs a new
  term "path_prefix=" term that matches '*' with any character
  (124450 LTC18138).
* Tue Oct 18 2005 mason@suse.de
- Update VFE patches
- Update config files.
- patches.vfe/ip_steering.patch: update
- patches.vfe/numa_aware_slab_allocator.patch: rediff
* Mon Oct 17 2005 schwab@suse.de
- Get XPC to properly walk through 16k based nasid maps [#127850].
* Mon Oct 17 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20051012: LVB fixes in the OCFS2 DLM.
* Mon Oct 17 2005 andrea@suse.de
- patches.fixes/inodes_stats-nr_unused-underflow: commented
  out from the series file, because it didn't fix 118986
  and it now seems a noop despite mainline has it too.
* Mon Oct 17 2005 mantel@suse.de
- x86_64: increase CONFIG_NR_CPUS to 128
* Mon Oct 17 2005 olh@suse.de
- update patches.fixes/s2io-ethtool_fix.patch
  added SPI interface to perform EEPROM read/write tests for
  Xframe II in ethtool -t (128622 - LTC19095)
* Sat Oct 15 2005 andrea@suse.de
- patches.fixes/balance-dirty-hangs-1: avoid potential hangs
  during writes (120909).
- patches.fixes/inodes_stats-nr_unused-underflow: avoid hangs
  in vm due underflow of inode stats (118986).
* Fri Oct 14 2005 agruen@suse.de
- patches.fixes/dmapi-open_exec.patch: DMAPI requires a call
  out event when file is going to be executed: update patch to
  working version (117602).
* Fri Oct 14 2005 mantel@suse.de
- patches.suse/thread-follow-parent-reclassification: On
  reclassification, the thread processes do not follow parent
  process (119373 - LTC17966).
* Fri Oct 14 2005 schwab@suse.de
- Teach XPC to properly deal with 2K and 16K based nasid maps [#127850].
* Fri Oct 14 2005 olh@suse.de
- add patches.fixes/s2io-ethtool_fix.patch
  fix ethtool -t offline test (128154 - LTC18987)
* Fri Oct 14 2005 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-close_fix.patch
  disable buffers on close (128114 - LTC18933)
* Fri Oct 14 2005 olh@suse.de
- add patches.fixes/blank_screen_t.patch
  console blanking oops fix (127829 - LTC18780)
* Fri Oct 14 2005 gregkh@suse.de
- patches.fixes/pci_hotplug_io_apic_fix.patch: add_pin_to_irq()
  should not be __init; it is used after init code. (#117356).
* Thu Oct 13 2005 kkeil@suse.de
- fix incorrect padding in orinoco driver (#120583)
* Wed Oct 12 2005 ak@suse.de
- patches.fixes/disable-flushfilter:
  Don't clear upper 32bits of AMD K8 HWCR on 32bit kernels
  (additional fix for patch for #119632)
* Tue Oct 11 2005 mantel@suse.de
- moved tag SLES9_SP3_BETA3
* Tue Oct 11 2005 mantel@suse.de
- patches.fixes/fix-llc-trap: fix trap in llc2.ko when using
  bind then connect (124153 - LTC18929).
* Tue Oct 11 2005 mantel@suse.de
- patches.fixes/madvise-negative-len: madvise call doesn't return
  EINVAL error for negative len parameter (94974 - LTC8565).
* Tue Oct 11 2005 schwab@suse.de
- When renaming mptscsih replace it with all the new modules.
* Tue Oct 11 2005 axboe@suse.de
- patches.drivers/sata-nv-update: Fixed bug introduced by 0.08's
  MCP51 and MCP55 support.
* Tue Oct 11 2005 ak@suse.de
- patches.suse/kdb-more-export: Export KDB symbols even for
  modular KDB (#120603)
* Tue Oct 11 2005 axboe@suse.de
- patches.drivers/libata-update-2.6.14-rc3: Delete.
- patches.drivers/libata-update-2.6.14-rc3-fixup: Delete.
- patches.drivers/libata-update-2.6.14-rc3-fixup-qstor: Delete.
- patches.drivers/libata-update-2.6.14-rc4: libata update to
  2.6.14-rc4 code base.
- patches.drivers/libata-update-2.6.14-rc4-fixup: fixups for
  the 2.6.14-rc4 update patch.
- patches.drivers/libata-update-2.6.14-rc4-fixup-qstor: qstor
  uses kzalloc, change to kmalloc + memset.
- series.conf: No changes, just to mark status as -rc4 now
* Tue Oct 11 2005 okir@suse.de
- patches.drivers/aacraid-1.1-4: Backport aacraid 1.1-4 (119976, LTC18756).
* Tue Oct 11 2005 ihno@suse.de
- patches.arch/s390-31-02-april2004.diff
- patches.arch/s390-31-03-april2004.diff
- patches.arch/s390-31-04-april2004.diff
  Add latest codedrop from IBM.
* Tue Oct 11 2005 mason@suse.de
- update VFE patches so they compile.
- Update VFE config files.
- patches.vfe/VFe-drivers.patch: license update
- patches.vfe/VFe.arch-vs-i386.patch: fix a number of compile problems.
- rpm/kernel-binary.spec.in: virtual iron only needs vmlinux
* Tue Oct 11 2005 mason@suse.de
- enable and fix patches.suse/delayed-atime-3
- patches.fixes/aio-lock-try-kick: [AIO] lock around
  kiocbTryKick() (91457 LTC16389).
- patches.fixes/aio-remove-task_list-check.patch: [AIO] remove
  unlocked task_list test and resulting race (91457 LTC16389).
- patches.suse/delayed-atime-3: delay reiserfs/ext3 atime updates
  during generic_file_mmap (57038 LTC9358).
- patches.suse/ckrm-tgid: add tgid to crbce output (118998 -
  LTC18644).
- patches.suse/ckrm-ms-timestamp: allow finer grained timestamps
  on ckrm crbce (118725 - LTC18530).
* Mon Oct 10 2005 jbeulich@novell.com
- patches.fixes/x86_64-vect_share_irq: fix non-IOAPIC (i.e. Xen)
  environments.
* Mon Oct 10 2005 mantel@suse.de
- tagged SLES9_SP3_BETA3
* Mon Oct 10 2005 kraxel@suse.de
- patches.xen/xen-arch.diff: Fix xen build.
* Mon Oct 10 2005 axboe@suse.de
- patches.drivers/libata-update-2.6.14-rc3-fixup-qstor: qstor
  uses kzalloc, change to kmalloc + memset.
- series.conf: Missed this driver in the config
* Mon Oct 10 2005 axboe@suse.de
- patches.arch/libata-enable-pata-atapi-ppc: Delete.
- patches.drivers/libata-ahci-error-handling: Delete.
- patches.drivers/suse-ahci-disable: Delete.
- patches.drivers/sata-broadcom: Delete.
- patches.fixes/libata-pci-remove-host-stop: Delete.
- patches.fixes/sg_dma_len3.diff: Delete.
- patches.fixes/libata-phantom-device: Delete.
- patches.fixes/libata-sata-sil-corruption: Delete.
- patches.fixes/libata-sata-sil-corruption-fix: Delete.
- patches.fixes/sata-svw-ht1000-support: Delete.
- series.conf: Kill old and merged libata patches
* Mon Oct 10 2005 axboe@suse.de
- patches.drivers/nvidia-SATA: Delete.
- patches.fixes/ata_piix-scan-all-enabled-ports: Delete.
- patches.fixes/ahci-SActive: Delete.
- patches.drivers/libata-update-2.6.14-rc3: libata update to
  2.6.14-rc3 code base.
- patches.drivers/libata-update-2.6.14-rc3-fixup: fixups for
  the 2.6.14-rc3 update patch.
- series.conf: Final update to 2.6.14-rc3 libata
* Mon Oct 10 2005 okir@suse.de
- patches.drivers/bnx2-1.3.29: Update bnx2 driver to version 1.3.29.
- patches.drivers/bnx2-backport: minor cleanup
* Fri Oct 07 2005 okir@suse.de
- patches.fixes/fork-disassociate_tty-race: [PATCH] fix
  disassociate_ctty vs. fork race (97597).
* Fri Oct 07 2005 rw@suse.de
- patches.suse/cache-reap.part1,
  patches.suse/cache-reap.part2:
  Implement cache reap improvements.  (#115059)
* Fri Oct 07 2005 okir@suse.de
- patches.xen/xen-fix-agp: Make the patch apply again
* Fri Oct 07 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh_exports.patch
  export more eeh functions (120920 - LTC18888)
* Fri Oct 07 2005 olh@suse.de
- add patches.arch/ibm-ppc64-accum_tb.patch
  Initialize the accumulated timebase value (120508 - LTC18852)
* Thu Oct 06 2005 gregkh@suse.de
- patches.fixes/usb-10ms-delay-hub-reset.patch: Add 10ms delay
  on USB hub reset to comply with spec (#100547).
* Thu Oct 06 2005 gregkh@suse.de
- patches.fixes/usb-init-fix.patch: Fix for OHCI initialization
  on some hardware platforms (#97094).
* Thu Oct 06 2005 okir@suse.de
- patches.drivers/agp-intel-x86_64: Allow building intel-agp on
  x86_64 as well (114942).
- Update config files.
* Thu Oct 06 2005 andrea@suse.de
- patches.fixes/sched-smt-alb-fix: fix active balancing SMT bug.
* Thu Oct 06 2005 axboe@suse.de
- patches.drivers/libata-update-2.6.13: libata update to 2.6.13
  code base.
* Thu Oct 06 2005 axboe@suse.de
- patches.drivers/libata-pdc2027x-pll: Fix bus speed detection
  problem (76686).
- patches.drivers/sata-compat-code: Various bits of compatibility
  code for drivers.
* Thu Oct 06 2005 axboe@suse.de
- series.conf: Enable the pdc_pata sata driver again
* Thu Oct 06 2005 axboe@suse.de
- patches.drivers/pdc2027x-atapi-dma: Delete.
- patches.drivers/libata-pio-atapi-race: Delete.
- patches.drivers/libata-eh-vs-irq-race: Delete.
- patches.drivers/libata-timeout-without-command: Delete.
- patches.drivers/libata-atapi-state-fix: Delete.
- patches.fixes/esb2-ata-piix: Delete.
- patches.fixes/esb2-ahci: Delete.
- patches.fixes/libata-LBA-fix: Delete.
* Thu Oct 06 2005 axboe@suse.de
- patches.drivers/sata-enable-flush: Delete.
* Thu Oct 06 2005 axboe@suse.de
- patches.drivers/sata-compat-code: Various bits of compatibility
  code for drivers.
* Thu Oct 06 2005 axboe@suse.de
- patches.drivers/sata-compat-code: Various bits of compatibility
  code for drivers.
- patches.drivers/libata-update-2.6.12: libata update to 2.6.12
  code base.
* Thu Oct 06 2005 okir@suse.de
- patches.fixes/prctl-name: Implement PR_SET_NAME prctl (feature 4923).
* Wed Oct 05 2005 mantel@suse.de
- Update config files.
* Tue Oct 04 2005 rw@suse.de
- patches.fixes/dmapi-open_exec.patch:
  DMAPI: add callout event on exec.  (#117602)
* Tue Oct 04 2005 garloff@suse.de
- moved tag SLES9_SP3_BETA2
* Tue Oct 04 2005 garloff@suse.de
- Fix megaraid update.
* Tue Oct 04 2005 garloff@suse.de
- Added megaraid_sas driver backport.
* Tue Oct 04 2005 schwab@suse.de
- Increase max system size (number of nodes) for sn2 [#119530].
* Tue Oct 04 2005 mantel@suse.de
- disable patches.drivers/megaraid-update2: new driver does not
  build on 64 bit archs with CONFIG_COMPAT=y
* Tue Oct 04 2005 ak@suse.de
- patches.arch/x86_64-mce-barrier: Fix lockup in x86-64 machine check
  logging (#119642)
* Tue Oct 04 2005 ak@suse.de
- patches.arch/x86_64-physflat: Support more than 8 cores on x86-64
  (#85616)
* Tue Oct 04 2005 mantel@suse.de
- patches.drivers/megaraid-update2: update megaraid driver to
  2.20.2.6 (none).
* Tue Oct 04 2005 ak@suse.de
- patches.fixes/i386-binutils10: Fix compilation with 10.0 binutils for
  i386 too
* Tue Oct 04 2005 mantel@suse.de
- tagged SLES9_SP3_BETA2
* Tue Oct 04 2005 mantel@suse.de
- patches.fixes/proc-net-route-pointer: Fix crash while reading
  /proc/net/route caused by stale pointers (100210).
* Tue Oct 04 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050930: OCFS2 update to 1.1.5 fixes a
  bio leak and some LVB consistency.
* Tue Oct 04 2005 mantel@suse.de
- patches.fixes/compat_ioctl-fput: add missing sockfd_put()
  in routing_ioctl() (117169).
* Tue Oct 04 2005 mantel@suse.de
- patches.drivers/cciss-kzmalloc: don't try to use kzmalloc in
  cciss driver (118129).
* Mon Oct 03 2005 mason@suse.de
- patches.fixes/aio-fix-races-kick-async-iocb.patch: Fix aio
  races on kicking queued iocbs (91457 - LTC16389).
* Mon Oct 03 2005 mason@suse.de
- patches.fixes/sched-setscheduler: [PATCH] export
  sched_setscheduler() for kernel module use (115055).
- patches.suse/lkcd-timezone: Add timezone field to lkcd dump
  header.
- patches.suse/ckrm-rbce-path-null: ckrm - make sure RBCE_DATA
  is not null (117653).
- patches.suse/ckrm-deletion-race: A task may not be seen as a
  member in any of the taskclass'es shown by /rcfs (119371).
- patches.suse/ckrm-new-locking: create a lock for CRBCE to fix
  various races (119162).
- patches.suse/ckrm-rcfs-rcvalues: Return the correct error values
  on invalid input to rcfs virtual/magic files. (57064 LTC9292).
- patches.xen/xen-edd-update: Update EDD code to 0.16 and add
  x86_64 support (117579).
* Sun Oct 02 2005 mason@suse.de
- Update config files for vfe
* Sun Oct 02 2005 mason@suse.de
  Update VFe patches
- patches.vfe/ip_address_to_mgt_server.patch: Delete.
- patches.vfe/calc_load_count.patch: Delete.
- patches.vfe/VFe-common-calibrate-delay.patch: VFe arch specific
  calibrate delay func.
- patches.vfe/VFe-common-cpu-hotplug.patch: CPU hotplug fixes
  in common code.
- patches.vfe/VFe-common-dirty-bit-fix.patch: make PTEs writable
  before setting the dirty bit.
- patches.vfe/VFe-common-hugetlb-page-fix.patch: disable
  HUGETLB_PAGE for VFE.
- patches.vfe/VFe-common-timekeeping.patch: Allow architectures
  to do their own maintenance of jiffies_64..
- patches.vfe/VFe-drivers.patch: Device driver support for the
  Virtual Iron VFe architecture..
- patches.vfe/add-vfe-arch: Copy files from i386 to vfe arch.
- patches.vfe/alloc_node_cache.patch: per node caches for the
  physical page allocator.
- patches.vfe/cacheline_smp.patch: numa: align some highly shared
  variables on page boundaries.
- patches.vfe/dev_refcnt_update.patch:  Avoid updating network
  device reference counts in two critical paths.
- patches.vfe/dhcp_bcast_flag_support.patch: Support for DHCP
  broadcast flag.
- patches.vfe/ip_steering.patch: VNIC IP packets steering.
- patches.vfe/kdb.patch: KB support for vfe.
- patches.vfe/kstat.patch: reduce frequency of /proc/stat updates.
- patches.vfe/lkcd.patch: LKCD (Linux Kernel Crash Dump) support
  for VFe..
- patches.vfe/memory.patch: VFe numa related mm/memory.c
  optimizations.
- patches.vfe/memory_hotplug.patch: VFe memory hotplug.
- patches.vfe/net_timestamp_opts.patch: Reduce network timestamp
  frequency to reduce cache coherency traffic..
- patches.vfe/nfs_steering.patch: register packet steering
  filters for NFS traffic..
- patches.vfe/numa_atomics.patch: NUMA atomics support for VFe.
- patches.vfe/numa_aware_slab_allocator.patch: Christoph Lameter's
  NUMA-ware slab allocator.
- patches.vfe/numa_hh_lock.patch: Make the hh_cache.hh_lock be
  a numa_rwlock_t..
- patches.vfe/numa_neigh_lock.patch: Make the struct neighbour
  lock be a numa_rwlock_t..
- patches.vfe/numa_tcp_ehash_locks.patch: numa_rwlock_t support.
- patches.vfe/pdflush_numa.patch: numa aware pdflush.
- patches.vfe/per_cpu_pageset.patch: Support for per-CPU pagesets.
- patches.vfe/remote_wakeup_opt.patch: Cross-node wakeup:
  Eliminate unnecessary schedule queue disruption during.
- patches.vfe/slab_numa_align.patch: Align some slabs on page
  boundaries for better numa performance.
- patches.vfe/startup_restart.patch: Make per-cpu areas aligned
  on page boundary.
- patches.vfe/timer_opt.patch: numa related del_time_sync
  optimization.
- patches.vfe/tlb_flush_mmu.patch: Support for arch-specific
  tlb_flush_mmu().
- patches.vfe/page_cache_node_copies.patch: per node copies of
  ro executable pages.
- patches.vfe/VFe.arch-vs-i386.patch: i386 -> vfe.
* Sun Oct 02 2005 mason@suse.de
- patches.suse/ak-i386-compile-fix: make kernel compile with
  newer binutils
* Fri Sep 30 2005 agruen@suse.de
- A batch of xfs dmapi updates (117828).
* Fri Sep 30 2005 mantel@suse.de
- patches.drivers/qla2xxx-update2: update Qlogic driver qla2xxx
  to version 8.01.02-d2 (116886).
* Fri Sep 30 2005 mantel@suse.de
- Update config files.
- patches.drivers/qla4xxx: update qla4xxx driver to version
  5.00.04-d1 (119473).
* Fri Sep 30 2005 okir@suse.de
- patches.fixes/d-alloc-name: backport d_alloc_name (feature 140395).
- patches.suse/infiniband-mcast: Implement multicast over
  infiniband (feature 140395).
* Fri Sep 30 2005 hare@suse.de
- patches.arch/s390-31-01-april2004.diff
  Add latest codedrop from IBM.
* Fri Sep 30 2005 ak@suse.de
- patches.fixes/disable-flushfilter: Disable AMD K8 flushfilter
  always (#119632)
* Fri Sep 30 2005 ak@suse.de
- patches.fixes/oprofile-model: Allow oprofile on all Netburst CPUs
  (#84556)
* Fri Sep 30 2005 ak@suse.de
- patches.arch/x86_64-nodemaphash: Enlarge x86-64 numa hash table
  (#106287)
* Fri Sep 30 2005 ak@suse.de
- patches.arch/x86_64-binutils10: Make x86-64 compile with 10.0
  binutils
* Thu Sep 29 2005 okir@suse.de
- patches.suse/sunrpc-shared-transport: RPC: allow transport
  sharing (feature 156; off by default).
- patches.suse/nfs-unshared-supers: NFS: allow multiple mounts
  of same volume with different options (feature 156; off by default).
* Thu Sep 29 2005 tiwai@suse.de
- patches.drivers/alsa-hda-intel-nvidia.diff: [ALSA] hda-intel -
  Add NVidia support (11679).
- patches.drivers/alsa-hda-intel-alc260-fix:
- patches.drivers/alsa-hda-intel-alc260-fix2:
- patches.drivers/alsa-hda-intel-alc880-fix:
- patches.drivers/alsa-hda-intel-alc880-fix2:
- patches.drivers/alsa-hda-intel-alc882-fix: [ALSA] fix HD audio
  Realtek codec support.
* Thu Sep 29 2005 hare@suse.de
- patches.suse/lkcd-iterator-fix.patch
  Save last page of lkcd dump (#113834)
* Thu Sep 29 2005 agruen@suse.de
- mptscsih.o used to include parallel SCSI support. The parallel
  SCSI code has now been moved to mptspi.o, with mptscsih.o
  containing code common to mptspi.o, mptfc.o, and mptsas.o.
  Rename old mptscsih to mptspi (119185).
* Thu Sep 29 2005 mantel@suse.de
- patches.drivers/e100-update: update e100 driver to version
  3.4.14 (119205).
* Thu Sep 29 2005 mantel@suse.de
- patches.drivers/i915-agpgart: Backport of Intel graphics support
  (114942).
* Thu Sep 29 2005 mantel@suse.de
- patches.fixes/x86_64-vect_share_irq: kernel panics on 4-node
  x460 system (81661 - LTC14565).
* Thu Sep 29 2005 hare@suse.de
- patches.fixes/dm-test-for-hardsect-size.patch
  Fixed patch to test against sectors.
* Wed Sep 28 2005 schwab@suse.de
- Remove bogus error message from the IOC4 serial driver interrupt handler
  [#118893].
* Wed Sep 28 2005 olh@suse.de
- add patches.drivers/ipr_eeh_stress.patch
  fix races in ipr eeh handling (118288 - LTC18569)
* Wed Sep 28 2005 rw@suse.de
- disabled patches.fixes/dm-test-for-hardsect-size.patch
* Wed Sep 28 2005 mantel@suse.de
- moved tag SLES9_SP3_BETA1
* Wed Sep 28 2005 olh@suse.de
- disable all vfe patches
* Wed Sep 28 2005 mantel@suse.de
- rpm/kernel-source.spec.in: temporarily disable vfe
* Tue Sep 27 2005 garloff@suse.de
- VFe: Fix pte macros, maybe_mkwrite() does not exist ...
* Tue Sep 27 2005 garloff@suse.de
- Disable NETDUMP and HUGETLBFS for VFe.
- Fix Xen EDD suport.
* Tue Sep 27 2005 schwab@suse.de
- Don't enforce o_largefile attribute for emulated 32 bit processes
  [#64638].
* Tue Sep 27 2005 mantel@suse.de
- tagged SLES9_SP3_BETA1
* Tue Sep 27 2005 mantel@suse.de
- patches.drivers/bcm5700: update bcm5700 driver to 8.2.18
  (115889,106846).
- patches.fixes/bcm5700-bug-17631.patch: fix userspace memory
  corruption (106128).
* Tue Sep 27 2005 schwab@suse.de
- Avoid MCA in sn_legacy_io_{read,write} [#118879].
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/ipt-recent-64bitfix: fix 64 bit issue in
  ipt_recent (116094).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/fix-sg-memleak: fix memory leak in sg driver
  (113224).
* Tue Sep 27 2005 mantel@suse.de
- series.conf: disable patches.fixes/x86_64-vect_share_irq
* Tue Sep 27 2005 garloff@suse.de
- Add VFe architecture.
- Split edd-update patch into general and xen-specific patch.
- Rediff xen-common patch.
* Tue Sep 27 2005 schwab@suse.de
- Get XPC to cleanly disengage from remote memory [#117853].
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/sendmsg-overflow: fix kernel sendmsg() overflow
  (114364).
* Tue Sep 27 2005 mantel@suse.de
- Update config files.
- patches.drivers/dell-dcdbas: add dcdbas driver module for DELL
  (117507).
* Tue Sep 27 2005 schwab@suse.de
- Add volatile semantics to pcibr/ca/ce mmr references [#118873].
* Tue Sep 27 2005 mantel@suse.de
- Update config files.
- patches.drivers/dell-rbu: add dell_rbu driver module for Dell
  BIOS updates (117270).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/pci-quirks-newline: add missing newline to
  beautify output (114395).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/e1000-suspend-stats: Delete.
- patches.drivers/e1000-update: update e1000 driver to version
  6.2.15 (118423).
* Tue Sep 27 2005 olh@suse.de
- add patches.arch/ibm-ppc64-op_panel.patch
  correct printing to op panel (98770 - LTC13550)
* Tue Sep 27 2005 mantel@suse.de
- series.conf: disable patches.arch/powernow-revF
* Tue Sep 27 2005 mantel@suse.de
- patches.suse/skb_header_pointer-ipt_hashlimit: make
  ipt_hashlimit.c compile (116933).
* Tue Sep 27 2005 mantel@suse.de
- Update config files.
- patches.suse/netfilter-additions: add ipt modules:
  ipt_hashlimit, ipt_ipv4options and ipt_addrtype (116933).
* Tue Sep 27 2005 mantel@suse.de
- patches.drivers/openipmi-update2: update openIPMI driver to
  version 36.1 (116297).
* Tue Sep 27 2005 okir@suse.de
- patches.drivers/tg3-new-SGI: Obsolete
* Tue Sep 27 2005 okir@suse.de
- patches.drivers/s2io-2buff-mode: s2io: make 2 buffer mode
  configurable (117837).
- Update config files.
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/ahci-SActive: ahci driver sets HD activity LED
  permanently on (100403).
* Tue Sep 27 2005 mantel@suse.de
- patches.arch/powernow-revF: Add PowerNow! support for RevF
  processors (93780).
* Tue Sep 27 2005 mantel@suse.de
- patches.drivers/forcedeth-update: update forcedeth driver to
  0.44 (117677).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/usb-error-handling: USB error handling bug when
  writing to a USB hard drive (118256).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/netdevice-HAVE_NETDEV_PRIV: add HAVE_NETDEV_PRIV
  definition to include/linux/netdevice.h (117377).
* Tue Sep 27 2005 mantel@suse.de
- patches.drivers/PCIe-downstream: allow pciehp driver to operate
  correctly on the downstream port of a switch (116836).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/parent-pthread_exit: if parent thread calls
  pthread_exit(), then child threads are not visible to ps -eLf
  (118778 - LTC17794).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/x86_64-vect_share_irq: kernel panics on 4-node
  x460 system (81661 - LTC14565).
* Tue Sep 27 2005 mantel@suse.de
- patches.fixes/x86-64-ioapic-init: fix hotplug on x86_64 systems
  with >= 4GB of RAM (118785).
* Tue Sep 27 2005 mantel@suse.de
- Update config files.
- patches.drivers/tpm-driver: add TPM Device Driver (17034 -
  LTC18342-LDP 31035).
* Mon Sep 26 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-pci-express2.patch
  fix null pointer in pcie eeh code (118713 - LTC18597)
* Mon Sep 26 2005 mantel@suse.de
- patches.drivers/edd-update: Update EDD code to 0.16 and add
  x86_64 support (117579).
* Mon Sep 26 2005 mantel@suse.de
- Update config files.
- patches.arch/x86_64-Kconfig-firmware: add drivers/Kconfig
  missing reference to drivers/firmware/Kconfig (117505).
* Mon Sep 26 2005 mantel@suse.de
- patches.drivers/nvidia-SATA: add MCP51, MCP55 SATA device IDs
  to sata_nv driver (117681).
* Mon Sep 26 2005 mantel@suse.de
- patches.drivers/nvidia-IDE-IDs: add NVIDIA MCP51, MCP55 IDE
  device IDs to amd74xx driver (117678).
* Mon Sep 26 2005 mantel@suse.de
- patches.drivers/nvidia-PCI-IDs: add various NVIDIA device IDs
  (117680).
* Mon Sep 26 2005 mantel@suse.de
- patches.drivers/ixgb-update: update ixgb driver to version
  1.0.102 (118426).
* Mon Sep 26 2005 mantel@suse.de
- Update config files.
- patches.drivers/fusion-update3: update LSI MPT fusion driver
  to version 3.02.58 (117392).
* Mon Sep 26 2005 mantel@suse.de
- patches.arch/numa-mem-cfg: x86_64: hang/panic with 2-2GB and
  dualcore CPUs (86739 - LTC16247).
* Mon Sep 26 2005 mantel@suse.de
- patches.fixes/acpi-no-xsdt: fix typo
* Fri Sep 23 2005 mantel@suse.de
- patches.fixes/acpi-no-xsdt: Systems with ACPI 2.0 compliant
  BIOS fail to boot if no XSDT is defined (94057 - LTC16709).
* Fri Sep 23 2005 mantel@suse.de
- patches.fixes/ramdisk-blocksize: kernel boot parameter
  'ramdisk_blocksize=4096' leaves kernel unbootable (97252).
* Fri Sep 23 2005 mantel@suse.de
- Update config files.
- patches.drivers/qla2xxx-update2: update Qlogic driver qla2xxx
  to version 8.01.01-d1 (116886).
* Fri Sep 23 2005 mantel@suse.de
- patches.drivers/cciss-update2: update cciss driver to 2.6.8
  (118129).
* Fri Sep 23 2005 okir@suse.de
- patches.drivers/tg3-3.37-plus: Update tg3 driver to latest and greatest
* Fri Sep 23 2005 olh@suse.de
- add patches.arch/ibm-ppc64-pci-use-OF-tree.patch
  Set up PCI tree from Open Firmware device tree (94415 - LTC16768)
* Thu Sep 22 2005 olh@suse.de
- add patches.drivers/8250_pci_exar.patch
  patch for supporting EXAR corp Dual UART chip's serial port
  (117799 - LTC18411)
* Thu Sep 22 2005 mantel@suse.de
- patches.drivers/ips-update: update IBM ServeRAID driver (ips)
  to 7.12.02 (118400).
- patches.drivers/ips-update-adapt: make new ips.c driver compile
  in kernel 2.6.5 (118400).
* Thu Sep 22 2005 mantel@suse.de
- patches.drivers/emulex-lpfc-2.6-8.0.16.6_x2: Delete.
- patches.drivers/lpfc-version-fix: Delete.
- patches.drivers/emulex-lpfc: Update to latest Emulex lpfc driver
  (96183).
- patches.drivers/emulex-lpfc-kbuild: integrate emulex lpfc
  driver into kernel (96183).
* Thu Sep 22 2005 olh@suse.de
- add patches.fixes/dm-bitset-hack
  use correct size of bitmap arrays (78417)
* Thu Sep 22 2005 olh@suse.de
- do not package the huge debug vmlinux on pseries64, strip it
* Thu Sep 22 2005 mantel@suse.de
- patches.fixes/madvise-limit: madvise doesn't fail for exceding
  RSS limit (96322 - LTC9907).
* Wed Sep 21 2005 okir@suse.de
- patches.drivers/bnx2-backport: Backport bnx2 driver to
  SLES9-SP2.
* Wed Sep 21 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-slot-handling.patch
  add patches.arch/ibm-ppc64-eeh-e100.patch
  add patches.arch/ibm-ppc64-eeh-e1000.patch
  add patches.arch/ibm-ppc64-eeh-ixgb.patch
  handle EEH errors in network drivers (115942 - LTC16227)
* Wed Sep 21 2005 olh@suse.de
- add patches.drivers/ibm-ppc64-ibmvscsis_support_aix.patch
  The current version of IBM VSCSI server doesn't support AIX client
  (117874 - LTC18497)
* Tue Sep 20 2005 schwab@suse.de
- Don't let LKCD access memory holes [#113833].
* Tue Sep 20 2005 mantel@suse.de
- series.conf: patches.fixes/madvise-limit needs fixing...
* Tue Sep 20 2005 mantel@suse.de
- patches.fixes/madvise-limit: madvise doesn't fail for exceding
  RSS limit (96322 - LTC9907).
* Tue Sep 20 2005 schwab@suse.de
- Optimize writer path in time_interpolator_get_counter() [#106895].
* Tue Sep 20 2005 lmb@suse.de
- patches.suse/move-truncate_inode_pages-into-delete_inode (#117405).
- patches.suse/ocfs2-configfs-20050915: OCFS2 update to 1.1.3
- patches.suse/ocfs2-configfs-20050919: OCFS2 update to 1.1.4
* Tue Sep 20 2005 mantel@suse.de
- Update config files. Enable CONFIG_HOTPLUG_PCI_SHPC for bigsmp and
  debug kernels on i386 (#106582)
* Tue Sep 20 2005 hare@suse.de
- patches.fixes/dm-test-for-hardsect-size.patch
  Check for hardsect size when creating dm tables (#112621)
* Tue Sep 20 2005 mantel@suse.de
- disable patches.arch/powernow-revF; does not even compile
* Tue Sep 20 2005 mantel@suse.de
- patches.arch/powernow-revF: Add PowerNow! support for RevF
  processors (93780).
* Tue Sep 20 2005 mantel@suse.de
- patches.fixes/lkcd-fix-hugetlb-filtration: lkcd must treat
  hugetlb pages as user data, not as kernel data (117628).
* Tue Sep 20 2005 mantel@suse.de
- patches.fixes/usb2-ehci-2GB: fix memory >2Gb issue with NVIDIA
  USB2 controllers (117682).
* Tue Sep 20 2005 okir@suse.de
- patches.suse/ip-nat-local: add an module option to conntrack
  to enable NAT for local connections (104490).
* Mon Sep 19 2005 schwab@suse.de
- Modify TIO CX infrastructure code to handle blade hardware [#117601].
* Mon Sep 19 2005 schwab@suse.de
- Add SGI SHUB2 support [#117337]
* Mon Sep 19 2005 olh@suse.de
- add patches.fixes/scsi_eh_fmt_corrupt_stu.patch
  Format corrupt drive shows up offline at boot (117812 - LTC18491)
* Mon Sep 19 2005 rw@suse.de
- patches.fixes/cpusets-double-trip-deadlock:
  Potential double trip deadlock (in cpusets) waiting on cpuset_sem.
  (#116282)
* Mon Sep 19 2005 rw@suse.de
- patches.suse/ia64-smt:
  scheduler enhancements to support SMT on ia64.  (#98742)
- Update ia64-config files.
* Mon Sep 19 2005 hare@suse.de
- add patches.arch/s390-27-0?-april2004.diff
  Update to IBM codedrop 2005-09-06
- add patches.arch/s390-28-01-april2004.diff
- add patches.arch/s390-29-0?-april2004.diff
- add patches.arch/s390-30-0?-april2004.diff
  Update to IBM codedrop 2005-09-16
- Adapt patches.
- remove patches.arch/s390-spinretry.diff
- remove patches.fixes/scsi-eh-obey-noretry
  Remove obsolete patches.
* Mon Sep 19 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-dlpar-fixes.patch
  fix pci hotplug on dlpar configurations (116038 - LTC18117)
* Mon Sep 19 2005 olh@suse.de
- add patches.drivers/ibmveth_bigmtu.patch
  change for virtual ethernet to support MTU sizes upto 64k
  (117651 - LTC15245)
* Mon Sep 19 2005 okir@suse.de
- Made sunrpc modular on sn2 (117623)
* Fri Sep 16 2005 okir@suse.de
- Fixed previous patch. Everything goes wrong today...
* Fri Sep 16 2005 okir@suse.de
- patches.drivers/pcf8574: Add driver for pcf8574 i2c sensor (114121).
- Update config files.
* Fri Sep 16 2005 okir@suse.de
- patches.fixes/net-disable-tso: Disable TSO by default
  (SUSE45666, 115767).
* Fri Sep 16 2005 okir@suse.de
- patches.drivers/s2io-2.0.8.1: Update s2io driver to 2.0.8.1
  (117091).
- patches.fixes/bonding-layer3-xor-hashing: bonding: backport
  the layer3 XOR bonding hash code (113877).
- patches.fixes/bonding-inherit-device-features: bonding: make the
  bond device inherit the features of its slave devices (113880).
- patches.suse/safer-ip-reassembly: Safer IP reassembly (115066).
* Thu Sep 15 2005 agruen@suse.de
- Add a minmem file to hint Autobuild how much memory build hosts
  must have.
* Thu Sep 15 2005 olh@suse.de
- add patches.arch/ibm-ppc64-altivec-ptrace.patch
  Add PTRACE_{GET|SET}VRREGS (115605 - LTC17134)
* Thu Sep 15 2005 olh@suse.de
- add patches.drivers/ipr_rescan_fix.patch
  Fix rescanning of ipr raid arrays (115461 - LTC17537)
* Wed Sep 14 2005 jbeulich@suse.de
- patches.arch/no-ioapic-check: Fix to allow building without
  CONFIG_X86_IO_APIC.
* Tue Sep 13 2005 tiwai@suse.de
- patches.drivers/alsa-hda-intel-2.6.5-fix.diff: Fix compilation
  of snd-hda-* drivers with 2.6.5.
- patches.drivers/alsa-hda-intel-sp3-update: [ALSA] Update of
  hda-intel/codec drivers for SP3.
* Mon Sep 12 2005 andrea@suse.de
- patches.fixes/break_cow-pte_mkwrite: Avoid deadlock in
  get_user_pages. (102625)
* Mon Sep 12 2005 mason@suse.de
- patches.suse/quota-SLES9-iprunesem.diff: Fix quota race vs
  inode cleanup (94077).
- patches.suse/quota-SLES9_SP2-1-removelock.diff: Remove bogus
  unlock on quotaon error path.
* Fri Sep 09 2005 schwab@suse.de
- Fix ia64_atomic64_add/sub and reenable rwsem patch [#113891].
* Fri Sep 09 2005 kkeil@suse.de
- patches.fixes/ppp-mppe-64bit-fix: Fix 64 bit issue
  (#115398, #113841)
* Thu Sep 08 2005 mason@suse.de
- patches.fixes/direct-io-memleak: [PATCH] direct IO write memory
  leak fix (113301).
* Wed Sep 07 2005 mantel@suse.de
- patches.fixes/initrd-remount-message: don't scare the user
  with initrd remount failed message (95434).
* Tue Sep 06 2005 mantel@suse.de
- patches.arch/es7000-update: ES7000 platform code doesn't detect
  ES7000/600 systems properly (114307).
* Mon Sep 05 2005 mantel@suse.de
- patches.drivers/export-pm_power_off-ia64: export symbol
  "pm_power_off" also on ia64 (needed for new IPMI version)
  (80196 - LTC15288).
* Mon Sep 05 2005 hare@suse.de
- patches.fixes/always-send-sigkill-on-oom
  Update patch with suggestions by Kurt Garloff (#81833).
* Fri Sep 02 2005 mantel@suse.de
- Update config files.
* Fri Sep 02 2005 mantel@suse.de
- patches.fixes/bigsmp-automatic: automatically switch to bigsmp
  mode when appropriate (95603).
* Fri Sep 02 2005 mantel@suse.de
- patches.drivers/openipmi-update: update openIPMI driver to v33
  (80196 - LTC15288).
* Fri Sep 02 2005 mantel@suse.de
- patches.fixes/jfs-punch-hole: JFS punch hole function broken
  (90465 - LTC16443).
* Fri Sep 02 2005 mantel@suse.de
- patches.fixes/fix-second-overflow: Time briefly jumps ahead
  4294 seconds. (114584 - LTC17880).
* Fri Sep 02 2005 schwab@suse.de
- Disable rwsem patch for now.
* Thu Sep 01 2005 jeffm@suse.de
- add patches.fixes/reiserfs-endianness-fix.diff: [PATCH] reiserfs
  endianness: fix endianness bugs (112857)
* Wed Aug 31 2005 schwab@suse.de
- Fix duplicate copy_page implementation [#113943].
* Wed Aug 31 2005 schwab@suse.de
- Remove rwsem limitation of 32k waiters [#113891].
* Wed Aug 31 2005 agruen@suse.de
- patches.suse/nfsacl-entry-order.diff: Solaris VxFS compatibility
  fix (102323).
* Wed Aug 31 2005 schwab@suse.de
- Add missing cpu_relax() in ITC syncing code [#106898].
* Wed Aug 31 2005 lmb@suse.de
- patches.suse/sparse-types: Add sparse types (#114152).
- patches.suse/kvec-uio: Add kvec to uio.h (#114190).
- patches.suse/ocfs2-configfs-20050829: Update OCFS2 to 1.1.2, now
  endian-safe.
- Enable OCFS2 build in all remaining configurations.
* Mon Aug 29 2005 agruen@suse.de
- patches.fixes/xfs-kern-23594a-transbrelse-quota-fix: Renamed to
  patches.fixes/xfs-kern-23594a-fix-quota-transaction-commit.
- patches.fixes/xfs-kern-196852a-remove-vnode-flags: remove
  vnode flags (SGI:PV934766).
- patches.fixes/xfs-kern-197403a-inode32-alignment-fixes:
  inode32 alignment fixes (SGI:PV938899).
- patches.fixes/xfs-kern-197929a-fix-nfs-xfs_iget-shutdown:
  fix nfs xfs_iget shutdown (102531, SGI:PV941429).
- patches.fixes/xfs-kern-20222a-log-roundoff-fix: log roundoff
  fix (SGI:PV922265).
- patches.fixes/xfs-kern-21108a-fix-metadata-readahead-congestion-check:
  fix metadata readahead congestion check (SGI:PV928392).
- patches.fixes/xfs-kern-23155a-log-tracing: log tracing
  (SGI:PV931456).
- patches.fixes/xfs-kern-23594a-fix-quota-transaction-commit:
  fix quota transaction commit (SGI:PV940366).
- patches.fixes/xfs-kern-23616a-fix-racey-pbflags-accesses:
  fix racey pbflags accesses (65392, SGI:PV923981).
* Mon Aug 29 2005 agruen@suse.de
- patches.fixes/xfs-kern-23594a-transbrelse-quota-fix: transbrelse
  quota fix (104097, SGI:PV940366).
* Mon Aug 29 2005 olh@suse.de
- add patches.arch/ibm-ppc64-sqplus_io_dlpar.patch
  support for SQ+ DLPAR/Hotplug (113204 - LTC17743)
* Thu Aug 25 2005 kkeil@suse.de
- patches.fixes/bcm5700-bug-17631.patch #106128
  fix: LTC17631 - Userspace Memory be corrupted by bcm5700 driver
* Thu Aug 25 2005 okir@suse.de
- patches.suse/nfs-statd-hostnames-fix: NFS: fix string decoding
  in lockd (105064).
* Thu Aug 25 2005 okir@suse.de
- patches.fixes/ip-dst-leak2: IP: Fix IP dst cache overruns (56830).
* Thu Aug 25 2005 okir@suse.de
- patches.fixes/nlm-grace-period: NFS: Allow lockd grace_period
  and timeout sysctls to work (99197).
* Thu Aug 25 2005 okir@suse.de
- patches.fixes/LAuS-path-init: LAuS: Fix audit_path_init usage (77980).
* Thu Aug 25 2005 olh@suse.de
- update patches.arch/ppc64-hugepage-secfix-CAN-2005-0916.patch
  preserve the is_hugepage_only_range API (100718)
* Wed Aug 24 2005 ak@suse.de
- patches.suse/stratus-mm-track: Remove (#98211)
- patches.arch/nx-i386: Rediff
* Tue Aug 23 2005 agruen@suse.de
- patches.fixes/kconfig-ext3-ocfs2.diff: Allow both OCFS2 and
  EXT3 to be compiled into the kernel (96341).
* Tue Aug 23 2005 olh@suse.de
- add patches.fixes/ieee1394-fix-premature-expiry-of-async-packets.patch
  ieee1394: fix premature expiry of async packets (#106006)
* Tue Aug 23 2005 agruen@suse.de
- patches.fixes/xfs-kern-185644a-remove-noconvert-endian-macros:
  remove noconvert endian macros (SGI:PV928382).
- patches.fixes/xfs-kern-185768a-remove-zero-endian-macros:
  remove zero endianess macros (SGI:PV928382).
- patches.fixes/xfs-kern-192153a-swsusp-vs-xfsbufd-fix: swsusp
  vs xfsbufd fix (SGI:PV934765).
- patches.fixes/xfs-kern-192348a-pagebuf-symbol-updates: pagebuf
  symbol updates (SGI:PV908809).
- patches.fixes/xfs-kern-193349a-rework-iflush_all: rework
  iflush_all (SGI:PV936890).
- patches.fixes/xfs-kern-193408a-rework-purge_inode: rework
  purge_inode (SGI:PV936891).
- patches.fixes/xfs-kern-193409a-remove-incore_relse: remove
  incore_relse (SGI:PV936977).
- patches.fixes/xfs-kern-193840a-fix-quiescing-on-freeze: fix
  quiescing on freeze (SGI:PV936977).
- patches.fixes/xfs-kern-194415a-efi-code-sharing: efi code
  sharing (SGI:PV938062).
- patches.fixes/xfs-kern-194420a-remove-inval_cached_pages:
  remove inval_cached_pages (SGI:PV938064).
- patches.fixes/xfs-kern-195240a-fix-iocspace-permissions-check:
  fix iocspace permissions check (SGI:PV938905).
- patches.fixes/xfs-kern-20989a-per-device-metadata-hash: per
  device metadata hash (SGI:PV927536).
- patches.fixes/xfs-kern-21938a-project-quota-interface1:
  project quota interface1 (SGI:PV932952).
- patches.fixes/xfs-kern-22378a-fix-lofft-usage: fix lofft usage
  (SGI:PV934923).
- patches.fixes/xfs-kern-22805a-project-quotas: project quotas
  (SGI:PV932952).
- patches.fixes/xfs-kern-22806a-projid-inheritance: projid
  inheritance (SGI:PV932952).
- patches.fixes/xfs-kern-22899a-project-quota-interface2:
  project quota interface2 (SGI:PV938145).
- patches.fixes/xfs-kern-22900a-realtime-quota-fixes: realtime
  quota fixes (SGI:PV938145).
- patches.fixes/xfs-kern-22901a-warning-quota-fixes: warning
  quota fixes (SGI:PV938145).
- patches.fixes/xfs-kern-22929a-remove-quota-diagnostics: remove
  quota debug (SGI:PV932952).
- patches.fixes/xfs-kern-22964a-remove-intermodule_get-usage:
  remove intermodule_get usage (SGI:PV938408).
- patches.fixes/xfs-kern-22986a-fix-fdblock-count-leak: fix
  fdblock count leak (SGI:PV938502).
- patches.fixes/xfs-kern-23088a-direct-write-transaction-resv-fix:
  direct write transaction resv fix (SGI:PV938145).
- patches.fixes/xfs-kern-23095a-log-resv-calc-fixes: log resv
  calc fixes (SGI:PV931457).
- patches.fixes/xfs-kern-23162a-fix-grpid-mount-option: fix
  grpid mount option (SGI:PV939444).
- patches.fixes/xfs-kern-23260a-shutdown-ail-deadlock-fix:
  shutdown ail deadlock fix (SGI:PV940076).
- patches.fixes/xfs-kern-23388a-fix-missed-quotachecks: fix
  missed quotachecks (SGI:PV940491).
- patches.fixes/xfs-kern-23563a-spinlock-compat-macro: spinlock
  compat macro (SGI:PV904196).
- patches.fixes/xfs-quota-header-update: Some quota header updates.
* Sun Aug 21 2005 jeffm@suse.de
- patches.fixes/emul_lookup_dentry_datacopy_fix.diff: vfs
  __emul_lookup_dentry copies nameidata that it shouldn't (81861).
* Fri Aug 19 2005 schwab@suse.de
- Call SN code only on SN platforms [#103102].
* Fri Aug 19 2005 schwab@suse.de
- Fix perfmon context load [#98894].
* Fri Aug 19 2005 okir@suse.de
- series.conf: disable nfsd-rewrite-align; it's broken
* Fri Aug 19 2005 okir@suse.de
- patches.fixes/syscall-page-fix: previous security fix was too
  strict, could cause oopses (85834, 95501).
* Fri Aug 19 2005 hare@suse.de
- add patches.arch/s390-26-0?-april2004.diff
- remove patches.arch/s390-ctc-busy-wait.patch
- remove patches.arch/s390-qeth-recover.patch
  Update to IBM codedrop 19-08-2005
* Fri Aug 19 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050818: OCFS2 update.
* Thu Aug 18 2005 schwab@suse.de
- Avoid spillpsp [#104522].
* Thu Aug 18 2005 schwab@suse.de
- Fix potential ABBA deadlock in cpusets [#100804].
* Thu Aug 18 2005 okir@suse.de
- patches.fixes/zlib-fixes: Removed bogus hunk (104085).
* Wed Aug 17 2005 okir@suse.de
- patches.fixes/apicid-bsp: Set up BSP APIC ID correctly (100599).
* Wed Aug 17 2005 kkeil@suse.de
- add patches.fixes/sockpolicy-restrict.patch  (105103 CAN-2005-2555)
  Restrict socket policy loading to CAP_NET_ADMIN
* Wed Aug 17 2005 hare@suse.de
- add patches.arch/s390-spinretry.diff
  Retryable spinlocks for S/390 (#100722 - LTC17469).
* Tue Aug 16 2005 olh@suse.de
- add patches.arch/ibm-ppc64-vmx_phyp_save.patch
  note VMX context use in VPA for PHYP handling of SPLPAR (104988 - LTC17540)
* Tue Aug 16 2005 olh@suse.de
- add patches.arch/ppc64-hugepage-secfix-CAN-2005-0916.patch
  fix possible oops on ppc64 in AIO hugepage handling (100718)
* Tue Aug 16 2005 okir@suse.de
- patches.fixes/netfilter-conntrack-expect: [netfilter] Fix
  incorrect error return in ip_conntrack_expect_related (100428).
- patches.fixes/net-xfrm-policy-overflow: [XFRM]: Fix possible
  overflow of sock->sk_policy (100685, CAN-2005-2456).
- patches.fixes/zlib-fixes: Update in-kernel zlib routines
  (104085).
- patches.fixes/zisofs-fixes: check input buffer size in zisofs
  (104085).
* Tue Aug 16 2005 kkeil@suse.de
- patches.fixes/tg3-pci_save_state-fix (#104532)
  [TG3]: Save initial PCI state before registering the netdevice
* Fri Aug 12 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050811: OCFS2 update.
* Wed Aug 10 2005 schwab@suse.de
- Enable IA64_SGI_SN_SIM on sn2.
* Wed Aug 10 2005 hare@suse.de
- patches.arch/s390-25-0[123]-april2004.diff
  Include IBM codedrop 2005-07-20
- patches.arch/s390-syscall-cleanup-fix
  Remove obsolete patch.
- patches.arch/s390-ctc-busy-wait.patch:
  Fix busy wait in CTC driver (97075 - LTC17067).
- patches.arch/s390-qeth-recover.patch
  Properly recover qeth devices after vary on (94842 - LTC16811).
* Tue Aug 09 2005 agruen@suse.de
- patches.fixes/xfs-kern-187759a-dmapi-mmap-corruption-fix:
  dmapi mmap corruption fix (SGI:PV930187).
- patches.fixes/xfs-kern-187769a-dmapi-punch_hole-fix: dmapi
  punch_hole fix (SGI:PV930187).
- patches.fixes/xfs-kern-189108a-remove-broken-inode-shake:
  remove broken inode shake (SGI:PV931920).
- patches.fixes/xfs-kern-190711a-dmapi-fix-iolock-deadlock:
  dmapi fix iolock deadlock (SGI:PV933765).
- patches.fixes/xfs-kern-191628a-dmapi-punch_hole-dirty-inode:
  dmapi punch_hole dirty inode (SGI:PV933619).
- patches.fixes/xfs-kern-192569a-remove-incorrect-warnon: remove
  incorrect warnon (SGI:PV934679).
- patches.fixes/xfs-kern-192760a-missing-static-symbols1:
  missing static symbols (SGI:PV936255).
- patches.fixes/xfs-kern-193691a-missing-static-symbols2:
  missing static symbols2 (SGI:PV936255).
- patches.fixes/xfs-kern-20564a-kmem-alloc-flags-fixes: kmem
  alloc flags fixes (SGI:PV914873).
- patches.fixes/xfs-kern-20565a-missing-static-symbols0: missing
  static symbols0 (SGI:PV904196).
- patches.fixes/xfs-kern-21209a-fix-metadata-inode-gfp_flags:
  fix metadata inode gfp_flags (SGI:PV914873).
- patches.fixes/xfs-kern-21460a-fix-sync-write-giving-eagain:
  fix sync write giving eagain (SGI:PV930364).
- patches.fixes/xfs-kern-21887a-fix-sync-mount-option-for-metadata:
  fix sync mount option for metadata (SGI:PV932297).
- patches.fixes/xfs-kern-21888a-add-dirsync-mount-option: add
  dirsync mount option (SGI:PV932297).
- patches.fixes/xfs-kern-21915a-promote-inode-on-ihash-hit:
  promote inode on ihash hit (SGI:PV932482).
- patches.fixes/xfs-kern-21937a-prevent-v1-directory-mounts:
  prevent v1 directory mounts (SGI:PV931225).
- patches.fixes/xfs-kern-22032a-fix-sizeof-nlink_t: fix sizeof
  nlink_t (SGI:PV933454).
- patches.fixes/xfs-kern-22261a-allocsize-option: allocsize option
  (SGI:PV934516).
- patches.fixes/xfs-kern-22376a-delalloc-beyond-eof-data-corruption-fix:
  delalloc beyond eof data corruption fix (SGI:PV934923).
- patches.fixes/xfs-kern-22377a-delalloc-bad-offset-data-corruption-fix:
  delalloc bad offset data corruption fix (SGI:PV934923).
- patches.fixes/xfs-kern-22804a-remove-incorrect-warnon2: remove
  incorrect warnon2 (SGI:PV935710).
* Tue Aug 09 2005 agruen@suse.de
- patches.fixes/clear_inode-fix-backport: two read_inode() calls
  without clear_inode() call between (64527, SGI:PV938306).
- patches.fixes/xfs-kern-194627a-replace-vn_get-with-ihold:
  replace vn_get with ihold (64527, SGI:PV938306).
* Fri Aug 05 2005 andrea@suse.de
- patches.fixes/refill-inactive-irq-latency: avoid high irq
  latencies in VM. (84751)
* Fri Aug 05 2005 agruen@suse.de
- rpm/post.sh: Fix so that initrd.previous is preserved again.
* Fri Aug 05 2005 olh@suse.de
- remove patches.fixes/e100-napi-pseries
  reenable NAPI for e100 on pseries (102299 - LTC8491)
* Thu Aug 04 2005 olh@suse.de
- add patches.arch/ibm-ppc64-970MP.patch
  recognize 970MP (98764 - LTC17191)
* Thu Aug 04 2005 olh@suse.de
- add patches.suse/lkcd_ppc64_soft_reset.patch
  prevent dump() from being called more that once. (100384 - LTC17253)
* Thu Aug 04 2005 olh@suse.de
- add patches.arch/ibm-ppc64-xmon-soft-reset-bugfix.patch
  Xmon bug fix for soft-reset (100654 - LTC17278)
* Thu Aug 04 2005 hare@suse.de
- patches.suse/protect-pids-from-oom2
  Send rather SIGKILL per default (#81833)
- patches.fixes/always-send-sigkill-on-oom
  Remove obsolete patch
* Thu Aug 04 2005 olh@suse.de
- remove patches.suse/modprobe_unknown_symbol.patch
* Thu Aug 04 2005 olh@suse.de
- add patches.fixes/bcm-clear_queues.patch
  Clear all queues at bcm5700_close() (97884 - LTC17123)
* Wed Aug 03 2005 schwab@suse.de
- Enable KDB in ia64/default.
* Wed Aug 03 2005 lmb@suse.de
- patches.fixes/cancel_delayed_work: Needs to clear the pending bit
  (#99649)
- patches.suse/ocfs2-configfs-20050721,
  patches.suse/ocfs2-configfs-20050802: OCFS2 and configfs updates to
  OCFS2 1.0.0.
* Tue Aug 02 2005 mantel@suse.de
- patches.fixes/madvise-negative-len: madvise call doesn't return
  EINVAL error for negative len parameter (94974 - LTC8565).
* Tue Aug 02 2005 mantel@suse.de
- patches.fixes/madvise-ebadf-fix: madvise runs sucessfully for
  non-file mapped pages while it should fail with EBADF. (95219
  - LTC9760).
* Tue Aug 02 2005 okir@suse.de
- patches.arch/hpet-enable-option: Deleted, this makes HPET the
  default on x86 (feature r5848)
* Tue Aug 02 2005 hare@suse.de
- patches.suse/backing-store-fix-permissions.patch
  Fix permissions for sysfs files (#94859 - LTC16820).
* Mon Aug 01 2005 agruen@suse.de
- patches.suse/delayed-atime-3: fix for 57038 / LTC9358 has a
  regression (fsync bug, 98824). Disable for now.
* Fri Jul 29 2005 andrea@suse.de
- patches.fixes/anon-vma-mlock: be more finegrined when evaluating
  mlocks on anonymous memory. (78996)
* Fri Jul 29 2005 mantel@suse.de
- patches.drivers/sata-broadcom: Add device ID for new
  Serverworks/Broadcom SouthBridge SATA controller (98595).
* Thu Jul 28 2005 mantel@suse.de
- patches.drivers/intel-ESB2: add support for Intel ESB2 chipset
  (98745).
* Wed Jul 27 2005 mantel@suse.de
- patches.fixes/scsi-devinfo-update: Update SCSI device info
  entries (73602, 83515, 98950).
* Wed Jul 27 2005 kraxel@suse.de
- patches.fixes/65721-fix-process-start-times: fix process start
  times (65721).
* Wed Jul 27 2005 kraxel@suse.de
- reverse broken do_exit-TASK_DEAD.patch edit, reenable patch.
* Wed Jul 27 2005 okir@suse.de
- patches.fixes/nfsd-rewrite-align: NFS: Fix rewrite performance
  (97941, 96957).
* Tue Jul 26 2005 mantel@suse.de
- patches.fixes/jfs-fsync: JFS fsync wrong behavior when I/O
  failure occurs (96875).
* Tue Jul 26 2005 okir@suse.de
- patches.fixes/bond-gratuitous-arp: bond: send gratuitous ARPs
  when failing over (84194).
* Tue Jul 26 2005 okir@suse.de
- patches.fixes/nfs-min-blocksize: Allow rsize/wsize values
  less than 2096 (#96317)
* Thu Jul 21 2005 olh@suse.de
- build a kernel-pseries64-debug package
* Thu Jul 21 2005 schwab@suse.de
- Perfmon update [#86279].
* Wed Jul 20 2005 schwab@suse.de
- Enable CPE interrupts [#85519].
* Wed Jul 20 2005 olh@suse.de
- disable patches.fixes/do_exit-TASK_DEAD.patch for the time being
  causes crashes in early boot stage
* Wed Jul 20 2005 hare@suse.de
- Fix kernel start address for lkcd on ppc64 (#88507).
* Wed Jul 20 2005 mantel@suse.de
- patches.fixes/i386-smpboot-irq: Second core on Single processor,
  dual core Opterons not found (96485).
* Tue Jul 19 2005 mantel@suse.de
- patches.fixes/huge-task-size: fix hugetlb_get_unmapped_area
  overflow TASK_SIZE in compat mode (81056).
* Tue Jul 19 2005 schwab@suse.de
- Allow IO port space without EFI RT attribute [#96345].
* Tue Jul 19 2005 mantel@suse.de
- patches.fixes/pdc-per-processor: ACPI Processor P-States Driver
  init fails on x86 and x86_64 (95059).
* Mon Jul 18 2005 mantel@suse.de
- patches.fixes/fix-nonx_setup: x86_64: kernel parameter noexec=on
  doesn't work (96528).
* Mon Jul 18 2005 schwab@suse.de
- Fix nested_dtlb_miss handler to handle hugetlb addresses correctly
  [#96968].
* Mon Jul 18 2005 mantel@suse.de
- fix logic error in ipt_TTL (#96981)
* Fri Jul 15 2005 okir@suse.de
- patches.fixes/nfs-emc-hack: NFS: Work around an EMC server problem (96193).
* Thu Jul 14 2005 olh@suse.de
- enable CONFIG_DEBUGGER in pmac64 config to fix itrace compile
  (#96379 - LTC16972)
* Thu Jul 14 2005 okir@suse.de
- patches.fixes/nfs-llseek-end-validate: NFS: Ensure that we
  revalidate the cached file length for llseek(SEEK_END) (90541).
* Thu Jul 14 2005 okir@suse.de
- patches.fixes/nfs-lookup-intent-fix: [NFS] Fix lookup intent
  handling (90540).
* Thu Jul 14 2005 olh@suse.de
- add patches.arch/ibm-ppc64-numa-power4-invalid_node.patch
  handle invalid node properties in POWER4 system (#93454 - LTC16590)
* Wed Jul 13 2005 hare@suse.de
- patches.fixes/add-timer-randomness
  Do not stall when reading data from /dev/random (#34964)
* Wed Jul 13 2005 hare@suse.de
- patches.fixes/always-send-sigkill-on-oom
  Always send sigkill on OOM conditions (#81833 - LTC15736).
- patches.fixes/vlan-dev-remove
  Fix hang on deleting vlan interfaces (#83493 - LTC15891)
- patches.arch/s390-cpu-hotplug-del-timer.diff
  Suppress 'CPU not present' messages (#90453 - LTC16435)
- patches.fixes/mount-memleak
  Memory leak when mounting with options (#91213 - LTC16526).
* Tue Jul 12 2005 agruen@suse.de
- patches.fixes/autofs4-force-release.diff: Busy inodes after
  umount of autofs4 (91112).
* Mon Jul 11 2005 lmb@suse.de
- patches.fixes/sg_io_error_passing: Propagate errors correctly for
  SG_IO ops (#95907).
- patches.fixes/wake_jbd_on_unmount_flag: Fix JBD race during umount
  (#95665).
* Mon Jul 11 2005 okir@suse.de
- patches.fixes/bcm5700-ethtool-oops: bcm5700: fix oops in
  ethtool calls while device is down (95515 - LTC16597).
* Fri Jul 08 2005 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-clientid.patch
  send vscsi client info to server (#63039 - LTC9737)
* Fri Jul 08 2005 olh@suse.de
- enable SCSI_SYM53C8XX_EEH_RECOVERY (#83472 - LTC15886)
* Fri Jul 08 2005 olh@suse.de
- add patches.fixes/do_exit-TASK_DEAD.patch
  fix & clean up zombie/dead task handling & preemption
  (63401 - LTC12629)
* Fri Jul 08 2005 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries_veth-cnx-ready-fix.patch
  patches.fixes/ibm-ppc64-iseries_veth-dma-unmap-fix.patch
  patches.fixes/ibm-ppc64-iseries_veth-in_use-is-protected-by-cnx-lock.patch
  patches.fixes/ibm-ppc64-iseries_veth-promisc-fixup.patch
  patches.fixes/ibm-ppc64-iseries_veth-remove-msg-stack-lock.patch
  patches.fixes/ibm-ppc64-iseries_veth-skb-leak-fix.patch
  Several bug fixes & cleanups for the iseries_veth driver
  (91455 - LTC16557)
* Fri Jul 08 2005 olh@suse.de
- add patches.suse/kdb-ppc64-eframe-addr.patch
  print exception frame pointer in bt command (93907 - LTC9579)
* Fri Jul 08 2005 axboe@suse.de
- series.conf: Enable atapi libata fixes
* Tue Jul 05 2005 hare@suse.de
- patches.fixes/proc-scsi-scsi-output
  Fix output of /proc/scsi/scsi (#80228).
* Mon Jul 04 2005 ak@suse.de
- patches.arch/x86_64-nvidia-timer: Ignore timer overrides
  on SMP Nvidia boards (#94194)
* Thu Jun 30 2005 ak@suse.de
- patches.fixes/execve-overflow: Fix overflow in 32bit IA64/x86-64
  execve (#90499)
* Thu Jun 30 2005 axboe@suse.de
- patches.drivers/libata-pio-atapi-race: libata race condition
  (#91196 - LTC16186) (91196).
- patches.drivers/libata-eh-vs-irq-race: Inactivate libata command
  (94554).
- series.conf: Added above two patches disabled
* Tue Jun 28 2005 mantel@suse.de
- tagged SLES9_SP2_RC4
* Tue Jun 28 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Don't strip files in a subshell so
  that failed commands will abort the build.
* Tue Jun 28 2005 mason@suse.de
- patches.fixes/sysfs-ppos: fix ppos checks in flush_read_buffer
  (94160).
* Tue Jun 28 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050627: Final OCFSv2 code drop for SLES9
  SP2.
* Mon Jun 27 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050623: OCFSv2 update.
* Mon Jun 27 2005 garloff@suse.de
- xen-fix-netback: Try to work around refcounting weirdness, which
  causes dom0 to crash upon usage of the netdev in the second
  unprivileged domain.
* Fri Jun 24 2005 axboe@suse.de
- patches.drivers/cciss-nr-cmds-proc-sles9sp2: Fix CISS starvation
  issue (91452).
* Fri Jun 24 2005 ak@suse.de
- patches.suse/sles9-powernow-fix: Fix powernow k8 on i386 (#87269)
* Fri Jun 24 2005 mason@suse.de
- series.conf: disable patches.suse/invalidate-orphan, there's
  a pending bug-fix.
* Thu Jun 23 2005 schwab@suse.de
- Verify ar.rsc value imported from userspace [#87244, CAN-2005-1761].
* Thu Jun 23 2005 agruen@suse.de
- patches.fixes/xdr-input-validation.diff: Overflow in xdr
  input validation (93652).
* Wed Jun 22 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: When running the current kernel as is
  the case when installing a service pack, trust /proc/modules to
  decide when to rename megaraid=>megaraid_mbox. Otherwise guess.
  (84609).
* Tue Jun 21 2005 mantel@suse.de
- tagged SLES9_SP2_RC3
* Tue Jun 21 2005 mantel@suse.de
- patches.fixes/pmtmr-ibm-hpet-fix: fix time inconsistencies on
  multi-node x460 (90642 - LTC16467).
* Tue Jun 21 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Fix bug in megaraid=>megaraid_mbox
  module rename check (upgrade from SLES9 GA only, 84609).
* Tue Jun 21 2005 mantel@suse.de
- patches.drivers/fusion-SAS-hotplug: Fusion SAS driver: option
  to avoid automatic device deletion (91463).
* Tue Jun 21 2005 mason@suse.de
- patches.fixes/kiocb-check-kicked: make sure kicked iocbs are
  still kicked (91457 LTC16389).
- patches.suse/invalidate-orphan: Remove orphaned pages from
  the active list for faster freeing (75235).
- series.conf: enable reiserfs-should-end-alloc and
  reiserfs-ordered-io-failure
* Mon Jun 20 2005 hare@suse.de
- patches.arch/s390-ctl_asm_suse.diff:
  Fix I/O interrupt delivery (#91458 - LTC16524).
- patches.fixes/selinux-memory-leak:
  Fix memory leak when using SELinux (##91213 - LTC16526)
- patches.arch/s390-syscall-cleanup-fix
  Fix postgresql error message (#64609)
* Mon Jun 20 2005 garloff@suse.de
- xen-fix-netback: work around netback crashing dom0 on removing
  iface multiple times.
* Mon Jun 20 2005 lmb@suse.de
- patches.fixes/scsi-eh-did_bus_busy-handling: Handle retries better for
  dispositions which explicitly are intended to cause retries (#91041).
  (Now enabled.)
* Mon Jun 20 2005 hare@suse.de
- patches.fixes/strace-no-zombies:
  strace may create zombies on exit (#87175 - LTC15893)
* Mon Jun 20 2005 axboe@suse.de
- series.conf: patches.fixes/sata-svw-ht1000-support enabled
* Sun Jun 19 2005 agruen@suse.de
- patches.fixes/follow-link-umount-race.diff: Race between
  open_namei and unmount (91112).
- Mark etc/modprobe.d/module-renames as a config file.
* Sat Jun 18 2005 agruen@suse.de
- patches.fixes/autofs4-tree-race: tree race fix (91112, 62812).
- patches.fixes/autofs4-wait-order: wait order fix (91112, 62812).
* Fri Jun 17 2005 hare@suse.de
- patches.arch/s390-23-0{5-11}-april2004.diff
  Include new patches from IBM.
- patches.arch/s390-deselect-crypto-des
  Allow compilation of crypto/des as a module (#87337 - LTC16354)
* Fri Jun 17 2005 lmb@suse.de
- patches.suse/export_generic_drop_inode: Export generic_drop_inode() to
  fix some unlink races in OCFS2.
- patches.suse/ocfs2-configfs-20050616: OCFS2 bugfixes from Oracle.
- patches.fixes/scsi-eh-did_bus_busy-handling: Handle retries better for
  dispositions which explicitly are intended to cause retries (#91041).
  (Pending review)
* Thu Jun 16 2005 mantel@suse.de
- patches.suse/rbce_fix_order_failure_errorpath: CKRM: After
  seeing rbce error in log messages, rule cannot be created
  (88480 - LTC16110).
* Wed Jun 15 2005 olh@suse.de
- add patches.arch/ibm-ppc64-initialize_tces.patch
  the OS must clear active TCE mappings at setup time (88219 - LTC16127)
* Wed Jun 15 2005 olh@suse.de
- add patches.fixes/firewire-scsi-host-slab-corruption.patch
  allocate space for scsi_host->hostdata before using it
* Wed Jun 15 2005 lmb@suse.de
- patches.suse/dm-mp-flush-workqueue: Make sure no trigger_event() is in
  flight before freeing multipath table (#88635).
- patches.suse/dm-mp-defer-pg_init: Defer pg_init to prevent race with
  dm-mpath deconstructor path (#88654)
* Wed Jun 15 2005 hare@suse.de
- patches.arch/s390-23-0{3,4}-april2004.diff
  Include new patches from IBM.
- patches.fixes/iov-faults2.diff
  Fix writev error paths (#64857 - LTC13450)
- config/s390{,x}
  Update to enable DES_z990 (#87337 - LTC16354)
* Tue Jun 14 2005 gregkh@suse.de
- patches.fixes/pci-fix-bar-size-on-64-bit-arch.patch: [PATCH]
  Fix PCI BAR size interpretation on 64-bit arches (#90498
  (LTC 16445)).
* Tue Jun 14 2005 gregkh@suse.de
  Added a "signed-off-by:" to this patch, looks good to me.
- patches.suse/kobject-uevent: Provide kobject_uevent on 2.6.5
  (86444).
* Tue Jun 14 2005 ak@suse.de
- patches.arch/x86_64-mce-oops: Fix crash in x86-64 machine check
  handling (#90342)
* Tue Jun 14 2005 mason@suse.de
- patches.suse/reiserfs-should-end-alloc: reiserfs fix journal
  accounting in journal_transaction_should_end (84769 LTC16064).
  (disabled until approved)
* Mon Jun 13 2005 agruen@suse.de
- patches.rpmify/supported-flag: Clarify that this is about
  support by Novell.
* Sat Jun 11 2005 andrea@suse.de
- patches.suse/local-bh-enable-nowarn: updated to still trap
  if invoke_softirq() is run with irq disabled, which would be
  unsafe (88268).
* Sat Jun 11 2005 garloff@suse.de
- Update Xen patches to 2.0.6a.
- Xen: Fix UDP fragment and RCU races.
* Fri Jun 10 2005 okir@suse.de
- patches.fixes/cifs-copy-cache-fix: CIFS: Keep track of data
  position if add_to_page_cache fails (81445).
* Fri Jun 10 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050609: A whole pile of OCFS2 bugfixes
  and documentation updates.
* Fri Jun 10 2005 axboe@suse.de
- patches.fixes/sata-svw-ht1000-support: Add sata serverworks
  support for HT1000 (88598).
- series.conf: Committed disabled, pending review
* Fri Jun 10 2005 axboe@suse.de
- patches.fixes/relayfs-workqueue-fix: Fix relayfs workqueue bug
  (87127).
* Fri Jun 10 2005 kraxel@suse.de
- patches.fixes/ia64-fsys-rt-sigprocmask-race-fix: fix race in
  rt_sigprocmask fast systemcall (bug #78084).
* Thu Jun 09 2005 mantel@suse.de
- patches.fixes/missing-lock-x86-64: add missing LOCK on x86-64
  (87365).
* Thu Jun 09 2005 hare@suse.de
- patches.arch/s390-23-02-april2004.diff
  VDISK FBA I/O error on heavy loaded systems (#88297 - LTC16378)
* Wed Jun 08 2005 okir@suse.de
- patches.suse/local-bh-enable-nowarn: Disable a WARN_ON message
  in local_bh_enable (88268).
* Tue Jun 07 2005 okir@suse.de
- moved tag SLES9_SP2_RC2
* Tue Jun 07 2005 okir@suse.de
- patches.drivers/lpfc-version-fix: Update lpfc version number (85409).
* Tue Jun 07 2005 hare@suse.de
- patches.arch/s390-23-01-april2004.diff: Fix Oops on using dhcpcd.
* Tue Jun 07 2005 lmb@suse.de
- patches.suse/dm-mp-reada: Handle READA requests in dm-mpath (84601).
* Tue Jun 07 2005 mason@suse.de
- patches.fixes/core-vm_reserved: Don't dump VM_RESERVED pages
  (87087).
* Tue Jun 07 2005 garloff@suse.de
- rpm/post.sh: Really don't append bootsplash to xen initrd.
- config/i386/xen: Disable RADEON_OLD.
* Tue Jun 07 2005 okir@suse.de
- patches.fixes/posix-lock-race: Fix race conditions with file
  lock vs close - updated patch (86975).
* Tue Jun 07 2005 axboe@suse.de
- patches.fixes/libata-sata-sil-corruption: Fix SATA SIL data
  corruption issue (78610).
- patches.fixes/libata-sata-sil-corruption-fix: Fix the sata_sil
  corruption patch (86657).
* Tue Jun 07 2005 axboe@suse.de
- patches.drivers/qla2xxx-list-race: Fix qla2xxx list race
  (81866).
* Tue Jun 07 2005 mason@suse.de
- patches.suse/reiserfs-ordered-io-failure: reiserfs
  write_ordered_buffers should not oops on dirty non-uptodate bh
  (64021).
- NOTE, this is pending review and disabled in series.conf
* Tue Jun 07 2005 mason@suse.de
- patches.fixes/kallsyms-module-unload-race: kallsyms can race
  with module loading/unloading (65078 LTC13605).
* Mon Jun 06 2005 garloff@suse.de
- Mark extra/ieee80211, extra/ieee80211_crypt,
  extra/ieee80211_crypt_wep as supported.
* Mon Jun 06 2005 agruen@suse.de
- patches.fixes/xfs-dmapi-NULL-check: In xfs_dm_send_namesp_event
  the vp2 pointer may sometimes be null (85419).
* Mon Jun 06 2005 gregkh@suse.de
- patches.fixes/pcifixup-2612rc5.patch: Fix memory scribble in
  arch/i386/pci/fixup.c for PCI Express (#87203).
* Mon Jun 06 2005 garloff@suse.de
- tagged SLES9_SP2_RC2
* Mon Jun 06 2005 garloff@suse.de
- Update xen config: Drop SCx200 support, better match driver
  support to default config.
- scripts/postun.sh: Fix deletion of .previous for the xen case.
* Mon Jun 06 2005 schwab@suse.de
- Fix detection of SHUB 1.1 chipset [#87044].
* Mon Jun 06 2005 mantel@suse.de
- patches.fixes/summit-mach-apic: fix IRQ routing problem on
  summit machines (85933 - LTC16036).
* Mon Jun 06 2005 hare@suse.de
- patches.arch/s390-2{2,3}-01-april2004.diff
  Include IBM codedrop 03-06-2005.
* Mon Jun 06 2005 olh@suse.de
- lpfcdd was renamed to lpfc, add an alias to module-renames (74040)
* Mon Jun 06 2005 hare@suse.de
- patches.fixes/scsi-scan-sparse-luns: Fix patch
  with suggestions from linux-scsi; correct oops
  on rmmod (#86718 - LTC16202).
- patches.arch/s390-21-0?-april2004.diff
  Include IBM codedrop 03-06-2005.
* Mon Jun 06 2005 garloff@suse.de
- xen config: Remove non-working hotplug and scx200 modules.
- xen: synch_bitops.h: #undef ADDR to allow nss to build.
- xen: print warning about support status.
* Mon Jun 06 2005 agruen@suse.de
- supported.conf: Add some missing modules.
* Sun Jun 05 2005 garloff@suse.de
- patches.fixes/scsi-iterate-refcount: scsi_iterate_device
  refcount problem (85623).
- supported.conf: SLRS devices are externally supported by IBM
  (83955).
* Sun Jun 05 2005 garloff@suse.de
- Fix Xen build:
  * Update config file.
  * patches.xen/km-drm-xen.diff and km-nvidia/xen.diff: Rediff.
  * patches.xen/xen-common.diff: Need module.h for EXPORT_SYMBOL.
  * patches.xen/xen-nx: NX changes ported to Xen.
  * patches.xen/xen-kdb-serial: Avoid missing type.
* Fri Jun 03 2005 schwab@suse.de
- Check for PROM version before activating mca-recovery module [#86845].
* Fri Jun 03 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050602: OCFS2 update.
* Thu Jun 02 2005 agruen@suse.de
- patches.suse/nfs-acl-fix: nfsacl: client-side memory corruption
  when setting large acls (85745).
* Thu Jun 02 2005 mantel@suse.de
- patches.fixes/syscall-page-fix: x86_64: Compat mode program
  can hang kernel (85834).
* Thu Jun 02 2005 mantel@suse.de
- patches.fixes/x86_64-ptrace-overflow: Fix ptrace overflow
  (84078).
* Thu Jun 02 2005 okir@suse.de
- patches.fixes/ipsec-spddelete: [ipsec] fix spddelete (84118).
* Thu Jun 02 2005 axboe@suse.de
- series.conf: Fix mixup
* Thu Jun 02 2005 axboe@suse.de
- series.conf: Enable patches.drivers/aic79xx-panic-on-rmmod
* Thu Jun 02 2005 axboe@suse.de
- series.conf: Disabling patches.fixes/libata-sata-sil-corruption, it is broken
* Wed Jun 01 2005 garloff@suse.de
- Enable kernel-xen.
* Wed Jun 01 2005 agruen@suse.de
- Add subdomain to supported.conf, strip off unnecessary .ko
  extensions, and ignore .ko extensions in check-supported-list.
* Wed Jun 01 2005 ihno@suse.de
- Adding kernel/drivers/s390/net/claw
  kernel/drivers/s390/char/vmwatchdog
  kernel/drivers/s390/char/vmlogrdr
  kernel/drivers/s390/char/monreader
  kernel/drivers/s390/scsi/zfcp_hbaapi
  to the list of supported modules (Support by IBM)
* Wed Jun 01 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Really fix %% character quoting (84609).
* Wed Jun 01 2005 mantel@suse.de
- Update config files (enable CONFIG_HPET_TIMER on i386).
- patches.arch/hpet-enable-option: enable HPET timer via kernel
  parameter; default is "disabled" (86503).
* Wed Jun 01 2005 mantel@suse.de
- patches.arch/x86_64-reboot: fixes x86_64 reboot with panic()
  (67025).
* Wed Jun 01 2005 mantel@suse.de
- patches.fixes/ptrace-canonical: Check for canonical addresses
  in ptrace (73701).
* Tue May 31 2005 ak@suse.de
- patches.arch/x86_64-smpboot-irq: Make race window in SMP
  boot smaller (75466)
* Tue May 31 2005 ak@suse.de
- patches.fixes/ckrm-build-fix: Allow building without CKRM
* Tue May 31 2005 agruen@suse.de
- patches.arch/x86_64-maxcpus0: Add to series.conf (76562).
* Tue May 31 2005 agruen@suse.de
- patches.fixes/reiserfs_invalidatepage-race-fix: fix
  reiserfs_invalidatepage race against data=ordered (83674).
* Tue May 31 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Fix %% character quoting (84609).
* Tue May 31 2005 agruen@suse.de
- patches.suse/nfsd-acl-fix: Fix nfsacl NULL-pointer dereference
  (85633).
* Tue May 31 2005 axboe@suse.de
- patches.fixes/aio-ra-fix: Fix aio read-ahead performance
  regression (86135).
* Tue May 31 2005 rw@suse.de
- patches.suse/cpusets-rmdir-deadlock:
  Prevent "scheduling while atomic" complaints in cpuset_rmdir.  (#85916)
- patches.suse/cpusets-exit-NULL-dereference:
  Fix race between 'notify_on_release' and cpuset removal.  (#85380)
* Mon May 30 2005 mantel@suse.de
- patches.fixes/jfs-btroot: kernel BUG at fs/jfs/jfs_txnmgr.c:859
  (85991 - LTC16155).
* Mon May 30 2005 mantel@suse.de
- patches.arch/no-ioapic-check: allow skipping of IO-APIC ID
  check via kernel parameter (85510).
* Mon May 30 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050526,
  patches.suse/ocfs2-quick-fix-20050527: OCFS2 bugfixes.
* Mon May 30 2005 okir@suse.de
- patches.fixes/s2io-link-detect: Fix s2io link detection (85794).
* Fri May 27 2005 kkeil@suse.de
- fix pirq routing for VIA 82C586 (#64757)
* Wed May 25 2005 jplack@suse.de
- reenabled patches.fixes/numa-LDPS1255 again and moved to the
  end of the patch chain (74360 - LTC14537)
* Wed May 25 2005 mantel@suse.de
- moved tag SLES9_SP2_RC1
* Wed May 25 2005 mantel@suse.de
- patches.drivers/3w-9xxx: delete Makefile.orig which prevents build
* Wed May 25 2005 mantel@suse.de
- patches.drivers/3w-9xxx: add 3w-9xxx driver for series 9000
  SATA Raid cards (70820, 83473).
  update driver to version 2.26.02.000
* Wed May 25 2005 mantel@suse.de
- patches.xen/xen-arch.diff: Addition of the Xen architecture.
  remove dangling backup file (irq.c~) which prevents build
* Wed May 25 2005 mantel@suse.de
- fix build that got broken by xen merge
* Wed May 25 2005 garloff@suse.de
- patches.xen/*: Merge xen support (not yet fully functional).
* Tue May 24 2005 ak@suse.de
- patches.arch/x86_64-maxcpus0: Fix x86-64 boot with maxcpus=0
  (76562)
* Tue May 24 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Only rename megaraid to megaraid_mbox
  when we know that this is an upgrade from SLES9 GA (84609).
* Tue May 24 2005 duwe@suse.de
- patches.fixes/jfs-syncpt: Write journal sync points more often
  (Fixes Bug#50262).
* Tue May 24 2005 mantel@suse.de
- patches.drivers/infiniband-racefix: several InfiniBand stack
  fixes (85495 - LTC16098).
* Tue May 24 2005 axboe@suse.de
- series.conf: Add patches.fixes/generic_file_aio_read-to-return-0-on-eof.patch
* Tue May 24 2005 axboe@suse.de
- patches.fixes/generic_file_aio_read-to-return-0-on-eof.patch:
  __generic_file_aio_read() EOF handling.
* Tue May 24 2005 axboe@suse.de
- patches.fixes/bio_clone-inherit-idx: Inherit bio->bi_idx on
  clone of bio (81776).
* Tue May 24 2005 mason@suse.de
- patches.suse/ckrm-allocres-fix: Proper error propagation when
  a taskclass allocation fails (78942 LTC15247).
- patches.suse/ckrm-sp2cpuhang.patch: ckrm cpu scheduler to mask
  irqs properly for spin locks (78942 LTC15247).
* Tue May 24 2005 mason@suse.de
- patches.suse/delayed-atime-3: delay reiserfs/ext3 atime updates
  during generic_file_mmap (57038 LTC9358).
* Tue May 24 2005 agruen@suse.de
- Update to supported.conf: Mark mca_recovery as unsupported.
* Mon May 23 2005 schwab@suse.de
- Fix missing unwind info [#85446].
* Mon May 23 2005 mantel@suse.de
- tagged SLES9_SP2_RC1
* Mon May 23 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-recover-symbios2.patch
  leave SCSI_SYM53C8XX_EEH_RECOVERY disabled (#83472 - LTC15886)
* Mon May 23 2005 schwab@suse.de
- Fix null dereference in tiocx_init [#84755].
* Mon May 23 2005 schwab@suse.de
- Set Altix error handling features [#84599].
* Mon May 23 2005 hare@suse.de
- patches.arch/s390-appldata-deadlock
  Re-add as the new patch does not apply.
- patches.arch/s390-20-03-april2004.diff
  Remove patch.
* Mon May 23 2005 hare@suse.de
- patches.arch/s390-20-0{1,2}-april2004.diff
  Include latest patchset from IBM.
- patches.arch/s390-20-03-april2004.diff
  Fix ctc communication to zOS (#81831 - LTC15735).
- patches.arch/s390-appldata-deadlock
  Remove obsolete patch.
* Mon May 23 2005 hare@suse.de
- patches.fixes/atapi-fix-error-handling.patch
  Fix error handling for ATAPI devices (#84746)
* Mon May 23 2005 hare@suse.de
- patches.fixes/scsi-error-queue-full: Avoid infinite retries
  for queue full status (#80274).
* Mon May 23 2005 axboe@suse.de
- patches.fixes/sg-set-reserved: Make SG_SET_RESERVED_SIZE set
  largest possible size (82780).
* Mon May 23 2005 agruen@suse.de
- supported.conf: Update; in particular, mark dump_blockdev and
  scsi_dump as supported (84759).
* Mon May 23 2005 hare@suse.de
- patches.fixes/prioritize-sigkill
  Favor SIGKILL to other signals (#81833 - LTC15736)
* Mon May 23 2005 hare@suse.de
- patches.fixes/scsi-do-not-forget-SDEV_DEL:
  remember SCSI device state to make scsi_remove_device
  idempotent (#84650 - LTC16049).
- patches.fixes/scsi-eh-obey-noretry
  Update to set correct command result.
* Mon May 23 2005 mason@suse.de
- patches.suse/ext2-fsync-err: ext2 should force the FS readonly
  for metadata write errors (65718).
* Fri May 20 2005 andrea@suse.de
- patches.suse/toss-slab: allow slab cache to be shrunk
  from userland (65172).
- patches.suse/inode-cache-size: fixup compile failure after
  applying toss-slab.
* Fri May 20 2005 schwab@suse.de
- Fix fls on ia64.
* Fri May 20 2005 okir@suse.de
- patches.fixes/posix-lock-race: Fix race conditions with file
  lock vs close (84156, 64661).
* Fri May 20 2005 okir@suse.de
- patches.suse/ocfs2-configfs-20050519: OCFS2 and configfs update.
* Thu May 19 2005 hare@suse.de
- patches.fixes/scsi-scan-sparse-luns
  Update to handle broken SCSI 2 devices.
- patches.drivers/hangcheck
  Update to add support for S/390 (#84570)
- Update config files for s390 and s390x.
- patches.drivers/aic79xx-panic-on-rmmod
  Fix panic on rmmod aic79xx (#75309).
* Thu May 19 2005 okir@suse.de
- patches.suse/subdomain: include AppArmor support (84513).
- Update config files.
* Thu May 19 2005 ak@suse.de
- patches.arch/dc-fixes: Fix multicore issues (#83512)
* Wed May 18 2005 okir@suse.de
- patches.fixes/posix-locks-match: Fix miscompare in
  __posix_lock_file (84154).
* Wed May 18 2005 hare@suse.de
- add patches.arch/s390-appldata-deadlock
  Fix deadlock in appldata under high load (84042 - LTC15994).
- update patches.fixes/scsi-scan-sparse-luns
  Remove special handling for PQ3 devices.
* Wed May 18 2005 olh@suse.de
- enable CONFIG_OCFS2_FS on ppc64 (84159)
* Wed May 18 2005 olh@suse.de
- add patches.arch/ibm-ppc64-numa-holes.patch
  handle holes in OF memory layout, avoid panic (83346 - LTC15844)
* Wed May 18 2005 olh@suse.de
- update patches.fixes/compat-sigtimedwait
  fix copy_siginfo_to_user32 for ppc64 (59511 - LTC10886)
* Tue May 17 2005 olh@suse.de
- update patches.drivers/qla2xxx-update
  vmalloc areas must be released with vfree, not kfree
  (83898/83989 - LTC15961)
* Tue May 17 2005 mantel@suse.de
- patches.fixes/pci-ids-diva-rmp3: Add support for RMP3 console
  port (73868).
- patches.suse/pci.ids-update: update PCI IDs (56192, 83236).
- patches.suse/pci.ids-update.fixup: limit maximum entry length.
* Tue May 17 2005 mantel@suse.de
- patches.fixes/iPod-unusual-device: Apple iPod lies about its
  size, mounting via USB not possible (SUSE48783, 83906).
* Tue May 17 2005 hare@suse.de
- patches.fixes/scsi-eh-obey-noretry
  Obey blk_noretry_request() when timeout (#81444 - LTC15666).
- patches.fixes/scsi-scan-sparse-luns
  Scan all devices for targets with PQ 3 (#78559).
* Tue May 17 2005 mantel@suse.de
- patches.fixes/x86_64-sysret-fix: Delete.
- patches.fixes/ptrace-check-segment: x86-64: Fix canonical
  checking for segment registers in ptrace (83143).
* Tue May 17 2005 schwab@suse.de
- Fix MCA recovery patch [#61991, #84005].
- Use reentrant SAL call in ia64_sn_pod_mode [#84005].
* Tue May 17 2005 okir@suse.de
- patches.suse/sunrpc-multiple-program-auth: [sunrpc]: Use the
  correct svc_program for authentication (83957).
* Sun May 15 2005 tiwai@suse.de
- patches.drivers/alsa-hda-codec-sigmatel.diff: Add Sigmatel
  HDA-codec support (82682).
* Fri May 13 2005 mantel@suse.de
- patches.fixes/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
* Fri May 13 2005 mantel@suse.de
- patches.fixes/scsi-devinfo-update: Update SCSI device info
  entries (73602, 83515).
* Fri May 13 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050512: OCFS2 update.
* Fri May 13 2005 mantel@suse.de
- patches.fixes/ext2-info-leak: fix suspected information leak
  (mem pages) in ext2 (75706).
* Fri May 13 2005 mantel@suse.de
- patches.fixes/compat-sigtimedwait: 32-bit binaries can't use
  sigtimedwait(2) call in 64-bit OS (Bug 59511 - LTC10886).
* Fri May 13 2005 olh@suse.de
- disable SERIAL_PMACZILOG on pmac64
* Fri May 13 2005 hare@suse.de
- patches.arch/s390-signal-quiesce.patch
  Logoff the z/VM guest on signal shutdown (#83383 - LTC15856)
* Fri May 13 2005 mantel@suse.de
- patches.drivers/fusion-ResponseInfo: remove annoying error
  message from Fusion driver (83520).
* Fri May 13 2005 rw@suse.de
- patches.fixes/sn-serial-intr-disable:
  Disable hardware-level XMIT interrupts when there is no data to
  send. (#83379)
* Fri May 13 2005 gregkh@suse.de
- patches.fixes/rm-BUG-on-exit.patch: [PATCH] Remove bogus BUG()
  in kernel/exit.c.
* Thu May 12 2005 schwab@suse.de
- Add bricktype knowledge to tiocx bus [#83342].
* Thu May 12 2005 okir@suse.de
- patches.fixes/nfs-reclaim-writeout: [NFS] Write out dirty
  pages during reclaim (80372).
* Thu May 12 2005 okir@suse.de
- patches.arch/x86_64-ioremap-avoid-mem-map: [x86_64] Don't use
  mem_map in ioremap/change_page_attr (66838).
* Thu May 12 2005 okir@suse.de
- patches.fixes/pcnet32-loopback-skb-leak: [pcnet32] fix skb
  leak in loopback test mode (82653, LTC15737).
* Thu May 12 2005 olh@suse.de
- add patches.drivers/ibm-ppc64-veth-bonding
  fix bonding functionality (83454 - LTC15883)
* Thu May 12 2005 tiwai@suse.de
- patches.fixes/ac97-ignore-clock: Delete.  Already fixed by
  alsa-intel8x0-fix-deadlock-in-patch.diff
* Thu May 12 2005 okir@suse.de
- patches.fixes/elf-coredump-fix: fix Linux kernel ELF core dump
  privilege elevation (83222, CAN-2005-1263).
* Wed May 11 2005 schwab@suse.de
- Fix page coloring issue [#81862].
* Wed May 11 2005 tiwai@suse.de
- patches.drivers/alsa-intel8x0-fix-deadlock-in-patch.diff:
  Fix spin deadlock (78990, 79345).
* Wed May 11 2005 mason@suse.de
- patches.fixes/jfs-commit-wake: Make sure jfsCommit thread
  allows itself to be waken up again before sleeping (78585).
* Tue May 10 2005 ak@suse.de
- patches.fixes/pmtimer-sles-1: fix compilation on UP
  and reenable
* Tue May 10 2005 okir@suse.de
- patches.fixes/ac97-ignore-clock: [audio] Don't measure ac97
  clock on x86_64 (perex@suse) (79307).
* Tue May 10 2005 okir@suse.de
- series.conf: Disabled patches.fixes/pmtimer-sles-1, as it breaks
  compilation
* Tue May 10 2005 duwe@suse.de
- Fix for Bug#55930, tested on DL760
* Tue May 10 2005 mantel@suse.de
- moved tag SLES9_SP2_BETA4
* Tue May 10 2005 mantel@suse.de
- Update config files.
* Tue May 10 2005 hare@suse.de
- patches.arch/s390-enable-ocfs2
  Enable Support for OCFS2 on S/390.
* Tue May 10 2005 okir@suse.de
- patches.fixes/acpi-clear-buffer: ACPI: Make
  acpi_ut_initialize_buffer clear buffer before use.
* Tue May 10 2005 hare@suse.de
- patches.fixes/compat-getres-null-pointer.patch
  Fix return value for compat_clock_getres when called
  with NULL pointer (#81303 - LTC15415).
* Tue May 10 2005 olh@suse.de
- enable ide-scsi on pmac64 to get a scsi cdrom
* Tue May 10 2005 mantel@suse.de
- patches.fixes/no-apic-check: Remove IO-APIC uniqueness check
  (83112).
* Tue May 10 2005 mantel@suse.de
- patches.fixes/pmtimer-sles-1: Use PM timer (83108).
* Tue May 10 2005 olh@suse.de
- add patches.fixes/cpu-hotplug-events-for-online-hack-sles9.patch
  trigger an "online" event when add new cpus (83145 - LTC14793)
* Tue May 10 2005 hare@suse.de
- patches.arch/s390-cpu-hotplug-speedup.diff
  Speedup CPU hotplug detection (#80234 - LTC15303).
* Tue May 10 2005 mason@suse.de
- patches.suse/ckrm-rbce-path-args: rbce rule support for path=
  and args= (57513 LTC9420).
- patches.suse/ckrm-rbce_copy_str_sles9-sp2.patch: CKRM rbce
  string length calculation fixes (81782 LTC14298).
- patches.suse/ckrm-09-02b-order_fix: ckrm rbce, fix rule
  insertion order (81782 LTC14298).
- patches.suse/ckrm-09-02c-rbce_fix_error_returns: ckrm rbce
  error handling fixes (81782 LTC14298).
- patches.suse/ckrm-vmalloc: ckrm rbce -- use vmalloc for big
  allocations (81782 LTC14298).
* Mon May 09 2005 lmb@suse.de
- patches.drivers/md-linear-xdev-requests: Fix md linear for requests
  which cross device boundaries (#81499).
* Mon May 09 2005 rw@suse.de
- patches.drivers/ioc4-serial-ports,
  supported.conf:
  Invert dependencies of split IOC4 device drivers. (#73741, #80399)
* Mon May 09 2005 mantel@suse.de
- tagged SLES9_SP2_BETA4
* Mon May 09 2005 agruen@suse.de
- Build kernel-s390 and kernel-s390x with debug symbols, and
  put the binaries with debug symbols below /lib/debug/.
* Mon May 09 2005 hare@suse.de
- patches.suse/lkcd-x86_64-fix-kdb-reboot
  Fix kdb 'reboot' command (#63588).
* Mon May 09 2005 hare@suse.de
- patches.arch/s390-19-0{1,2,3}-april2004.diff
  Include IBM codedrop 09-05-2005.
* Mon May 09 2005 hare@suse.de
- patches.arch/s390-fix-bitops.patch
  Fix memory constraints for bitops (#82641).
* Mon May 09 2005 kraxel@suse.de
- added a batch of xfs/dmapi fixes from sgi (bug #81773).
- patches.suse/xfs-sgi-D_fh_to_inode: dm_handle_to_ip is using
  s_root before it's setup.
- patches.suse/xfs-sgi-D_resp_dontcare: dm_respond_event
  DM_RESP_DONTCARE broken.
- patches.suse/xfs-sgi-X_dm_get_fileattr_dev_t: dm_get_fileattr
  returns incorrect dev number.
- patches.suse/xfs-sgi-X_dmapi_nospace_corruption: fix DMAPI &
  NOSPACE data corruption.
- patches.suse/xfs-sgi-X_fh_to_inode: dm_handle_to_ip is using
  s_root before it's setup.
- patches.suse/xfs-sgi-X_invisIO_file_leak: fix filehandle leak
  in dmapi invisible I/O.
- patches.suse/xfs-sgi-X_mmap_sign_flip: linvfs_file_mmap was
  incorrectly flipping sign of XFS_SEND_MMAP.
- patches.suse/xfs-sgi-X_nopage_event: send dmapi events from
  nopage for mmapped files.
- patches.suse/xfs-sgi-X_unmount_event_nullref:
  xfs_dm_send_unmount_event() references a null pointer..
* Mon May 09 2005 agruen@suse.de
- Require version 1.2 of mkinitrd: we need /sbin/module_upgrade
  (80575).
* Mon May 09 2005 lmb@suse.de
- patches.drivers/tmscsim-update: Update tmscsim driver to 2.6.11.8
  level which fixes several oopses and panics.
- patches.suse/ocfs2-configfs-20050505: OCFS2 bugfixes.
* Mon May 09 2005 okir@suse.de
- patches.fixes/locks-initialize-callbacks: Properly initialize
  file_lock callback functions (82709).
* Mon May 09 2005 okir@suse.de
- patches.fixes/nfs-writepage-positive-return: [NFS] Fix positive
  return values in nfs_writepage (82689).
* Fri May 06 2005 mantel@suse.de
- patches.fixes/qla1280-queue-full: Fix bad return value for
  Queue Full and Busy status in qla1280 (81482).
* Fri May 06 2005 olh@suse.de
- enable tg3 and bcm5700 for pmac64
* Fri May 06 2005 mantel@suse.de
- patches.fixes/hpet-nolegacy-fix-x86_64: HPET broken on systems
  that do not support legacy timer replacement (78979 - LTC15250).
* Wed May 04 2005 olh@suse.de
- add patches.arch/ibm-ppc64-sles9-eeh-null-ptr-deref.patch
  eeh_get_pci_dev() can return NULL (81809 - LTC15717)
* Wed May 04 2005 schwab@suse.de
- Recognize HP sx2000 chipset [#81761].
* Wed May 04 2005 mantel@suse.de
- series.conf: patches.drivers/powernow-opteron-dualcore still was
  deactivated
* Wed May 04 2005 mantel@suse.de
- patches.fixes/pci-device-__devinit: PCI hotplug device
  initialization functions should be tagged with __devinit and
  not__init (81451).
* Wed May 04 2005 lmb@suse.de
- patches.suse/lustre-export-filemap_populate: Export a function.
- patches.suse/lustre-grab_cache_page_nowait_gfp: Export a new function
  w/GFP flags.
- patches.suse/lustre-link_notlast: Don't clear the LOOKUP_LINK_NOTLAST
  flag arbitarily.
- patches.suse/lustre-remove-suid: Do not trigger an assertion for suid
  binaries on Lustre.
- patches.suse/lustre-vfs_nointent-fixes: Initialize intent structure
  (#64599).
* Wed May 04 2005 okir@suse.de
- patches.fixes/audit-emul-lookup: [audit] Fix oops when auditing
  32bit applications on ia64 (77980).
* Tue May 03 2005 rw@suse.de
- patches.fixes/time-interpolators-settimeofday:
  [PATCH] time interpolator: Fix settimeofday inaccuracy. (#81711)
* Tue May 03 2005 rw@suse.de
- patches.drivers/ioc4-serial-ports:
  Permute naming of split IOC4 device drivers. (#73741, #80399)
- supported.conf:
  Whitelist SGI IOC4 family of modules created above.
* Tue May 03 2005 olh@suse.de
- add patches.drivers/ipr_hotplug_hang.patch
  Fix ipr PCI hotplug hang with CDROM attach (81629 - LTC15286)
* Tue May 03 2005 mantel@suse.de
- patches.drivers/emulex-lpfc-kbuild: integrate emulex lpfc
  driver into kernel (74040).
* Tue May 03 2005 mason@suse.de
- patches.suse/xfs-inodes-wait: XFS: stop background sync from
  waiting for in-use inodes (81247).
* Tue May 03 2005 mason@suse.de
- patches.fixes/ext3dio.patch: ext3 should check journal handles
  after calling ext3_direct_io_get_blocks (81549 LTC14928).
* Mon May 02 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050428: OCFS2 update.
* Mon May 02 2005 mantel@suse.de
- patches.fixes/rb_last: Add rb_last to the kernel (81508).
* Mon May 02 2005 olh@suse.de
- add patches.arch/ppc64-fix-32-bit-signal-frame-back-link.patch
  [PATCH] fix 32-bit signal frame back link (#81519) LTC11533
* Mon May 02 2005 mason@suse.de
- patches.fixes/dirty-private-leak-2: orphaned-pagecache-memleak
  (64204).
- patches.fixes/reiserfs-rewrite-2.6.5.diff: reiserfs: allow
  rewriting existing blocks in a file when FS is full (74284
  LTC14579).
- patches.fixes/jbd-2.6.5-suse-checkpoint.diff: Fix false
  assertaion failure in JBD checkpointing code (74115).
- patches.suse/reiserfs-logging-perf-3: reiserfs hang and
  performance fix for data=journal mode (70968).
* Fri Apr 29 2005 gregkh@suse.de
- patches.fixes/usb-io_edgeport_oops_fix.patch: Patch to fix oops
  on plugin of io_edgeport device with malformed descriptor tables
  (#80587).
* Fri Apr 29 2005 rw@suse.de
- patches.drivers/ioc4-serial-ports:
  Update IOC4 device driver split. (#73741, #80399)
* Fri Apr 29 2005 ak@suse.de
-  patches.arch/x86_64-cluster2: Fix the FADT unisys hack (65404)
* Fri Apr 29 2005 okir@suse.de
- patches.fixes/taint-bad_page: taint on bad_page (81122)
- patches.fixes/taint-mce: x86-64/i386: add mce tainting (81122)
- patches.fixes/taint-rmmod-f: taint: fix forced rmmod (81122)
* Fri Apr 29 2005 jplack@suse.de
- patches.arch/ppc64-jasmine-15174
  KDB during Jasmine hotplug (78929 - LTC15174)
* Fri Apr 29 2005 schwab@suse.de
- Add Altix vga console support [#80423].
* Fri Apr 29 2005 axboe@suse.de
- patches.drivers/libata-pdc2027x-pll: Fix bus speed detection
  problem (76686).
* Fri Apr 29 2005 axboe@suse.de
- patches.drivers/libata-atapi-state-fix: fix ATAPI pio state
* Thu Apr 28 2005 hare@suse.de
- patches.suse/lkcd-secure-netdump.patch
  finally fix secure mode for netdump (80573).
* Thu Apr 28 2005 okir@suse.de
- patches.fixes/ipv4-martian-oops: [IPv4] Prevent oops when
  printing martian source (65556).
* Thu Apr 28 2005 axboe@suse.de
- patches.drivers/libata-timeout-without-command:  Prevent
  interrupt handler from completing a command twice (80454).
- patches.drivers/libata-atapi-state-fix: Prevent command
  completion before command is sent to device (80454).
* Wed Apr 27 2005 mantel@suse.de
- patches.fixes/hpet-nolegacy-fix: HPET broken on systems that
  do not support legacy timer replacement (80413 - LTC15355).
* Wed Apr 27 2005 mantel@suse.de
- patches.fixes/cstate_limit: ACPI: Allow limiting idle
  C-States. (78871).
* Wed Apr 27 2005 mantel@suse.de
- patches.fixes/libata-LBA-fix: I/O errors using libata with
  mixed LBA48 and non-LBA48 SATA disks (80499).
* Wed Apr 27 2005 mantel@suse.de
- patches.drivers/fusion-MAX_SGE: fix fusion driver to use
  CONFIG_FUSION_MAX_SGE properly (74092).
* Tue Apr 26 2005 mantel@suse.de
- tagged SLES9_SP2_BETA3
* Tue Apr 26 2005 hare@suse.de
- patches.arch/s390-18-0{1,2,3,4,5,6}-april2004.diff
  Include IBM codedrop 25-04-05.
* Tue Apr 26 2005 mantel@suse.de
- patches.fixes/ls120-ide-floppy: debug kernel won't boot on
  machines with LS-120 drive (80332).
* Tue Apr 26 2005 mantel@suse.de
- enable modular CONFIG_FB_MATROX on i386 and ia64 as well (#63371)
* Tue Apr 26 2005 axboe@suse.de
- patches.drivers/pdc2027x-atapi-dma: pata_pdc2027x atapi dma
  timeout problem.
* Tue Apr 26 2005 schwab@suse.de
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC=2 in sn2 config [#80446].
* Tue Apr 26 2005 schwab@suse.de
- Fix compilation of kconfig with gcc4.
* Tue Apr 26 2005 schwab@suse.de
- Fix TIOCA dmamap list_add [#80415].
* Tue Apr 26 2005 lmb@suse.de
- patches.suse/dm-mp-generic-hw-handler: Use generic SCSI error decoder
  in case no hardware handler is loaded in dm-mpath.
* Tue Apr 26 2005 okir@suse.de
- patches.drivers/cifs-1.33-update: CIFS: Update to 1.33 (80576).
* Tue Apr 26 2005 hare@suse.de
- patches.suse/lkcd-secure-netdump.patch
  Add 'secure' mode for netdump.
* Tue Apr 26 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Add module-renames file which is
  needed to for building binary kernels.
* Mon Apr 25 2005 jplack@suse.de
- patches.fixes/numa-LDPS1255:
  fix build for CONFIG_COMPAT & !CONFIG_NUMA & ARCH=PPC64
* Mon Apr 25 2005 jplack@suse.de
- patches.fixes/numa-LDPS1255:
  updated patch with missing #ifdef CONFIG_NUMA from upstream,
  reenabled again (74360 - LTC14537)
* Mon Apr 25 2005 schwab@suse.de
- Add missing hunk in patches.arch/multi-core-identification [#73772].
* Mon Apr 25 2005 jplack@suse.de
- patches.arch/ppc64_export_eeh_recovery_symbol:
  Export eeh_register_recovery_op. Needed for the ipr device
  driver (80286 - LTC15313)
- patches.fixes/LTC15073-01_ppc64_pci_iobase.patch
  patches.fixes/LTC15073-02_request_regions.patch
  patches.fixes/LTC15073-03_i8042.patch
  I/O PHB DLPAR failure for purely virtual system (76846 -
  LTC15073)
- patches.fixes/ckrm-load-balance-hang
  partition hung in ckrm_load_balance_locked (79976 - LTC14121)
- config/ppc64/pseries64
  Enable hotplug pdc20275 driver on pseries64 (78975 - LTC15254)
* Mon Apr 25 2005 agruen@suse.de
- patches.fixes/block_prepare_write-race.diff: Fix
  block_prepare_write race (64258, from Nick Piggin).
* Mon Apr 25 2005 mantel@suse.de
- patches.fixes/spin_loop_cpu_relax: add cpu_relax in spin loops
  on ia32, ia64, and EM64T (63913).
* Mon Apr 25 2005 lmb@suse.de
- patches.suse/dm-backport-2.6.10-udm1: BIO_RW -> BIO_RW_FAILFAST
- patches.suse/dm-mp-error-messages: Consolidate logging
* Fri Apr 22 2005 ak@suse.de
- patches.arch/x86_64-acpi-flat-apic: Support flat APIC
  on big ES7000 (65404)
* Fri Apr 22 2005 ak@suse.de
- patches.arch/pageattr-fixes: Fix change_page_attr problems (65120)
* Fri Apr 22 2005 ak@suse.de
- patches.arch/x86_64-pdc-fix: Fix TLB flush problems with lazy MM
  (72919)
* Fri Apr 22 2005 lmb@suse.de
- patches.suse/dm-mp-pginit-serializing: Ensure that only one pg_init is
  in-flight per multipath group concurrently.
* Fri Apr 22 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050421: Weekly OCFS2 bugfixes.
* Fri Apr 22 2005 agruen@suse.de
- patches.fixes/xfs-kern-22343a-disable-aio-for-dio-writes:
  disable aio for dio writes (78096, SGI:PV934766).
* Thu Apr 21 2005 lmb@suse.de
- patches.suse/dm-mp-failfast-requeue: Not needed, removed.
* Thu Apr 21 2005 hare@suse.de
- patches.fixes/ata_piix-scan-all-enabled-ports
  Scan all enabled ports on PIIX chipsets (78564).
* Thu Apr 21 2005 mantel@suse.de
- patches.fixes/cstate_limit: disable broken fix
* Thu Apr 21 2005 lmb@suse.de
- patches.suse/dm-mp-failfast-requeue: Set BIO_RW_FAILFAST for requeued
  IO too.
* Thu Apr 21 2005 lmb@suse.de
- patches.suse/dm-mp-error-logging: Do not try to dereference NULL
  pointer when no valid path remains (78986).
* Thu Apr 21 2005 mantel@suse.de
- patches.fixes/cstate_limit: next try
* Thu Apr 21 2005 mantel@suse.de
- patches.drivers/yenta_socket_tp41: add missing PCI ID for IBM
  thinkpad T41p (78984).
* Thu Apr 21 2005 mantel@suse.de
- patches.fixes/cstate_limit: re-enable
* Thu Apr 21 2005 axboe@suse.de
- patches.fixes/cstate_limit: Fix bad type
* Thu Apr 21 2005 mantel@suse.de
- patches.fixes/cstate_limit: disable broken patch
* Thu Apr 21 2005 axboe@suse.de
- patches.fixes/libata-sata-sil-corruption: Fix SATA SIL data
  corruption issue.
* Thu Apr 21 2005 axboe@suse.de
- patches.fixes/libata-phantom-device: Fix phantom device show-up.
* Thu Apr 21 2005 axboe@suse.de
- patches.fixes/sg_dma_len3.diff: Don't use the sg output
  parameters in libata (78977).
* Thu Apr 21 2005 mantel@suse.de
- patches.fixes/cstate_limit: ACPI: Allow limiting idle
  C-States. (78871).
* Thu Apr 21 2005 okir@suse.de
- patches.arch/nx-i386-early-setup: Need to parse noexec=on
  earlier (61267).
* Thu Apr 21 2005 mantel@suse.de
- patches.fixes/cpumask-x86_64: x86_64 kernel corruption when
  booted on system with > 32cpus (73881, 72060).
* Thu Apr 21 2005 axboe@suse.de
- patches.fixes/esb2-pci: ESB2 DID's.
- patches.fixes/esb2-piix: IDE PATA ESB2 support.
- patches.fixes/esb2-ata-piix: ESB2 SATA ata_piix support.
- patches.fixes/esb2-ahci: ESB2 ahci support.
* Wed Apr 20 2005 lmb@suse.de
- patches.suse/setuid-core-dumps: Make coredump behaviour for setuid
  processes configurable (78568).
* Wed Apr 20 2005 lmb@suse.de
- patches.suse/dm-mp-spinlock-after-init: dm-emc overwrote the spinlock
  initialization cookie with zero.
* Wed Apr 20 2005 schwab@suse.de
- Fix perfmon problem with user level multiplexing program [#78548].
* Wed Apr 20 2005 mantel@suse.de
- tagged SLES9_SP2_BETA2
* Wed Apr 20 2005 mantel@suse.de
- clean up *.orig file
* Wed Apr 20 2005 lmb@suse.de
- patches.drivers/dm-barrier-update: Handle barriers in DM multipath,
  update patch.
* Wed Apr 20 2005 mantel@suse.de
- tagged SLES9_SP2_BETA2
* Wed Apr 20 2005 okir@suse.de
- patches.suse/swsusp-performance-and-progress.diff: Faster
  suspend for SLES9SP2 (patch by pavel@suse.cz)
* Wed Apr 20 2005 mantel@suse.de
- patches.drivers/qla4xxx: add qla4xxx driver version 5.00.02
  (none).
* Wed Apr 20 2005 mantel@suse.de
- patches.drivers/qla2xxx-queuedepth-sysfs: Delete.
- Update config files.
- patches.drivers/qla2xxx-update: update qla2xxx driver to
  v8.00.02 (feature 142157).
* Wed Apr 20 2005 okir@suse.de
- patches.suse/LAuS-ia64-iopl: Correctly audit 32bit iopl syscall
  on ia64 (78068).
* Wed Apr 20 2005 jplack@suse.de
- patches.arch/ppc64-eeh-recover-9 (changed):
  removes SYM53C8XX_EEH support which is not yet proven to work,
  fixed to compile on other archs as well (71920 - LTC14407)
* Wed Apr 20 2005 lmb@suse.de
- patches.suse/dmmp-seperate-wqueue: Update to newest dm-mpath code
  base, add patch headers. (And fix dm-backport-2.6.9rc3-udm1 to not
  revert it.)
* Tue Apr 19 2005 lmb@suse.de
- patches.suse/bio-end_io-sense: Fix sense buffer parsing.
* Tue Apr 19 2005 rw@suse.de
- patches.fixes/lkcd-lkdump-qla1280:
  Activated.  (#72053)
* Tue Apr 19 2005 mantel@suse.de
- patches.fixes/platform-GSI-override: Platform GSI overrides
  do not propagate back from mp_register_gsi() (64956).
* Tue Apr 19 2005 mantel@suse.de
- patches.drivers/powernow-opteron-dualcore: Add dual-core
  PowerNow! support for Opteron processors (65362).
* Tue Apr 19 2005 mantel@suse.de
- Update config files.
- patches.suse/ckrm-config: CKRM breaks make allyesconfig (57305
  - LTC13141).
* Tue Apr 19 2005 agruen@suse.de
- Add /etc/modprobe.d/module-renames with aliases from $x-new to
  $x for those modules that have been renamed (78158).
* Tue Apr 19 2005 okir@suse.de
- patches.drivers/bcm5752-enable: Updated with latest 5752 patches
  from netdev (75926).
* Mon Apr 18 2005 hare@suse.de
- patches.suse/lkcd-do-not-reanimate-zombies
  Do not reanimate zombies on dump (#64189).
* Mon Apr 18 2005 andrea@suse.de
- patches.fixes/slab-account-reclaim: account reclaimable slabs
  correctly for over commit purposes (62695).
- patches.fixes/shm-exec: allow shm to be executable, ID 150103.
* Mon Apr 18 2005 okir@suse.de
- patches.drivers/natsemi-multicast-filter: natsemi: fix setting
  of multicast filter.
* Mon Apr 18 2005 okir@suse.de
- patches.fixes/nfs-rename-zap-inode: [NFS] Drop inode after
  rename (76854).
* Mon Apr 18 2005 mantel@suse.de
- patches.drivers/powernow-opteron-dualcore: still broken; disable
* Mon Apr 18 2005 mantel@suse.de
- patches.drivers/fusion-update2: update MPT fusion driver to
  3.02.18 (74092).
* Mon Apr 18 2005 hare@suse.de
- patches.fixes/scsi-omit-partition-scan.patch
  Optionally disable partition scan for devices
* Mon Apr 18 2005 mantel@suse.de
- patches.drivers/cciss_getpciinfo: CCISS_GETPCIINFO ioctl
  doesn't export PCI domain (74484).
* Mon Apr 18 2005 mantel@suse.de
- patches.drivers/powernow-opteron-dualcore: Add dual-core
  PowerNow! support for Opteron processors (65362).
* Sun Apr 17 2005 mason@suse.de
- patches.fixes/ext3-release-race: Prevent race condition in jbd
  (76883 LTC15071).
- patches.suse/lkcd-dump-x86-64-iommu: x86_64 lkcd
  __dump_page_valid fix for > 4G machines ( 72164 LTC14444).
* Sun Apr 17 2005 mason@suse.de
- patches.suse/lkcd-apic-timer-intr: don't call
  update_process_times if lkcd dump is in progress (74460
  LTC14493).
* Sun Apr 17 2005 maosn@suse.de
- patches.fixes/swsuspend-device-power-down: swsuspend use
  correct sleep level on device_power_down (55487).
* Sat Apr 16 2005 mason@suse.de
- Update config files.
- patches.suse/ckrm-ioctrl-sp2.patch: CKRM I/O Controller (74150).
* Fri Apr 15 2005 mantel@suse.de
- Update config files to make kernel build again
* Fri Apr 15 2005 andrea@suse.de
- patches.suse/11-01-mem_base_changes.sp2: ckrm physical memory 01
- patches.suse/11-02-mem_base-core.sp2: ckrm physical memory 02
- patches.suse/11-03-mem_core-limit.sp2: ckrm physical memory 03
- patches.suse/11-04-mem_limit-guar.sp2: ckrm physical memory 04
- patches.suse/11-05-mem_guar-config.sp2: ckrm physical memory 05
- patches.suse/11-06-mem_config-docs.sp2: ckrm physical memory 06
* Fri Apr 15 2005 lmb@suse.de
- patches.suse/dm-mp-error-messages: Yield some more useful error
  messages than "Unknown error" during dm-mpath table construction.
* Fri Apr 15 2005 mantel@suse.de
- patches.fixes/dual-core-detect: Intel x86, EM64T dual-core
  detection and /proc/cpuinfo support (73767 feature 151293).
* Fri Apr 15 2005 lmb@suse.de
- Enabled DM_MULTIPATH_EMC option.
* Fri Apr 15 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050414: Weekly OCFS2 and configfs
  update.
* Thu Apr 14 2005 mantel@suse.de
- patches.drivers/intel-ich4L: Add ICH4L support (77457).
* Thu Apr 14 2005 agruen@suse.de
- patches.fixes/ext3-failure-corruption-fix: Fix bad return
  statement (conflict with patches.fixes/ramfs-O_SYNC).
* Thu Apr 14 2005 mantel@suse.de
- patches.suse/stratus-mm-track: Support for GPLed incremental
  memory mirror on Stratus servers. (75725, 76757).
* Wed Apr 13 2005 mantel@suse.de
- patches.drivers/emulex-lpfc-2.10g.patch: Delete.
- Update config files.
- patches.drivers/emulex-lpfc: add Emulex lpfc driver (74040).
- patches.drivers/emulex-lpfc-kbuild: integrate emulex lpfc
  driver into kernel (74040).
- patches.drivers/emulex-lpfc-2.6-8.0.16.6_x2: update lpfc driver
  to version 8.0.16.6_x2 (74040).
* Wed Apr 13 2005 axboe@suse.de
- Update config files: SCSI_PATA_PDC2027X typo
* Wed Apr 13 2005 axboe@suse.de
- Update config files.
- patches.arch/libata-enable-pata-atapi-ppc: Enable PATA and
  ATAPI support in libata.
- patches.drivers/pdc2027x-sata: Add pdc2027x pata libata support.
* Wed Apr 13 2005 axboe@suse.de
- patches.drivers/aic79xx-hostraid: Delete, obsoleted by the new merge
* Wed Apr 13 2005 mantel@suse.de
- tagged SLES9_SP2_BETA1
* Wed Apr 13 2005 mantel@suse.de
- patches.drivers/qla2xxx-update: update qla2xxx driver to
  v8.00.01 (feature 142157).
- patches.drivers/transport-attributes-infrastructure: update
  qla2xxx driver to v8.00.01 (feature 142157).
* Wed Apr 13 2005 axboe@suse.de
- patches.drivers/md-bio-on-stack: Needs to use GFP_NOIO
* Tue Apr 12 2005 jplack@suse.de
- patches.arch/ppc64-nonreboot:
  Reboot Dump is freezing the window console (75391 - LTC13758)
* Tue Apr 12 2005 okir@suse.de
- patches.arch/nx-i386: x86: Add support for non-executable pages (61267).
* Tue Apr 12 2005 agruen@suse.de
- patches.fixes/lkcd-reduce-stack-usage: Reduce stack usage
  in lkcd (65412).
* Tue Apr 12 2005 okir@suse.de
- patches.drivers/cifs-1.32-update: CIFS: Update to 1.32 (75332)
* Tue Apr 12 2005 schwab@suse.de
- Fix bug in sn_dma_flush [#64704].
* Tue Apr 12 2005 hare@suse.de
- patches.fixes/lkcd-reduce-stack-usage
  Reduce stack usage for lkcd (#65412)
* Tue Apr 12 2005 mantel@suse.de
- Update config files.
- patches.drivers/fusion-update-sgi: change # s/g entries to
  128 and add transport attributes; remove CSMI ioctl support
  (74092).
* Tue Apr 12 2005 hare@suse.de
- patches.fixes/lkcd-lkdump-{core,scsi,fusion,qla2xxx,sata_vsc}
  Add support for polling I/O mode for lkcd diskdump (#72053).
- patches.fixes/lkcd-lkdump-{kdb,kdb-polling}
  Fix kdb interaction with lkcd dumps (#72053).
- Update configs.
* Tue Apr 12 2005 axboe@suse.de
- series.conf: Disable aic79xx-new
* Tue Apr 12 2005 axboe@suse.de
- patches.drivers/aic7xxx-aic79xx-pci-tables-update: Delete.
* Tue Apr 12 2005 axboe@suse.de
- patches.drivers/aic79xx-pci-unregister: Delete.
- patches.drivers/aic7xxx-pci-tables: Delete.
- patches.fixes/aic7xxx-probe-1: Delete.
- patches.fixes/aic7xxx-probe-2: Delete.
- patches.fixes/fix-aic7xxx-oops: Delete.
- patches.fixes/aic7xxx-suspend: Delete.
- patches.drivers/aic7xxx-2.6.12-rc2: Update aic7xxx/aic79xx
  support from mainline.
- patches.drivers/aic7xxx-suse-adapt: Modifications needed to
  support the new aic7xxx/aic79xx on SUSE.
* Tue Apr 12 2005 okir@suse.de
- patches.fixes/mempool-gfp-alloc: Fix mempool allocation
  deadlocks (patch by Nick Piggin)
* Tue Apr 12 2005 hare@suse.de
- patches.fixes/lkcd-use-dynamic-bufsize
  Fix lkcd fails for unsupported block sizes (#63828 - LTC12094)
* Tue Apr 12 2005 mantel@suse.de
- patches.fixes/scsi-devinfo-update: Include several HP/Compaq
  devices in SCSI blacklist (73602).
* Tue Apr 12 2005 hare@suse.de
- patches.arch/s390-fix-num-online-cpus.patch
  Print only activated CPUs (#64732)
* Tue Apr 12 2005 lmb@suse.de
- patches.suse/dm-backport-2.6.11-rc3-udm2: backout a hunk affecting
  dm-snapshot on advice from upstream maintainer.
* Mon Apr 11 2005 lmb@suse.de
- patches.suse/dm-backport-2.6.11-rc3-udm2: merged with ...-revert so
  that it's easier to review; no functional changes.
* Mon Apr 11 2005 ak@suse.de
- patches.suse/no-mmconf: Disable MMConfig by default.
  Can be reenable with pci=mmconf (76801)
* Mon Apr 11 2005 okir@suse.de
- patches.fixes/numa-LDPS1255: disabled until it compiles.
* Mon Apr 11 2005 mason@suse.de
- patches.suse/rcfs-rcfs_i-inline: fix RCFS_I declaration (63217).
* Mon Apr 11 2005 jplack@suse.de
- patches.fixes/14512_accumtb:
  Need 'real' cpu usage in Power5 partitions (73914 - LTC14512)
* Mon Apr 11 2005 jplack@suse.de
- patches.fixes/numa-LDPS1255
  enable NUMA support on SLES9 for POWER (74360 - LTC14537)
* Mon Apr 11 2005 okir@suse.de
- patches.suse/sunrpc-bindresvport: Fix sunrpc xprt_bindresvport (63211).
* Mon Apr 11 2005 okir@suse.de
- patches.suse/smtnice-disable: Disable smtnice (64746).
* Mon Apr 11 2005 okir@suse.de
- patches.fixes/nfs-directio-stackhog: Missed a corner case (65800).
- patches.fixes/nfs-largepage-{prepare,read,write}: support efficient
  NFS read/write on clients with PAGE_SIZE > rsize/wsize (62177).
- patches.fixes/nfs-prioritize-writes, nfs-throttle-writes: rediffed
* Mon Apr 11 2005 mantel@suse.de
- patches.drivers/bcm5752-enable: Add support for Broadcomm
  BCM5752 - new version (75926)
* Mon Apr 11 2005 mantel@suse.de
- patches.fixes/scsi-devinfo-update: Include several HP/Compaq
  devices in SCSI blacklist (73602).
* Mon Apr 11 2005 mantel@suse.de
- patches.drivers/powernow-opteron-dualcore: disable feature; broken
* Mon Apr 11 2005 schwab@suse.de
- MCA Recovery from user-mode memory error [#61991].
* Mon Apr 11 2005 lmb@suse.de
- patches.suse/dm-dm_table_get_size: Export dm_table_get_size(), needed
  by dm-snapshot.
* Mon Apr 11 2005 lmb@suse.de
- patches.suse/dm-mp-bio-end_io-sense: Use SCSI sense data in bio end_io
  path in dm-mpath, if available (62489).
* Mon Apr 11 2005 mantel@suse.de
- patches.drivers/powernow-opteron-dualcore: fix compile
* Mon Apr 11 2005 lmb@suse.de
- patches.suse/dm-backport-2.6.11-rc3-udm2,
  patches.suse/dm-backport-2.6.11-rc3-udm2-revert-bioset:
  Update dm / dm-mpath (62489).
* Mon Apr 11 2005 hare@suse.de
- patches.fixes/lkcd-kdb-before-lkcd.patch
  Invoke kdb before lkcd (#64242).
- patches.fixes/lkcd-gzip-safety-buffer.patch
  Add safety buffer for gzip (#65407)
- patches.fixes/lkcd-console-loglevel.patch
  Increase console loglevel before taking dumps (#72183)
* Mon Apr 11 2005 okir@suse.de
- patches.suse/nfs-statd-hostnames: Make kernel statd/lockd use
  hostnames for SM_NOTIFY (64901, 66530).
* Mon Apr 11 2005 okir@suse.de
- patches.suse/nfs-proc-mounts-enhance: [NFS] Enhance /proc/mounts
  to include timeo and retrans (76198).
* Mon Apr 11 2005 schwab@suse.de
- Update hangcheck driver and enable it [#64611].
* Mon Apr 11 2005 mantel@suse.de
- patches.drivers/cciss-fix-pci-id: Fix wrong PCI ID in cciss
  driver (75761).
* Mon Apr 11 2005 jplack@suse.de
- patches.arch/ppc64-eeh-recover-9:
  EEH Recovery update (71920 - LTC14407)
* Sat Apr 09 2005 kkeil@suse.de
- backport SCTP iptable modules from 2.6.11 (#71088)
  patches.suse/ipt_sctp_2.6.11
  patches.suse/ip_conntrack_sctp_2.6.11
* Fri Apr 08 2005 gregkh@suse.de
- patches.drivers/usb-devio.patch: USB: fix async destroy of
  sub requests for usbfs (#75874).
* Fri Apr 08 2005 gregkh@suse.de
- patches.drivers/usbfs-inode.patch: USB: allow mount options
  for usbfs to actually work (#75878).
* Fri Apr 08 2005 mantel@suse.de
- patches.drivers/powernow-opteron-dualcore: Add dual-core
  PowerNow! support for Opteron processors (65362).
* Fri Apr 08 2005 okir@suse.de
- Prevent NFS writes from stalling find and similar apps completely (64542)
  - patches.fixes/nfs-throttle-writes: NFS: Throttle writes when
  pdflush is trying to free memory
  - patches.fixes/sunrpc-priority-scheduler: RPC: add fair queueing
  to the RPC scheduler.
  - patches.fixes/nfs-prioritize-writes: NFS: Use fair queueing
  of the RPC scheduler.
  - patches.fixes/sunrpc-remove-waitqueue-active: RPC,NFS: remove
  instances of tests for waitqueue_active()
  - patches.fixes/sunrpc-scheduler-races: RPC: Close some potential
  scheduler races in rpciod
* Fri Apr 08 2005 schwab@suse.de
- Turn on bypass of the IOV scatterlists with multiple entries [#76378].
* Fri Apr 08 2005 kkeil@suse.de
- handle the no filter case correct in PPP filtering (#57997)
* Fri Apr 08 2005 schwab@suse.de
- Make perfmon subsystem pluggable [#76377].
* Fri Apr 08 2005 lmb@suse.de
- patches.suse/ocfs2-configfs-20050407: Weekly OCFS2 update from Oracle
- Renames usysfs to configfs; adjusted configs.
* Fri Apr 08 2005 schwab@suse.de
- Small patches from SGI [#76243]:
  * Disable TIOCA GART TLB prefetching
  * Remove hubdev SAL call
  * Fix mbcs driver mmap function
  * Convert AMO address found in XPC's reserved page
  * Enable poweroff on Altix
* Thu Apr 07 2005 andrea@suse.de
- patches.fixes/mmap-offset-EOVERFLOW: mmap POSIX conformance
  (#59666)
* Thu Apr 07 2005 axboe@suse.de
- patches.fixes/libata-pci-remove-host-stop: Fix use-after-free
  in ahci when removing a device.
* Thu Apr 07 2005 hare@suse.de
- patches.fixes/lkcd-4GB-netdumps.patch
  Support netdumps with more than 4GB (#63569)
* Thu Apr 07 2005 tiwai@suse.de
- patches.drivers/alsa-atiixp-fix.diff: Fix the codec probing
  in the backport patch.
- patches.drivers/alsa-core-fix.diff: Fix spin-deadlock in the
  backport patch.
* Thu Apr 07 2005 hare@suse.de
- patches.fixes/scsi-use-seq_file-for-proc.patch
  Use proper seq_file interface for /proc/scsi/scsi (#75899)
- patches.suse/khelper-limit-static.patch
  Remove debug output.
* Thu Apr 07 2005 okir@suse.de
- patches.fixes/intel-cupid4-cache-sizes: Support x86 cache
  identification through cpuid(4) (73925).
* Thu Apr 07 2005 okir@suse.de
- patches.fixes/sunrpc-avoid-del-timer-sync: RPC: Optimize away
  unnecessary del_timer_sync() calls (74621).
* Thu Apr 07 2005 okir@suse.de
- patches.drivers/bonding-lockless-tx: [PATCH] use NETIF_F_LLTX
  in bonding device (74536).
* Thu Apr 07 2005 mantel@suse.de
- patches.drivers/tg3-adapt: some cosmetical clean up
* Wed Apr 06 2005 okir@suse.de
- patches.drivers/bcm5752-enable: Add support for Broadcomm
  BCM5752 (71684).
* Wed Apr 06 2005 agruen@suse.de
- rpm/prepare-build.sh: Don't drop the list of km_ modules from
  BuildRequires: this breaks kernel building with build.rpm.
* Wed Apr 06 2005 mantel@suse.de
- patches.drivers/tg3-autoneg: Delete.
- patches.drivers/tg3-ethtool-stat: Delete.
- patches.drivers/tg3-new: Delete.
- patches.drivers/tg3-new-adapt: Delete.
- patches.drivers/tg3-5701-alignment: Delete.
- patches.fixes/tg3-firmware-addr: Delete.
- patches.fixes/tg3-proc-stats: Delete.
- patches.fixes/mmio-write-barrier-tg3: Delete.
- patches.fixes/mmio-write-barrier-tg3-2: Delete.
- Update config files.
- patches.drivers/tg3-new-SGI: Allow SGI to use 'tg3-new' without
  'new_ids'. (SUSE48351).
- patches.drivers/tg3-update: update tg3 driver to 3.23 (none).
- patches.drivers/tg3-adapt: adapt new tg3 driver to 2.6.5 kernel
  (none).
* Wed Apr 06 2005 okir@suse.de
- patches.suse/xfs-kern-21686a-fix-inode64-nfs-interaction:
  fix inode64 nfs interaction (66897, SGI:PV902621).
* Wed Apr 06 2005 okir@suse.de
- patches.suse/nfsd-dmapi-aware: Make NFSD DMAPI aware (74107).
* Wed Apr 06 2005 okir@suse.de
- patches.fixes/ipv6-no-onlink-assumption: IPv6: Deprecate
  all-on-link assumption (74458).
- patches.fixes/ipv6-dst-release: IPv6: Fix locking in
  ip6_dst_lookup() (74458).
* Wed Apr 06 2005 mantel@suse.de
- patches.suse/export-__d_path: Export the __d_path function
  (65751).
* Wed Apr 06 2005 mantel@suse.de
- patches.fixes/em64t-cpufreq-gettimeofday: Time runs fast on
  EM64T system when HPET is not present and cpufreq is enabled
  (72118).
* Wed Apr 06 2005 mantel@suse.de
- patches.suse/kdb-IPI-NMI-interrupt: debug kernel won't boot
  on 8-way x445 (57240 - LTC12424).
* Wed Apr 06 2005 mantel@suse.de
- patches.fixes/acpi-initial-set: On few Nocona based platform
  acpi-cpufreq driver assumes the wrong CPU freq at boot time (72213).
* Wed Apr 06 2005 mantel@suse.de
- patches.drivers/bcm5700-new: Delete.
- patches.drivers/bcm5700-new-adapt: Delete.
- patches.fixes/bcm-remove-UTS_RELEASE.patch: Delete.
- Update config files.
- patches.drivers/bcm5700: update bcm5700 driver to 8.1.11
  (74144 - LTC14605-LDP:X91421/SuSE ref:140345).
* Wed Apr 06 2005 mantel@suse.de
- patches.fixes/ext3-failure-corruption-fix: Bug / data corruption
  on error handling in Ext3 under I/O failure condition (66332).
* Wed Apr 06 2005 mantel@suse.de
- patches.fixes/scsi-devinfo-update: Include HP HSV100/HSV110
  in SCSI blacklist (73602).
* Wed Apr 06 2005 mantel@suse.de
- patches.drivers/intel-ich7: ICH7 support (PATA, SATA, I2c,
  PIRQ and AC97) (73705).
* Wed Apr 06 2005 mantel@suse.de
- patches.drivers/fusion-update-adapt: adapt new mpt fusion
  driver to SLES9 kernel (74474).
* Wed Apr 06 2005 mantel@suse.de
- patches.fixes/ixgb_fix_eeh.patch: Delete.
- patches.drivers/ixgb-update: update ixgb driver to 1.0.95
  (74231).
* Wed Apr 06 2005 mantel@suse.de
- patches.drivers/e1000-new: Delete.
- patches.drivers/e1000-new-adapt: Delete.
- patches.fixes/e1000-netdev_register.patch: Delete.
- patches.fixes/e1000-validate: Delete.
- patches.fixes/e1000-mb.patch: Delete.
- patches.fixes/e1000_memory_leak_fix.patch: Delete.
- patches.fixes/e1000_discriptor.patch: Delete.
- patches.fixes/e1000-napi-ifdown-crash: Delete.
- patches.fixes/e1000-TSMPT-and-tx-locking.patch: Delete.
- patches.fixes/e1000-new-e23-64KboundaryDMA.patch: Delete.
- patches.fixes/e1000_e23-e1000-new-off-by-1.patch: Delete.
- patches.fixes/64K-align-check-dma-suse.patch: Delete.
- patches.fixes/e1000-new-check_64k_bound.patch: Delete.
- patches.fixes/e1000-new-txto.patch: Delete.
- patches.fixes/e1000-new-vlan-mask.patch: Delete.
- patches.fixes/e1k_new_sgtng-sp1.patch: Delete.
- patches.suse/e1000-dprintk-2.6.4.patch: Delete.
- Update config files.
- patches.drivers/e1000-update: update e1000 driver to 6.0.52
  (74230).
* Wed Apr 06 2005 mantel@suse.de
- patches.fixes/e100-10bmps-halfduplex: Delete.
- patches.fixes/e1000-clobber-errcode: Delete.
- patches.fixes/e1000-skb-leak: Delete.
- patches.fixes/e1000-tx-timeout-restart: Delete.
- patches.drivers/e100-update: update e100 driver to 3.4.7
  (74229).
  The "e1000" patches had been misnamed. They modified the e100
  driver, not the e1000 driver as the patch names suggest.
* Wed Apr 06 2005 hare@suse.de
- patches.arch/s390-17-??-april2004.diff:
  Include IBM Codedrop 05-04-2005
- Update s390 config.
* Tue Apr 05 2005 ak@suse.de
- Support symbols of modules in modular kdb (#64168)
* Tue Apr 05 2005 ak@suse.de
- Add memory mirroring support (#75725)
* Tue Apr 05 2005 mantel@suse.de
- patches.drivers/sk98lin-update: update sk98lin drivers to v8.14
  (73807).
* Tue Apr 05 2005 mantel@suse.de
- Update config files.
- patches.drivers/fusion-update: Update MPT Fusion driver to
  version 3.02.16 (74474).
- patches.drivers/fusion-update-adapt: adapt new mpt fusion
  driver to SLES9 kernel (74474).
- patches.fixes/fusion-validate: fusion mpt driver: port should
  be validated (none).
* Tue Apr 05 2005 schwab@suse.de
- Add cpu_relax to delay loop [#63913].
* Tue Apr 05 2005 mantel@suse.de
- patches.suse/increase-max-io-apic: increase MAX_IO_APICS
  (65260).
* Tue Apr 05 2005 garloff@suse.de
- relax-on-nohlt-idle: relax_cpu() in "halt" idle loop even when
  the floppy driver temporarily disabled hlt (#63913).
* Tue Apr 05 2005 agruen@suse.de
- patches.fixes/acl-oom-fix.diff: Fix Oops in acl code (75813).
* Tue Apr 05 2005 lmb@suse.de
- Temporarily comment out patches.suse/dm-mp-bio-end_io-sense again.
* Tue Apr 05 2005 lmb@suse.de
- Make SCSI sense data available in bio end_io path and use this in the
  dm-mpath hwhandlers (#62498).
* Tue Apr 05 2005 schwab@suse.de
- Altix system controller event handling [#74619].
* Tue Apr 05 2005 gregkh@suse.de
- patches.drivers/pci_aspm.patch: Disable ASPM on all PCI Express
  cards (#74440).
* Mon Apr 04 2005 schwab@suse.de
- Fix performance problem with inode cache size [#65172].
* Mon Apr 04 2005 axboe@suse.de
- patches.fixes/aio-up_read-deadlock: [PATCH] rwsem: Make rwsems
  use interrupt disabling spinlocks (73640).
* Fri Apr 01 2005 tiwai@suse.de
- Update config files.
- patches.drivers/alsa-core-fix.diff: Fixes for ALSA core part.
- patches.drivers/alsa-hda-intel.diff: Add Intel HDA codec driver.
- patches.drivers/alsa-hda-intel-2.6.5-fix.diff: Fix compilation
  of snd-hda-* drivers with 2.6.5.
- patches.drivers/alsa-ac97-fix.diff: Fix AC97 codec drivers.
- patches.drivers/alsa-atiixp-fix.diff: Fix ATI IXP audio.
- patches.drivers/alsa-intel8x0-fix.diff: Fix intel8x0 driver.
- patches.drivers/alsa-via82xx-fix.diff: Fix via82xx audio.
* Fri Apr 01 2005 gregkh@suse.de
- patches.drivers/pci_expresscard.patch: Add PCI Express Card
  support to the pciehp driver (#58624).
* Fri Apr 01 2005 rw@suse.de
- patches.suse/toss_page_cache_nodes-3:
  Fix for proc_dobitmap_list(). (64286)
* Fri Apr 01 2005 schwab@suse.de
- sba_iommu bug fixes [#74547].
* Fri Apr 01 2005 schwab@suse.de
- Don't direct interrupts to offline cpus [#74545].
* Fri Apr 01 2005 mantel@suse.de
- patches.drivers/cciss-update: update cciss driver to 2.6.6
  (75311).
* Fri Apr 01 2005 mantel@suse.de
- patches.suse/bighash-interleaving: Delete.
- patches.suse/bighash-vmalloc:
- patches.suse/bighash-tcp:
- patches.suse/bighash-filesystem:
- patches.suse/bighash-doc: update to community accepted versions
  of boot hash interleaving patches (74430, 46663).
* Fri Apr 01 2005 jplack@suse.de
- patches.fixes/stopmachine-lockup-fix
  patches.fixes/bind-worker-threads:
  Power 5 crash while rapidly turning cpus on/off with load (57298 -
  LTC8502)
* Fri Apr 01 2005 schwab@suse.de
- Add support for IA64 hardware performance counters via the perfmon
  interface.  Fix argument checking in sched_setaffinity. [#74511]
* Fri Apr 01 2005 hare@suse.de
- patches.arch/s390-1{4,5,6}-*.diff:
  Include IBM codedrops 03-03-2005,23-03-2005,24-03-2005
- patches.arch/s390-raw-device:
  activate raw device for S/390.
- patches.fixes/khelper-limit-static:
  limit the number of concurrent hotplug processes.
- Update config files for s390 and s390x.
* Fri Apr 01 2005 mantel@suse.de
- patches.fixes/load_elf_library-kfree-fix: Fix potential DoS
  in load_elf_library (73837).
* Fri Apr 01 2005 mantel@suse.de
- patches.fixes/irwindale-cache-descriptor: add missing cache
  table entry for Irwindale (L2 2MB cache) (SUSE50002).
  Same fix for x86_64 (#75250 - LTC14742)
* Fri Apr 01 2005 schwab@suse.de
- Correctly connect shub and ice error interrupt handler [#74187].
* Fri Apr 01 2005 axboe@suse.de
- patches.fixes/cfq-nr_requests-queue: Remove CFQ tweak of queue
  nr_requests (74466).
* Wed Mar 30 2005 axboe@suse.de
- patches.fixes/io-account: IO performance counters increased
  too soon.
* Wed Mar 30 2005 schwab@suse.de
- Fix memset in TIO:CA driver [#74192].
* Wed Mar 30 2005 jplack@suse.de
- patches.arch/ibm-rpa-cc3:
  boot images don't include IBM,RPA-Client-Config note, ppc64
  specific only (67026 - LTC14213)
* Wed Mar 30 2005 schwab@suse.de
- Add arch hook for notifying changes in PTE protections bits
  [#74103].
* Wed Mar 30 2005 jplack@suse.de
- patches.fixes/jfs-resize-hang:
  kernel hangs while trying to resize JFS (72775 - LTC14489)
* Wed Mar 30 2005 agruen@suse.de
- patches.fixes/xfs-kern-iomap-write-to-delalloc-fix: iomap
  write to delalloc fix (65999, SGI:PV917981).
* Tue Mar 29 2005 mantel@suse.de
- patches.fixes/bluetooth-check: bluetooth: Fix signedness
  problem at socket creation (74519).
* Mon Mar 28 2005 jeffm@suse.de
- patches.fixes/set_blocksize_race.diff: [PATCH] blockdev:
  fix race between mount/umount (63178).
* Sun Mar 27 2005 lmb@suse.de
- patches.suse/ocfs2-aio-ki_dtor: Backport ki_dtor functionality (70960)
- patches.suse/ocfs2-kthread: Export kthread functions (72255)
- patches.suse/ocfs2-wait_event_timeout: Backport wait_event_timeout API
  to 2.6.5 (74191)
- patches.suse/ocfs2-usysfs: Oracle Cluster Filesystem 2 and usysfs.
- patches.suse/ocfs2-usysfs-20050324: First incremental update to ocfs2
  and usysfs.
* Sat Mar 26 2005 lmb@suse.de
- Fix OCFS2 build on IA64.
* Sat Mar 26 2005 lmb@suse.de
- OCFS2 build disabled on ia64.
* Thu Mar 24 2005 agruen@suse.de
- patches.fixes/xfs-kern-20990a-fix-small-sectors-with-large-pages:
  fix small sectors with large pages (64196, SGI:PV926724).
- patches.fixes/xfs-kern-21839a-default-inode-hash-size-fix:
  default inode hash size fix (72849, SGI:PV931940).
- patches.fixes/xfs-kern-21841a-ihashsize-in-proc-mounts:
  ihashsize in /proc/mounts (72849, SGI:PV931940).
- patches.fixes/smbfs-security-fix2: Security fix for 2.6 smbfs;
  add to series.conf (SUSE46204).
- patches.fixes/dm-mp-reada-fix: Already fixed; remove patch.
* Wed Mar 23 2005 mantel@suse.de
- patches.fixes/aio-destroy: fix kernel BUG at fs/aio.c:1248 in
  io_destroy (64960 - LTC13538).
* Wed Mar 23 2005 schwab@suse.de
- Add bus driver for the CX port of SGI's TIO chip [#74189].
* Tue Mar 22 2005 schwab@suse.de
- Fix __copy_user on unaligned src [#74188].
* Tue Mar 22 2005 schwab@suse.de
- Add support for RMP3 console port on HP zx2 systems [#73868].
* Tue Mar 22 2005 schwab@suse.de
- Multi-core/multi-thread identification for Montecito [#73772].
* Tue Mar 22 2005 okir@suse.de
- patches.fixes/nfs-directio-stackhog: NFS: Direct IO
  path allocates data on the stack (65800).
* Mon Mar 21 2005 jeffm@suse.de
- patches.suse/lock_rename.patch: vfs: lock_rename()/unlock_rename()
  can lead to deadlock (72163).
* Mon Mar 21 2005 schwab@suse.de
- Fix assertion failure in pfm_handle_work [#74004].
* Mon Mar 21 2005 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-hardcoded-srp.patch
  SRP format was specified when sending non-SRP IU (#72501 - LTC14474)
* Sat Mar 19 2005 olh@suse.de
- add patches.suse/kdb-non_ascii.patch
  The kernel considers 0xc0-0xff as printable chars, this leads to
  binary garbage. Just mask it to ASCII.
* Fri Mar 18 2005 schwab@suse.de
- Altix SN topology support for new chipsets and pci topology [#73853].
* Fri Mar 18 2005 mantel@suse.de
- patches.fixes/fusion-multiple-domains: Fusion MPT doesn't
  handle multiple PCI domains correctly (73717).
* Fri Mar 18 2005 schwab@suse.de
- Add driver for IOC4 based serial port [#73741].
* Fri Mar 18 2005 schwab@suse.de
- Make kdb handle a change to log_buf_len [#62516].
* Fri Mar 18 2005 mantel@suse.de
- patches.fixes/cpumask-x86: x86 kernel corruption when booted
  on system with > 32cpus (72060).
* Thu Mar 17 2005 schwab@suse.de
- Add support for the SGI SHUB2 chipset [#73579].
* Thu Mar 17 2005 olh@suse.de
- build autofs as a module, enable autofs4 as module on ppc/ppc64
* Thu Mar 17 2005 olh@suse.de
- update patches.arch/ibm-ppc64-sles9-eeh-recover-multi-3.patch
  check pci_device_to_OF_node() return value to avoid early crash
* Thu Mar 17 2005 schwab@suse.de
- Use core_initcall for binfmt initialisation [#71744].
* Thu Mar 17 2005 mason@suse.de
- patches.fixes/reiserfs-signed.patch: [PATCH] reiserfs: use
  proper 64-bit clean types (65229).
* Thu Mar 17 2005 mantel@suse.de
- patches.fixes/mpol_leak_fix.patch: numa_policy kernel mempolicy
  slab cache leak (71580).
* Thu Mar 17 2005 mantel@suse.de
- patches.fixes/export-kick-iocb: export kick_iocb for ocfs2 aio
  (72256).
* Thu Mar 17 2005 mantel@suse.de
- patches.fixes/ia64-ptrace-crash: ia64: fix possible crash in
  ptrace() (65236).
* Wed Mar 16 2005 lmb@suse.de
- patches.drivers/md-superblock-failures: handle write failures during
  superblock updates (65306).
* Wed Mar 16 2005 mantel@suse.de
- patches.fixes/ia64-unwind-user: ia64: add sanity check
  unw_unwind_to_user (65112).
* Wed Mar 16 2005 mantel@suse.de
- patches.fixes/ppp-async-check: add sanity check to ppp_async
  code (65857).
* Wed Mar 16 2005 axboe@suse.de
- patches.drivers/suse-ahci-disable: Don't touch the 6th bar
  unless it's really an ahci device (72074).
* Tue Mar 15 2005 okir@suse.de
- patches.fixes/ip-defrag-tagged: [IPV4]: Keep fragment queues
  private to each user  (65594).
- patches.fixes/ip-fragment-checksum: Fix remotely triggerable
  oops in IP defragmenter (65594).
- patches.fixes/ip-dst-leak: [IPv4] Do not leak dst entries in
  ip_copy_metadata() (65594).
* Tue Mar 15 2005 schwab@suse.de
- Add NUMA I/O locality patches [#72066].
* Tue Mar 15 2005 schwab@suse.de
- Add NULL pointer check to pagg_hook_register [#70963].
* Tue Mar 15 2005 okir@suse.de
- patches.fixes/n-tty-signedness: Fix sign checks in
  copy_from_read_buf() (65318).
- patches.fixes/proc-read-signedness: Fix signed compare in
  fs/proc/generic.c::proc_file_read() (65318).
* Tue Mar 15 2005 okir@suse.de
- patches.fixes/ipv6-ppp-crash: Prevent IPv6 oops on PPP devices (72444).
* Tue Mar 15 2005 axboe@suse.de
- series.conf: enable patches.fixes/readahead-update, it almost doubles
  random read performance for some test cases
* Tue Mar 15 2005 axboe@suse.de
- patches.drivers/libata-ahci-error-handling: Fix AHCI fatal
  error handling.
* Mon Mar 14 2005 mantel@suse.de
- patches.drivers/tg3-5701-alignment: work around tg3 5701
  misalignment (62224).
* Mon Mar 14 2005 mantel@suse.de
- patches.suse/lkcd_unregister_compression: LKCD needs to
  unconfigure if removing the current compression type (72186).
* Mon Mar 14 2005 axboe@suse.de
- patches.fixes/readahead-update: Fix read-ahead code.
- series.conf: patch added, but disabled for now
* Mon Mar 14 2005 olh@suse.de
- add patches.arch/ibm-ppc64-vpurr-2
  rewrite of the purr functionality (#72252 - LTC14472)
* Mon Mar 14 2005 schwab@suse.de
- Add chipset identifiers for HP zx2 [#67203].
* Fri Mar 11 2005 olh@suse.de
- add patches.drivers/ipr-2-0-10-2.patch
  update ipr driver to 2.0.10.2 (#72124 - LTC14442)
* Fri Mar 11 2005 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
- update patches.drivers/ipr-2-0-10-1.patch
  remove part that touches pci.ids
- update patches.suse/pci.ids-update
  import 2005-03-08 snapshot from sf.net
- add patches.suse/pci.ids-update.extra
- add patches.suse/pci.ids-update.fixup
  keep some kernel.org entries, cut off long entries
* Fri Mar 11 2005 mantel@suse.de
- patches.fixes/moxa-ioctl-check: add permission check to moxa
  serial driver (65375).
* Fri Mar 11 2005 mantel@suse.de
- patches.fixes/n_mouse-ldisc-privileged: Only root should be
  able to set the N_MOUSE line discipline. (62195).
* Thu Mar 10 2005 mantel@suse.de
- patches.fixes/epoll-check: epoll: return proper error on
  overflow condition (71782).
* Thu Mar 10 2005 mantel@suse.de
- patches.fixes/sysfs-write-signedness: sysfs: fix signedness
  problem (66819).
* Thu Mar 10 2005 okir@suse.de
- patches.fixes/nfsd-nohide-fix: nfsd: Fix READDIRPLUS replies on
  "nohide" exports (71819).
* Thu Mar 10 2005 garloff@suse.de
- patches.fixes/scsi-define-task-aborted: Don't mask off
  TASK_ABORTED from the SCSI error status (64150, LTC12947).
* Wed Mar 09 2005 axboe@suse.de
- patches.suse/barrier-rework-sp2: remove debug hdc check
* Tue Mar 08 2005 lmb@suse.de
- Backport blk_sync_queue() to make sure the queue is clean. (#66185)
* Tue Mar 08 2005 lmb@suse.de
- Backport md fixes from 2.6.11 and 2.6.11-mm2 (#66185)
* Tue Mar 08 2005 olh@suse.de
- add patches.suse/dprobes-kprobes-full-linux-2.6.5-7.139.patch
  kprobes for ppc64 (#67181 - LTC14236)
* Tue Mar 08 2005 olh@suse.de
- add patches.arch/ibm-ppc64-perf_irq_export.patch
  export symbol perf_irq (#67200 - LTC14260)
* Tue Mar 08 2005 olh@suse.de
- add patches.fixes/futex-deadlock.patch
  Fix possible futex mmap_sem deadlock (#66418 - LTC14075)
* Tue Mar 08 2005 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-ltc12843-2.patch
  improve bad media handling (#63919 - LTC12843)
* Tue Mar 08 2005 axboe@suse.de
- patches.suse/barrier-rework-sp2: reworked block io write barrier support
- patches.drivers/sata-enable-flush: enable barriers for sata
* Tue Mar 08 2005 andrea@suse.de
- patches.fixes/x86_64-panic-lockup: avoid lockup after panic
  even if kernel.panic > 0. (#67025)
* Mon Mar 07 2005 olh@suse.de
- add patches.fixes/raw-blkdev_ioctl.patch
  Replace ioctl_by_bdev with blkdev_ioctl in raw.c (#67212 - LTC14261)
  export blkdev_ioctl
* Mon Mar 07 2005 schwab@suse.de
- Avoid sign extension in pci sal access [#65150].
* Fri Mar 04 2005 olh@suse.de
- build autofs as a module, enable autofs4 as module on pseries64
* Fri Mar 04 2005 mantel@suse.de
- Update config files.
- patches.drivers/3w-9xxx: add 3w-9xxx driver for series 9000
  SATA Raid cards (70820).
* Fri Mar 04 2005 okir@suse.de
- patches.fixes/nfsd-cache_purge-race: Fix race when purging
  nfsd's authentication cache.
* Fri Mar 04 2005 agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Fix compiling /usr/src/linux directly with O= (65891).
* Fri Mar 04 2005 agruen@suse.de
- patches.fixes/xfs-kern-21668a-acl-dir-exec-fix: acl dir exec
  fix (67183, SGI:PV930290).
* Thu Mar 03 2005 okir@suse.de
- patches.fixes/nfs3-access-macos-interop: nfs3_access:
  gracefully deal with servers not setting DELETE bit (67180).
* Thu Mar 03 2005 axboe@suse.de
- patches.drivers/libata-update-2.6.11: bring us to 2.6.11 level, several critical bug fixes in the sata support
* Wed Mar 02 2005 axboe@suse.de
- patches.fixes/ioctl-by-bdev-NULL-file: NULL file oops
* Tue Mar 01 2005 olh@suse.de
- add patches.drivers/jsm-defect14077.patch
  fix kernel panic while using DLPAR to remove jasmine serial adapter
  (#66648 - LTC14077)
* Tue Mar 01 2005 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-code5.patch
  * In certain cases, e1000 makes thousands of I/O attempts
  after a slot is frozen, leading to a kernel panic.
  * a reset-states value of 5 is not being  handled by the kernel
  * the EEH recovery code is walking to  neighboring PCI slots.
  (#66980 - LTC13866)
* Sun Feb 27 2005 olh@suse.de
- add patches.fixes/e1000-new-vlan-mask.patch
  e1000 - Fix VLAN filter setup errors
* Sun Feb 27 2005 olh@suse.de
- add patches.suse/modprobe_unknown_symbol.patch
  debug spurious Unknown symbol errors (#66533,#63643,#64590,#66449)
* Fri Feb 25 2005 andrea@suse.de
- patches.suse/toss_page_cache_nodes: remember to unlock the page.
  (65778).
* Fri Feb 25 2005 okir@suse.de
- patches.suse/amd-cmp: CMP numa node detection for AMD dual core
  (50126). Fix compilation for UP.
* Thu Feb 24 2005 mantel@suse.de
- patches.suse/dm-remove-limitation: remove the limitation of
  1024 DM devices (57550 - LTC9411).
* Thu Feb 24 2005 mantel@suse.de
- patches.suse/lkcd_proc_readonly: Make LKCD tunables readonly
  via procfs/sysctl (65453).
* Thu Feb 24 2005 hare@suse.de
- patches.arch/s390-fix-readdir_r-compat
  Fix readdir_r when running in compat mode (#63863 - LTC12795).
- patches.fixes/shmget-ipc-2gig-fix
  Fix shmget to not be limited to 2G (#65754).
- patches.arch/s390-mmstruct-leak-fix
  Fix struct_mm leak on S/390 (#64737).
* Thu Feb 24 2005 mantel@suse.de
- patches.fixes/cpu_die-call-idle_task_exit: fix hotplug cpu
  mm_struct leak (66021 - LTC14051).
* Thu Feb 24 2005 okir@suse.de
- patches.fixes/netfilter-use-num_online_cpus: Use num_online_cpus
  instead of NR_CPUS when creating netfilter chains (65361).
* Thu Feb 24 2005 hare@suse.de
- patches.arch/s390-13-??-april2004.diff
  Include IBM codedrop 14-02-2005.
  (#65139 - LTC13598)
* Thu Feb 24 2005 olh@suse.de
- add patches.arch/ibm-ppc64-ide-MAX_HWIFS.patch
  When fully configured, some POWER5 boxes can have much more than
  4 IDE interfaces. Increase the limit to reflect this.
  (#66382 - LTC13935A)
* Thu Feb 24 2005 agruen@suse.de
- patches.fixes/fix-broken-snapshot-merge: backport freeze_bdev
  s_frozen code from mainline (SUSE47032).
* Thu Feb 24 2005 agruen@suse.de
- patches.fixes/hch-generic-freeze-fix: dm freeze deadlock
  (62032, SGI:PV925910).
- patches.fixes/xfs-kern-21407a-add-back-missing-frozen-check-for-snapshot:
  add back missing frozen check for snapshot (SUSE47032,
  SGI:PV925910).
* Wed Feb 23 2005 schwab@suse.de
- Use fast gzip in lkcd dumps [66227].
* Wed Feb 23 2005 mantel@suse.de
- patches.fixes/xfs-kern-21409a-fix-releasepage-on-delalloc-buffers-with-small-blocksizes:
  fix releasepage on delalloc buffers with small blocksizes
  (66233, SGI:PV929309).
* Wed Feb 23 2005 olh@suse.de
- add patches.fixes/pci_cfg_size.patch
  adds a field to the pci_dev struct to indicate the size of config space
  add patches.fixes/pci_citrine_quirk.patch
  PCI citrine quirk (66261 - LTC14110)
* Tue Feb 22 2005 mantel@suse.de
- patches.drivers/aic79xx-hostraid: Add HostRAID card support
  to aic79xx (63966).
* Tue Feb 22 2005 olh@suse.de
- add patches.fixes/e1000-new-txto.patch
  workaround for errata 10 in PCI-X mode (66158 - LTC13551)
* Mon Feb 21 2005 mantel@suse.de
- patches.fixes/qla2xxx-busy: qla2xxx driver handles BUSY status
  incorrectly (65863).
* Fri Feb 18 2005 okir@suse.de
- patches.fixes/wait-task-inactive: fix wait_task_inactive race (SUSE50834).
* Thu Feb 17 2005 olh@suse.de
- add patches.fixes/e1000-new-check_64k_bound.patch
  use correct values for 64k-boundary checking (SUSE50659 - LTC13863)
* Wed Feb 16 2005 olh@suse.de
- add patches.fixes/jfs-write_metapage-clear_page_dirty.patch
  Clear dirty flag when jfs clears uptodate flag (SUSE49021 - LTC12912)
* Tue Feb 15 2005 olh@suse.de
- add patches.arch/ppc-chrp_nvram.patch
  allow nvsetenv also on 32bit CHRP machines, to set the boot-device
* Tue Feb 15 2005 olh@suse.de
- add patches.fixes/jfs-commit_threads.patch
  fix commit thread handling with > 64 cpus (SUSE49141 - LTC13007)
* Tue Feb 15 2005 schwab@suse.de
- Stagger the addresses of the pernode data structures to minimize cache
  aliasing [SUSE50780].
* Mon Feb 14 2005 okir@suse.de
- patches.fixes/vlan-bonding-normal-frames: VLAN over bonding:
  allow non-VLAN traffic to pass (SUSE50709).
* Fri Feb 11 2005 olh@suse.de
- add patches.fixes/wake_up_forked_process-cpu-offline-check.patch
  check if cpu is offline in wake_up_forked_process (SUSE50667 - LTC13907)
* Thu Feb 10 2005 olh@suse.de
- update -new drivers, if one of the new drivers is compiled into
  the kernel, hide the old driver (SUSE50531 - LTC13761)
  patches.drivers/bcm5700-new
  patches.drivers/e1000-new
  patches.drivers/tg3-new
* Thu Feb 10 2005 olh@suse.de
- bring the ibmvscsi driver closer to mainline (SUSE50614 - LTC13921)
  add patches.drivers/ibm-ppc64-vscsi-mainline-1.patch
  add patches.drivers/ibm-ppc64-vscsi-mainline-2.patch
  add patches.drivers/ibm-ppc64-vscsi-mainline-3.patch
  add patches.drivers/ibm-ppc64-vscsi-mainline-4.patch
  add patches.drivers/ibm-ppc64-vscsi-mainline-5.patch
* Wed Feb 09 2005 mantel@suse.de
- patches.fixes/slab-memleak-fix: fix memleak in per cpu structure
  allocations (SUSE50609).
* Wed Feb 09 2005 olh@suse.de
- add patches.arch/ibm-ppc64-phbdlpar_sp1_1018.patch
  support for dynamic addition/removal of PCI Host Bridges
  (SUSE47526 - LTC8281)
* Wed Feb 09 2005 ak@suse.de
- patches.fixes/shmget32-overflow: Fix compat shmgets with >2GB size
  (SUSE50507)
* Wed Feb 09 2005 lmb@suse.de
- patches.drivers/md-needless-resync-fix: Fix endless loop when syncing
  an array that doesn't need any resync. (SUSE50243)
* Tue Feb 08 2005 ak@suse.de
- patches.suse/amd-cmp: Backport AMD dual core node detection support
  (SUSE50126)
* Tue Feb 08 2005 mantel@suse.de
- patches.fixes/hpet_write: x86: HPET setup, duplicate HPET_T0_CMP
  needed for some platforms (SUSE50527 - LTC13890).
* Mon Feb 07 2005 okir@suse.de
- patches.fixes/arp-queue-kfree-race: Prevent race condition
  between skb_unlink and kfree_skb (SUSE48658 - LTC12694)
* Mon Feb 07 2005 rw@suse.de
- patches.suse/cpusets-sem-deadlock:
  Enable fix for possible deadlock on cpuset semaphore when
  allocating memory.  (SUSE48359)
* Mon Feb 07 2005 schwab@suse.de
- Fix SN2 hwperf error handling [SUSE50522].
* Mon Feb 07 2005 okir@suse.de
- patches.fixes/nfsd-no-cache-readdir: Do not cache NFSv2 readdir
  replies (SUSE50435).
* Mon Feb 07 2005 olh@suse.de
- remove patches.arch/ppc64_iommu-align.patch, not needed
* Sat Feb 05 2005 agruen@suse.de
- patches.fixes/xfs-kern-21326a-modular-nfsd-builtin-xfs-kconfig-fix:
  modular nfsd builtin xfs kconfig fix (SUSE50038, SGI:PV923968).
- patches.fixes/xattr-sharing-bug.diff: Fix long-standing xattr
  sharing bug (SUSE50424).
* Thu Feb 03 2005 mantel@suse.de
- patches.fixes/irwindale-cache-descriptor: add missing cache
  table entry for Irwindale (L2 2MB cache) (SUSE50002).
* Thu Feb 03 2005 lmb@suse.de
- patches.drivers/md-bio-on-stack-2: Fix md bio memory leak (SUSE50470).
* Thu Feb 03 2005 mantel@suse.de
- patches.fixes/iPod-unusual-device: Apple iPod lies about its
  size, mounting via USB not possible (SUSE48783).
* Wed Feb 02 2005 axboe@suse.de
- Add new Promise TX4 sata support
* Wed Feb 02 2005 olh@suse.de
- add patches.arch/ppc-dma_mapping_error.patch for libata update
* Wed Feb 02 2005 agruen@suse.de
- patches.fixes/direct-io-xfs-write-deadlock: activate.
* Tue Feb 01 2005 olh@suse.de
- update patches.arch/ibm-ppc64-eeh-recover-2.patch
  disable duplicate msleep/msecs_to_jiffies in arch/ppc64/kernel/eeh.c
* Tue Feb 01 2005 andrea@suse.de
- patches.suse/silent-stack-overflow/toss_page_cache_nodes:
  enable heap-stack-gap sysctl. (SUSE44807)
* Tue Feb 01 2005 axboe@suse.de
- Kill driver private msleep/msecs_to_jiffies duplications
* Tue Feb 01 2005 mantel@suse.de
- patches.suse/enable-sysrq: allow enabling of sysreq via kernel
  parameter (SUSE47533).
* Tue Feb 01 2005 axboe@suse.de
- patches.drivers/sata-promise-tx2plus: add support for a new tx2plus card
* Tue Feb 01 2005 axboe@suse.de
- patches.drivers/libata-sense-oops: fix oops in ata_to_sense_error
* Mon Jan 31 2005 axboe@suse.de
- Update x86_64 config files for libata update
* Mon Jan 31 2005 axboe@suse.de
- Big sata/libata update
* Mon Jan 31 2005 mantel@suse.de
- patches.fixes/META_stale.patch: JFS: Simplify stale metapage
  handing so that mp->count isn't held above zero by multiple
  threads. (SUSE50045).
* Mon Jan 31 2005 mantel@suse.de
- Update config files.
- patches.drivers/sensors-vt1211: add vt1211 support to i2c to
  handle sensors on VIA EPIA motherboards (SUSE49641).
* Sat Jan 29 2005 agruen@suse.de
- patches.fixes/dmapi-20764a-drop-bkl-during-ioctl: Drop bkl
  during ioctl (SUSE50036, SGI:PV923092).
- patches.fixes/xfs-kern-21109a-cluster-hash-sizing-problem:
  Cluster hash sizing problem (SUSE50036, SGI:PV923092).
- patches.fixes/xfs-kern-20766a-iget-hash-performance-problem:
  Iget hash performance problem (SUSE50036, SGI:PV923092).
* Fri Jan 28 2005 schwab@suse.de
- Increase console loglevel in INIT handler [SUSE49024].
* Fri Jan 28 2005 schwab@suse.de
- Fix SAL access to PCI extended config space [SUSE50150].
* Thu Jan 27 2005 okir@suse.de
- patches.suse/sunrpc-svcsock-rqaddr: rq_daddr should be filled
  out for TCP-based RPC (SUSE49441).
* Thu Jan 27 2005 okir@suse.de
- patches.fixes/vga-console-switching: vgacon fixes to help font
  restauration in X11 (SUSE35127).
* Thu Jan 27 2005 agruen@suse.de
- patches.fixes/properly-export-find_exported_dentry,
  patches.fixes/xfs-kern-185126a-nfs-inode-data-corruption,
  patches.fixes/xfs-kern-185437a-nfs-exportfs-dependency-fix,
  patches.fixes/xfs-kern-186566a-fix-modular-nfsd-exports:
  nfs inode data corruption (SUSE50038, SGI:PV923968).
* Thu Jan 27 2005 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-loop-exit-condition.patch
  fix kernel panic on boot during vscsi detection (SUSE49828 - LTC13345)
* Thu Jan 27 2005 olh@suse.de
- add patches.arch/ibm-ppc64-sigalign.patch
  PPC64: fix stack alignment for signal handlers (SUSE49834 - LTC13458)
* Thu Jan 27 2005 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries_fix_veth_module_unload_race_and_leak_sles.patch
  fix oops on module unload (SUSE50138 - LTC13443)
* Wed Jan 26 2005 olh@suse.de
- add patches.fixes/ixgb_fix_eeh.patch
  redundant Write-Back in Receive Descriptor Ring caused memory
  corruption. (SUSE50213 - LTC12695)
* Wed Jan 26 2005 mantel@suse.de
- patches.fixes/vtresize: add missing check to vt resizing code
  (SUSE49171).
* Wed Jan 26 2005 schwab@suse.de
- Fix reference to current in MCA handler [SUSE49244].
* Tue Jan 25 2005 schwab@suse.de
- Use SAL extended addressing when seg > 255 or reg > 255 [SUSE50080].
* Tue Jan 25 2005 agruen@suse.de
- patches.rpmify/cvs-timestamp-in-oopses.diff: Fix quoting so that
  it doesn't cause unnecessary rebuilds.
* Tue Jan 25 2005 okir@suse.de
- patches.suse/ckrm-numtasks-lockfix: Fix a locking bug in
  numtasks which was introduced in an earlier patch (SUSE50048).
* Tue Jan 25 2005 olh@suse.de
- add patches.fixes/bcm-remove-UTS_RELEASE.patch
  remove unused symbol kernel_version from bcm drivers
* Tue Jan 25 2005 okir@suse.de
- Updated patches.fixes/sysfs-pciconfig-readwrite.patch;
  Avoid sign extension (SUSE49505).
* Tue Jan 25 2005 okir@suse.de
- patches.suse/flock-callout: Add flock() VFS callouts (SUSE49442).
* Tue Jan 25 2005 olh@suse.de
- enable parport printer option for pseries (SUSE50028 - LTC13260)
* Tue Jan 25 2005 olh@suse.de
- add patches.fixes/ioctl_compatibility_for_TIOCMIWAIT_and_TIOCGICOUNT.patch
  handle 2 more ioctls (SUSE49787 - LTC13437)
* Tue Jan 25 2005 olh@suse.de
- add patches.fixes/ppc64-rpaphp-remove-is_hotplug_capable.patch
  OF properties starting with 'ibm,fw-*' are private to firmware
  and should not be used by the OS (SUSE50081 - LTC13558)
* Tue Jan 25 2005 olh@suse.de
- add patches.fixes/scsi-sd-scsi_device_put-refcount.patch
  Fix reference to deallocated memory in sd.c (SUSE49207)
* Tue Jan 25 2005 lmb@suse.de
- Merge and activate DM multipath extensions for EMC CLARiiON et al.
  (SUSE47489)
* Mon Jan 24 2005 andrea@suse.de
- patches.suse/protect-pids-from-oom2/mapped-base: proc fix
* Mon Jan 24 2005 hare@suse.de
- Fix errors on loading xfs (SUSE50131).
* Mon Jan 24 2005 ak@suse.de
- Move early cpu detection on x86-64 earlier (SUSE50093)
* Mon Jan 24 2005 ak@suse.de
- Fix noexec= on x86-64 (SUSE49247)
* Mon Jan 24 2005 ak@suse.de
- Enable CONFIG_INIT_DEBUG on x86-64 kernels (SUSE49305)
* Mon Jan 24 2005 ak@suse.de
- Enable CONFIG_DEBUG_INFO on the x86-64 debug kernel (SUSE48604)
* Mon Jan 24 2005 ak@suse.de
- patches.arch/x86_64-vsyscall32-global: Fix TLB corruption (SUSE50092)
- patches.arch/x86_64-increase-mpbusses: Increase mp busses (SUSE49725)
- patches.arch/x86_64-signal-restart: Fix signal restart bug (SUSE49434)
- patches.arch/x86_64-tlb-exit: Fix TLB context switch bug (partial SUSE49759)
* Sun Jan 23 2005 olh@suse.de
- add patches.fixes/update-hugetlb-documentation.patch
* Sat Jan 22 2005 olh@suse.de
- add patches.arch/ibm-ppc64-sles9-eeh-recover-multi-3.patch
  Error recovering from EEH events on multifunction adapters
  (SUSE48367 - LTC12626)
* Sat Jan 22 2005 olh@suse.de
- add patches.fixes/fix-bogus-echild-return-from-wait-with-zombie-group-leader.patch
  fix bogus ECHILD return from wait* with zombie group leader
  glibc make check passes again (SUSE49387 - LTC13441)
* Sat Jan 22 2005 olh@suse.de
- add patches.fixes/del_timer-mod_timer-smp-race.patch
  fix del_timer() vs. mod_timer() SMP race (SUSE49381 - LTC11943)
* Fri Jan 21 2005 okir@suse.de
- Merged a number of patches from the SP1 branch:
  - patches.drivers/cmd64x-idedma-pin-recursion: hdparm -d1 on
  cmd64x hangs (SUSE49565).
  - patches.drivers/md-bio-on-stack: Fix md using bio on stack
  with bio clones (SUSE49931).
  - patches.fixes/atkbd-f2-fix: Allow keyboard to survive if any
  key (e.g. F2) is pressed early (SUSE47649).
  - patches.fixes/quiet-input: Updated to apply on top of atkbd-f2-fix
  - patches.fixes/bio-bdev-init: Clear bio->bi_bdev field on init
  (SUSE49439).
  - patches.fixes/ext23-percpu-counter-leak: [PATCH] fix ext2/ext3
  memory leak (SUSE49386 LTC13147).
  - patches.fixes/ext3-directio-extend-journal: Fix ext3 directio
  when extending the journal (SUSE47787).
  - patches.fixes/perfmon-no-oops: perfmon assertion failure in
  pfm_load_regs (SUSE49199).
  - patches.fixes/rq-starved: Fix rq starvation for readers on OOM
  (SUSE49873).
  - patches.fixes/sg-ioctl-unsigned: Fix sign issue in
  sg_scsi_ioctl() (SUSE49782).
  - patches.suse/aio-sync_page_range-ret-3: make sure
  sync_page_range waits for the entire io during O_SYNC aio
  (SUSE47986 - LTC12266 ).
  - patches.suse/b_private-init: Zero b_private when allocating
  buffer heads (SUSE49142).
* Fri Jan 21 2005 hare@suse.de
- patches.arch/s390-12-??-april2004.diff
  Include IBM codedrop 20-01-2005.
* Thu Jan 20 2005 kkeil@suse.de
- patches.fixes/fix_inetaddr_notifier_chain_corruption
  fix inetaddr notifier chain corruption with IPV6 (SUSE49720)
* Thu Jan 20 2005 agruen@suse.de
- patches.fixes/xfs-kern-185642a-wait-on-iocb-non-aio-only:
  Wait on iocb non aio only (SUSE49922, SGI:PV927929).
* Wed Jan 19 2005 schwab@suse.de
- Set NR_CPUS to 512 in ia64/debug.
* Tue Jan 18 2005 vojtech@suse.de
- Two patches from SP1
- patches.fixes/sysfs-pciconfig-readwrite.patch: powerpc64 - Fix
  sysfs pci config interface to allow word sized atomic reads (SUSE49505)
- patches.fixes/usb-hid-elo.patch: Ignore Constant (padding) fields
  in HID reports altogether. Ignoring only Undefined.Undefined usages
  breaks some devices - namely Elo touchpads. (SUSE49030)
* Tue Jan 18 2005 schwab@suse.de
- Align jiffies to cache line [SUSE49823].
* Tue Jan 18 2005 schwab@suse.de
- Add cpu_relax in various places [SUSE48872].
* Tue Jan 18 2005 schwab@suse.de
- Fix PDH console [SUSE48862].
* Fri Jan 14 2005 mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Thu Jan 13 2005 mantel@suse.de
- patches.fixes/smbfs-security-fix: merged 2.6.10-ac8 smbfs
  fixes and old stefan esser fixes (SUSE46204).
* Thu Jan 13 2005 mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Wed Jan 12 2005 agruen@suse.de
- patches.fixes/ext3_xattr_release_block.diff: Delete cleanup-only
  patch.
- patches.fixes/mbcache-bug.diff: Fix compile-time error.
  code.
- patches.fixes/mbcache-cleanup.diff: Update.
- patches.fixes/xattr-credits.diff: Update.
* Wed Jan 12 2005 agruen@suse.de
- Update config files.
* Wed Jan 12 2005 olh@suse.de
- update patches.suse/posix-message-queues
  handle __SI_MESGQ in ppc64 signal32 handler, or ->si_int gets
  a random value. (SUSE49387)
* Wed Jan 12 2005 okir@suse.de
- patches.fixes/nfs-directio-maxsize: Correctly deal with
  oversized NFS DIRECTIO requests (SUSE49685).
* Wed Jan 12 2005 mantel@suse.de
- patches.fixes/do_brk_fix: based on Marcelo's patch and Andrew's
  suggestion  add missing mmap_sem around do_brk calls (SUSE49492).
* Mon Jan 10 2005 okir@suse.de
- patches.suse/increase-MAX_MP_BUSSES-2: Increase MAX_MP_BUSSES
  for ES7000 (SUSE42179).
* Thu Jan 06 2005 okir@suse.de
- patches.fixes/ioapics-unlimited: Remove check that limited
  max number of IO-APIC to 8 (SUSE47798).
- patches.fixes/clustered-apic-amd-disable: disable clustered
  APIC mode on AMD systems (SUSE47798).
* Thu Jan 06 2005 mludvig@suse.de
- patches.suse/netfilter-ipt-ttl: Netfilter TTL manipulation target
  (SUSE49623).
* Thu Jan 06 2005 okir@suse.de
- patches.fixes/kernel-statd-accept-any-port: kernel statd should
  accept NOTIFY calls from high ports (SUSE49322).
* Thu Jan 06 2005 okir@suse.de
- patches.fixes/cmsg-compat-signedness-fix-fix: Fix cmsg_len
  checks in 32bit compat mode (SUSE49517 - LTC13227).
* Wed Jan 05 2005 mason@suse.de
- add patch-mainline tags to many files
* Thu Dec 23 2004 mantel@suse.de
- patches.fixes/ps-panic: ps can panic the system (SUSE49440).
* Sat Dec 18 2004 kraxel@suse.de
- Update uml config file.
- patches.uml/uml-backport-skas-fixes: uml: backport skas fixes.
- series.conf: enable sp2-postponed uml fixes (SUSE47727).
* Thu Dec 16 2004 agruen@suse.de
- patches.fixes/ext3_xattr_release_block.diff: Consolidate
  duplicate code in the ext3 xattr code (SUSE48924, SUSE48931).
- patches.fixes/mbcache-bug.diff: Race in ext[23] xattr sharing
  code (SUSE48924).
- patches.fixes/mbcache-cleanup.diff: mbcache cleanup (SUSE48924,
  SUSE48931).
- patches.fixes/xattr-credits.diff: Rework xattr code to avoid
  using journal_release_buffer (SUSE48924, SUSE48931).
* Thu Dec 16 2004 agruen@suse.de
- patches.fixes/ext3-insifficient-xattr-credits: Insufficient
  journaling credits reserved for xattrs (SUSE48923).
* Wed Dec 15 2004 agruen@suse.de
- patches.fixes/mp_find_ioapic.patch: __init function called
  from non-__init context (SUSE48981, from Vojtech).
* Wed Dec 15 2004 agruen@suse.de
- patches.fixes/xfs-kern-20780a-prevent-64KB-pages-with-512B-sectors:
  Prevent 64KB pages with 512B sectors (SUSE49196, SGI:PV926724).
* Mon Dec 13 2004 agruen@suse.de
- patches.rpmify/mod_param-typeinfo.diff: Include type information
  as module info where possible (SUSE48396).
* Mon Dec 13 2004 mantel@suse.de
- patches.fixes/igmp-fix: fix possible DoS in igmp code (SUSE48895).
* Mon Dec 13 2004 mantel@suse.de
- patches.fixes/x86-64-up-lost-irq: Edge triggered IRQ lost
  forever when delivered while IRQ disabled.
* Mon Dec 13 2004 axboe@suse.de
- patches.fixes/bio-clone-duplicate-vec: bio clone must copy
  io_vec (SUSE47777).
* Mon Dec 13 2004 okir@suse.de
- patches.fixes/speedstep-centrino-transient-msr: handle transient
  msr values in IA32_PERF_STATUS (SUSE45293).
* Mon Dec 13 2004 jplack@suse.de
- patches.fixes/64K-align-check-dma-suse.patch
  E1000 errata 24 - possible EEH or memory corruption when DMA
  crosses a 64k boundary (SUSE48368 - LTC12567)
* Sat Dec 11 2004 andrea@suse.de
- patches.fixes/swapfile-2g: allow swapfiles > 2G on x86 SUSE48602
- patches.fixes/pageattr-guard-page: fix a very longstadning off
  by one accounting error in the iounmap->pageattr (nocache)
  paths, that would make the next physical page cacheable
  erroneously. This is a safe reduced version that doesn't fix
  the other (apparently harmless) longstanding memleaks in the
  pageattr code. The bug affects only x86 and x86-64. (SUSE46920)
* Fri Dec 10 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Rename references to megaraid to
  megaraid_mbox in system config files *before* calling mkinitrd
  (SUSE47755).
* Fri Dec 10 2004 mantel@suse.de
- patches.drivers/megaraid-old: allow megaraid and megaraid_mbox
  drivers to coexist. Clean up Documentation as well.
* Fri Dec 10 2004 mantel@suse.de
- patches.drivers/megaraid-old: allow megaraid and megaraid_mbox
  drivers to coexist.
- patches.fixes/megaraid-get_user.diff: user/kernel pointer bugs.
* Fri Dec 10 2004 okir@suse.de
- patches.fixes/sunrpc-multiple-programs-oops: sunrpc - don't
  crash on unknown program numbers (SUSE49062 - LTC12960).
* Fri Dec 10 2004 mantel@suse.de
- patches.drivers/megaraid-update: update megaraid_mbox driver
  to version 2.20.4.2/2.20.2.4 (SUSE49122).
- patches.drivers/megaraid-update-fix: make new megaraid_mbox
  driver actually compile :/ (SUSE49122).
* Fri Dec 10 2004 axboe@suse.de
- patches.fixes/bio-bounce-err: Fix error propagation (SUSE48662)
* Fri Dec 10 2004 mason@suse.de
- patches.suse/getblk_slow-race: __getblk_slow can loop forever
  when pages are partially mapped  (SUSE43890).
* Fri Dec 10 2004 hare@suse.de
- patches.fixes/fix-per-process-cpu-utilisation
  Fix CPU time reporting for single processes (SUSE47876 - LTC11995)
* Fri Dec 10 2004 axboe@suse.de
- patches.fixes/sata-ahci-flag: fix bad AHCI enum (SUSE48662)
* Fri Dec 10 2004 jplack@suse.de
-  patches.arch/ppc64-infiniband-build
  updated to make mellanox compiling again (SUSE48370 - LTC12556,
  SUSE48388 - LTC12557, SUSE48389 - LTC12558)
-  Enabled CONFIG_INFINIBAND_MELLANOX_HCA for pseries64 to
  resolve dependencies
* Fri Dec 10 2004 garloff@suse.de
- patches.fixes/autofs4-4.1-fixes, autofs4-compat_ioctl,
  autofs4-namespace: autofs4 fixes (SUSE47812).
* Fri Dec 10 2004 axboe@suse.de
- patches.drivers/aac-remove-handle-aif.patch: kill aif handling
* Thu Dec 09 2004 axboe@suse.de
- patches.drivers/aacraid-1.1.2lk2-fixes-fixes: kill 'commit' parameter (SUSE48523)
* Thu Dec 09 2004 axboe@suse.de
- patches.fixes/blkdev-ioctl-enotty: block layer forgets to check -ENOTTY as
  ioctl return value
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/fix-memory-leak-ip_conntrack_ftp: Fix memory
  leak in ip_conntrack_ftp (SUSE49047).
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/cmsg-compat-signedness-fix: CMSG compat code
  needs signedness fixes too. (SUSE49047).
- patches.fixes/cmsg-signedness: Fix CMSG validation checks
  wrt. signedness. (SUSE49047).
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/fix-ip-options-leak: Do not leak IP options. (SUSE49057).
* Thu Dec 09 2004 olh@suse.de
- add patches.arch/ibm-ppc64-of-stdin-close.patch
  fix random kernel memory corruption if openfirmware stdin device
  is an usb controller (SUSE48712 - LTC11996)
* Thu Dec 09 2004 rw@suse.de
- patches.drivers/tg3-new-SGI:
  Allow SGI to use 'tg3-new' without 'new_ids'. (SUSE48351)
* Thu Dec 09 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-read_slot_reset_state-sles.patch
  newer firmware has only the 'ibm,read-slot-reset-state2' rtas call,
  (SUSE48304 - LTC11785)
* Wed Dec 08 2004 jplack@suse.de
-  patches.arch/ppc64-infiniband-build
  cumulative patch from following bugs, enabling infiniband on
  POWER (SUSE48370 - LTC12556, SUSE48388 - LTC12557, SUSE48389 -
  LTC12558)
-  Enabled CONFIG_INFINIBAND_IPOIB for pseries64
* Wed Dec 08 2004 agruen@suse.de
- rpm/km.conf: Add configuration file for specifying km packages
  that need to be added to neededforbuild in specific spec files
  only (no Bugzilla bug).
* Wed Dec 08 2004 jplack@suse.de
- patches.arch/ppc64-11804a.patch: crash at .submit_logged_buffer
  in reiserfs write/vscsi driver failing (SUSE47268 - LTC11804).
* Wed Dec 08 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Rename references to megaraid to
  megaraid_mbox in system config files /etc/modprobe.conf,
  /etc/modprobe.conf.local, /etc/modprobe.d/*,
  /etc/sysconfig/kernel, /etc/sysconfig/network/ifcfg-* (SUSE47755).
* Tue Dec 07 2004 jplack@suse.de
- patches.arch/ppc64-ltc12433.patch
  veth dies on SLES9 SP1 (SUSE48664 - LTC12433)
* Tue Dec 07 2004 axboe@suse.de
- patches.drivers/sk98lin-asus-vpd: ASUS sk98lin gigabit ethernet fix
* Tue Dec 07 2004 jplack@suse.de
- patches.fixes/e1000-new-e23-64KboundaryDMA.patch
  patches.fixes/e1000_e23-e1000-new-off-by-1.patch
  updated patches above according to new information from
  Intel and test results from IBM (SUSE48368 - LTC12567)
* Tue Dec 07 2004 schwab@suse.de
- Fix MCA during cross-partition MPI [SUSE48955].
* Mon Dec 06 2004 axboe@suse.de
- Fix bad cciss unknown ioctl return (SUSE48870)
* Mon Dec 06 2004 mantel@suse.de
- patches.fixes/igmp-fix: fix possible DoS in igmp code (SUSE48895).
* Mon Dec 06 2004 mantel@suse.de
- patches.fixes/fix-elf-overlap: fix insection of invalid vma
  (SUSE48493).
* Sat Dec 04 2004 mason@suse.de
- Update config files.
- patches.suse/ckrm_cpu_guard_class_calls_12743_48795.patch:
  Ensure ckrm cpu funcs are not called when ckrm scheduler is
  disabled (SUSE48795, LTC12743).
* Fri Dec 03 2004 hare@suse.de
- patches.suse/khelper-limit-static.patch
  do not fill up process table when many events occur (SUSE48348).
* Fri Dec 03 2004 axboe@suse.de
- Fix vfree() with interrupts disabled in sg (SUSE48868)
* Fri Dec 03 2004 schwab@suse.de
- Fix misapplied sba_iommu patch [SUSE48037].
* Thu Dec 02 2004 axboe@suse.de
- Add fix for missing variable in aacraid (SUSE48523)
* Thu Dec 02 2004 axboe@suse.de
- Incorporate more correct (and bug free) fix for O_DIRECT EOF -EIO
  problems (SUSE47120)
* Thu Dec 02 2004 mantel@suse.de
- patches.fixes/sys_ia32-overrun: Fix buffer overrun in
  arch/x86_64/sys_ia32.c (SUSE48813).
* Wed Dec 01 2004 agruen@suse.de
- patches.fixes/serialize-dgram-read.diff: Serialize dgram read
  using semaphore just like stream (SUSE48427).
* Wed Dec 01 2004 hare@suse.de
- patches.fixes/nfs-cred-fix
  Always add credentials to inodes for NFS (SUSE48212 - LTC12486).
* Wed Dec 01 2004 mantel@suse.de
- moved tag SLES9_SP1_RC1
* Wed Dec 01 2004 jplack@suse.de
- disable CONFIG_INFINIBAND* for pmac64 & iseries64
  does not build and not needed
* Wed Dec 01 2004 mantel@suse.de
- fix PPC configs
* Wed Dec 01 2004 hare@suse.de
- patches.suse/khelper-limit-static.patch
  Fix alignment for ia64 (SUSE48348).
* Wed Dec 01 2004 jplack@suse.de
- patches.arch/ppc64-kernel-cache.patch
  Error when attempting to build drivers/infiniband/core/mad_ib.o
  missing defined(__PPC64__) (SUSE48543 - LTC12713)
- enable CONFIG_INFINIBAND_* for pseries64
- patches.fixes/e1000_e23-e1000-new-off-by-1.patch
  fixes off-by-1 error from intels patch (SUSE48368 - LTC12567)
* Wed Dec 01 2004 andrea@suse.de
- patches.fixes/mlock-lockups: avoid deadlocks with non-ram under
  mlockall. (SUSE48719)
* Wed Dec 01 2004 jplack@suse.de
- patches.arch/ppc64-lparcfg-vpurr.patch
  SLES9 Doesn't Enable PURR for shipping kernel for Power5
  (SUSE47652 - LTC12083)
* Tue Nov 30 2004 axboe@suse.de
- Fix IMM highmem oops (SUSE43131)
* Tue Nov 30 2004 hare@suse.de
- patches.suse/khelper-limit-static.patch
  Fix patch to be less intrusive (SUSE48348).
* Tue Nov 30 2004 jplack@suse.de
- patches.fixes/e1k_new_sgtng-sp1.patch
  e1000 EEH error removes device / potential data integrity issue
  on all architectures (SUSE41111 - LTC8539)
* Tue Nov 30 2004 jplack@suse.de
- patches.arch/ppc-infiniband-kconfig.patch
  Infiniband not configurable for Power (SUSE48475 - LTC12711)
* Tue Nov 30 2004 hare@suse.de
- Add patches.fixes/enable-all-events-for-initramfs.patch
  Rearrange initialisation sequence for hotplug events (SUSE48348).
* Mon Nov 29 2004 garloff@suse.de
- patches.arch/ppc64-export-virt-IRQ: Export (GPL) two symbols
  for allowing modules to use virtual IRQs (SUSE48369).
- patches.drivers/activepci-attention: Allow ACPI PCI hotplug
  callbacks to set/get_attention_status(), used by IBM (SUSE48452).
- Update config files (i386, ia64, x86-64).
- patches.suse/khelper-limit-static.patch: left disabled as it
  failed our testing (SUSE48348).
* Mon Nov 29 2004 agruen@suse.de
- patches.fixes/jfs-extent-overflow-bugs: Enable in series.conf
  (SUSE48563).
* Mon Nov 29 2004 hare@suse.de
- Add patches.suse/khelper-limit-static.patch
  Limit max number of concurrent khelper processes (SUSE48348).
* Mon Nov 29 2004 axboe@suse.de
- Fix bio_copy_user() bio_map_data leak on error (SUSE48548)
* Mon Nov 29 2004 hare@suse.de
- Enable patches.arch/s390-11-01-april2004.diff
  Enable new DASD CCW IDs (SUSE48597).
* Fri Nov 26 2004 agruen@suse.de
- Enable patches.fixes/latency-inode-lock from mason (SUSE48135).
* Fri Nov 26 2004 agruen@suse.de
- patches.suse/nfsacl-fixes.diff: Add missing MODULE_LICENSE
  declaration in fs/nfsacl.c (taints the kernel).
* Fri Nov 26 2004 hare@suse.de
- Include IBM codedrop 25-11-2004
  add patches.arch/s390-10-0{4,5,6}-april2004.diff
  add patches.arch/s390-11-0{1,2,3}-april2004.diff
- Removed obsolete patches
- Disabled patches.arch/s390-11-01-april2004.diff
  (Feature for SP2)
* Fri Nov 26 2004 jplack@suse.de
- patches.fixes/infiniband.tx_free.patch
  backward port of fix for spinlock problem in ipoib from
  svn:openib.org/gen1 (SUSE48390 - LTC12559)
* Fri Nov 26 2004 agruen@suse.de
- patches.fixes/nfs-sillyrename-fix was missing from series.conf
  (SUSE48347 - LTC12621).
* Thu Nov 25 2004 okir@suse.de
- patches.fixes/netdev-xmit-nit-bh: Even lock-less loopback TX needs to
  be protected against BHs (SUSE48259 - LTC12139).
* Thu Nov 25 2004 agruen@suse.de
- patches.fixes/find_next_best_node-fix: Improve NUMA cross-node
  memory allocation heuristics (find_next_best_node) (SUSE48106).
* Thu Nov 25 2004 mantel@suse.de
- patches.fixes/mpu401-include: Fix missing inclusion of linux/acpi.h.
* Thu Nov 25 2004 mantel@suse.de
- patches.suse/rcfs-taskclass-unnamed-dir: unnamed directory
  created under /rcfs/taskclass (SUSE48526 - LTC12739).
  regression was caused by another rcfs bugfix
* Thu Nov 25 2004 agruen@suse.de
- patches.fixes/aio_free_ring-oops.diff: Oops in aio_free_ring
  on 2.6.9 (SUSE48021).
* Thu Nov 25 2004 agruen@suse.de
- Enable patches.suse/nfsacl-fixes.diff (SUSE48477).
* Thu Nov 25 2004 mantel@suse.de
- patches.drivers/megaraid_mbox_symbols: fix unresolved symbols
  in megaraid_mbox driver (SUSE48522).
- patches.fixes/export-acpi_register_gsi: export symbol
  acpi_register_gsi (SUSE48522).
* Thu Nov 25 2004 agruen@suse.de
- patches.suse/ckrm_fix_compile_warnings_del_dead_code:
  Fix compile warnings and delete dead code in include files
  (LTC12727 SUSE48454, SUSE48487).
- patches.suse/ckrm_cpu_sched_does_not_compile_for_nonsmp:
  CKRM CPU Scheduler does not compile in NON_SMP mode due to
  different definition for cpu_possible_map from 2.6.8 (LTC12728
  SUSE48454, SUSE48488).
- patches.fixes/xfs-direct-io-deadlock.patch: XFS direct IO
  deadlock fix (SUSE48514).
* Thu Nov 25 2004 jplack@suse.de
- patches.arch/ppc64_iommu-align.patch
  patches.fixes/e1000-new-e23-64KboundaryDMA.patch
  patches.arch/ppc64_iommu-align.patch
  fix possible EEH or memory corruption when DMA crosses a
  64k boundary (SUSE48368 - LTC12567)
- patches.arch/iSeriesPURR_SLES9SP1.patch
  iSeries Linux on legacy systems not reporting
  PURR (SUSE48108 / LTC12413)
* Thu Nov 25 2004 mantel@suse.de
- patches.fixes/acpi-irq0: allow IRQ0 to be used as a legal PCI
  device IRQ (SUSE44422)
* Thu Nov 25 2004 axboe@suse.de
- Fix gdth bug with mapping empty request data (SUSE48520)
* Thu Nov 25 2004 andrea@suse.de
- patches.fixes/prio-tree-expand-bits: fix prio-tree-expand bug.
* Wed Nov 24 2004 mantel@suse.de
- patches.suse/ckrm-jiffies_to_msec:  (SUSE48409 - LTC12233).
  crbce should provide time stamp in msec rather than in jiffies
* Wed Nov 24 2004 mantel@suse.de
- patches.fixes/pclose-exit: LTC12013-Sometimes pclose() hangs
  if child process status already collected (SUSE47979 - LTC12013).
  fix problem with pclose() sometimes hanging
* Wed Nov 24 2004 hare@suse.de
- patches.suse/lkcd-switch-stacks: create a switch_stack for
  producing reliable backtraces (SUSE48318)
* Wed Nov 24 2004 ak@suse.de
- patches.suse/kdb-x86_64-breakpoint: Fix breakpoints on x86-64 KDB
  (SUSE48379)
* Wed Nov 24 2004 mason@suse.de
- ckrm-cpu-controller fixes does not compile on ppc, disable it
* Wed Nov 24 2004 agruen@suse.de
- patches.suse/nfsacl-fixes.diff: Device special files and
  permission cache fix (SUSE48477).
- patches.suse/nfsacl-umask.diff: Fix ACL umask handling over nfs
  (SUSE48477).
* Wed Nov 24 2004 mason@suse.de
- patches.suse/ckrm-cpu-controller-fixes: ckrm cpu controller
  update for rc1 (SUSE48454).
* Tue Nov 23 2004 mason@suse.de
- patches.fixes/invalidate_inodes-speedup.patch: Add per super
  list of inodes (SUSE48135)
- patches.fixes/generic_shutdown_super-less-bkl.patch: Don't
  hold BKL during invalidate_inodes() (SUSE48135)
* Tue Nov 23 2004 mason@suse.de
  CKRM update
- patches.suse/ckrm-cpu-monitor-bug: CPU monitor control deamon
  hits a BUG_ON (SUSE48420)
- patches.suse/ckrm-inc-taskdelay.patch: Include taskdelays.h
  in crbce.h (SUSE48411)
- patches.suse/ckrm-rbce_class_del_crash.patch: RBCE hangs when
  a class is deleted while targeted by a rule (SUSE47981)
- patches.suse/ckrm-remove_target.patch: CKRM remove target file
  and move functionality to members file (SUSE47834)
* Tue Nov 23 2004 ak@suse.de
- patches.suse/kdb-export: Export kdb_on for xpc (SUSE48465)
* Tue Nov 23 2004 trenn@suse.de
- enabled CONFIG_X86_SPEEDSTEP_CENTRINO_ACPI for i386 (SUSE45293)
* Tue Nov 23 2004 ak@suse.de
- patches.arch/x86_64-more-cpus: enlarge max number of CPUs
  on x86-64 (SUSE47798)
* Tue Nov 23 2004 kraxel@suse.de
- patches.uml/uml-checksum-fix: add missing memory barrier.
- big uml patch batch postphoned to SP2, retagged with "+sp2".
* Tue Nov 23 2004 axboe@suse.de
- patches.fixes/gdth-bad-reverse-map
  Fix bug in mapping sg data to kernel (SUSE48424)
* Tue Nov 23 2004 mantel@suse.de
- patches.arch/es7000-apic: enable ES7000 APIC (SUSE44426).
  disable patches.arch/es7000-exports
* Tue Nov 23 2004 okir@suse.de
- patches.arch/x86_64-cpu-data: enabled in series.conf; required
  for x86_64 speedstep support (SUSE45293)
* Tue Nov 23 2004 schwab@suse.de
- ia64 early printk for PROM detection message [SUSE48399].
* Tue Nov 23 2004 hare@suse.de
- patches.arch/s390-allow-memory-holes
  Allow memory holes on S/390 (SUSE48438)
* Tue Nov 23 2004 andrea@suse.de
- patches.fixes/account-reserved-pages: allow reading from
  zeropage with O_DIRECT/rawio. (SUSE48141)
* Mon Nov 22 2004 andrea@suse.de
- patches.fixes/alloc_pages-2.6.8: fix buggy mainline 2.6.8 code
  merged with patches.suse/numa-lower-zone-protection. (SUSE48404)
* Mon Nov 22 2004 mantel@suse.de
- patches.drivers/cciss-adapt:
  re-add missing PCI ID that was still unknown (SUSE47097)
* Mon Nov 22 2004 rw@suse.de
- patches.suse/cpusets-mm-policy:
  Fix for possible cpuset race in alloc_pages_current().  (SUSE48358)
- patches.suse/cpusets-sem-deadlock:
  Add fix for possible deadlock on cpuset semaphore when allocating
  memory, but left disabled.  (SUSE48359)
* Mon Nov 22 2004 rw@suse.de
- patches.suse/acct-eop-hook:
  Add "end-of-process accounting" hook needed for full VM statistics.
  (SUSE48296)
* Mon Nov 22 2004 rw@suse.de
- patches.fixes/direct-io.backport:
  Add Direct IO page accounting fixes backported from post-2.6.5
  kernels. (SUSE48123)
- patches.suse/bighash-interleaving:
  Update patch to always initialize 'table'. (SUSE46663)
- Update config files:
  add '# CONFIG_KEYBOARD_POSFILTER is not set' almost everywhere.
* Mon Nov 22 2004 ak@suse.de
- Fix double echo on x86-64 KDB (SUSE48290)
* Mon Nov 22 2004 ak@suse.de
- Disable mmconfig on AMD systems (SUSE48400)
* Mon Nov 22 2004 hare@suse.de
- patches.fixes/fix-per-process-cpu-utilisation
  Fix per-process CPU utilisation (SUSE47876 - LTC11995)
* Mon Nov 22 2004 ak@suse.de
- Fix and reenable centrino speedstep on x86-64 (SUSE45293)
* Mon Nov 22 2004 schwab@suse.de
- Fix sleep with disabled interrupt in perfmon [SUSE48282].
* Fri Nov 19 2004 mason@suse.de
- patches.suse/reiserfs-bitmap-nr-overflow: reiserfs: small
  filesystem fix.  Fixes oops in scan_bitmap_nr when fs is less
  then 128MB in size
* Fri Nov 19 2004 ak@suse.de
- Really fix and reenable x86-64 vsyscalls (SUSE43813)
* Fri Nov 19 2004 axboe@suse.de
- Update SG_IO read/write command table (SUSE47985)
* Fri Nov 19 2004 kraxel@suse.de
- add uml patches for bug SUSE47727, tagged with "+uml" and thus left
  disabled by default for now.
* Fri Nov 19 2004 duwe@suse.de
- Add kbd hook for SLRS, only used and active in its own special
  kernel.
* Fri Nov 19 2004 hare@suse.de
- patches.arch/s390-fix-compat-stime.patch
  Fix sys_stime() in 31-bit compability mode (SUSE48295).
- patches.suse/backing-store-fix-remove-dir.patch
  Fix remove directories in sysfs under high load.
* Fri Nov 19 2004 okir@suse.de
- patches.fixes/nfs-sillyrename-fix: NFS: Prevent unnecessary
  sillyrenames (SUSE48347 - LTC12621).
* Fri Nov 19 2004 agruen@suse.de
- patches.fixes/compat-fcntl-flock-fix.diff: compat_sys_fcntl[64]
  contain superfluous, buggy test (SUSE47963, SUSE46863).
* Fri Nov 19 2004 mantel@suse.de
- tagged SLES9_SP1_BETA3
* Fri Nov 19 2004 mantel@suse.de
- patches.drivers/cciss-update:
- patches.drivers/cciss-adapt:
  update driver to version 2.6.4 (SUSE47097)
* Fri Nov 19 2004 mantel@suse.de
- patches.fixes/compat_ioctl_tcsbrkp:
  move TCSBRKP support to compat layer instead of only fixing for
  x86-64 (SUSE48317)
* Fri Nov 19 2004 andrea@suse.de
- patches.fixes/anon-rss: change "shared" information in
  /proc/self/statm to reflect "rss - anon_rss" instead of
  the virtual space.
* Thu Nov 18 2004 ak@suse.de
- Fix crash on x86-64 systems with memory only on one node (SUSE47416)
* Thu Nov 18 2004 ak@suse.de
- Fix kdb=on (SUSE48129)
- Fix kdb bta on x86-64 (SUSE48289)
* Thu Nov 18 2004 okir@suse.de
- patches.fixes/nfs-fix-disconnected-dentries2: Fix for the
  d_find_alias patch (SUSE48332).
* Thu Nov 18 2004 axboe@suse.de
- Update bighash-interleaving patch and enable it (SUSE46663)
* Wed Nov 17 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Include /usr/share/doc/packages/%%name
  in the file list if it exists; km packages may want to place
  additional documentation in there.
* Wed Nov 17 2004 axboe@suse.de
- Fix crash with bighash patch (SUSE46663)
* Wed Nov 17 2004 mantel@suse.de
- config/ppc64/pseries64:
  enable CONFIG_SCSI_QLA4XXX (SUSE48164 - LTC12462)
* Wed Nov 17 2004 mantel@suse.de
- patches.fixes/elf-loader-setuid:
  additional checks for elf loader vulnerability
* Wed Nov 17 2004 schwab@suse.de
- Toss local buffer cache pages before going offnode [SUSE46667].
* Tue Nov 16 2004 rw@suse.de
- patches.arch/ia64-pal-tr_read:
  Fix phys. address conversion in ia64_pal_tr_read.  (SUSE48261)
* Tue Nov 16 2004 agruen@suse.de
- SUSE48207: kernel-binary %%postun: Notify boot loader after another
  kernel has become active.
* Tue Nov 16 2004 mantel@suse.de
- patches.fixes/acct-update-unneeded:
  do not update statistics in acct_update_integrals() if nothing
  changed (SUSE48213)
* Tue Nov 16 2004 ak@suse.de
- patches.fixes/ddp-unlock: Fix missing unlock in Appletalk DDP.
* Tue Nov 16 2004 hare@suse.de
- Re-enable patches.suse/dm-barrier-update (SUSE42489)
  (has been overwritten by patches.suse/dm-backport-2.6.9rc3-udm1)
* Mon Nov 15 2004 agruen@suse.de
- XFS fixes:
  + patches.fixes/xfs-kern-181416a-skip-quotacheck: Allow the
  option of skipping quotacheck processing. (PV922332).
  + patches.fixes/xfs-kern-181620a-remove-isreg-checks: remove
  useless S_ISREG check in ->mmap and ->mprotect (PV923607).
  + patches.fixes/xfs-kern-181653a-split-pagebuf_get-up: splitup
  pagebuf_get (PV923980).
  + patches.fixes/xfs-kern-181657a-fix-inode-create-race: handle
  inode creating race (PV921072).
  + patches.fixes/xfs-kern-181792a-fix-dmapi-inode-create-race:
  handle inode creating race (PV921072).
  + patches.fixes/xfs-kern-181871a-readahead-using-xfs_buf_get_flags:
  call the right function in pagebuf_readahead (PV923980).
  + patches.fixes/xfs-kern-182694a-fix-iodone-after-unmount:
  Wait for all async buffers to complete before tearing down
  the filesystem at umount time (PV901236).
* Mon Nov 15 2004 mason@suse.de
- patches.suse/ckrm-inittask: Make sure init_task is initialized
  before set_taskclass is called
* Mon Nov 15 2004 mason@suse.de
- Add the CKRM CPU controller again, this time without the monster
  kmalloc
* Mon Nov 15 2004 rw@suse.de
- Enabled patches.suse/bighash-interleaving.  (SUSE46663)
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix also for x86_64
* Mon Nov 15 2004 hare@suse.de
- Include IBM codedrop 12-11-2004
  add patches.arch/s390-10-0{1,2,3}-april2004.diff
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/zap_pte_range-dirty-pages: [PATCH] zap_pte_range
  should not mark non-uptodate pages dirty.
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix a.out leaking fds and memory (SUSE48199)
* Mon Nov 15 2004 ak@suse.de
- kdb-serial-fix: Fix serial console for kdb (SUSE48215)
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/smbfs-security-fix: Security fix for 2.6 smbfs (SUSE46204).
* Fri Nov 12 2004 schwab@suse.de
- Avoid taking lock in profile_hook when there are no listeners [SUSE47825].
* Fri Nov 12 2004 schwab@suse.de
- Fix handling of symlinks on tmpfs [SUSE48068].
* Fri Nov 12 2004 mantel@suse.de
- patches.fixes/elf-loader-setuid:
  fix ELF loader when handling setuid binaries (SUSE45632)
* Fri Nov 12 2004 rw@suse.de
- patches.arch/ia64-sn-kernel-irq:
  Sync up arch/ia64/sn/kernel/irq.c after "io-reorg patchset". (SUSE48171)
* Fri Nov 12 2004 axboe@suse.de
- Enable patches.suse/st-non-blocking-open and default to same behaviour
  as before for now (SUSE45446)
* Fri Nov 12 2004 axboe@suse.de
- Allow qla2xxx queue depth to be changed through sysfs (SUSE48188)
* Fri Nov 12 2004 axboe@suse.de
- Makes sense available at io completion (SUSE47498)
* Fri Nov 12 2004 axboe@suse.de
- Fix IDE ioreg_t truncation on ia64 due to being the wrong type (SUSE48168)
* Thu Nov 11 2004 schwab@suse.de
- More robust handling of EFI GPT detection [SUSE48105].
* Thu Nov 11 2004 axboe@suse.de
- aic7xxx/aic79xx pci tables (SUSE47789)
* Thu Nov 11 2004 mantel@suse.de
- patches.fixes/dobson-speedfix:
  add shpchp speed fix workaround for dobson chipset (SUSE48140)
* Thu Nov 11 2004 mantel@suse.de
- patches.arch/es7000-exports:
  fix misplaced EXPORT_SYMBOLs for es7000 (SUSE44426)
* Thu Nov 11 2004 axboe@suse.de
- Fix aic79xx/aic7xxx modprobe/rmmod oops (SUSE47390)
* Thu Nov 11 2004 schwab@suse.de
- Make serial console default if it is the only console [SUSE47987].
* Thu Nov 11 2004 axboe@suse.de
- Change patches.fixes/dont-clear-referenced-pages to not rely on page count
  magic, but rather just retry a page on io error.
* Wed Nov 10 2004 schwab@suse.de
- Fix oops when reconfiguring mmio serial ports [SUSE46589].
* Wed Nov 10 2004 lmb@suse.de
- More multipath work has been merged upstream. (Still disabled.)
* Wed Nov 10 2004 lmb@suse.de
- Abort reading the partition table on first error. (SUSE47505)
* Wed Nov 10 2004 lmb@suse.de
- Re-enable building of km_luste-lite.
* Wed Nov 10 2004 okir@suse.de
- patches.fixes/decnet-check-pointers: Removed bogus hunks that
  caused oopses when using decnet (SUSE46733)
* Wed Nov 10 2004 okir@suse.de
- patches.drivers/dpt_i2o-backport: dpt_i2o backport from 2.6.8 (SUSE44914).
- Updated config files
* Tue Nov 09 2004 axboe@suse.de
- Fix excessive systime (and worse performance) in block layer with
  several writers
* Tue Nov 09 2004 schwab@suse.de
- Fix wrong allocation of DMA mapping resources for SBA I/O-MMU [SUSE48037].
* Tue Nov 09 2004 hare@suse.de
- Include IBM codedrop 09-11-2004
  add patches.arch/s390-09-??-april2004.diff
  Remove merged patches.
* Tue Nov 09 2004 mantel@suse.de
- patches.fixes/parport-mutex:
  fix oops in parport_wait_peripheral (SUSE47947)
* Tue Nov 09 2004 rw@suse.de
- patches.suse/kdb-modular-compile:
  Updated to fix ia64 serial console problem.
* Tue Nov 09 2004 olh@suse.de
- add patches.fixes/jfs-ag_lock.patch
  Protect active_ag with a spinlock (SUSE48000 - LTC12296)
* Sat Nov 06 2004 olh@suse.de
- update patches.suse/kdb-xmon-coexistance-ppc64
  dont disable xmon if xmon is already configured as debugger
* Fri Nov 05 2004 rw@suse.de
- patches.arch/ia64-sn-sn_sal:
  Do not disable interrupts in
  ia64_sn_plat_specific_err_print(). (SUSE47957)
* Fri Nov 05 2004 ihno@suse.de
- Patch for including epoll-fixes from 2.6.9 (SUSE47632)
  patches.fixes/from-2.6.9-epoll_fixes_from_kernel_2.6.9
* Fri Nov 05 2004 rw@suse.de
- patches.suse/PAGG-fork.fix:
  PAGG: fix for fork failure teardown. (SUSE47959)
* Fri Nov 05 2004 rw@suse.de
- patches.suse/add-const-to-some-scheduling-functions.patch2:
  KDB v4.4: Avoid compiler warnings (part 2). (SUSE46956)
* Fri Nov 05 2004 hare@suse.de
- Remove SET_MC_THREAD for qeth devices (SUSE42160).
* Fri Nov 05 2004 lmb@suse.de
- Compile multipath round-robin path-selector.
* Fri Nov 05 2004 mantel@suse.de
- tagged SLES9_SP1_BETA2a
* Fri Nov 05 2004 rw@suse.de
- patches.suse/acpi-_PRT-allocation,
  patches.suse/pci_enable_device:
  (2nd try) ACPI _PRT allocation patch for SLES9 SP1, plus
  pci_enable_device() fixes for some lagging drivers. (SUSE47214)
* Fri Nov 05 2004 mantel@suse.de
- disabled ckrm-cpu-sp1-beta2.v1
* Fri Nov 05 2004 mantel@suse.de
- patches.fixes/fix-hugetlb-lock: fix lockup in hugetlb (SUSE47964)
* Fri Nov 05 2004 olh@suse.de
- disable ibm-ppc64-viodasd-ro also for SP1 (SUSE42233 - LTC9469)
* Fri Nov 05 2004 mason@suse.de
- make ckrm cpu controller compile on ia64
* Fri Nov 05 2004 mason@suse.de
- add ckrm cpu controller
* Thu Nov 04 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-ltc12278.diff
  fix uninitialized variable (SUSE47955 - LTC12278)
* Thu Nov 04 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-ltc12082.diff
  add patches.drivers/ibm-ppc64-vscsi-ltc12082b.diff
  fix scsi errors on client reboot (SUSE47920 - LTC12082)
* Thu Nov 04 2004 axboe@suse.de
- Add aacraid update and fixes to the update (SUSE46869)
* Thu Nov 04 2004 rw@suse.de
- patches.suse/acpi-_PRT-allocation,
  patches.suse/pci_enable_device:
  ACPI _PRT allocation patch for SLES9 SP1, plus
  pci_enable_device() fixes for some lagging drivers. (SUSE47214)
- patches.suse/bighash-interleaving:
  Fixed round-robin allocation of hashes, but left disabled! (SUSE46663)
* Thu Nov 04 2004 schwab@suse.de
- Add mmiowb for memory-mapped I/O write barrier and use it in tg3-new
  driver [SUSE47878].
* Thu Nov 04 2004 okir@suse.de
- patches.fixes/shpchp-fixes: Misc fixes to shpchp driver (SUSE47887).
* Thu Nov 04 2004 hare@suse.de
- Update IBM codedrop 31-08-2004
  update patches.arch/s390-07-??-april2004.diff
  Remove merged patch.
- Re-enable LCS patch
* Wed Nov 03 2004 olh@suse.de
- add patches.arch/ibm-ppc64-mmap_sem-deadlock.patch
  fix deadlocks when oopsing while mmap_sem is held (SUSE47753 - LTC11864)
* Wed Nov 03 2004 olh@suse.de
- add patches.arch/ibm-ppc64-vio-iommu.patch
  fix dma window parsing in vio setup (SUSE47912 - LTC12257)
* Wed Nov 03 2004 schwab@suse.de
- Disable X86_SPEEDSTEP_CENTRINO on x86-64.
* Wed Nov 03 2004 hare@suse.de
- patches.arch/s390-08-0?-april2004.diff
  Update to latest IBM codedrop 21-10-2004.
* Wed Nov 03 2004 rw@suse.de
- config/ia64/debug,
  patches.fixes/acpi-scan-bad-free,
  patches.fixes/acpi-nsxfname:
  Debug kernel fails on HP IPF machines. (SUSE44617)
* Wed Nov 03 2004 olh@suse.de
- add patches.arch/ibm-ppc64-tce.patch
  handle more than one TCE setup or invalidation at a time,
  if firmware supports it (SUSE47790 - LTC12186)
* Wed Nov 03 2004 hare@suse.de
- patches.arch/s390-timer4.patch
  Fix POSIX.1b timers for S/390
- patches.arch/s390-lcs-fix-channel-state
  Make LCS working again on S/390 (SUSE47783)
- patches.arch/s390-qeth-setip-msg.diff
  Re-enable SETIP messages on qeth (SUSE47035)
* Wed Nov 03 2004 olh@suse.de
- add patches.drivers/jsm-procfs.patch
  Convert /proc interface to use seq_file API (SUSE47861 - LTC12216)
* Wed Nov 03 2004 rw@suse.de
- patches.suse/sched-livelock:
  Improve load_balance() tolerance for pinned tasks.  (SUSE47514)
* Wed Nov 03 2004 okir@suse.de
- patches.fixes/net-gethwaddr-null: Clear address buffer in
  SIOCGIFHWADDR ioctl (SUSE47796).
* Wed Nov 03 2004 axboe@suse.de
- IDE in_interrupt hwgroup pinning fix (SUSE47425)
* Wed Nov 03 2004 mantel@suse.de
- moved tag SLES9_SP1_BETA2
* Wed Nov 03 2004 mantel@suse.de
- patches.drivers/ips-update:
  update IBM ServeRAID driver to 7.10.18
* Wed Nov 03 2004 mantel@suse.de
- patches.drivers/aic79xx-dell-update:
  do the rename for the sysfs entry as well
* Wed Nov 03 2004 mantel@suse.de
- patches.drivers/aic79xx-dell-update:
  make driver actually compile; rename to "aic79xx-new"
* Wed Nov 03 2004 axboe@suse.de
- Fix O_DIRECT EOF handling
* Wed Nov 03 2004 mantel@suse.de
- disable patches.suse/bighash-interleaving as it prevents machines
  from booting
* Wed Nov 03 2004 mantel@suse.de
- config/*/*:
- patches.drivers/cciss-update:
  update cciss driver to 2.6.2; don't clone driver
  activate missing CONFIG_POSIX_MQUEUE
* Wed Nov 03 2004 andrea@suse.de
- patches.suse/posix-message-queues: backport of posix message
  queues from mainline 2.6.9.
* Wed Nov 03 2004 ak@suse.de
- Fix x86-64 compilation after previous patch
* Tue Nov 02 2004 schwab@suse.de
- Improve speed of freeing bootmem [SUSE44239].
* Tue Nov 02 2004 schwab@suse.de
- Disable CONFIG_SCSI_AIC79XX_NEW on ia64, does not build.
* Tue Nov 02 2004 olh@suse.de
- add patches.drivers/hvsi-sysrq-SLES9SP1.diff
  allow sysrq via hvsi console (SUSE47875 - LTC12165)
* Tue Nov 02 2004 schwab@suse.de
- Update all configs.
* Tue Nov 02 2004 hare@suse.de
- config/*/*:
- patches-drivers/aic79xx-dell-update:
  add aic79xx clone for dell.
* Tue Nov 02 2004 mantel@suse.de
- patches.suse/increase-MAX_MP_BUSSES: increase MAX_MP_BUSSES to
  make kernel parameters "acpi=off" and "pci=noacpi" work on ES7000
  (SUSE42179)
* Tue Nov 02 2004 mantel@suse.de
- patches.drivers/infiniband-duplicate-arp: avoid duplicate entries
  in IB arp in ipoib (SUSE47213)
* Tue Nov 02 2004 mantel@suse.de
- tagged SLES9_SP1_BETA2
* Tue Nov 02 2004 mantel@suse.de
- config/*/*:
- patches.drivers/qla4xxx:
  add qlogic qla4xxx driver version v5.00.01b10
* Tue Nov 02 2004 rw@suse.de
- patches.suse/max-log-buf-shift:
  Increase max CONFIG_LOG_BUF_SHIFT value to 21 bits
  and use it for ia64-sn2.  (SUSE47751)
* Tue Nov 02 2004 rw@suse.de
- patches.arch/ia64-sn-mca:
  Correct bit test for salinfo oem decode.  (SUSE47823)
* Tue Nov 02 2004 lmb@suse.de
- One more patch for Lustre, plus reactivated one bugfix.
* Tue Nov 02 2004 rw@suse.de
- patches.arch/ia64-sn2-hwperf:
  Correctly handle bricks with multiple slabs.  (SUSE47821)
- patches.arch/ia64-sn-io_init:
  Only allocate irq if the device can interrupt.  (SUSE47822)
* Tue Nov 02 2004 rw@suse.de
- patches.suse/lkcd-dump-before-sync:
  Start crash dump before sync() when panic occurs.  (SUSE47250)
* Tue Nov 02 2004 rw@suse.de
- patches.suse/bighash-interleaving:
  Allow distribution of hashes at boot-time.  (SUSE46663)
* Mon Nov 01 2004 jeffm@suse.com
- add patches.suse/ext3-reservation
  adds support for ext3 preallocation reservations
- add patches.suse/ext3-reservation-default-off
  defaults support to disabled
* Sat Oct 30 2004 ak@suse.de
- patches.arch/x86_64-genapic: Add clustered APIC mode support
  on x86-64 (SUSE47798)
* Fri Oct 29 2004 mason@suse.de
- Some ckrm bugfixes from bugzilla
  ckrm-ce_modules.patch:SUSE46666 LTC11543
  ckrm_12088:SUSE47707 LTC12088
  ckrm-patch.11903:SUSE47454 LTC11903
  ckrm-jiffies-msec:SUSE47519 LTC11983
  ckrm-numtasks_config:SUSE47330 LTC11551
  ckrm-numtasks_forkrate:SUSE47331 LTC11607
* Fri Oct 29 2004 schwab@suse.de
- Fix time interpolator for cyclone timer [SUSE47569].
* Fri Oct 29 2004 olh@suse.de
- update patches.suse/kdb-modular-compile
  fix compile on i386
* Fri Oct 29 2004 olh@suse.de
- add patches.arch/x86_64-make-O-boot.patch
  add patches.arch/i386-make-O-boot.patch
  allow make O=$dir
* Fri Oct 29 2004 agruen@suse.de
- Pack out the broken fix for SUSE47120 (which leads to SUSE47664), and
  the broken fix for SUSE47664, which leads to reiserfs hangs
  (probably because of memory corruption).
* Fri Oct 29 2004 mantel@suse.de
- patches.arch/es7000-GSI-override: fix improper GSI override on
  ES7000 platform (SUSE44425)
* Fri Oct 29 2004 olh@suse.de
- add patches.suse/kdb-modular-compile
  let the new kdb at least compile without errors
* Fri Oct 29 2004 mantel@suse.de
- config/{i386|x86_64}/*:
- patches.drivers/enhanced-speedstep:
  add enhanced speedstep ("'ondemand' cpufreq policy governor")
  (SUSE45293)
* Fri Oct 29 2004 mantel@suse.de
- patches.suse/rbce_modcount_incorrect: fix reference count for
  crbce module (SUSE47527 - LTC11418)
* Fri Oct 29 2004 mantel@suse.de
- patches.fixes/invalidate_inode_pages2-EIO: make invalidate_inode_pages2
  return -EIO on problems in order to fix BUG at fs/mpage.c:462
  during File system stress (SUSE47602 - LTC11826)
* Fri Oct 29 2004 mantel@suse.de
- patches.drivers/infiniband-tsIPoibDeviceArpFind-panic: fix panic
  in tsIPoibDeviceArpFind running rmmod (SUSE47173)
* Fri Oct 29 2004 mantel@suse.de
- patches.drivers/infiniband-tsIpoibDeviceIbStop-panic: fix panic
  in tsIpoibDeviceIbStop while running netperf (SUSE47172)
* Fri Oct 29 2004 mantel@suse.de
- patches.drivers/infiniband-ipoib_completion-panic: fix panic in
  ipoib_completion (SUSE47171)
* Fri Oct 29 2004 okir@suse.de
- patches.fixes/lkcd-chardev-fail: lkcd: Don't crash in
  dump_block_open if device is not a blkdev (SUSE47406 - LTC11825).
* Fri Oct 29 2004 olh@suse.de
- add patches.suse/kdb-common-startKDB
  use 'startKDB' as serial snoop string again on ppc64
* Fri Oct 29 2004 ak@suse.de
- patches.arch/x86_64-wdog-timeout: Increase NMI watchdog timeout on x86-64
  (SUSE47570)
* Fri Oct 29 2004 ak@suse.de
- Add sysctl to disable tmpfs NUMA policy round-robin (SUSE47076)
* Fri Oct 29 2004 ak@suse.de
- patches.suse/panic-blink: Blink keyboard LEDs on panic (SUSE47363)
* Fri Oct 29 2004 ak@suse.de
- patches.arch/x86-sigaltstack: Fix sigaltstack handling on i386 and
  x86-64 (SUSE47660)
* Fri Oct 29 2004 ak@suse.de
- patches.arch/x86_64-copyuser Fix copy*user exception handling on x86-64
  (SUSE47582)
* Fri Oct 29 2004 olh@suse.de
- add patches.drivers/hvsi-reset.diff
  survive FSP reset (SUSE43954 - LTC10460)
* Fri Oct 29 2004 okir@suse.de
- patches.suse/force-kernel-statd: change Kconfig to force
  CONFIG_STATD when using CONFIG_LOCKD (SUSE43128 - LTC9976).
* Fri Oct 29 2004 agruen@suse.de
- patches.fixes/direct-io-alignment: read(fd, buf, size) returns
  negative size (SUSE47664).
* Thu Oct 28 2004 olh@suse.de
- reenable CONFIG_PPC_VPURR (SUSE47652 - LTC12083)
* Thu Oct 28 2004 rw@suse.de
- patches.suse/numa-tmpfs-round-robin:
  Establish round-robin tmpfs allocation on NUMA machines. (SUSE47076)
* Thu Oct 28 2004 olh@suse.de
- add patches.arch/ipr_block_config_io_during_bist.patch
  add patches.arch/ppc64_block_cfg_io_during_bist.patch
  Change ipr to use new ppc64 pci APIs to block PCI config space
  accesses when running BIST to prevent PCI master aborts.
  (SUSE42942 - LTC9825)
* Thu Oct 28 2004 rw@suse.de
- patches.fixes/wake_up_forked_process-race-fix-3-of-2:
  Set cpu from cpus_allowed. (SUSE45556)
* Thu Oct 28 2004 olh@suse.de
- really disable xmon or kdb if disabled via cmdline or sysctl
* Wed Oct 27 2004 rw@suse.de
- patches.suse/enhanced-accounting-io,
  patches.suse/enhanced-accounting-mm:
  FEATURE: add accounting kernel hooks. (SUSE45416)
* Wed Oct 27 2004 rw@suse.de
- patches.suse/cpusets-node0-no-SRAT:
  Mark node0 online on SMP systems without SRAT.  (SUSE47657)
* Wed Oct 27 2004 olh@suse.de
- update patches.suse/dprobes-kprobes-full-linux-2.6.5-7.17.patch
  update patches.suse/kprobes-dprobes-2.6.2-full-20040210.patch
  remove double newline from sysrq action_msg string
* Wed Oct 27 2004 axboe@suse.de
- Fix SCSI bounce limits (SUSE42331)
* Wed Oct 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-fp-signal-register-restore.patch
  preserve FP (and altivec) context of other processes
  (SUSE47630 - LTC12050)
* Wed Oct 27 2004 andrea@suse.de
- patches.fixes/kswapd_balance: fix longstanding bug in kswapd
  that didn't balance correctly the zones with the protection
  (now lowmem_reserve) algorithm enabled.
* Wed Oct 27 2004 andrea@suse.de
- patches.fixes/lowmem_reserve: avoid oom early kill or deadlocks
  due memory imbalances. This is useful both on x86-64 vs ZONE_DMA
  and especially on x86 on the 32G boxes vs ZONE_NORMAL. This has
  been a critical bugfix for google when implemented originally
  in 2.4. This makes the SUSE CVS the first 2.6 kernel out there
  without this bug. This especially matters on machines without
  swap. The algorithm used to fix this critical bug has been
  invented by SUSE. This algorithm is more efficient than
  throwing cpu and memcopies at the problem.
* Tue Oct 26 2004 rw@suse.de
- patches.suse/PAGG:
  FEATURE: Add PAGG patches (IPF only!). (SUSE39322)
* Tue Oct 26 2004 olh@suse.de
- update patches.arch/ibm-ppc64-vmx-signal-register-restore.patch
  remove ppc part of the patch, not needed
* Tue Oct 26 2004 rw@suse.de
- patches.suse/cpusets-nodemask:
  Fix format of Mems_allowed field in /proc/<pid>/status.  (SUSE47607)
* Tue Oct 26 2004 olh@suse.de
- add patches.fixes/jfs-errout30-cleanup.patch
  On error path in lmLogInit(), zero l_wqnext to avoid trap
  in lbmfree() (SUSE47419 - LTC10975)
* Tue Oct 26 2004 mantel@suse.de
- patches.fixes/account-reserved-pages: properly account reserved
  pages (SUSE47343)
* Tue Oct 26 2004 olh@suse.de
- add patches.arch/ibm-ppc64-imalloc_exist.patch
  [PATCH] __ioremap_explicit() criterion change
  (SUSE47515 - LTC11728)
* Tue Oct 26 2004 olh@suse.de
- add patches.fixes/jfs-txCommit-race.patch
  Fix race by only allowing one transaction against imap inode
  (SUSE47556 - LTC11982)
* Tue Oct 26 2004 olh@suse.de
- add patches.arch/ibm-ppc64-vmx-signal-register-restore.patch
  ppc32/64: FPU/vector register restore after signal
  (SUSE47630 - LTC12050)
* Tue Oct 26 2004 olh@suse.de
- fix udbg_getc/putc calls in kdb
* Mon Oct 25 2004 ak@suse.de
- patches.suse/kdb-{modular,x86_64,exit,redirect): Add modular kdb for
  x86-64 (SUSE36260)
* Mon Oct 25 2004 olh@suse.de
- enable kdb4.4 for ppc64 (SUSE46956 - LTC11881)
* Mon Oct 25 2004 axboe@suse.de
- Bug in O_DIRECT io path if there's nothing left to do.
* Sat Oct 23 2004 lmb@suse.de
- Fix SECTOR_FORMAT define for CONFIG_LBD again. This fixes a number of
  dm targets.
* Fri Oct 22 2004 garloff@suse.de
- st-ioctl-idlun-support: general ioctls may succeed where st fails
  [SUSE45446]. st-non-blocking open may be needed as well. (Currently
  disabled.)
* Fri Oct 22 2004 mantel@suse.de
- moved SLES9_SP1_BETA1
* Fri Oct 22 2004 mantel@suse.de
- add missing msleep() function to new megaraid driver
* Fri Oct 22 2004 rw@suse.de
- patches.suse/lkcd-cpu-scale,
  patches.suse/lkcd-set-arch,
  patches.suse/lkcd-ia64-stack-offset,
  patches.suse/lkcd-kernel-address,
  patches.suse/lkcd-no-regs:
  Update LKCD to support SGI Altix and 512p. (SUSE47067)
* Fri Oct 22 2004 mantel@suse.de
- patches.drivers/tg3-new-adapt:
- patches.drivers/bcm5700-new-adapt:
- patches.drivers/cciss-new-adapt:
  have new drivers register themselves in sysfs under new name (*-new)
* Fri Oct 22 2004 rw@suse.de
- patches.suse/lkcd-hooks:
  Add LKCD hooks before crash dump start and after crash dump end. (SUSE47248)
* Fri Oct 22 2004 olh@suse.de
- add patches.drivers/e1000-new
  add patches.drivers/e1000-new-adapt
  add new version 5.3.19 of e1000 driver as "e1000-new"
* Fri Oct 22 2004 mantel@suse.de
- config/*/*:
- patches.drivers/cciss-new:
- patches.drivers/cciss-new-adapt:
  add new version 2.6.2 of cciss driver as "cciss-new"
* Fri Oct 22 2004 rw@suse.de
- patches.arch/ia64-sn2-pcibr_dma:
  Allow functions other than zero to use virtual DMA channel 1
  on Altix. (SUSE47452)
* Fri Oct 22 2004 rw@suse.de
- patches.suse/cpusets-pagecache,
  patches.suse/cpusets-slabcache:
  Round-robin allocation of buffer cache pages within cpuset. (SUSE46665)
* Fri Oct 22 2004 mantel@suse.de
- config/*/*:
- patches.drivers/bcm5700:
- patches.drivers/bcm5700-new:
- patches.drivers/bcm5700-new-adapt:
  downgrade bcm5700 driver to GA version 7.2.24
  add new version 7.3.5 of bcm5700 driver as "bcm5700-new"
* Fri Oct 22 2004 mantel@suse.de
- patches.drivers/megaraid-update:
- patches.suse/megaraid-smp-lock-warning:
  update megaraid driver to v2.20.4
* Fri Oct 22 2004 hare@suse.de
- Update aacraid driver to version 1.1.5
* Fri Oct 22 2004 mantel@suse.de
- patches.drivers/gdth-update:
- patches.drivers/gdth-update-adapt:
  update gdth driver to 3.04
* Fri Oct 22 2004 mantel@suse.de
- config/*/*:
- patches.drivers/tg3-new:
- patches.drivers/tg3-new-adapt:
  add new version 3.10 of tg3 driver as "tg3-new"
* Fri Oct 22 2004 mantel@suse.de
- patches.suse/pci.ids-update: Update PCI IDs to latest version
* Thu Oct 21 2004 axboe@suse.de
- patches.fixes/cfq-pid-grouping: change CFQ default to do per-pid grouping
  instead of per-tgid. The current CFQ v1 design doesn't do inter-group
  fairness very well (it doesn't attempt to, it's by design), so it can cause
  starvation for threaded workloads. (SUSE42443)
* Thu Oct 21 2004 mantel@suse.de
- tagged SLES9_SP1_BETA1
* Thu Oct 21 2004 mantel@suse.de
- patches.drivers/ixgb-update:
  update ixgb driver to 1.0.82 (SUSE45570)
* Thu Oct 21 2004 mantel@suse.de
- patches.drivers/ixgb-update:
- patches.fixes/from-2.6.6-rcx-IXGB-ixgb.h-needs-dma-mapping.h:
  update ixgb driver to 1.0.80 (SUSE45570)
* Thu Oct 21 2004 olh@suse.de
- apply cpusets for all, show config option only on ia64
* Thu Oct 21 2004 rw@suse.de
- patches.arch/ia64-pgalloc:
  Immediately free page table entries. (SUSE46671)
- patches.arch/ia64-sn2-pci_dma:
  Export missing sn_dma_mapping_error symbol. (SUSE47418)
* Thu Oct 21 2004 mantel@suse.de
- patches.drivers/qla2xxx-update:
- patches.drivers/qla2xxx-fo-disable:
- patches.suse/qla-failover-deprecated:
  update driver to v8.00.00; disable failover feature and print
  warning that it's deprecated (SUSE43392)
* Thu Oct 21 2004 olh@suse.de
- add patches.drivers/jsm.patch
  new DIGI 2 port serial driver (SUSE47421 - LTC11818)
* Thu Oct 21 2004 olh@suse.de
- add patches.drivers/emulex-lpfc-2.10g.patch
  support 256 LUNs (SUSE45685 - LTC11319)
  fix EEH MMIO failure (SUSE45683 - LTC10643)
* Thu Oct 21 2004 axboe@suse.de
- Fix qla2xxx block layer segment abuse (SUSE46763)
* Wed Oct 20 2004 andrea@suse.de
- patches.fixes/futex-cmp-requeue: add FUTEX_CMP_REQUEUE to allow
  fixing glibc userspace deadlocks in SUSE45361 more efficienty
* Wed Oct 20 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Add version to provided symbol
  "kernel". This will help with extra packages that contain kernel
  modules.
* Wed Oct 20 2004 rw@suse.de
- patches.suse/cpusets:
  FEATURE: Add cpuset patches (IPF only!). (SUSE44168)
* Wed Oct 20 2004 rw@suse.de
- patches.arch/ia64-perfmon-20041020:
  Fix various perfmon bugs which could cause panics. (SUSE46246)
* Wed Oct 20 2004 agruen@suse.de
- patches.drivers/infiniband-kbuild: I did overlook another path
  that needed fixing.
* Wed Oct 20 2004 rw@suse.de
- patches.arch/ia64-sn2-bte-error-handler
  Fix BTE error handler. (SUSE47422)
- patches.fixes/numa-lower-zone-protection
  Fix page allocator lower zone protection for NUMA. (SUSE45175)
* Wed Oct 20 2004 agruen@suse.de
- SUSE46987 - LTC11693: CKRM update.
* Wed Oct 20 2004 axboe@suse.de
- Fix O_DIRECT/raw issue with reading the last bit of a device
  (SUSE47120)
* Tue Oct 19 2004 olh@suse.de
- update patches.fixes/scsi-device-block-unlock.patch
  add another block check to scsi_prep_fn()
* Tue Oct 19 2004 olh@suse.de
- add patches.arch/ppc-make-O-boot.patch
  fix make O=$dir on ppc32
* Tue Oct 19 2004 olh@suse.de
- update patches.suse/suse.ppc32.console.autodetection
  check of_stdout_device to fix BootX booting on older Macs
* Tue Oct 19 2004 olh@suse.de
- add patches.fixes/blk_queue_export_resize_tags.patch
  Exports blk_queue_resize_tags since it is an exported interface.
  (SUSE47036 - LTC11714)
  add patches.fixes/blk_queue_tags_resize_failure.patch
  Fixes blk_queue_resize_tags to properly handle allocation failures
  (SUSE47034 - LTC11713)
  add patches.fixes/blk_resize_tags_fix.patch (SUSE47031 - LTC11707)
  init_tag_map should not initialize busy_list, refcnt, or busy fields
  add patches.fixes/scsi_tcq_resize.patch (SUSE47037 - LTC11715)
* Tue Oct 19 2004 rw@suse.de
- patches.suse/add-const-to-some-scheduling-functions.patch:
  KDB v4.4: Avoid compiler warnings.  (SUSE46956 C11)
- patches.suse/kdb-v4.4-2.6.5-common-3:
  Refreshed by Keith Owens.  (SUSE46956 C13)
- patches.suse/numa-api-kdb-v4.4-i386:
  Let kdb build on i386 with HUGETLB=Y.  (SUSE46956 C14)
* Tue Oct 19 2004 lmb@suse.de
- Backport latest changes and updates for device-mapper, in particular
  dm-multipath.
* Tue Oct 19 2004 okir@suse.de
- patches.drivers/cifs-1.22: added fs/Kconfig changes for
  CIFS XATTR and POSIX support
- config/*/*: enabled CONFIG_CIFS_{STATS,XATTR,POSIX}
* Tue Oct 19 2004 olh@suse.de
- add patches.fixes/scsi-device-block-unlock.patch
  allow scsi drivers to block further scsi commands to a host
  useful for cable pulling on fibrechannel (SUSE46831 - LTC11599)
* Tue Oct 19 2004 mantel@suse.de
- patches.fixes/twincastle-hotplug: fix hotplug driver for
  twincastle chipset (SUSE47166)
* Tue Oct 19 2004 mantel@suse.de
- patches.suse/ckrm-taskaglock: obtain required locking for
  set_tasktag (SUSE46927)
* Tue Oct 19 2004 mantel@suse.de
- patches.fixes/aio-dio-oops: fix oops in aio (SUSE47379)
* Tue Oct 19 2004 mantel@suse.de
- patches.fixes/domain-scheduler-performance: fix performance
  problem bug in domain scheduler (SUSE47123)
* Tue Oct 19 2004 olh@suse.de
- add LTC11495 patches.arch/ibm-ppc64-rtas-flash_unload.patch
  clean up after rtas-flash module unload (SUSE46776 - LTC11495)
* Mon Oct 18 2004 agruen@suse.de
- supported.conf: Add missing modules.
* Mon Oct 18 2004 agruen@suse.de
- patches.rpmify/extmod-extra: extra/ path was lost in last fix.
* Mon Oct 18 2004 axboe@suse.de
- REQ_BLOCK_PC requests don't always return correct info for SCSI devices
  (SUSE47338)
* Mon Oct 18 2004 rw@suse.de
- patches.arch/ia64-sn2-bte-locking,
  patches.arch/ia64-sn2-bte-copy-hang:
  Fixes for oops/hangs in bte driver on IPF.  (SUSE47348)
* Mon Oct 18 2004 okir@suse.de
- patches.fixes/netfilter6-icmp6-skip-exthdrs,
  patches.fixes/netfilter6-ipv6-skip-exthdrs:
  Properly skip extension headers when matching IPv6 packets (SUSE46338).
* Mon Oct 18 2004 rw@suse.de
- patches.arch/ia64-mca-cpe-polling,
  patches.arch/ia64-mca-cpe-polling-setup,
  patches.arch/ia64-mca-quiet-corrected-errors:
  Avoid system slowdown due to CPE flood on IPF (SUSE46988).
* Mon Oct 18 2004 axboe@suse.de
- Fix tcq freeing (SUSE47030)
* Mon Oct 18 2004 ak@suse.de
- Disable x86_64-vsyscall to fix init segfault (SUSE47205)
* Mon Oct 18 2004 agruen@suse.de
- patches.fixes/unmap-mapping-range: Backport unmap_mapping_range
  from 2.6.6 (SUSE44488).
* Mon Oct 18 2004 okir@suse.de
- patches.drivers/cifs-1.22: update from Steve French
* Mon Oct 18 2004 axboe@suse.de
- Honor initial write cache setting (SUSE47015)
* Sun Oct 17 2004 agruen@suse.de
- patches.suse/xfs-rename: Rename files to match the xfs cvs.
- patches.suse/xfs-cvs-20041017: xfs cvs snapshot.
- patches.suse/xfs-backport: Back out things in xfs that don't
  match this tree.
- patches.suse/xfs-backout-viro-symlink: Back out Al Viro's symlink
  resolution improvements in xfs; we don't have them.
- patches.suse/xfs-no-qsort: Remove qsort() from xfs; we have it in
  the common code.
- patches.suse/dmapi-generic: Generic DMAPI layer (HSM).
- patches.suse/xfs-dmapi-enable: Bits an dpieces for DMAPI in the
  generic code.
- patches.suse/vfs-backport: Backport generic_file_direct_write and
  generic_file_buffered_write from 2.6.9-rc4.  Export
  sync_page_range.  Backport mapping_mapped().
- Delete tons of individual xfs fixes.
- Update config files.
* Sun Oct 17 2004 olh@suse.de
- add patches.drivers/hvsi-hangup.diff
  fix race in hvsi_hangup (SUSE47110 - LTC11689)
* Sun Oct 17 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-recover-2.patch
  Provide code to enable recovery from PCI EEH errors.
  The kernel currently panics on EEH error; with this patch,
  the PCI card will be re-initialized. (SUSE47033 - LTC11710)
* Sun Oct 17 2004 agruen@suse.de
- patches.suse/xfs-cvs: Fix merge error (xfs_map accidentally
  dropped from fs/xfs/Makefile).
* Sat Oct 16 2004 agruen@suse.de
- patches.rpmify/extmod-extra: Support official variable name
  INSTALL_MOD_DIR in addition to our MOD_DIR.
* Sat Oct 16 2004 olh@suse.de
- add patches.arch/suse-ppc64-make-install.patch
  fix make install (SUSE39427 - LTC7872)
* Fri Oct 15 2004 agruen@suse.de
- patches.rpmify/sumversion.diff: Fix .tmp_versions for external
  modules.
* Fri Oct 15 2004 olh@suse.de
- add patches.fixes/do_anonymous_page-race (SUSE46948 - LTC11574)
  Fix threaded user page write memory ordering
  Make sure we order the writes to a newly created page with the
  page table update that potentially exposes the page to another CPU.
* Fri Oct 15 2004 schwab@suse.de
- Upgrade kdb to v4.4, disabling it on pseries64 for now [SUSE46956].
* Fri Oct 15 2004 schwab@suse.de
- Add SGI Altix TIO support [SUSE46669].
* Fri Oct 15 2004 okir@suse.de
- Enabled NFSv4 client on all platforms
* Fri Oct 15 2004 garloff@suse.de
- patches.suse/readahead-tune: Default RA to 512kB (instead of 128)
  and increase limit to two requests (instead of one).
* Fri Oct 15 2004 okir@suse.de
- patches.drivers/cifs-1.22: Update CIFS to version 1.22
  (SP1 feature request; no bugzilla ID available yet)
* Fri Oct 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hvsi-udbg.patch
  implements udbg for HVSI systems, which enables xmon/kdb and
  early boot messages. (SUSE47175 - LTC11790)
* Thu Oct 14 2004 agruen@suse.de
- patches.fixes/wake_up_forked_process-race-fix-[12]-of-2: Fix
  potential race condition in wake_up_forked_process() (SUSE45556).
  Reviewed by Kurt and Andrea.
* Thu Oct 14 2004 agruen@suse.de
- Big xfs file rename to simplify merging patches.
* Thu Oct 14 2004 garloff@suse.de
- patches.suse/qla-failover-deprecated: document ql2xfailover
  to be deprecated and troublesome (SUSE46820, SUSE43392)
* Thu Oct 14 2004 olh@suse.de
- add patches.fixes/bighash.patch
  alloc d/i cache early (SUSE42941 - LTC9913)
* Thu Oct 14 2004 hare@suse.de
- add patches.arch/s390-ctcmpc.diff
  Implement CTC MPC network driver
- add patches.arch/s390-cpu-hotplug.diff
  CPU hotplugging for S/390
- add patches.arch/s390-dasd-fixedbuffer.diff
  Enhance buffer handling on DASD devices.
* Thu Oct 14 2004 okir@suse.de
- patches.fixes/smbfs-wait-connect: Prevent NULL pointer
  dereference in smb_readdir (SUSE47157)
* Thu Oct 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oprof-970.patch (SUSE47167 - LTC11754)
  ppc64: fix oprofile on 970
  - Use 970/970FX instead of GPUL
  - Add POWER5 and 970FX to systemcfg.h
  - Create new cpu feature CPU_FTR_MMCRA_SIHV and use it
* Thu Oct 14 2004 agruen@suse.de
- patches.fixes/acct-AHZ.diff: Export times in struct acct in
  units of AHZ (SUSE43811)
* Thu Oct 14 2004 okir@suse.de
- patches.fixes/nfs-fix-disconnected-dentries: Fix disconnected
  dentries on NFS exports (SUSE46587)
* Thu Oct 14 2004 hare@suse.de
- Always include bitmap_scnprintf in builds (SUSE46255 - LTC11441)
  add patches.fixes/always-include-bitmap-functions
- Add missing compatible ioctls for softdog
  and enable it for S/390 (SUSE47163)
  add patches.fixes/add-watchdog-compat-ioctl
  add patches.arch/s390-enable-softdog
* Wed Oct 13 2004 kkeil@suse.de
- missed first CAPI bugfix needed for (SUSE47191)
* Wed Oct 13 2004 schwab@suse.de
- Fix handling of large modules [SUSE47159].
* Wed Oct 13 2004 agruen@suse.de
- patches.fixes/xfs-direct-IO-fix: Fix generic direct IO code
  for XFS (SUSE47178), from Nathan Scott.
* Wed Oct 13 2004 kkeil@suse.de
- patches.fixes/c4_locking_fix (SUSE47191)
  * Fix a SMP deadlock for the AVM c4 driver
* Wed Oct 13 2004 mantel@suse.de
- patches.fixes/edid-info-corruption: avoid E820 map corruption
  on systems that have more than 18 E820 entries (SUSE46876)
* Wed Oct 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-make-install-O.patch
  fix make O=.. install (SUSE47164 - LTC11778)
* Wed Oct 13 2004 mantel@suse.de
- patches.fixes/compat_sys_fcntl64: fix overflow with fcntl with
  gcc32 (SUSE46863)
* Wed Oct 13 2004 mantel@suse.de
- patches.fixes/idefloppy-medium-not-present: suppress media not
  present errors in idefloppy (SUSE46862)
* Wed Oct 13 2004 agruen@suse.de
- patches.fixes/bsd-accounting-oops: BSD accounting oops fix
  (SUSE43811)
- patches.fixes/bsd-accounting-cross-platform: BSD accounting
  cross-platform compatibility (SUSE43811, incative)
- patches.fixes/bsd-accounting-format-rework: BSD accounting
  format rework (SUSE43811, inactive)
* Wed Oct 13 2004 agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix the fix.
* Tue Oct 12 2004 agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix kbuild (O=).
* Tue Oct 12 2004 schwab@suse.de
- Fix dprobes compilation on ia64 and enable in debug config [SUSE42188].
* Tue Oct 12 2004 schwab@suse.de
- Fix overalignment in SAL error record [SUSE46989].
* Tue Oct 12 2004 mantel@suse.de
- patches.suse/bootsplash-locking: fix locking problems in bootsplash
  fix various little bugs (SUSE39012, SUSE43279, SUSE45676)
* Tue Oct 12 2004 okir@suse.de
- patches.fixes/nfs-min-blocksize:
  On machines with 16K PAGE_SIZE, the NFS client would select an
  rsize/wsize that would potentially exceed the maximum sizes
  supported by the server (SUSE47132)
- patches.fixes/nfs-blocksize: rediffed because of above change
- patches.fixes/nfs-short-read: If the NFS server returned less
  data than requested by a client, the rest of the page would be
  zeroed silently. (SUSE47132, too)
* Mon Oct 11 2004 schwab@suse.de
- Update fetchop driver to 2.0 [SUSE47051].
* Mon Oct 11 2004 ak@suse.de
- Fix mem= option on some NUMA x86-64 configurations (SUSE43450)
* Mon Oct 11 2004 ak@suse.de
- Fix poll=idle on i386/x86-64 (SUSE43818)
* Mon Oct 11 2004 ak@suse.de
- Update S2IO driver (SUSE43383)
* Mon Oct 11 2004 olh@suse.de
- update vscsi server to version 1.3 (SUSE46877 - LTC11618)
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch1.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch2.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch3.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch4.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch5.diff
* Mon Oct 11 2004 hare@suse.de
- patches.arch/s390-sacf.patch: Fix SACF local root exploit.
* Mon Oct 11 2004 ak@suse.de
- Update forcedeth driver (SUSE43057)
* Mon Oct 11 2004 ak@suse.de
- Fix uninitialized variables in x86-64 32bit io_setup (SUSE47089)
- Fix warning in 32bit ptrace on x86-64
* Mon Oct 11 2004 olh@suse.de
- add patches.drivers/ipr-2-0-10-1.patch
  - Add a couple new devices supported by the ipr device driver.
  - first parameter for sector_div must be sector_t rather than int.
  - Correctly enable tagged command queuing for the ipr driver.
  - Fixes a hang in i/o that could occur if an adapter was ever
  declared "dead" by the ipr driver due to repeated failed
  attempts to revive the card.
  - Prevent adapter shutdown error response from being logged.
  - Only allow eh initiated start_unit commands following erp to
  disk devices.
  - Properly translate aborted error response.
* Thu Oct 07 2004 axboe@suse.de
- Add ich6 combined mode quirk (SUSE44539)
* Thu Oct 07 2004 mludvig@suse.de
- Fix connection listing in ip_conntrack module [SUSE44982]
  patches.fixes/nf-conntrack-{count,expect,list}
* Thu Oct 07 2004 schwab@suse.de
- Export full PROM version information in /proc/sgi_prominfo [SUSE44862].
* Wed Oct 06 2004 schwab@suse.de
- Fix scalability problem in dnotify_parent [SUSE46089].
* Wed Oct 06 2004 axboe@suse.de
- dm-mpath barrier fixes (SUSE42489)
* Tue Oct 05 2004 axboe@suse.de
- Add SCSI transport attributes (SUSE46249)
* Mon Oct 04 2004 okir@suse.de
- patches.suse/lockless-loopback: Implement lockless loopback (SUSE43847)
* Mon Oct 04 2004 ak@suse.de
- Fix input checking in NUMA syscall (SUSE46760)
* Sat Oct 02 2004 jeffm@suse.com
- Release path after iput in sys_unlink (SUSE45004)
* Fri Oct 01 2004 andrea@suse.de
- patches.fixes/pte-establish-race avoid userspace corruption
  during COWs with threads on x86 PAE with >4G of ram.
* Thu Sep 30 2004 axboe@suse.de
- Fix ide write cache setup and snooping on change (SUSE44899)
* Thu Sep 30 2004 olh@suse.de
- add patches.fixes/usb-uhci-add-UHCI_PTR_QH.patch
  Set QH bit in UHCI framelist entries (SUSE46364)
* Thu Sep 30 2004 olh@suse.de
- add patches.fixes/usb-storage-nec-floppy-lun.patch
  floppy fails to report scsi LUNs correctly (SUSE42892)
* Wed Sep 29 2004 agruen@suse.de
- patches.arch/lindenhurst-irqbalance: compilation fix.
* Tue Sep 28 2004 axboe@suse.de
- Fix problem with use of bio->bi_io_vec elements after io completion, since
  partial io completions may have overwritten ->bv_len and ->bv_offset.
  (bug SUSE45868)
* Tue Sep 28 2004 okir@suse.de
- patches.fixes/nfsd-readdirplus-encode-fix: Prevent memory
  corruption when using readdirplus (SUSE44871)
* Tue Sep 28 2004 mantel@suse.de
- patches.drivers/fusion-update: Update MPT fusion driver to
  3.01.14.23 (SUSE46243, SUSE45964)
* Tue Sep 28 2004 mantel@suse.de
- patches.fixes/scsi-devinfo-update: update entry for COMPAQ
  HSV110 (needs BLIST_LARGELUN) (SUSE46261)
* Tue Sep 28 2004 schwab@suse.de
- Timer improvements and scalability fixes [SUSE44540].
* Tue Sep 28 2004 schwab@suse.de
- Attribute ia64_spinlock_contention ticks to the caller [SUSE45835].
* Tue Sep 28 2004 andrea@suse.de
- patches.suse/silent-stack-overflow: enforce gap between
  heap and stack. SUSE44807
* Mon Sep 27 2004 schwab@suse.de
- Increase the minimum load balancing interval on large systems [SUSE44180].
* Mon Sep 27 2004 axboe@suse.de
- ahci/ich6 etc piix sata support (SUSE44539 && SUSE45849)
* Mon Sep 27 2004 mantel@suse.de
- patches.fixes/export-symbols-gpl: export some symbols for SGI
  GPL kernel modules (SUSE46082)
* Mon Sep 27 2004 mantel@suse.de
- patches.fixes/reiserfs-write-err: Fix return values (SUSE45758)
- patches.fixes/tmpfs-write-err: Fix return values (SUSE45758)
* Mon Sep 27 2004 mantel@suse.de
- patches.fixes/sbinfo-shmem: fix /dev/zero page fault scaling
  problem (SUSE45415)
* Mon Sep 27 2004 mantel@suse.de
- patches.fixes/fix-race-__dget_locked: avoid race when updating
  nr_unused count of unused dentries (SUSE44796)
* Mon Sep 27 2004 mantel@suse.de
- patches.drivers/ecc-E7501: fix two issues (SUSE41220):
  a) fix e7501 checker to handle device 0, function 1
  b) fix wrong memory range value
* Mon Sep 27 2004 mantel@suse.de
- patches.arch/lindenhurst-irqbalance: Add workaround for Intel
  E76xx erratum 24 (SUSE43200)
* Sun Sep 26 2004 olh@suse.de
- add patches.arch/ibm-ppc64-sles9-tst-timer4.patch
  handle __SI_TIMER for 32bit apps (SUSE43799 - LTC10642)
* Sat Sep 25 2004 olh@suse.de
- update Release: tag for all specfiles, not just the current one
  (SUSE45207)
* Fri Sep 24 2004 okir@suse.de
- Updated netfilter-ipt-log-crash: IP options handling was
  broken as well (SUSE46016)
* Fri Sep 24 2004 okir@suse.de
- patches.fixes/netfilter-ipt-log-crash: Prevent ICMP crash in
  netfilter logging (SUSE46016)
* Fri Sep 24 2004 mantel@suse.de
- allow to reliably detect location of IDE sector errors (SUSE45475)
* Fri Sep 24 2004 okir@suse.de
- Fixed a typo in sunrpc-optional-auth
* Fri Sep 24 2004 mason@suse.de
- make sure O_SYNC writes properly return -EIO (SUSE43622)
* Thu Sep 23 2004 garloff@suse.de
- ca-enable: Fix hooks. (SUSE45139)
* Wed Sep 22 2004 okir@suse.de
- Allow NFS lockd callbacks to work (SUSE45168)
* Wed Sep 22 2004 agruen@suse.de
- patches.rpmify/cvs-timestamp-in-oopses.diff,
  rpm/kernel-binary.spec.in: Add CVS timestamp to Oopses
* Wed Sep 22 2004 mantel@suse.de
- export symbol get_sb_pseudo (SUSE45571)
* Tue Sep 21 2004 mantel@suse.de
- add support for the O_NOATIME open flag (SUSE41365)
* Tue Sep 21 2004 mantel@suse.de
- ckrm: fix problem with rbce_reclassify, rbce_tag, rbce_info,
  rbce_state and a directory rules not getting created (SUSE41906)
* Tue Sep 21 2004 mantel@suse.de
- ckrm: fix problem with delay data, waitcpu_total field showing
  incorrect values on SMP machines due to clock drifts (SUSE43096)
* Tue Sep 21 2004 mantel@suse.de
- don't clear/remove referenced pages (SUSE44485)
* Tue Sep 21 2004 okir@suse.de
- nfsd: fix fsid export option (SUSE43919 - LTC10282)
* Tue Sep 21 2004 schwab@suse.de
- Add SGI Altix hardware performance monitoring API [SUSE45546].
* Mon Sep 20 2004 okir@suse.de
- sunrpc/svcsock: don't propagate TCP recvfrom errors up to nfsd;
  this causes nfsd to exit (SUSE45132)
* Sat Sep 18 2004 olh@suse.de
- add patches.arch/ppc64-make-O-boot.patch
  allow make O=/dir for arch/ppc64/boot (SUSE45507 - LTC11247)
* Fri Sep 17 2004 axboe@suse.de
- Yet another update to the raid1 patches (SUSE45220)
* Fri Sep 17 2004 mantel@suse.de
- update bcm5700 driver to 7.3.5
* Fri Sep 17 2004 schwab@suse.de
- Add Altix system controller communication driver [SUSE45400].
* Fri Sep 17 2004 schwab@suse.de
- Convert sn_proc_fs to use seq_file API [SUSE45399].
* Fri Sep 17 2004 schwab@suse.de
- Add /proc/ide entries for sgiioc4 driver [SUSE45288].
* Fri Sep 17 2004 mantel@suse.de
- enable CONFIG_SGI_PARTITION also for i386 and x86_64 (SUSE44581)
* Thu Sep 16 2004 lmb@suse.de
- Updated patch, upstream now merged the revalidate_special fix.
* Thu Sep 16 2004 lmb@suse.de
- Merge new Lustre hooks.
* Thu Sep 16 2004 garloff@suse.de
- bootsplash-anum-NLD: Fix bootsplash.
- reiserfs-acl-dirty.diff: Don't make inherited ACLs dirty.
* Wed Sep 15 2004 axboe@suse.de
- Don't attach upper level SCSI drivers to raid control ports, such as the
  LSI/Engenio (bug SUSE42111)
* Wed Sep 15 2004 axboe@suse.de
- Update bio uptodate patch for bug SUSE45220
* Tue Sep 14 2004 schwab@suse.de
- Enable SGI_PARTITION on ia64 [SUSE44581].
* Tue Sep 14 2004 schwab@suse.de
- Reduce BKL usage in do_coredump [SUSE44241].
* Tue Sep 14 2004 olh@suse.de
- add patches.arch/ppc32-uninitalized-variables.patch
  add patches.arch/ppc64-uninitalized-variables.patch
  remove -Wno-uninitialized from CFLAGS, fix a few real bugs
  uncovered by this change
* Tue Sep 14 2004 schwab@suse.de
- Adjust various compat execve implementations for binfmt_misc change
  [SUSE44272].
* Tue Sep 14 2004 lmb@suse.de
- ES7000 sub-arch on x86 was not correctly disabled.
- Lustre doesn't build in SP1 branch.
* Tue Sep 14 2004 axboe@suse.de
- Various raid1 bug fixes (bug SUSE45220)
* Tue Sep 14 2004 axboe@suse.de
- Add highmem page leak problem on bounced multi-page bios (SUSE45233).
* Mon Sep 13 2004 agruen@suse.de
- rpm/kernel-source.spec.in: Must not use bash extensions here.
* Mon Sep 13 2004 agruen@suse.de
- Set VERSION and SUBLEVEL correctly in /usr/src/linux-obj/
  $ARCH/$FLAVOR/Makefile.
* Mon Sep 13 2004 schwab@suse.de
- Implement more flags for binfmt_misc [SUSE44272].
* Mon Sep 13 2004 axboe@suse.de
- Fix bio_unmap_user() making assumptions about a bounced bio, this is not
  true since the original bio is being passed in.
* Mon Sep 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-load_up_altivec-restore-vscr.patch
  Fix missing register in altivec context switch
* Mon Sep 13 2004 agruen@suse.de
- Add an empty patches.addon.tar.bz2 for the convenience of
  people who want to rebuild their own kernels with add-on
  patches.
* Mon Sep 13 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Put Module.symvers file into
  /usr/src/linux-obj/$ARCH/$FLAVOR/ so that modules can be built
  for the running kernel even without the kernel-syms package.
* Fri Sep 10 2004 schwab@suse.de
- Remove obsolete hp-sx1000 patches [SUSE34631].
* Fri Sep 10 2004 olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg-1.4
  correct some incorrect data in /proc/ppc64/lparcfg
  (SUSE44957 - LTC10889)
* Fri Sep 10 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-error_log_max.patch
  ask firmware for rtas-error-log-max buf size (SUSE44277 - LTC10824)
* Fri Sep 10 2004 schwab@suse.de
- Fix oops when pressing INIT button [SUSE43250].
* Thu Sep 09 2004 agruen@suse.de
- patches.suse/unmap_mapping_range.diff: Backport of
  unmap_mapping_range (SUSE44488). Not yet active in series.conf.
* Thu Sep 09 2004 garloff@suse.de
- proc-info-leak-2: Add another patch for (minor) proc info leaks.
* Tue Sep 07 2004 ak@suse.de
- Add powernow K8 cpufreq support for CG stepping K8 (SUSE44107)
* Tue Sep 07 2004 mantel@suse.de
- check if machine is ES7000 even when acpi=off (SUSE44428)
* Tue Sep 07 2004 mantel@suse.de
- export some symbols needed by ES7000 Service Processor (SUSE44426)
* Sat Sep 04 2004 lmb@suse.de
- Dropping (old) Lustre patches in preparation of merging the new Lustre
  patch generation.
* Fri Sep 03 2004 olh@suse.de
- add patches.drivers/hvsi-close-panic.diff
  null-pointer check to avoid panic on POWER5 (SUSE43040 - LTC10003)
* Fri Sep 03 2004 olh@suse.de
- add patches.fixes/usb-ehci-watchdog-queuelocking.patch
  fix list corruption when ehci_irq and ehci_watchdog operate
  one the same list elements (SUSE43633)
* Thu Sep 02 2004 schwab@suse.de
- Fix fallout from partial pages patch [SUSE44608].
* Wed Sep 01 2004 mantel@suse.de
- kallsyms: differentiate between text and data variables (SUSE43865)
* Wed Sep 01 2004 mantel@suse.de
- add tg3 ethtool stats (SUSE43687)
* Wed Sep 01 2004 mantel@suse.de
- fix incorrect data for RAID size and RAID level reported in /proc
  by cciss driver (SUSE43738)
* Wed Sep 01 2004 schwab@suse.de
- Fix crash in perfmonctl syscall [SUSE44495].
* Wed Sep 01 2004 mantel@suse.de
- fix memory corruption in libata (SUSE44432)
* Wed Sep 01 2004 olh@suse.de
- enable hugetlbfs on pmac64
* Wed Sep 01 2004 schwab@suse.de
- Add /proc/sgi_sn/coherence_id [SUSE44533].
* Tue Aug 31 2004 hare@suse.de
- S/390: Fix the fix for LCS deadlock (SUSE42909).
* Tue Aug 31 2004 hare@suse.de
- S/390: Fix deadlock in LCS driver (SUSE42909)
* Tue Aug 31 2004 garloff@suse.de
- swsusp-linker-section-flags: Fix section flags for swsusp.
* Mon Aug 30 2004 hare@suse.de
- S/390: IBM codedrop 30-08-2004
  Add patches.arch/s390-07-[01-15]-april2004.diff
  - Fix LCS device stall (SUSE42909)
  - Fix Multicast handling (SUSE42837)
  - Consolidated zfcp patches
  patches.arch/s390-zfcp-shutdown.patch and
  patches.arch/s390-zfcp_set_device_offline.patch
  - Various other fixes.
* Fri Aug 27 2004 schwab@suse.de
- Quiet down bootup [SUSE43866].
* Fri Aug 27 2004 olh@suse.de
- add patches.fixes/legacy-pty-sysfs.patch
  provide legacy bsd devnodes via sysfs for udev (SUSE42940 - LTC9911)
* Thu Aug 26 2004 schwab@suse.de
- Fix statfs64/fstatfs64 in ia32 emulation [SUSE44282].
* Thu Aug 26 2004 schwab@suse.de
- Fix compat_clock_getres [SUSE44281].
* Thu Aug 26 2004 okir@suse.de
- prevent oops in ip6t_LOG (SUSE44213)
* Wed Aug 25 2004 mantel@suse.de
- fix rx_discards stat in /proc/net/dev for tg3 driver (SUSE43686)
* Wed Aug 25 2004 okir@suse.de
- Fixed thinko in devpts-dentry-refcount patch
* Wed Aug 25 2004 olh@suse.de
- add patches.fixes/scsicam_getgeo_odd_sector_size.patch
  do not panic if a disk has an unsupported sector size,
  just ignore the partition table and move on (SUSE43911 - LTC10600)
* Wed Aug 25 2004 olh@suse.de
- add patches.arch/ibm-ppc64-ras_num_irqs.patch
  correct number of requested irqs (SUSE42552 - LTC9508)
* Wed Aug 25 2004 okir@suse.de
- devpts-dentry-refcount: plug memory leak in devpts (SUSE43210)
* Tue Aug 24 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_get_power_level.patch
  report correct value for power-level (SUSE44105 - LTC10530)
* Mon Aug 23 2004 ak@suse.de
- Improve RCU scalability (SUSE43812)
* Mon Aug 23 2004 okir@suse.de
- tcp-rtt-seq-out-of-sync: TCP RTO estimator could get confused,
  causing wrong RTT predictions (SUSE44086)
* Mon Aug 23 2004 ak@suse.de
- Fix vsyscall on x86-64 (SUSE43813)
* Fri Aug 20 2004 olh@suse.de
- add patches.fixes/ppc-altivec-emulation.patch
  fix emulation of vmaddfp and vmnsubfp instruction on ppc/ppc64
  (SUSE44848 - LTC10555)
* Fri Aug 20 2004 olh@suse.de
- add patches.arch/ibm-ppc64-fix-v_regs-pointer-setup.patch
  handle SIGTRAP properly for altivec (SUSE43939 - LTC10356)
* Fri Aug 20 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-disable_slot-nullpointer.patch
  fix oops on pci device removal (SUSE43917 - LTC10567)
* Fri Aug 20 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Use only the first line of
  build-source-timestamp as the ``uname -v'' timestamp: the second
  line may contain the CVS branch name.
* Fri Aug 20 2004 okir@suse.de
- The nfs-min-blocksize chose a bad default wsize/rsize on NFS mounts
* Fri Aug 20 2004 mantel@suse.de
- use final version of ide-noraid patch (SUSE43936)
* Fri Aug 20 2004 okir@suse.de
- More nfsd xdr decoding fixes (SUSE43603)
* Fri Aug 20 2004 garloff@suse.de
- bio-sgio-write-copy-from-user: Another fix needed for audio CD
  writing (SUSE43821). Unaligned multisegment BIOs wrote the first
  segment repeatedly instead of all data.
* Fri Aug 20 2004 mason@suse.de
- Fix ext3 b_private race (SUSE43416)
- Fix reiserfs acl corner cases, inode was not getting dirtied
- Fix reiserfs hash collision problem in root directory, caused
  by the special handling of .reiserfs_priv for acls/xattrs
* Thu Aug 19 2004 mantel@suse.de
- add IDE kernel parameter "ide=noraid" (SUSE39570)
* Wed Aug 18 2004 mantel@suse.de
- re-enable CONFIG_MWAVE
* Wed Aug 18 2004 okir@suse.de
- rediffed dprobes patch
* Wed Aug 18 2004 okir@suse.de
- Disabled vgettimeofday patches in SP1 branch as well
* Wed Aug 18 2004 okir@suse.de
- netfilter-unload-crash: drop bogus skb's that can be seen during
  ip_conntrack module unload (SUSE42902 - LTC9841)
* Wed Aug 18 2004 okir@suse.de
- fix machine freeze under heavy NFS load (SUSE43484)
* Tue Aug 17 2004 garloff@suse.de
- bio-uncopy-free-on-write: fix mem leak triggered by writing
  audio CDs. (SUSE43821)
* Tue Aug 17 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-errorpath
  fix oops in error path (SUSE43559 - LTC10341)
* Tue Aug 17 2004 mantel@suse.de
- fix files > 2 GB in isofs
* Tue Aug 17 2004 olh@suse.de
- add patches.fixes/jfs-check_leafidx-2.patch
  Check leafidx before using it as an array index (SUSE42451 - LTC9580)
* Tue Aug 17 2004 olh@suse.de
- remove patches.arch/suse-ppc64-miscdev-late_initcall
  call nvram init earlier, or rtasd does not use nvram
  the bug that this patch tried to address was already fixed
  otherwise in 2.6.5 (SUSE43872 - LTC10593)
* Tue Aug 17 2004 olh@suse.de
- add patches.arch/ibm-ppc64-machine-check-logging.patch
  forward port feature from 2.4 kernels to log mce errors
  (SUSE43873 - LTC10594)
* Tue Aug 17 2004 agruen@suse.de
- doc/README.SUSE: Update documentation.
* Tue Aug 17 2004 okir@suse.de
- don't truncate contents of /proc/pid/cmdline when size of argv
  exceeds page size (SUSE43769)
* Mon Aug 16 2004 schwab@suse.de
- Fix kdb pod support [SUSE43735].
* Mon Aug 16 2004 mantel@suse.de
- add fixes from Steeleye for nbd and md
* Sat Aug 14 2004 agruen@suse.de
- scripts/tar-up.sh: Include CVS branch name in rpm info.
- scripts/sequence-patch.sh: Clean up some mess.
* Fri Aug 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-empty-slot-sles9.patch
  enable EEH on empty pci slots (SUSE42797 - LTC9715)
* Fri Aug 13 2004 axboe@suse.de
- Only allow writing scsi commands through SG_IO, if the user has write
  access to the device or CAP_SYS_RAWIO capabilities.
* Fri Aug 13 2004 schwab@suse.de
- Add compat wrapper for getdents64 [SUSE43749].
* Thu Aug 12 2004 schwab@suse.de
- Add unified compat wrapper for readv/writev [SUSE43746].
* Thu Aug 12 2004 schwab@suse.de
- Use 16MB granules on SN2 [SUSE43684].
* Thu Aug 12 2004 axboe@suse.de
- Fix bug on falling back to single frame dma cdda ripping
* Thu Aug 12 2004 axboe@suse.de
- Make sure queue members are properly setup before calling into
  elevator init functions. This hurts cfq that needs to check nr_requests.
* Thu Aug 12 2004 ak@suse.de
- Disable hugetlb mlock group patch for compatibility with GA
  (SUSE43348)
* Wed Aug 11 2004 mantel@suse.de
- use improved fix for SUSE43603
* Wed Aug 11 2004 mantel@suse.de
- fix kNFSd signed issues (SUSE43603)
* Wed Aug 11 2004 axboe@suse.de
- Barrier ide hang with write cache off (SUSE41246, SUSE43443, others)
* Wed Aug 11 2004 ak@suse.de
- Fix s2io driver (SUSE43383)
* Sat Aug 07 2004 garloff@suse.de
- Add patches.suse/buddy-alloc-order-opt: Merge patch from mainline
  that optimizes page alloc order for merging.
* Thu Aug 05 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-pcihotplug-promise_ide.patch
  mark init sections as __devinit to avoid crash after DLPAR
  hotplug event (SUSE43442 - LTC10313)
* Wed Aug 04 2004 ak@suse.de
- Avoid GART TLB machine checks on Opteron (SUSE43214)
- Fix ADM Comet NIC on 64bit systems (SUSE35897)
* Wed Aug 04 2004 ak@suse.de
- Fix swiotlb on x86-64 (SUSE43171)
* Wed Aug 04 2004 ak@suse.de
- Fix bus array overflow on x86-64 (SUSE43381)
* Wed Aug 04 2004 ak@suse.de
- Add 32bit PTRACE_GETEVENTMSG for x86-64 (SUSE41261)
* Wed Aug 04 2004 ak@suse.de
- reenable hugetlb group sysctl (SUSE43348)
* Wed Aug 04 2004 axboe@suse.de
- Fix md-multipath problem with read-ahead and path selection (SUSE42214)
* Wed Aug 04 2004 schwab@suse.de
- Implement 32bit compat PTRACE_GETEVENTMSG for ia64 [SUSE41261].
* Tue Aug 03 2004 olh@suse.de
- add patches.arch/ibm-ppc64-ptrace-geteventmsg.patch
  implement the 32bit compat PTRACE_GETEVENTMSG for ppc64
  (SUSE41261 - LTC8916)
* Tue Aug 03 2004 schwab@suse.de
- Add tlb_migrate_finish hook [SUSE43341].
* Mon Aug 02 2004 hare@suse.de
- Fix zfcp I/O error messages on shutdown (SUSE42388).
- Do not set zfcp devices offline too early (SUSE43305)
* Wed Jul 28 2004 garloff@suse.de
- writepages-bh-race: Avoid writepages vs readpages race [SUSE42748],
  finally fixing ext2 corruption..
- uml-fix-mconsole-proc: Reading /proc from uml_mconsole would
  have crashed UML on the fourth time [SUSE42952].
* Wed Jul 28 2004 okir@suse.de
- Fixed buffer overflow in cryptoapi [SUSE43364]
* Tue Jul 27 2004 schwab@suse.de
- Add support for partial pages [SUSE41755].
* Tue Jul 27 2004 mantel@suse.de
- make fix for firewire overflow problem actually compile
* Tue Jul 27 2004 mantel@suse.de
- update timebase fields in systemcfg (SUSE42824 - LTC9288)
* Tue Jul 27 2004 mantel@suse.de
- fix integer overflow in firewire code (SUSE42402)
* Tue Jul 27 2004 olh@suse.de
- add patches.fixes/e1000-TSMPT-and-tx-locking.patch
  * include the entire cleaning of the transmit descriptor queue,
  instead of only the netif_wake_queue in e1000_clean_tx_irq.
  * The TSMPT register (TCP Segmetation Pad offset) has been
  modified from the default of 0x0100 to 0x0C00.
  fixes a few more EEH device shutdowns (SUSE41111 - LTC8539)
* Tue Jul 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-autodetect.diff
  autodetect the pseries hvsi console (SUSE42805 - LTC9839)
* Tue Jul 27 2004 hare@suse.de
- Fix z90crypt module warnings (SUSE43302).
* Tue Jul 27 2004 hare@suse.de
- Fix zFCP kernel oops (SUSE43187).
* Tue Jul 27 2004 garloff@suse.de
- Increase log buffer to 128k minimum (i386 def+um, ia64 configs)
* Tue Jul 27 2004 schwab@suse.de
- Fix initialisation bug of sched_domain_init to allow booting 512p [SUSE43326].
* Mon Jul 26 2004 mantel@suse.de
- make old megaraid driver advertize itself as "megaraid-old" (SUSE42046)
* Sat Jul 24 2004 schwab@suse.de
- Fix more issues with perfmon [SUSE42515].
* Fri Jul 23 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-sysfs-config-cat
  reading sysfs config file caused panic (SUSE43097 - LTC10031)
* Fri Jul 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-more-unbalanced-get-put.patch
  fix another slab corruption in EEH (SUSE43041 - LTC10011)
* Fri Jul 23 2004 mantel@suse.de
- activate fixes for /proc info leak (SUSE41074)
* Fri Jul 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-handle-altivec-assist-exception.patch
  patches.arch/ibm-ppc64-single-stepping-emulated-instructions.patch
  handle invalid altivec/vmx instructions (SUSE42803 - LTC9837)
* Fri Jul 23 2004 olh@suse.de
- add patches.fixes/scsi_remove_device_locking.patch
  serializes scsi_add_device with scsi_remove_device for each
  scsi host adapter (SUSE42691 - LTC9732)
* Fri Jul 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-SLES9-obsolete.diff
  do not assicated hvc0 and hvsi0 to the same lowlevel driver
  (SUSE42838 - LTC9860)
* Tue Jul 20 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-removal-listhandling.patch
  do not access freed memory while walking list (SUSE43025 - LTC9966)
* Sat Jul 17 2004 garloff@suse.de
- Fix fchmod error return value (SUSE41346)
* Fri Jul 16 2004 mantel@suse.de
- fix kobil USB PnP card readers
* Fri Jul 16 2004 mantel@suse.de
- fix lost timer ticks problem on x86_64 (SUSE42836)
* Fri Jul 16 2004 mantel@suse.de
- fix oops in JFS code (SUSE42823)
* Fri Jul 16 2004 mantel@suse.de
- ckrm: propagate existing class from CORE to CRBCE on attach (SUSE42030)
* Fri Jul 16 2004 mantel@suse.de
- properly initialize attrs at chown() (SUSE42542)
* Fri Jul 16 2004 hare@suse.de
- add patches.suse/vm-nocheck-reserved.patch
  Relax checking rules for anonymous non-pageable memory (SUSE42772)
* Thu Jul 15 2004 schwab@suse.de
- Fix race in fsys_gettimeofday [SUSE42906].
* Thu Jul 15 2004 olh@suse.de
- add patches.fixes/ehci-handoff-broken-bios.patch
  ignore failed bios handoff (SUSE42897)
* Thu Jul 15 2004 axboe@suse.de
- Fix a bounce problem with bio_copy/map_user (bug SUSE43020)
* Thu Jul 15 2004 hare@suse.de
- Latest Update from IBM (patches.arch/s390-06-[16-21]-april2004.diff)
- Removed offending patch for arch/s390/entry.S from
  patches.suse/ltt-hooks-full-linux-2.6.5-7.17.patch and
  ltt-hooks-remove-non-i386-7.39.patch
- Updated patches.arch/s390-06-{01,05,07,11}-april2004.diff
  patches have been rearranged; update to conform to IBMs patches.
* Wed Jul 14 2004 agruen@suse.de
- SUSE42972 / LTC9906: Fix include/linux/version.h build dependencies.
* Wed Jul 14 2004 garloff@suse.de
- Fixes for bug SUSE42748:
  * writepage-fs-corruption: Make sure we don't mark pages clean
  prematurely without them being written in the confused case.
  *  writepages-zero: Make sure we zero out the last page.
  * i-size-read-race: i_size could change below us, let's use one
  value consistently in the function.
* Wed Jul 14 2004 axboe@suse.de
- cfq unlock badness and missing clear causing rb_next() to return bogus
  pointer if slab poisoning is enabled.
* Tue Jul 13 2004 axboe@suse.de
- adjust idecd length/align dma alignment restrictions
* Mon Jul 12 2004 axboe@suse.de
- aic7xxx modprobe oops fixes (bug SUSE42711)
* Fri Jul 09 2004 ak@suse.de
- Fix ACPI support in powernow-k8 driver
* Fri Jul 09 2004 olh@suse.de
- add patches.fixes/usb-keyspan_pda-lockup.patch
  fix instant lockup in keyspan_pda driver (SUSE42883)
* Fri Jul 09 2004 axboe@suse.de
- Fix instant SMP deadlock on atp870u scsi driver
* Fri Jul 09 2004 ak@suse.de
- Fix memory corruption during SMP bootup on x86-64
* Fri Jul 09 2004 ak@suse.de
- Fix reference of freed memory in exit in NUMA API
* Fri Jul 09 2004 axboe@suse.de
- Fix sleep-under-queue-lock problem in CFQ.
* Fri Jul 09 2004 hare@suse.de
- S/390: Enable modular build of local 3270 tubes.
* Fri Jul 09 2004 hare@suse.de
- S/390: Enable modular build of all crypto modules (SUSE41666).
* Thu Jul 08 2004 axboe@suse.de
- always setup sg bio for SG_IO (SUSE42314, SUSE42822 (and hopefully SUSE42704)), remove
  crufty kmalloc hack
* Thu Jul 08 2004 hare@suse.de
- Add IBM codedrop 06 for SLES9 GA.
* Tue Jul 06 2004 axboe@suse.de
- make sure request segment counts are valid for non-bio requests (SUSE42314)
* Fri Jul 02 2004 mantel@suse.de
- bump version number of ibmveth driver
* Thu Jul 01 2004 agruen@suse.de
- SUSE42449: patches.fixes/clone-thread-deadlock: release self-reaping
  zombies that are under ptrace when the tracing process
  terminates.
* Thu Jul 01 2004 mantel@suse.de
- fix oops in ibmveth driver (PPC only) (SUSE42579)
* Thu Jul 01 2004 agruen@suse.de
- SUSE42081: patches.fixes/cifs-hash-inode: Add new inodes to the
  inode hash.
* Thu Jul 01 2004 mantel@suse.de
- fix vulnerability in tcp_find_option (SUSE42661)
* Thu Jul 01 2004 agruen@suse.de
- Move flush_barriers_disabled from drivers/ide/ide-disk.c to
  drivers/block/ll_rw_blk.c so that it's also defined in non-IDE
  configurations. Move SLES9_RC3 tag.
* Wed Jun 30 2004 agruen@suse.de
- SUSE42619: patches.fixes/flush-barrier-disable: make reiserfs and
  ext3 honor barrier=off (mason@suse.de).
* Wed Jun 30 2004 agruen@suse.de
- kbuild: Fix the search path for the Module.supported file so
  that external modules can declare themselves supported or
  externally supported when needed.
* Tue Jun 29 2004 mantel@suse.de
- update qla2xxx driver to v8.00.00b14
* Tue Jun 29 2004 mantel@suse.de
- disable file-write-prefault
* Tue Jun 29 2004 mantel@suse.de
- remove reiserfs debug trigger code
* Tue Jun 29 2004 mantel@suse.de
- enable CONFIG_VIDEO_ZORAN; driver builds and works now (SUSE42094)
* Tue Jun 29 2004 mantel@suse.de
- remove remove-via82xx-generic-ide as it would cause problems on
  update (SUSE42335)
* Tue Jun 29 2004 schwab@suse.de
- Fix perfmon-2 local exploit [SUSE42515].
* Mon Jun 28 2004 mantel@suse.de
- dprobes: Fix console hang (SUSE42023)
* Mon Jun 28 2004 mantel@suse.de
- work around TLB fetch timeout defect on sx1000 chipset (SUSE42455)
* Mon Jun 28 2004 agruen@suse.de
- SUSE42360: patches.fixes/cciss_getluninfo_fix_for_sls9.patch:
  Fix kernel oops while scanning cciss devices.
* Mon Jun 28 2004 mason@suse.de
- SUSE42191 make reiserfs_file_write honor 2GB limit in 3.5.x FS
- SUSE42038 fix deadlock between ext3/reiserfs and copy_from_user
* Mon Jun 28 2004 mason@suse.de
- change ide-disk-barrier_mode-2 to match what I put into cvs GA
* Mon Jun 28 2004 agruen@suse.de
- SUSE42495: Disable CONFIG_E100_NAPI for ia64.
* Sun Jun 27 2004 agruen@suse.de
- SUSE41246: patches.fixes/ide-disk-barrier_mode-2: Only use IDE
  barriers if advertised by the drive.
* Sun Jun 27 2004 agruen@suse.de
- SUSE42409: patches.fixes/hugetlb-pmd-free: fix hugetlb pmd reuse.
- SUSE42353: patches.fixes/hugetlb-page-fault-ia32-amd64-ia64: fix
  races and make all architectures use the same hugetlb code.
  IA64 is now using hugetlb-quotas as well.
* Sun Jun 27 2004 agruen@suse.de
- SUSE42453: patches.fixes/huge-sysctl-nodes: fix changing hugepages
  over sysctl (ak@suse.de).
* Sun Jun 27 2004 agruen@suse.de
- From Andrew Morton: Several file systems drop the return value
  of inode_setattr instead of propagating it. This causes truncate
  errors to get lost.
* Sat Jun 26 2004 ak@suse.de
- Fix swiotlb increase patch to use better parameter (SUSE42448)
* Sat Jun 26 2004 agruen@suse.de
- Fix yield() with spin lock held in hvsi_drain_input().
* Sat Jun 26 2004 agruen@suse.de
- SUSE42509: patches.fixes/ipsec-nat-t-old: Patch did appends two
  random bytes to packages encapsulated with the method described
  in draft-ietf-ipsec-udp-encaps-01.txt.
* Fri Jun 25 2004 schwab@suse.de
- Fix discontigmem discovery in non-NUMA case [SUSE42060].
* Fri Jun 25 2004 hare@suse.de
- add patches.arch/s390-04-28-april2004.diff
  Add missing symbols for qeth and lcs (SUSE42483).
* Fri Jun 25 2004 mantel@suse.de
- avoid underflow of "Cached:" field in /proc/meminfo (SUSE42182)
* Fri Jun 25 2004 mantel@suse.de
- remove via82xx S-ATA chip from generic ide driver list (SUSE42335)
* Fri Jun 25 2004 agruen@suse.de
- SUSE41412: ppc64: Init ppc_md udbg pointers to dummy values if not
  found.
- SUSE42233: ppc64: allow for shared update disks.
- SUSE42404: Check for NULL pointer when dereferencing PCI slot.
* Fri Jun 25 2004 agruen@suse.de
- SUSE42033: An int vs. a long constant is used in lib/radix-tree.c.
* Fri Jun 25 2004 okir@suse.de
- Minor fix to previous patch
* Fri Jun 25 2004 okir@suse.de
- pcnet32 patch from Don Fry: correctly program MII Control
  and Status Register (SUSE40341 - LTC9045)
* Thu Jun 24 2004 ak@suse.de
- Fix iommu=memaper= option on x86-64.
- Add new iommu=noaperture option to disable aperture setup
  on x86-64 (SUSE42450)
* Thu Jun 24 2004 ak@suse.de
- Increase software iotlb default size on em64t and ia64 to 64MB
  (SUSE42448)
* Thu Jun 24 2004 okir@suse.de
- Added ipv6-tcp-dst-refcounting to fix a refcounting problem
  in tcp6_connect, which could cause kernel oopses when connecting
  to an IPv6 address (SUSE42342)
* Thu Jun 24 2004 mantel@suse.de
- ckrm: fix changing shares values for a class (SUSE42319)
* Thu Jun 24 2004 garloff@suse.de
- procstat-comm-race: Make a copy of task->comm when we output
  /proc/stat to avoid race making top segfault. (SUSE42364)
* Thu Jun 24 2004 agruen@suse.de
- A minor improvement to the Makefiles in /usr/src/linux-obj/*/*:
  Also include VERSION and PATCHLEVEL so that external modules can
  adapt to the kernel version (mainly 2.4 vs. 2.6).
* Thu Jun 24 2004 duwe@suse.de
- add temporary hack for floppy controller on x445+DL740 SUSE40940
* Thu Jun 24 2004 okir@suse.de
- pcnet32 fix from Don Fry: acknowledge all interrupts (SUSE42408 - LTC9592)
* Thu Jun 24 2004 mason@suse.de
- add and disable reiserfs-file-write-prefault to match the state
  of the GA branch
* Wed Jun 23 2004 axboe@suse.de
- export kblockd_schedule_work() for vscsi
* Wed Jun 23 2004 garloff@suse.de
- Add hvsi console for PPC.
* Wed Jun 23 2004 mason@suse.de
- bug SUSE42091, fix a bogus warning when barrier writes fail
* Wed Jun 23 2004 axboe@suse.de
- vscsi must not block in a tasklet, convert to work queue (SUSE42210)
* Wed Jun 23 2004 okir@suse.de
- Added CIFS patch from Steve French which fixes request
  queueing to handle more than 100 overlapped requests (SUSE39916 - LTC8025)
* Wed Jun 23 2004 agruen@suse.de
- Three obvious bug fixes from mainline:
  + patches.fixes/ieee1394-null-dereference.diff
  + patches.fixes/ip-conntrack-missing-check.diff
  + patches.fixes/megaraid-get_user.diff
* Tue Jun 22 2004 agruen@suse.de
- SUSE42324: patches.fixes/jfs-link-timestamps: the link system call
  did not update i_ctime and i_mtime as required by POSIX.
* Tue Jun 22 2004 agruen@suse.de
- SUSE42134 / LTC9401: patches.fixes/rphahp_add_slot.patch: call
  rpaphp_config_pci_adapter() when adding a non-empty slot.
- SUSE42259 / LTC9477: patches.fixes/eeh-event-race.patch: prevent
  kernel panic on duplicate EEH event (ppc64).
* Tue Jun 22 2004 axboe@suse.de
- in case of ide errors, dump the offending opcode
* Tue Jun 22 2004 hare@suse.de
- Update to IBM codedrop 04-april2004.
  Added patches.arch/s390-04-[15|18-27].diff
* Tue Jun 22 2004 mantel@suse.de
- add megaraid-old to list of supported modules
* Tue Jun 22 2004 agruen@suse.de
- SUSE42062: patches.fixes/xfs-O_DIRECT-i_sem-hotfix: Fix xfs inode
  locking for direct I/O by taking i_sem. A better fix that does
  not symchronize direct I/O writers will replace this fix later.
* Tue Jun 22 2004 hare@suse.de
- Renamed patches to match IBM codedrop 04-april2004.
- Renamed patches.arch/s390-dirty-2.6.5.diff to
  patches.arch/s390-04-16-april2004.diff
- Renamed patches.arch/s390-dasd_modules_unload2.patch to
  patches.arch/s390-04-17-april2004.diff
- Removed old patches.arch/s390-dasd_modules_unload.patch
* Tue Jun 22 2004 hare@suse.de
- Re-diffed patches to match IBM codedrop 04-april2004.
  Modified patches.arch/s390-04-{02|13|14}.patch
* Tue Jun 22 2004 garloff@suse.de
- Disable [I][N]FTL flash drivers.
* Tue Jun 22 2004 mantel@suse.de
- avoid pagecache underflow (SUSE42182)
* Tue Jun 22 2004 agruen@suse.de
- Merge recent kbuild improvements, update the documentation and
  demo module. Add upstream documentation. Looking good now.
* Mon Jun 21 2004 ak@suse.de
- Handle maxnode == 0 in NUMA API too (suggested by agruen)
* Mon Jun 21 2004 agruen@suse.de
- SUSE41420: replace patches.suse/xfs-blockdev with patches.fixes/
  bdev-address_space.patch, export-blk_get_backing_dev_info.patch
  from Nathan Scott <nathans@sgi.com>: Prevents corruption
  on XFS when the underlying block device is accessed while XFS
  is mounted.
* Mon Jun 21 2004 ak@suse.de
- Fix early CPU detect on i386 for non Intel CPUs
* Mon Jun 21 2004 ak@suse.de
- Handle maxnode == 1 in NUMA API syscalls without crashing
* Mon Jun 21 2004 agruen@suse.de
- SUSE42084: patches.fixes/apic-initdata: Remove __initdata tag from
  enable_local_apic variable which is also accessed during
  shutdown. (Fix from Andi Kleen <ak@suse.de>.)
* Mon Jun 21 2004 mantel@suse.de
- ckrm: use varargs in rbce_tc_classify/rbce_sc_classify (SUSE42241)
* Mon Jun 21 2004 agruen@suse.de
- SUSE42124 / LTC9408: patches.fixes/compat_sched_setaffinity_fix:
  Fix bitmap composition order in compat_sys_sched_setaffinity.
* Fri Jun 18 2004 agruen@suse.de
- SUSE42230: Check for self-configured /usr/src/linux tree in
  running-kernel init script, and don't touch the sources in
  that case.
* Fri Jun 18 2004 mantel@suse.de
- check existance of device in eql (SUSE42217)
* Fri Jun 18 2004 mantel@suse.de
- fix reentry spinlock deadlock (SUSE42173)
* Fri Jun 18 2004 mason@suse.de
- fix bug SUSE40752, ext3 needs to wait for io to complete
  before locking buffers for journal commits.
* Fri Jun 18 2004 mantel@suse.de
- fix cpumask bug on es7000 machines (SUSE42178)
* Fri Jun 18 2004 ak@suse.de
- Fix MCE panic printing on x86-64
* Fri Jun 18 2004 axboe@suse.de
- Fix direct io alias problem in cfq (Netapp)
* Fri Jun 18 2004 andrea@suse.de
- Fix anon-vma mprotect extension-merging that generated kernel
  crashes with wine. SUSE42132
* Fri Jun 18 2004 ak@suse.de
- Generate kerntypes on x86-64
* Thu Jun 17 2004 ak@suse.de
- Fix more O_DIRECT  hugetlbfs problems (SUSE41943)
* Thu Jun 17 2004 mantel@suse.de
- ckrm: remove task from resource controllers on exit (SUSE42130)
* Thu Jun 17 2004 ak@suse.de
- Fix bad use of __initdata in x86-64 mce code
* Thu Jun 17 2004 ak@suse.de
- Disable x86_64-ioremap patch for now (SUSE42154)
* Thu Jun 17 2004 olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3-init_pci_config_tokens.patch
  call init_pci_config_tokens even if the box has no EEH,
  or if EEH was turned off via kernel cmdline (SUSE41946 - LTC9283)
* Thu Jun 17 2004 agruen@suse.de
- SUSE39181 pending signal queues: denial of service.
* Thu Jun 17 2004 garloff@suse.de
- pss-user-pointer: Properily check userspace pointer (SUSE42050).
* Wed Jun 16 2004 agruen@suse.de
- kernel-source package: Prevent the /etc/init.d/running-kernel
  boot script from needlessly touching files in /usr/src/linux:
  this triggers superfluous rebuilds. (From SLES9 branch.)
* Wed Jun 16 2004 garloff@suse.de
- vgettimeofday-optimize: Don't do int 0x80 instead of sysenter.
* Wed Jun 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3.patch
  Obtain PHB Unit ID's from the "regs" property. (SUSE41946 - LTC9283)
* Wed Jun 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-mf-completion
  use completion instead of semaphores in OS400 interface
  (SUSE39541 - LTC8142)
* Wed Jun 16 2004 garloff@suse.de
- hugetlb-implicit-only: remove MAP_HUGETLB completely. (SUSE41918)
* Wed Jun 16 2004 garloff@suse.de
- ehci-bios-handoff: Fix typo in USB ehci handoff code.
* Wed Jun 16 2004 garloff@suse.de
- bootsplash-anim-NLD: Allow bootsplash animations.
* Wed Jun 16 2004 mantel@suse.de
- fix memory overwrite bug in airo driver (SUSE42096)
* Wed Jun 16 2004 mantel@suse.de
- fix copy_from_user/copy_to_user thinko in ALSA (SUSE42095)
* Wed Jun 16 2004 mantel@suse.de
- asus_acpi: parse arguments in a safe way (SUSE42052)
* Wed Jun 16 2004 mantel@suse.de
- properly use _user in OSS ioctls (SUSE42050)
* Wed Jun 16 2004 ihno@suse.de
- fixing module unload of DASD-mod (SUSE41717)
* Wed Jun 16 2004 mantel@suse.de
- allow old and new megaraid driver to co-exist. The old one is
  named "megaraid-old". It's still needed for some hardware
* Wed Jun 16 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix event handling (SUSE41934 - LTC9273)
* Wed Jun 16 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  clear bi_next in end_io (SUSE41555 - LTC9033)
  merge patches.fixes/ibm-vscsi-ltc9255 into vscsi patch
* Wed Jun 16 2004 okir@suse.de
- CKRM: honor euid/egid when classifying task (SUSE42083 - LTC9399)
* Wed Jun 16 2004 mantel@suse.de
- don't write user pointers without checking in decnet (SUSE42049)
* Wed Jun 16 2004 garloff@suse.de
- partition-table-msdos: Be more critical about accepting a part
  table as an msdos one.
* Wed Jun 16 2004 hare@suse.de
- Update patches.arch/s390-dirty-2.6.5.diff
  Update to version suggested by akpm (SUSE42066).
* Wed Jun 16 2004 mantel@suse.de
- ckrm: fix system hang when trying to classify exited proc. (SUSE41872)
* Wed Jun 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-unbalanced-dev-put.patch
  fix double free of pci_dev pointers (SUSE42077 - LTC9396)
* Wed Jun 16 2004 schwab@suse.de
- Workaround problem in Altix console driver [SUSE42002].
* Wed Jun 16 2004 schwab@suse.de
- Workaround high network load panics on Altix [SUSE41995].
* Wed Jun 16 2004 okir@suse.de
- Another CIFS fix to prevent data corruption (SUSE41826 - LTC9164)
* Wed Jun 16 2004 garloff@suse.de
- raid5-resync-bug: Wrong optimization in raid5 resync code.
* Wed Jun 16 2004 olh@suse.de
- add patches.suse/kdb-ppc64-recurse
  set RECURSE=2 on ppc64 (SUSE41871 - LTC9240)
* Tue Jun 15 2004 ihno@suse.de
- fixing data corruption under memory pressure for s390 (SUSE42066)
* Tue Jun 15 2004 mantel@suse.de
- enable CONFIG_SCSI_INIA100
* Tue Jun 15 2004 garloff@suse.de
- scsi-device-state-remove: Cleanup of SCSI state machine from
  2.6.7-pre.
- scsi-forget-host: Flush cache before removing host. (SUSE41825)
* Tue Jun 15 2004 ak@suse.de
- Fix use of uninitialized memory in ioremap() on x86-64
* Tue Jun 15 2004 okir@suse.de
- IPv6: added usagi patch to prevent double free when an error
  occurs during UDPv6 multicast delivery (SUSE42019)
* Tue Jun 15 2004 hare@suse.de
- add patches.arch/s390-dasd_modules_unload.patch
  Fix unloading of DASD modules (SUSE41717).
* Tue Jun 15 2004 okir@suse.de
- Fix insertion of dprobes in shared libraries (SUSE41966 - LTC9269)
* Tue Jun 15 2004 okir@suse.de
- vgettimeofday patch from John Stultz to fix LTP gettimeofday01
  failure (SUSE40504 - LTC8395)
- Updated CIFS to 1.18 (SUSE41963 - LTC9328)
* Tue Jun 15 2004 agruen@suse.de
- SUSE40829 / LTC8406: patches.fixes/power3-numabug: Fix memory zone
  setup that caused the emergency pool to underrun.
* Mon Jun 14 2004 olh@suse.de
- add patches.arch/ppc64-fix-out_be64.patch
  fixes out_be64 implementation on ppc64 along with a glich in
  out_be32 (inconsistent) use of barrier.
* Mon Jun 14 2004 ak@suse.de
- Fix acpi=off on x86-64 (SUSE41990)
* Mon Jun 14 2004 olh@suse.de
- add patches.arch/suse-ppc64-cut-iseries-cmdline
  avoid multiline /proc/cmdline on iseries
* Mon Jun 14 2004 ak@suse.de
- Enable CONFIG_DEBUGREG and CONFIG_KDB_MODULES in i386 debug kernel
* Mon Jun 14 2004 agruen@suse.de
- Enable CONFIG_CRASH_DUMP in kernel-64k-pagesize.
* Mon Jun 14 2004 ak@suse.de
- Turn "too many keys pressed" printk into KERN_DEBUG
* Mon Jun 14 2004 garloff@suse.de
- ext3-barrier-default: Enable barriers on ext3 by default, use
  -o barrier=0 to disable.
* Mon Jun 14 2004 okir@suse.de
- updated e1000-validate: the fix to ETHTOOL_GREGS prevented the
  ioctl from copying all registers
* Mon Jun 14 2004 ak@suse.de
- Check for suspend state in e1000 get_stats (SUSE41278)
* Mon Jun 14 2004 agruen@suse.de
- SUSE41884 / LTC8990: patches.fixes/lkcd_64K_pagesize: disk dump
  failure on ia64 w/64K pages.
* Mon Jun 14 2004 garloff@suse.de
- reiserfs-bitmap-overflow-2: Avoid stack overflow in new reiser
  block allocator (SUSE41441, mason).
* Mon Jun 14 2004 ak@suse.de
- Reduce stack footprint of page state structure
- Fix XFS NFS delayed write corruption
- Don't get statistics from suspended drivers in link watch (SUSE41278)
- Fix kernel hang with uncleared FPU exceptions on i386/x86-64
  (SUSE41951)
* Sat Jun 12 2004 axboe@suse.de
- harden blk_execute_rq() a little so it doesn't inspect ->waiting
  at all. Similar to how mainline works.
* Sat Jun 12 2004 schwab@suse.de
- Rename modules to work around lkcd bug [SUSE41891].
* Fri Jun 11 2004 garloff@suse.de
- hugetlb-disable-nonstd-maphugetlb-sysctl: Don't honour
  MAP_HUGETLB; instead print a warning. It can be enabled by sysctl
  though. It's deprecated and will be removed. SUSE41918.
- patches.suse/apic-timer-irq-delivery-dl760: Also add Proliant
  hack to setup_ExtINT_IRQ0_pin(), causing it to fail; it works
  in Virtual Wire mode ... This is needed for acpi=off boots.
  SUSE40944.
* Fri Jun 11 2004 ak@suse.de
- Prevent access to block devices XFS has mounted (SUSE41420)
* Fri Jun 11 2004 agruen@suse.de
- SUSE41490 / LTC9047: additional jfs fix from Dave Kleikamp.
- SUSE41868 / LTC9255: Fix vscsi double-deactivation.
* Fri Jun 11 2004 ak@suse.de
- Quieten printk in the input layer
* Fri Jun 11 2004 ak@suse.de
- Fix race in XFS delayed write handling (SUSE41420)
- Fix deadlock in XFS ENOSPC handling (partial SUSE41544)
* Fri Jun 11 2004 schwab@suse.de
- Fix race in fsys fallback path [SUSE40832].
* Fri Jun 11 2004 okir@suse.de
- Updated pcnet32-overrun-restart patch to fix some remaining
  problems with restart after FIFO overrun (SUSE40951 - LTC8726)
* Fri Jun 11 2004 okir@suse.de
- Added e1000 patches to address (SUSE41875 - LTC8972)
* Fri Jun 11 2004 ak@suse.de
- Check correct for strace too for SIGSEGVs on x86-64
- Detect correct bank on fatal MCEs on x86-64
* Thu Jun 10 2004 ak@suse.de
- Avoid printks for handled SIGSEGVs on x86-64
* Thu Jun 10 2004 agruen@suse.de
- Fix thinko in third-party module support (+external).
* Thu Jun 10 2004 agruen@suse.de
- Add README.SUSE to kernel-source file list.
* Thu Jun 10 2004 ak@suse.de
- Take inode lock around hugepages overcommit check (SUSE41528)
* Thu Jun 10 2004 ak@suse.de
- Don't call smp_send_stop in lkcd (SUSE41843)
* Thu Jun 10 2004 ak@suse.de
- Add another bugfix for the sigprof exit race.
* Thu Jun 10 2004 ak@suse.de
- Handle O_DIRECT in hugetlb holes (SUSE41733)
* Thu Jun 10 2004 ak@suse.de
- Handle PMD holes in hugetlbpages on i386/x86-64 (SUSE41604)
* Thu Jun 10 2004 axboe@suse.de
- Don't move completion event to request sense structure, it causes nasties
  with completing on dead request (bug SUSE38944)
* Wed Jun 09 2004 mason@suse.de
- barrier-eopnotsupp, deal with asynchronous ide barrier failures
* Wed Jun 09 2004 ak@suse.de
- Make sure x86-64 machine check handler logs correct MCE
- Don't threat MCE overflows as fatal
* Wed Jun 09 2004 agruen@suse.de
- Allow modules to be tagged as "externally supported" ("+external"
  in supported.conf). Doument the supported/unsupported flags
  in README.SUSE.
* Wed Jun 09 2004 garloff@suse.de
- evlog-header-inval-pgrp: Avoid dereferencing inval
  current->signal ptr in evlog (SUSE41804).
* Wed Jun 09 2004 hare@suse.de
- Added patches.arch/s390-04-{13|14}-april2004.diff
  Last update by IBM to SLES9 RC2 (hopefully).
- Re-diffed ltt patches to apply again.
* Wed Jun 09 2004 okir@suse.de
- Added smbfs-request-counting: failure to allocate an smb request
  did not decrement the overall request counter, leading to deadlock
* Wed Jun 09 2004 okir@suse.de
- Added smbfs-sendqueue-backoff to make smbiod react more gracefully
  to a full tcp send queue (SUSE41343 - LTC8669)
* Wed Jun 09 2004 agruen@suse.de
- Additional consistency check for tar-up.sh: Make sure that all
  patches referenced in series.conf have been added to the CVS.
* Wed Jun 09 2004 okir@suse.de
- Merged patch from mainline: /proc/net/tcp would not show all
  listening sockets if the first socket in a hash chain had a
  different address family.
* Wed Jun 09 2004 okir@suse.de
- IPv6 Fix from Shirley Ma to use proper ip6_output handler in
  IPv6 dst cache entries created by ndisc (SUSE41669 - LTC9123)
- 2 CIFS fixes from Steve French:
   - prevent races when accessing tcpStatus (SUSE41757 - LTC1953)
   - fix for data corruption on partial writes to page cache (SUSE41826 - LTC9164)
* Wed Jun 09 2004 hare@suse.de
- add patches.arch/s390-04-[08-12].diff
  Update to IBM codedrop for SLES9.
* Wed Jun 09 2004 hare@suse.de
- update sysfs-backing store to v0.6 from 2.6.6-mm4 (SUSE40072)
* Wed Jun 09 2004 agruen@suse.de
- SUSE41748: LAuS msgsnd reporting invalid syscall parameter size.
* Wed Jun 09 2004 olh@suse.de
- update patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  pass correct device node info to rtas_call (SUSE41818 - LTC9219)
* Wed Jun 09 2004 garloff@suse.de
- scsi-error-test-unit-ready-timeout: Use 30s timeout for
  TEST_UNIT_READY (SUSE41689).
* Tue Jun 08 2004 ak@suse.de
- Really remove ibm-noacpi patch now
* Tue Jun 08 2004 agruen@suse.de
- patches.fixes/downgrade_write: Fix from mainline.
- patches.fixes/ext3-htree-rename: htree rename fix from mainline.
* Tue Jun 08 2004 garloff@suse.de
- firewire-suspend: Update patch to fix ieee1394 suspend (SUSE40177).
* Tue Jun 08 2004 garloff@suse.de
- suspend-pci-cfg-space, suspend-agpgart-intel-resume:
  For devices without specific suspend / resume support, save PCI
  config space at least and restore on resume. Use one intel-agp.
* Tue Jun 08 2004 garloff@suse.de
- fremap-race: Fix locking in fremap. (SUSE40699, andrea).
* Tue Jun 08 2004 garloff@suse.de
- const-udelay-fix-3: Fuix rounding bug in const_udelay on i386
  (SUSE41553, jstulz, garloff, browdowski).
* Tue Jun 08 2004 ak@suse.de
- Fix printks in serverworks and intel AGP drivers
- Remove IBM HS40 blacklist entry again (SUSE38178)
* Tue Jun 08 2004 mason@suse.de
- fix a race between fs writeback and unmounting that can lead to
  general memory corruption
- add more reserved pages for PF_MEMALLOC and atomic allocations
- make ext3 redirty when allocations fail in writepage
- make shrink_cache process clean pages first
* Tue Jun 08 2004 kkeil@suse.de
- add patches.fixes/hisax_tj320_fix; fix IRQ storm for TJ320
  based ISDN cards (newer TELES PCI, netjet)
* Tue Jun 08 2004 ak@suse.de
- Readd pci=noacpi blacklist for IBM HS40
* Tue Jun 08 2004 olh@suse.de
- add patches.suse/suse-ppc64-disable-spinlock-debug
  disable DEBUG_SPINLOCK_SLEEP on ppc64 for the time being
* Tue Jun 08 2004 olh@suse.de
- remove bogus DEBUG_SPINLOCK_SLEEP changes (SUSE41447 - LTC9040)
* Tue Jun 08 2004 ak@suse.de
- Fix hugetlb accounting bugs (SUSE41528)
* Tue Jun 08 2004 okir@suse.de
- Fix restart of pcnet driver after FIFO overrun (SUSE40951 - LTC8726)
* Tue Jun 08 2004 okir@suse.de
- nfsd: ignore attempts to change the mode of a symlink (SUSE41602 - LTC9096)
* Tue Jun 08 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-embedded_drc_name.patch
  Allow rpadlpar to properly identify dlpar-capable slots
  (SUSE41760 - LTC9180)
* Tue Jun 08 2004 olh@suse.de
- add patches.suse/kdb-clean-percpu.patch
  new command to print per_cpu variables (SUSE41753 - LTC9107)
* Tue Jun 08 2004 olh@suse.de
- add patches.drivers/ipr_abort_hang.patch
  fixes a hang that occurs when an abort is issued by the midlayer
  add patches.drivers/ipr_only_tcq_cancel_all.patch
  only send a cancel all when the device is running TCQ
  add patches.drivers/ipr_driver_version_2_0_10.patch
  bump version number (SUSE41689 - LTC9144)
* Tue Jun 08 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  change inquiry data length from 0xfb to 0xfa
* Tue Jun 08 2004 olh@suse.de
- add patches.suse/kdb-ppc64-unrecoverable-exception
  Don't return from KDB upon unrecoverable exception (SUSE40982 - LTC8623)
* Tue Jun 08 2004 ak@suse.de
- Handle bad PIT readings in the cyclone timer driver (SUSE40644)
* Tue Jun 08 2004 agruen@suse.de
- SUSE41718 / LTC9150: revalidate_special may invalidate dentry->d_op
  (as it sometimes does with cifs), so re-check when revalidating
  again.
* Mon Jun 07 2004 agruen@suse.de
- Quota fixes from Jan Kara <jack@suse.cz> (patches.fixes/
  quota-1-v2rootfix, quota-2-v1initfix, quota-3-slabfix).
* Mon Jun 07 2004 schwab@suse.de
- Fix boot hanging during KDB initialization [SUSE40187].
* Mon Jun 07 2004 agruen@suse.de
- patches.fixes/jfs-btstack: Fix btstack debugging code.
* Mon Jun 07 2004 garloff@suse.de
- tmscsim-267rc2: Update patches to tmscsim driver.
* Mon Jun 07 2004 ak@suse.de
- Add /proc/sys/kernel/check_deadlocks to control file lock
  deadlock checking.
* Mon Jun 07 2004 agruen@suse.de
- SUSE40752: patches.fixes/jbd-dirty-uptodate: jbd bugs cause dirty
  buffers not marked uptodate to become visible to the buffer
  layer (commit for Chris Mason <mason@suse.com>).
- SUSE41701: Change smbfs default encodings to more sane defaults
  by request of Lars Mueller <lmuelle@suse.de>.
* Mon Jun 07 2004 olh@suse.de
- add patches.drivers/ppc64-iseries-viocd-driveid
  more dvd drive ids for legacy dvd-ram (SUSE41245 - LTC8828)
* Mon Jun 07 2004 ak@suse.de
- Update powernow-k8 driver to 1.00.09d from AMD.
  * Fix hangs at bootup with BIOS that set up bogus PST tables.
* Mon Jun 07 2004 ak@suse.de
- Fix compilation of kdb kdbm_pg module
- Fix warnings on kdb/i386
- Fix warning in Lustre
* Mon Jun 07 2004 ak@suse.de
- Quiet down noisy JEDEC probing
* Mon Jun 07 2004 ak@suse.de
- Fix compilation without CONFIG_MODULES
* Mon Jun 07 2004 olh@suse.de
- update patches.fixes/e1000-mb.patch
  another one needed in e1000_clean_tx_irq()  (SUSE41111 - LTC8539)
* Mon Jun 07 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix list corruption (SUSE41555 - LTC9033)
  fixes the serial number returned on SCSI Inquiry to virtual
  devices
  Clean up text returned on error messages
  Return correct information when the client passes a buffer too
  small to the server.
  minor ibmvscsi client fixes
  Better error message from VSCSI client when adapter can't be
  opened.
* Sun Jun 06 2004 agruen@suse.de
- xfs-fix-lowbit64: Fix use of ffs(0) which apparently is
  undefined on some architectures.
* Sun Jun 06 2004 garloff@suse.de
- directio-inval-fix: The wrong no of DIO blocks was invalidated.
* Sun Jun 06 2004 agruen@suse.de
- patches.fixes/nfsd-symlink-setattr: Update; silently ignore
  nfsd requests to set the file mode permission bits of a symlink.
* Sun Jun 06 2004 ak@suse.de
- disable debugging printks in udf
* Sun Jun 06 2004 olh@suse.de
- add patches.fixes/recvmsg-compat-MSG_CMSG_COMPAT
  Fix bogus msg_flags checks, need to mask out MSG_CMSG_COMPAT
* Sat Jun 05 2004 garloff@suse.de
- apic-timer-irq-delivery-dl760: Enable tweak for DL740. (SUSE40944)
* Sat Jun 05 2004 olh@suse.de
- add patches.suse/suse.ppc32.binutils-version.patch
  newer binutils require -many
* Fri Jun 04 2004 ak@suse.de
- add workaround for wrong _BBN on serverworks boards
  (SUSE38178)
- disable IBM ACPI H20,H40 blacklist entries (SUSE41656)
* Fri Jun 04 2004 mason@suse.de
- enable patches.fixes/shrink_zone.patch
* Fri Jun 04 2004 ak@suse.de
- add additional check to nforce2 c1 disconnect workaround
* Fri Jun 04 2004 ak@suse.de
- fix race handling in lazy hugetlbfs on i386,x86-64,ppc64,ia64
  (SUSE41604)
* Fri Jun 04 2004 hare@suse.de
- add patches.arch/s390-04-05-april2004.diff
  add patches.arch/s390-04-06-april2004.diff
  add patches.arch/s390-04-07-april2004.diff
  Update to latest IBM codedrop.
* Fri Jun 04 2004 okir@suse.de
- Added patch from netdev to prevent e1000 NAPI crash during ifdown
* Fri Jun 04 2004 mason@suse.de
- enable 01-redirty-for-writepage and gfp-nofs-extra-scan
* Fri Jun 04 2004 ak@suse.de
- Let acpi=force overwrite pci=noacpi blacklists (SUSE41206)
* Thu Jun 03 2004 ak@suse.de
- fix name of IBM HS40 in dmi blacklist
* Thu Jun 03 2004 axboe@suse.de
- Bad length check in cdrom_get_random_writable() (SUSE41245)
* Thu Jun 03 2004 olh@suse.de
- add patches.fixes/no_cpuhp_on_nonlpar.patch
  add patches.fixes/ppc64-cpuhotplug-online-0.patch
  hide sysfs cpu hotplug files in non LPAR mode (SUSE41603 - LTC9039)
* Thu Jun 03 2004 garloff@suse.de
- Make elevator=anticipatory default again; YaST will put
  elevator=cfq for servers into boot loader config.
* Thu Jun 03 2004 olh@suse.de
- disable patches.fixes/usb-dell-patch-4-ul
  causes deadlocks during unplug/replug (SUSE40827)
* Thu Jun 03 2004 hare@suse.de
- Update patches.arch/s390-crypto-api.patch
  to official version from bitkeeper (SUSE41386).
* Thu Jun 03 2004 okir@suse.de
- ppc64: do_IRQ now warns if free space on the kernel stack
  drops below 2K; previously this was 4K. (SUSE41431 - LTC9026)
* Thu Jun 03 2004 agruen@suse.de
- SUSE41202: patches.suse/nfsd-acl-v2-solaris: If the nfs_acl program
  is exported, Solaris clients expect both version 2 and version 3
  to be available; a RPC_PROG_MISMATCH reply which would indicate
  that the requested version is not available leads to a mount
  failure. Make up a fake RPC_PROG_UNAVAIL reply when asked for
  nfs_acl version 2 instead.
* Thu Jun 03 2004 ak@suse.de
- Fix LDT/TSS limit on x86-64 (SUSE41574)
* Thu Jun 03 2004 garloff@suse.de
- Mark as SLES9_RC1.
* Thu Jun 03 2004 agruen@suse.de
- SUSE41202 / nfs_acl: Fix mounting NFSv2 volumes from Solaris
  clients: the supported program version numbers were wrong. Also
  fix the transport buffer size calculation (we were still safe).
* Thu Jun 03 2004 garloff@suse.de
- SUSE40944: apic-timer-irq-delivery-dl760: Add workaround for timer
  IRQ delivery for DL760.
* Thu Jun 03 2004 ak@suse.de
- add IDE support for nvidia nforce3,nforce3-mcp04,nforce3-ck804
* Wed Jun 02 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs_write_room.2.0.patch
  improve buffering in hvcs_write_room
* Wed Jun 02 2004 agruen@suse.de
- SUSE41490: patches.fixes/jfs-dtstack: jfs dtstack overflow.
- SUSE41503: patches.fixes/jfs-mp-leak: jfs deadlock in fsstress.
* Wed Jun 02 2004 garloff@suse.de
- serial8250_console_write-ier: Fix a race where we could get out
  of sync with the IER, leaving IRQs disabled. (SUSE34840)
* Wed Jun 02 2004 ak@suse.de
- really fix acpi=ht on x86-64
* Wed Jun 02 2004 mason@suse.de
- drop overly verbose reiserfs allocator message on mount
- make lkcd use NR_CPUS instead of it's own constant (SUSE41509)
* Wed Jun 02 2004 ak@suse.de
- Fix acpi=ht on x86-64
- Remove xfs debug patch
* Wed Jun 02 2004 agruen@suse.de
- SUSE41504: patches.fixes/LAuS-login-msg: audit record sometimes
  is missing the executable name.
* Wed Jun 02 2004 mason@suse.de
- turn off CONFIG_KLOG_CHANNEL everywhere (bug SUSE40653)
* Wed Jun 02 2004 garloff@suse.de
- compaq-noloop: Some Compaq ProLiant machines lockup on issueing
  the AUX LoopBack command. Blacklist. (SUSE36474, vojtech)
* Wed Jun 02 2004 agruen@suse.de
- patches.fixes/ramfs-O_SYNC: Fix NULL pointer dereference of
  a_ops->writepage in page_writepages with O_SYNC ramfs.
* Wed Jun 02 2004 olh@suse.de
- add patches.suse/kdb-recurse
  handle RECURSE=x setting in KDB (SUSE40982 - LTC8623)
* Wed Jun 02 2004 axboe@suse.de
- megaraid must not use spin_is_locked() in UP
* Wed Jun 02 2004 hare@suse.de
- Really modularize SHA1 and DES
- Add cpint and arch/s390/crypto to the list of supported modules.
* Wed Jun 02 2004 ak@suse.de
- fix SIGPROF <-> exit race (SUSE41527)
- fix msync on hugetlbfs pages
- fix reuse of large pages
* Wed Jun 02 2004 hare@suse.de
- compile SHA1 and DES as module on S/390 to enable
  support for z990-specific modules.
* Wed Jun 02 2004 ak@suse.de
- dump bad block when internal xfs consistency checks fail
- add more KERN_ALERTs to oopses on x86-64 and i386
* Wed Jun 02 2004 garloff@suse.de
- swsusp-free-more-mem: Several tries to free memory, allows low-
  mem machines to successfully suspend to disk.
* Tue Jun 01 2004 ak@suse.de
- fix deadlock in active_load_balance
* Tue Jun 01 2004 ak@suse.de
- Fix metapage leak in JFS (SUSE41503 - LTC9062)
* Tue Jun 01 2004 garloff@suse.de
- usb-dell-patch-4-ul: Update serialisation of USB cmnds. (SUSE40827)
* Tue Jun 01 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  dont crash if the vscsi server disappears (SUSE41266 - LTC8924)
* Tue Jun 01 2004 olh@suse.de
- add patches.fixes/jfs-nfs-inode
  Limit metapage reads to i_size (SUSE41434)
* Tue Jun 01 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  many bugfixes, changed from using wait tasks to kernel_threads
* Tue Jun 01 2004 ak@suse.de
- quieten some annoying/unnecessary printks
- fix bootsplash to not print overlong lines on error.
* Tue Jun 01 2004 olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth2
  print the entire map as hex in AVAILABLE_VETH
* Tue Jun 01 2004 ak@suse.de
- apply spinlock debug change from ppc64 to all architectures (SUSE41447)
* Tue Jun 01 2004 hare@suse.de
- S/390: Add in-kernel crypto support for z990 (SUSE41386).
  Add patches.arch/s390-crypto-api.patch
* Tue Jun 01 2004 agruen@suse.de
- SUSE41427: Better handle out of space errors in jfs.
* Tue Jun 01 2004 mason@suse.de
- fix rbce insmod bug (SUSE41422)
* Tue Jun 01 2004 agruen@suse.de
- /etc/init.d/running-kernel: Fix fallback logic.
* Tue Jun 01 2004 okir@suse.de
- Merged two CIFS patches from Steve French, via air mail:
 - Fix block count reported to du (SUSE41487 - LTC9036)
 - Fix prepare_write bug (SUSE41131)
* Tue Jun 01 2004 hare@suse.de
- Update to unofficial IBM codedrop; renamed
  patches from s390-03-{29|30}-april2004.diff to
  official IBM name s390-04-*.
* Tue Jun 01 2004 axboe@suse.de
- flag BH_Eopnotsupp on buffer_heads for failed barriers
* Tue Jun 01 2004 agruen@suse.de
- SUSE41443: rpm/running-kernel.init.in: Keep include/asm-*/offsets.h
  when doing a `make clean' and also link it into /usr/src/linux
  on those platforms that have it.
* Tue Jun 01 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-buffer_pool
  handle buffer pools correctly (SUSE41392 - LTC8999)
* Tue Jun 01 2004 okir@suse.de
- Merge nfsd fix from Neil Brown to correct handling of nfsd
  readahead
* Tue Jun 01 2004 agruen@suse.de
- Fix kernel-binary post-install script for upgrading from SLES8
  to SLES9.
* Tue Jun 01 2004 garloff@suse.de
- Serialise usb-storage commands with usbfs operations (SUSE40827).
* Tue Jun 01 2004 okir@suse.de
- Fix refcounting problem in ipsec xfrm_state (SUSE41219)
* Tue Jun 01 2004 okir@suse.de
- Tentative fix for nfsd/solaris9 readdirplus interoperability
  issue (SUSE41010 - LTC8781)
* Tue Jun 01 2004 okir@suse.de
- Added workaround for pcnet skb_over_panic when the card reports
  weird frame sizes (SUSE42438 - LTC9029)
* Tue Jun 01 2004 okir@suse.de
- CIFS readdir should deal gracefully with inode & dentry
  allocation failures (SUSE41131)
* Tue Jun 01 2004 hare@suse.de
- add patches.suse/lkcd-netdump-discontig.patch
  Fix netdump for CONFIG_DISCONTIGMEM enabled (SUSE41399 - LTC9007)
* Tue Jun 01 2004 olh@suse.de
- add patches.arch/ibm-ppc64-prom-reloc
  missing RELOCs, add linux,phandle properties to device-tree
* Tue Jun 01 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  remove sysfs entry for vscsis
* Tue Jun 01 2004 kkeil@suse.de
- ppp-filter-fix: new version with correct filter headers for
  DLT_LINUX_SLL filter (see # SUSE34724)
* Mon May 31 2004 okir@suse.de
- Updated lustre-intent-fix-3 with latest from IBM (SUSE41025 - LTC8786)
* Mon May 31 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-dealloc_slot_struct.patch
  dealloc_slot_struct was called twice on error (SUSE41451 - LTC9011)
* Mon May 31 2004 mason@suse.de
- make -o barrier=none also disable blkdev_flush on fsync for
  reiserfs
* Mon May 31 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  Flush pending packets when remote partition goes down
  fix virtual ethernet hangs (SUSE39499 - LTC7908)
* Mon May 31 2004 mason@suse.de
- remove debugging printk from aio-debug add comments now that
  the bug is understood
* Mon May 31 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hash_table-fixes
  add patches.arch/ibm-ppc64-iseries-hash_table-fixes
  more hashtable locking fixes (SUSE39039 - LTC7625)
* Mon May 31 2004 olh@suse.de
- add patches.fixes/ppc64-rpa_vio.patch
  fix removal of virtual ethernet slots  (SUSE41442 - LTC9031)
* Mon May 31 2004 olh@suse.de
- add patches.suse/kdb-gfp (SUSE40759)
  Use the correct GFP flags when kdb is running in interrupt context
* Sun May 30 2004 schwab@suse.de
- Fix fpu register leak [SUSE41411].
* Sat May 29 2004 okir@suse.de
- Fixed lustre revalidate_special to not return dentries with
  d_inode == NULL (SUSE41025 - LTC8786)
* Sat May 29 2004 olh@suse.de
- add patches.fixes/radeonfb_new-ibook
  support for the latest iBook models
  fix initialisation problem on some IGP chipsets
* Sat May 29 2004 olh@suse.de
- add patches.fixes/ppc32.serial.zilog.channel_b
  fix rx on channel b
* Sat May 29 2004 ak@suse.de
- add more adaptec support to i2o driver
- ignore unwriteable sysenter registers on x86-64
* Fri May 28 2004 agruen@suse.de
- SUSE41259: Fix handling of mmap vs. dmapi regions on jfs.
- Rename `supported' command line option to `unsupported'. Allow
  the values 0 = no, 1 = with warnings, and 2 = without warnings,
  identical to /proc/sys/kernel/unsupported. A value of 2 still
  taints the kernel if unsupported modules are loaded. Make
  self-compiled kernels default to 2.
- Instead of the build time, put cvs timestamp in `uname -v'.
- Don't cause unresolved symbols to abort the build.
* Fri May 28 2004 ak@suse.de
- fix i386 kdb for regparms (SUSE40952)
* Fri May 28 2004 ak@suse.de
- fix ugly warning in cciss change
* Fri May 28 2004 ak@suse.de
- prefer panic to deadlock on MCE on x86-64 (SUSE41070)
* Fri May 28 2004 mantel@suse.de
- enable CONFIG_BLK_DEV_TRM290 and CONFIG_BLK_DEV_OPTI621 (SUSE38814)
* Fri May 28 2004 ak@suse.de
- ignore holes in mlock to work around ld.so issue (SUSE41356)
* Fri May 28 2004 ak@suse.de
- fix and reenable tcp-proc-listen patch (SUSE40888)
* Fri May 28 2004 mason@suse.de
- fix DIRECT_IO hole filling bug (SUSE41325)
* Fri May 28 2004 mantel@suse.de
- fix 32/64 bit problem in cciss driver for configuration utility
  (SUSE41377)
* Fri May 28 2004 ak@suse.de
- fix 32bit select on x86-64 (partial SUSE41260)
* Fri May 28 2004 mantel@suse.de
- family field of struct sockaddr should contain AF_XXX values,
  not IPPROTO_XXX (SUSE41348)
* Fri May 28 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-modinfo
  provide driver version via modinfo (SUSE41326 - LTC8966)
* Fri May 28 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  improve locking
* Fri May 28 2004 agruen@suse.de
- patches.fixes/anon-d_hash: Set d_bucket correctly for anonymous
  dentries.
* Fri May 28 2004 ihno@suse.de
- adding fix from IBM for s390-iucv-Interface (SUSE41252)
* Fri May 28 2004 mason@suse.de
- aio debugging patch
* Thu May 27 2004 ak@suse.de
- add missing GSI code for es7000 (SUSE41319)
* Thu May 27 2004 agruen@suse.de
- patches.fixes/xfs-overflow: Fix 64-bit overflow.
- Make failures in external modules non-fatal.
- Make unlisted modules non-fatal.
* Thu May 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-off.patch
  handle numa=off (SUSE41334 - LTC8921)
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  add MODULE_VERSION (SUSE41332 - LTC8969)
* Thu May 27 2004 ak@suse.de
- Fix another bug in x86_64 find_first_bit()
- Reenable x86_64-early-console that got disabled by mistake
* Thu May 27 2004 ak@suse.de
- Disable /proc/net/*listen for now
* Thu May 27 2004 ak@suse.de
- readd broken hack to lustre-intent to make the module
  compile again.
* Thu May 27 2004 ak@suse.de
- Make x86-64 compile for uniprocessor again
* Thu May 27 2004 garloff@suse.de
- Mark bcm4400 as unsupported (bad code, b44 being much better).
* Thu May 27 2004 ak@suse.de
- add missing memory clobber in x86-64 find_first_bit
* Thu May 27 2004 ak@suse.de
- Update ACPI to 2.6.7-bk state
  es7000 temporarily broken
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  make sure properties are not changed while target is active
* Thu May 27 2004 mantel@suse.de
- fix incorrect error handling in sysfs_rename_dir (SUSE40072)
* Thu May 27 2004 ak@suse.de
- disable tcp-proc-walk temporarily
* Thu May 27 2004 ak@suse.de
- disable pageattr-nx fix, replace with subtly wrong hack (SUSE41184)
- fix early console on x86-64
- remove bogus code in lustre patch
* Thu May 27 2004 mantel@suse.de
- lkcd: fix compilation on IPF with 64k page size (SUSE41265)
* Thu May 27 2004 agruen@suse.de
- Add /usr/src/linux/Makefile.suse for external module testing.
* Thu May 27 2004 axboe@suse.de
- Fix deadlock in flush_workqueue() for singlethreaded work queues (SUSE41244)
* Thu May 27 2004 okir@suse.de
- Fix kernel statd server to actually accept SM_NOTIFY calls
- Fix minor oops in net/sched_tbf (from mainline)
* Thu May 27 2004 olh@suse.de
- reenable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  add patches.fixes/dm-remove-all
  use dm ioctl wrappers from mainline (SUSE40454 - LTC8344)
* Thu May 27 2004 mantel@suse.de
- update qla2xxx driver to 8.00.00b13
* Thu May 27 2004 okir@suse.de
- Updated nfsd-encode-dirent3 to fix nfsd memory corruption when
  handling readdirplus calls from non-Linux clients (LTC8781 - SUSE41010)
* Thu May 27 2004 olh@suse.de
- add patches.fixes/ppc32-boot-chrp-ldscript.patch
  do not include ld.script in boot header
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  add sysfs support for vscsi server
* Thu May 27 2004 olh@suse.de
- add patches.arch/suse-ppc64-as-option
  pass -a64 instead of -64 to as
* Thu May 27 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-multifunction-devices
  handle multi-fuction devices correctly (SUSE40901 - LTC8702)
* Thu May 27 2004 agruen@suse.de
- LTC8470 / SUSE40615: Fix the fix.
* Thu May 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-IOMAP_MAX_ORDER
  bump IOMMU_MAX_ORDER (SUSE41133 - LTC8862)
* Thu May 27 2004 mantel@suse.de
- allow probe to be inserted into already loaded module (SUSE41281)
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix implementation of the SRP protocol (SUSE40997 - LTC8745)
* Thu May 27 2004 mantel@suse.de
- don't make rcfs unusable when class directory under taskclass
  gets removed (SUSE41242)
* Thu May 27 2004 okir@suse.de
- merged pcnet-promisc-switchover patch (Don Fry)
* Thu May 27 2004 olh@suse.de
- add patches.drivers/ipr_ioa_reset_timeout_oops2.patch
  add patches.drivers/ipr_driver_version_2_0_9.patch
  fix oops when ipr adapter times out coming operational
  (SUSE41282 - LTC8950)
* Thu May 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  add patches.arch/ibm-ppc64-panic_on_oops.patch
  trigger a panic after an EEH error (SUSE41277 - LTC8773)
* Thu May 27 2004 okir@suse.de
- Updated to cifs 1.16 to fix the prepare write bug (SUSE41131)
* Thu May 27 2004 mantel@suse.de
- fix write failure on virtual DVDRAM (PPC) (SUSE41245)
* Thu May 27 2004 agruen@suse.de
- LTC8470 / SUSE40615: Fix teardown of partially initialised xfs
  buffers.
* Thu May 27 2004 okir@suse.de
- fix typo in previous pcnet fix
* Thu May 27 2004 okir@suse.de
- Merged patch for JFS hang on get_metapage (LTC8905 - SUSE41253)
- Fixed pcnet32 diagnostics patch (LTC8726 - SUSE40951)
* Thu May 27 2004 ak@suse.de
- force pci=noacpi for IBM HS20 and asus pr-dls (SUSE38178)
- fix b44 resume when interface is down
* Thu May 27 2004 agruen@suse.de
- patches.suse/jfs-dmapi-fix: Back out broken 32-bit compatibility
  code.
* Thu May 27 2004 garloff@suse.de
- tulip-napi-remove-hang: Better fix. (okir, SUSE39668)
* Wed May 26 2004 mason@suse.de
- ckrm permission fix (bug SUSE41270)
* Wed May 26 2004 mason@suse.de
- lkcd doesn't compile with 64k page size on ia64
* Wed May 26 2004 ak@suse.de
- Fix noapic, lapic, nolapic options (SUSE41236)
* Wed May 26 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10f
  fix snprintf bug in lpfc_proc_info
* Wed May 26 2004 ak@suse.de
- fix siblings issue on vmware
* Wed May 26 2004 mason@suse.de
- ckrm fix (bug SUSE41243) fix rcfs checking of values from userland
* Wed May 26 2004 mason@suse.de
- fix some compiler warnings in the rbce module
* Wed May 26 2004 mason@suse.de
- add ckrm rbce module (bug SUSE40398)
* Wed May 26 2004 agruen@suse.de
- SUSE41048: jfs dmapi fix for 64-bit kernel with 32-bit userspace.
* Wed May 26 2004 okir@suse.de
- merged two patches from mainline:
  1.1717.17.1 04/05/20 18:20:15 yoshfuji@linux-ipv6.org +1 -0
  [IPV6] handle return value from ip6_push_pending_frames().
  1.1726.1.17 04/05/21 13:20:48 akpm@osdl.org[torvalds] +1 -0
  Fix NFSD oops in readdir
* Wed May 26 2004 mason@suse.de
- export smp_send_stop on ia64 for lkcd
* Wed May 26 2004 mason@suse.de
- remove bogus vs-8115 warning from reiserfs
* Wed May 26 2004 mason@suse.de
- fix bug SUSE40642, reiserfs_commit_for_inode return values was
  causing problems for O_DIRECT and directory fsyncs
* Wed May 26 2004 mason@suse.de
- add lkcd-ia64-kerntypes-compile to use
  -fno-eliminate-unused-debug-types on for ia64 kerntypes file
* Wed May 26 2004 hare@suse.de
- add patches.arch/s390-03-{29|30}-april2004.diff
  Fix kernel oops on unloading DASD modules.
* Wed May 26 2004 mantel@suse.de
- add support for E7501 and CNB20LE/CNB30LE to ecc driver (SUSE41220)
* Wed May 26 2004 ak@suse.de
- add /proc/net/tcp_listen, tcp6_listen to make slpd scale better
  (SUSE40888)
* Wed May 26 2004 garloff@suse.de
- lustre-intent-fix-2: Fix intent initialization and interaction
  with fshooks.
* Wed May 26 2004 olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  In _raw_spin_lock_flags we were branching to the wrong spot and
  would restore random stuff to the MSR.
  (function is unused in our tree, fix it anyway)
* Wed May 26 2004 ak@suse.de
- print backtrace on bad vfrees
* Wed May 26 2004 axboe@suse.de
- don't allow non-fs requests to ide-disk, currently only the taskfile
  io path was checked (SUSE40704)
* Wed May 26 2004 ak@suse.de
- dump all registers on x86-64 in lkcd (part of SUSE39442)
* Wed May 26 2004 ak@suse.de
- enable IO-APIC in default kernel on IBM x445 (SUSE34649)
* Wed May 26 2004 ak@suse.de
- optimize proc tcp socket list walking slightly (SUSE40888)
* Wed May 26 2004 olh@suse.de
- add patches.fixes/blockdev-readahead-fix
  We need to set file->f_ra _after_ calling blkdev_open(), when
  inode->i_mapping points at the right thing.
  And we need to get it from inode->i_mapping->host->i_mapping too,
  which represents the underlying device.
* Wed May 26 2004 mantel@suse.de
- update b44 driver to version 0.94 (SUSE41149)
* Wed May 26 2004 okir@suse.de
- Added pcnet diagnostics patch (LTC8726 - SUSE40915)
* Wed May 26 2004 garloff@suse.de
- Enable tng_forkfnc/exitfnc.
* Wed May 26 2004 okir@suse.de
- added patch from John Stultz to fix vgettiomeofday on i386 (LTC8395-SUSE40504)
- s/tg3-autonet/tg3-autoneg/ in series.conf to fix previous commit
* Wed May 26 2004 ak@suse.de
- enable hardware flow control in tg3 driver
* Tue May 25 2004 mason@suse.de
- update ia64 .config for lkcd
* Tue May 25 2004 mason@suse.de
- add lkcd for ipf again
* Tue May 25 2004 olh@suse.de
- update patches.fixes/e1000-mb.patch
  remove mb again from e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Tue May 25 2004 mason@suse.de
- fix lkcd compile problem on x86_64
* Tue May 25 2004 mason@suse.de
- potential fix for SUSE40701 (BUG in aio) and some O_SYNC related
  reiserfs fixes
* Tue May 25 2004 andrea@suse.de
- fix the other smp race condition in do_stop() SUSE40082
* Tue May 25 2004 agruen@suse.de
- SUSE41146: jfs acls broken.
* Tue May 25 2004 kraxel@suse.de
- fix ieee1394 nodemgr locking (SUSE40177).
* Tue May 25 2004 ak@suse.de
- fix typo in previous lkcd patch
* Tue May 25 2004 mantel@suse.de
- work around parser problem for kernel-docs
* Tue May 25 2004 ak@suse.de
- clean up x86-64 lkcd changes and make them compile without CONFIG_DUMP
- minor lkcd fixes
* Tue May 25 2004 olh@suse.de
- add patches.suse/lkcd_cpu_hotplug_fix.patch
  use num_possible_cpus() when looking for cpus (SUSE41135 - LTC8863)
* Tue May 25 2004 olh@suse.de
- update patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  write 1 to /sys/bus/vio/drivers/viodasd/probe instead of reading
  from it (SUSE40528 - LTC8159)
* Tue May 25 2004 olh@suse.de
- add patches.arch/ibm-ppc64-fix-real_virtual-irq-mapping.patch
  fix virtual to real irq mapping
* Tue May 25 2004 olh@suse.de
- add patches.arch/ibm-ppc64-siginfo-copy
  ppc64: siginfo conversion fix for 32 -> 64bit
* Tue May 25 2004 hare@suse.de
- S/390: Update to IBM codedrop 25-05-2004
* Tue May 25 2004 olh@suse.de
- add patches.drivers/ipr_duplicate_ioa_reset_fix.patch
  fix timeout after duplicate reset commands (SUSE41050 - LTC8814)
  add patches.drivers/ipr_scsi_busy_io_hang.patch
  fix hang in io on unexpected scsi status (SUSE41049 - LTC8678)
  add patches.drivers/ipr_driver_version_2_0_8.patch
  bump version number
* Tue May 25 2004 agruen@suse.de
- patches.fixes/udf-cvsfix: Fix reading udf filesystems created
  with recent Win* tools.
* Tue May 25 2004 olh@suse.de
- remove patches.fixes/proc_bus_usb_bielefeld
  binary only apps like vmware cant be fixed to not read
  from /proc/bus/usb/devices (SUSE41036)
* Tue May 25 2004 olh@suse.de
- reenable patches.arch/ibm-ppc64-memcpy_tofromio.diff
  increment the loop counter (SUSE40978 - LTC8701)
* Tue May 25 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-longbusy
  check for busy state (SUSE41039 - LTC8798)
* Tue May 25 2004 olh@suse.de
- enable CONFIG_IXGB and CONFIG_S2IO on pseries64,
  enable NAPI for both drivers (SUSE41112 - LTC8851)
* Tue May 25 2004 okir@suse.de
- Fix lustre patch to work with updated cifs patch
* Tue May 25 2004 hare@suse.de
- Fix cifs merge to patch again.
* Tue May 25 2004 axboe@suse.de
- ide_pin_hwgroup() should check ->doing_barrier as well
* Tue May 25 2004 hare@suse.de
- really fix arch-atomic_inc_and_test for S/390 (SUSE41096).
* Tue May 25 2004 okir@suse.de
- Merge CIFS 1.15e to address problems in build_path_from_dentry (SUSE40973)
* Tue May 25 2004 olh@suse.de
- add patches.fixes/e1000_discriptor.patch
  allow setting Tx or Rx Descriptors above 3272 (SUSE41116 - LTC8857)
* Tue May 25 2004 olh@suse.de
- enable CONFIG_IBMOL on pseries (SUSE41099 - LTC8836)
* Tue May 25 2004 okir@suse.de
- pcnet32 driver on 79c973 reported all outgoing packets as
  TX errors; patch from Don Fry (LTC8689 - SUSE40886)
* Tue May 25 2004 hare@suse.de
- add patches.suse/ltt-hooks-remove-non-i386-7.39.patch
  Remove LTT on non-i386 architectures.
- fix xfs-mem-retry to build again.
* Tue May 25 2004 mantel@suse.de
- clean up megaraid driver (use own subdir for new driver)
* Tue May 25 2004 garloff@suse.de
- tulip-napi-remove-hang: Fix issue with removed tulip pcmcia card
  when NAPI is enabled (SUSE39668, cadaha).
* Tue May 25 2004 ak@suse.de
- retry failed allocations in XFS (SUSE39962)
- fix bug in NUMA API with huge nodemasks
* Tue May 25 2004 agruen@suse.de
- Add EXPORT_SYMBOL(laptop_mode).
- jfs updates/fixes: jfs-__get_metapage-size, jfs-d_instantiate-fix,
  jfs-error-recovery, jfs-invalidate-metadata-race, jfs-memleak,
  jfs-reduce-stack-usage, jfs-rmmod-fix.
* Tue May 25 2004 olh@suse.de
- update patches.fixes/e1000-mb.patch
  need also mb in e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Mon May 24 2004 agruen@suse.de
- xfs updates/fixes:
  + xfs-laptop-mode-patch: final laptop mode patch; rest already
  in kernel.
  + xfs-remove-some-dead-code: xfs_swappable code not used.
  + xfs-fix-some-warnings
  + xfs-jiffies-to-centisecs: Export/import tunable time
  intervals as centisecs not jiffies.
  + xfs-forced-shutdown-fix: Fix a use-after-free during
  transaction commit when the log is in error state.
  + xfs-use-set_current_state: Use set_current_state instead of
  direct current->state assignment, it has added memory barrier
  goodness.
* Mon May 24 2004 agruen@suse.de
- SUSE41054: Require irqbalance package for kernel-smp on x86_64.
* Mon May 24 2004 axboe@suse.de
- cfq rq allocation race fix
* Mon May 24 2004 hare@suse.de
- fix patches.arch/s390-mapped-base.patch
  to properly handle 31-bit emulation prgs (SUSE40895).
* Mon May 24 2004 axboe@suse.de
- cfq should check cfqd->xxx instead of the global defaults
* Mon May 24 2004 okir@suse.de
- Merged several pcnet32 fixes from Don Fry (LTC8703 - SUSE41034)
* Mon May 24 2004 mantel@suse.de
- DM fixes:
  o fix mpathd log writing loop (SUSE40787)
  o fix potential memory leak in an I/O mapping error-path
  o make kcopyd daemon single-threaded
* Mon May 24 2004 ak@suse.de
- add acpi=oldboot alias for acpi=ht for compatibility
* Mon May 24 2004 mantel@suse.de
- re-add cleaned up version of ES7000 support
* Mon May 24 2004 okir@suse.de
- fix setsockopt/getsockopt 32bit emulation for IPV6_ONLY and
  a few other ioctls (LTC7563/SUSE38941)
* Mon May 24 2004 kraxel@suse.de
- framebuffer palette handling fix (SUSE38364).
* Mon May 24 2004 okir@suse.de
- Fixed typo in previous patch
* Mon May 24 2004 okir@suse.de
- Fix for IPv6 tunnel PMTU problem (SUSE41017)
* Mon May 24 2004 schwab@suse.de
- Set platform specific PROM flag on sn2 [SUSE40927].
* Mon May 24 2004 hare@suse.de
- S/390: Update to official IBM codedrop 18-05-2004
- S/390: Split IBM codedrop 27-04-2004 in individual patches
  for better maintenance.
* Mon May 24 2004 hare@suse.de
- add patches.suse/lkcd-x86_64-netdump.patch
  Fix netdump on x86_64 (SUSE40608)
* Mon May 24 2004 andrea@suse.de
- fix for ia64 arch-atomic_inc_and_test needed by the
  page-freeing-race-fix.
* Sun May 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix2.patch
  update for power4 (SUSE40468 - LTC8498)
* Sun May 23 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  init iseries_vscsi_dev.iommu_table (SUSE40818 - LTC8642)
* Sun May 23 2004 olh@suse.de
- add patches.drivers/ipr-gcc-attribute-fixes-1.patch
  split packed ipr structs
  add patches.drivers/ipr_delete_anon_unions-4.patch
  make gcc 2.95 happy
  add patches.drivers/ipr_eh_elog_fixes-2.patch
  more logging in abort, device reset, and bus reset paths
  add patches.drivers/ipr_ioa_reset_timeout_oops-3.patch
  fix oops on bad hardware (SUSE40207 - LTC8316)
  add patches.drivers/ipr_driver_version_2-0-7-5.patch
  bump driver version
* Sun May 23 2004 olh@suse.de
- add patches.fixes/initramfs-uncompress.patch
  handle 512 byte aligned gzip headers
* Sun May 23 2004 axboe@suse.de
- fix ide barrier plugging race (SUSE41028)
* Sun May 23 2004 agruen@suse.de
- SUSE41015: Deadlock on path reiserfs_setxattr => xah->set =>
  user_set => reiserfs_permission_locked => _reiserfs_permission:
  reiserfs_setxattr does down_write(xattr_sem);
  _reiserfs_permission then does down_read(xattr_sem).
* Sun May 23 2004 garloff@suse.de
- Disable page-freeing-race-fix.patch on ia64.
* Sun May 23 2004 axboe@suse.de
- Fix barrier clearing in ext3, and fix several bugs in barrier-ide
  in error handling.
* Sun May 23 2004 agruen@suse.de
- Preserve timestamps of km_* files when copying them from
  /usr/src/kernel-modules to %%_builddir.
* Sat May 22 2004 schwab@suse.de
- Fix cosmetical bug in quiet_cmd_modules_install_extra.
* Sat May 22 2004 garloff@suse.de
- small-filp: Reduce size of struct file from 264 to 256 on 64bit.
* Sat May 22 2004 garloff@suse.de
- lustre-intent-fix: streamline locking and export symbol.
* Sat May 22 2004 garloff@suse.de
- steal-locks: Only migrate locks to current if we have the resp.
  file descriptors (agruen, SUSE40400).
* Fri May 21 2004 ak@suse.de
- Fix x86-64 export for smp_stop_*
- Backport fixed 32bit select from 2.6.7 for x86-64
- Make it compile without CONFIG_CKRM
- Add some missing numa API documentation
* Fri May 21 2004 agruen@suse.de
- Fix a reference to page->count on s390.
* Fri May 21 2004 mantel@suse.de
- SLES9 Beta6 (CVS tag SLES9_BETA6)
* Fri May 21 2004 axboe@suse.de
- Make CFQ the default IO scheduler
* Fri May 21 2004 olh@suse.de
- disable broken patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 mantel@suse.de
- remove bogus WARNING from futex (SUSE40837)
* Fri May 21 2004 mason@suse.de
- export __log_start_commit for ext3
* Fri May 21 2004 mantel@suse.de
- update acenic driver to make it work; verified by IBM (SUSE40983)
* Fri May 21 2004 mason@suse.de
- fix a reiserfs bug when filesystem block size is less then the
  page size
* Fri May 21 2004 garloff@suse.de
- security-disabled-optimize-cap-default: Put a correctly predicted
  branch in the inlined LSM hooks rather than doing the indirect
  calls. The default is capability now, the module does not need
  to be compiled-in nor loaded (SUSE39439).
* Fri May 21 2004 olh@suse.de
- add patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 mason@suse.de
- bug SUSE40197, make ext3 retry failed allocations
* Fri May 21 2004 okir@suse.de
- patch from IPSec Oops when deleting an ip address to prevent
  IPSec Oops when deleting an ip address (via netdev)
* Fri May 21 2004 ak@suse.de
- Remove ES7000 patches for now since they break too many
  other machines (SUSE40944)
* Fri May 21 2004 mantel@suse.de
- CKRM: add missing root checks (SUSE40106)
* Fri May 21 2004 schwab@suse.de
- Enable oprofile [SUSE40939].
* Fri May 21 2004 schwab@suse.de
- Unwinding fixes [SUSE40928].
* Fri May 21 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  add patches.fixes/show_stat-for_each_online_cpu.patch
  report sibling cpus properly in /proc/stat (SUSE38886 - LTC7522)
* Fri May 21 2004 okir@suse.de
- Prevent buffer overflows if buggy/hostile NFS server returns
  giant symlinks
* Fri May 21 2004 ak@suse.de
- disable another annoying printk in ipv6
* Fri May 21 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  probe new disks by reading /sys/bus/vio/drivers/viodasd/probe
  (SUSE40528 - LTC8159)
* Fri May 21 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  ibmvscsi_remove doesnt take null pointers (SUSE40818 - LTC8642)
* Fri May 21 2004 ak@suse.de
- add fix for via rhine negotation problems with forced link
* Fri May 21 2004 okir@suse.de
- prevent race condition in procfs access to task->group_info (SUSE38009 - LTC7259)
* Fri May 21 2004 olh@suse.de
- add patches.suse/lkcd_remove_ioctl32reg_ppc64.patch
  LKCD ppc64 tries ioctl32 registration twice (SUSE40543 - LTC8552)
* Fri May 21 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-pci_dev_get.patch
  fix unbalanced pci_dev_get()/put() calls (SUSE40899 - LTC8698)
* Fri May 21 2004 garloff@suse.de
- qla-nvram-settings: Patch from A Vasquez to fixup an invalid
  NVRAM setting in qla2xxx. (SUSE40092)
* Fri May 21 2004 okir@suse.de
- Prevent deadlock in IPIP tunnel (error path)
* Fri May 21 2004 axboe@suse.de
- don't leave ->waiting pointer left pointing to old stack
* Fri May 21 2004 okir@suse.de
- Fix handling of IPv6 mapped IPv4 addresses (SUSE40894)
* Fri May 21 2004 andrea@suse.de
- SUSE38478: fix ramfs 2G limit
* Fri May 21 2004 agruen@suse.de
- SUSE40950: Add files to kernel-source.spec so that binary kernels
  can be built directly from kernel-source.spec.
* Fri May 21 2004 andrea@suse.de
- fix VM double freeing longstanding race condition, patches
  from -mm, bug SUSE38424
* Fri May 21 2004 mason@suse.de
- bug SUSE40450 and SUSE40581, data miscompares on reiser
- catch some missed reiserfs io error handling cases (jeffm)
- enable reiserfs write barriers by default
* Fri May 21 2004 mason@suse.de
- fix problem between reiserfsck --rebuild-tree and the
  new reiserfs block allocator
* Thu May 20 2004 mason@suse.de
- bug SUSE40937, SUSE40929, SUSE40396 ckrm fixes
* Thu May 20 2004 mason@suse.de
- bugzilla dump
- bug SUSE40391, SUSE40660, SUSE40659, SUSE40653 - ckrm fixes
- bug SUSE40755 lkcd fix for ppc64
- bug SUSE40893 apply limits to jfs mount options
* Thu May 20 2004 ak@suse.de
- Fix CPU online check in msr and cpuid drivers
* Thu May 20 2004 ak@suse.de
- Remove 99 char limit on cpumask (SUSE40820)
* Thu May 20 2004 garloff@suse.de
- scsi-early-set-max-dev-blocked: Avoid possible recursion by
  initializing max_device_blocked early enough.
- st-ioctl-idlun-support: st would not answer SCSI_IOCTL_GET_IDLUN
  correctly without this.
* Thu May 20 2004 olh@suse.de
- enable patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  and patches.arch/ibm-ppc64-hotcpu_numa.patch
  add patches.arch/ibm-ppc64-numa-find_min_common_depth.patch
  DLPAR and NUMA married. (SUSE40430 - LTC8104)
* Thu May 20 2004 schwab@suse.de
- A better fix for the rt_sigprocmask fast syscall [SUSE30297].
* Thu May 20 2004 olh@suse.de
- add patches.fixes/ext2-init-goal
  [PATCH] use-before-uninitialized value in ext3(2)_find_ goal
* Thu May 20 2004 ak@suse.de
- Update clone-balance patch to newer version from mainline for
  better performance.
- Disable clone balancing on ia64 since it doesn't scale well to
  huge machines.
- Rediff LaUS-kernel patch.
* Thu May 20 2004 olh@suse.de
- add patches.fixes/sunrpc-svc_recv-init-len
  svc_recv may call svc_sock_release before rqstp->rq_res is
  initialized.
* Thu May 20 2004 olh@suse.de
- add patches.fixes/ppc32-save-all-regs
  Get full register set on bad kernel accesses
* Thu May 20 2004 olh@suse.de
- add patches.arch/ibm-ppc64-set_pte-race
  close a race windows when set_pte is called on a present PTE
  (SUSE39039 - LTC7625)
* Thu May 20 2004 olh@suse.de
- add patches.arch/ibm-ppc64-systemcfg
  add POWER5 value to systemcfg.h (SUSE40870 - LTC8666)
* Thu May 20 2004 olh@suse.de
- add patches.arch/suse-ppc64-autoconsole.patch
  try to autodetect serial console on Xserve
* Thu May 20 2004 olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  Fix inline version of _raw_spin_trylock
* Thu May 20 2004 garloff@suse.de
- selinux-opt-selinux0: Don't do the indirect security_opt calls
  if selinux is not enabled to avoid perf penalty. (SUSE39439)
* Wed May 19 2004 olh@suse.de
- enable zilog console for pmac64
* Wed May 19 2004 olh@suse.de
- add patches.drivers/qla-check-pci_map_sg-2.patch
  check for pci_map_sg failure (SUSE40677 - LTC8321)
* Wed May 19 2004 olh@suse.de
- add patches.fixes/jfs-GFP_NOFS-2.patch
  Set bdev's gfp_mask to GFP_NOFS when mounting rw (SUSE40654 - LTC8590)
* Wed May 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-slot_errbuf_lock.patch
  slot-error-detail buffer needs a lock (SUSE40823 - LTC8661)
* Wed May 19 2004 okir@suse.de
- Made vgettimeofday controllable by boot param; default to off
* Wed May 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas_slot_error_detail.patch
  log slot-error-detail properly (SUSE40824 - LTC8656)
* Wed May 19 2004 schwab@suse.de
- Convert /proc/perfmon to seqfile API [SUSE40819].
* Wed May 19 2004 garloff@suse.de
- lustre-intent: Integrate the intent stuff LUSTRE needs for
  integration into the kernel.
* Wed May 19 2004 ak@suse.de
- Fix 64bit sendfile on s390x too
* Wed May 19 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  missing spin_unlock in error path
* Wed May 19 2004 ak@suse.de
- Fix sendfile for files >2GB on 64bit architectures
- Fix >2GB sendfile on XFS
* Wed May 19 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  fix TX errors in iseries_veth, another logic bug
* Wed May 19 2004 olh@suse.de
- add patches.suse/kdb-ppc64-udbg_write
  write to OF stdout instead of console
* Wed May 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-readq_writeq
  fix readq/writeq
* Wed May 19 2004 olh@suse.de
- add patches.fixes/ppc64-PT_FPSCR
  Fix incorrect PT_FPSCR definition
* Wed May 19 2004 olh@suse.de
- add patches.fixes/ppc.970-cpuinit
  Cleanup PPC970 CPU initialization
  add patches.fixes/ppc32-altivec-exception-handling
  Handle altivec assist exception properly
  add patches.fixes/ppc32-altivec-trap
  Fix thinko in the altivec exception code
* Wed May 19 2004 olh@suse.de
- add patches.fixes/video-radeon-lvds-typo
  Fix typo nonsense test in radeon PMAC backlight code.
* Wed May 19 2004 olh@suse.de
- add patches.suse/ibm-ppc64-970fx-smp-init
  Add proper  SMP init on dual 970FX based machines
* Wed May 19 2004 olh@suse.de
- add patches.fixes/usb-keep-bound-interfaces
  dont oops in usb_ifnum_to_if
  add patches.fixes/usb-serial-keyspan-upr112
  add patches.fixes/usb-storage-ibm-memkey
  add patches.fixes/usb-storage-kyocery-finecam
  add patches.fixes/usb-storage-sony-clie
  add patches.fixes/usb-storage-sony-handycam
  new firmware for keyspan device, new unusual dev entries
* Wed May 19 2004 axboe@suse.de
- Patchlet to expose backing device read-ahead setting through sysfs
* Wed May 19 2004 okir@suse.de
- mmapped pages on NFS would never be discarded (SUSE39480)
* Wed May 19 2004 okir@suse.de
- Updated CIFS to cifs-1.15-suse provided by Steve French (SUSE40736)
- Make CIFS sockets use sk_allocation = NOFS to prevent deadlock (SUSE40736 too)
* Wed May 19 2004 andrea@suse.de
- Fix smp race in set_page_dirty (SUSE39268)
* Wed May 19 2004 garloff@suse.de
- scsi-bflags-266: Add BLIST_MS_192_BYTES_FOR_3F from 2.6.6 to
  avoid conflicting blacklist constants.
* Tue May 18 2004 olh@suse.de
- update patches.fixes/jfs-commit_threads
  more updates for the fix (SUSE40540 - LTC8497)
* Tue May 18 2004 agruen@suse.de
- Fix use of floating-point in lirc-parallel.ko.
* Tue May 18 2004 ak@suse.de
- Fix empty node 0 on x86-64 (SUSE39708)
* Tue May 18 2004 agruen@suse.de
- Export swapper_space and delete_from_swap_cache symbols; the
  former is used by ocfs2.
* Tue May 18 2004 agruen@suse.de
- patches.fixes/jfs-config-fix: Fix for CONFIG_JFS_POSIX_ACL=n.
* Tue May 18 2004 ak@suse.de
- Another try at fixing the x86-64 timer bug (SUSE40751)
* Tue May 18 2004 garloff@suse.de
- sched-double-lock-contention: less locking in balancing (sched).
* Tue May 18 2004 olh@suse.de
- add patches.drivers/scsi_debug.patch
  update driver to 1.73
* Tue May 18 2004 garloff@suse.de
- Merge PCIe and Standard PCI hotplug updates from 2.6.6 (SUSE34641).
* Tue May 18 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hash-page-ri.patch
  dont clear MSR.RI in exit path of do_hash_page_DSI. (SUSE40637 - LTC8576)
* Tue May 18 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  Changes to hvcs to fix several concerns including documentation,
  interrupt handling, and code formatting.
* Tue May 18 2004 olh@suse.de
- add patches.fixes/sg_cmd_done_oops_again.patch
  fix races in sg ioctl handling (SUSE40394 - LTC8371)
* Tue May 18 2004 olh@suse.de
- add patches.suse/kdb-ppc64-bt-tail-recursion
  handle tail-recursive routines in kdb bt (SUSE39989 - LTC8037)
* Tue May 18 2004 okir@suse.de
- allow 8 instead of 5 levels of indirection via symlinks (SUSE40720)
- changed smbfs follow_link function to use kmalloc instead of
  putting a 256 byte buf on the stack
* Tue May 18 2004 okir@suse.de
- Updated sunrpc-bogus-export-entry to official fix from
  Neil Brown; disabled sunrpc-null-noauth which is obsoleted by this.
* Tue May 18 2004 ak@suse.de
- Disable es7000+x86-64 fixes because they still seem to have
  problems
* Tue May 18 2004 okir@suse.de
- Merged several CIFS fixes from Steve French:
   - out of memory deadlock (SUSE40736, SUSE40735)
   - deadlock in readdir
   - truncated readdir() results in some cases
* Tue May 18 2004 mantel@suse.de
- fix oops in hiddev.c
* Tue May 18 2004 okir@suse.de
- Cleaned up cifs-update patch, removed garbage file cifs/file.c.temp.short.c
* Tue May 18 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iSeries-SRC.patch
  update SRC on boot (SUSE40756 - LTC8360)
* Tue May 18 2004 mantel@suse.de
- inrease blk_queue_max_sectors for cciss driver (SUSE40757)
* Tue May 18 2004 ak@suse.de
- Backport SIS 746,648 AGP fixes from mainline
* Tue May 18 2004 ak@suse.de
- Fix VIA, SIS, Nvidia, AMD K7 AGP drivers to only announce their
  supported PCI IDs (SUSE40622)
- Add missing SIS755 ID to amd64 AGP driver
* Tue May 18 2004 ak@suse.de
- Fix timer interrupt on x86-64 (SUSE40751)
* Tue May 18 2004 agruen@suse.de
- SUSE40682: Make arch/$ARCH/defconfig the default configuration for
  `make menuconfig' instead of /boot/config-`uname -r`.
* Mon May 17 2004 olh@suse.de
- add patches.suse/kdb-common-console_detection
  disable kdb if no console detected, rather than stop booting.
  (SUSE40737)
* Mon May 17 2004 okir@suse.de
- Fixed BUG() in nfs_clear_inode (SUSE40536)
* Mon May 17 2004 agruen@suse.de
- Add symbol versions of modules from km_* packages to
  /boot/symvers-%%ver_str.gz.
- Fix minor linkage bug in mobile ipv6.
* Mon May 17 2004 kraxel@suse.de
- add patches.uml/uml-general-protection-fault: fix uml general
  protection fault handling (SUSE35761).
* Mon May 17 2004 garloff@suse.de
- exec-sig-tty-timer-init: When we alloc a new signal struct by
  calling exec from a a thread, posix_timers and tty were not
  properly initialized. (SUSE40407, LTC8378, ssant@in.ibm.com)
* Mon May 17 2004 hare@suse.de
- Disable LTT for S/390. Totally broken.
* Mon May 17 2004 olh@suse.de
- add patches.arch/intel-soft-float, finally!
* Mon May 17 2004 ak@suse.de
- Fix AGP/NX allocation bug on x86-64 (SUSE40703)
* Mon May 17 2004 olh@suse.de
- add patches.fixes/e1000_memory_leak_fix.patch
  fix e1000 DMA mapping leak (SUSE40371 - LTC8427)
* Mon May 17 2004 agruen@suse.de
- kernel-binary.spec: Fix check for unresolved symbols.
* Sun May 16 2004 agruen@suse.de
- kernel-syms.spec: Don't fail when symver dump files are
  missing.
* Sun May 16 2004 agruen@suse.de
- SUSE40545: patches.fixes/xfs-endianness-fix: Fix XFS recovery on
  64-bit big-endian architectures.
- SUSE38009: patches.fixes/groups-alloc-0 did not fix the actual bug.
- SUSE40545: patches.fixes/jfs-commit_threads-fix: Get rid of
  floating point in jfs.
* Sat May 15 2004 schwab@suse.de
- Fix botched riva fbdev lvalue conversion.
* Sat May 15 2004 olh@suse.de
- disable patches.fixes/jfs-commit_threads, uses floats (SUSE40540)
* Sat May 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-fix-smt-oprofile
  set the run latch in the control register to make PMC6 count
  (SUSE40643 - LTC8582)
* Sat May 15 2004 olh@suse.de
- update patches.fixes/e1000-netdev_register.patch
  move debug printk (SUSE40181 - LTC8195)
* Sat May 15 2004 olh@suse.de
- add patches.suse/kdb-xmon-ppc64-shuffle-sysrq-keys
  Alt-SysRq-d for KDB overrides LKCD (SUSE40373 - LTC8431)
* Sat May 15 2004 olh@suse.de
- add patches.suse/kdb-ppc64-print-unknown-sym
  put some spaces between addr and opcode (SUSE40427 - LTC8364)
* Sat May 15 2004 olh@suse.de
- update patches.fixes/e100-mb.patch
  mb needed in e100_exec_cmd() (SUSE40387 - LTC8455)
* Sat May 15 2004 olh@suse.de
- add patches.fixes/compat-ioctl-HDIO_DRIVE_TASK.patch
  handle also HDIO_DRIVE_TASKFILE (SUSE40276 - LTC8380)
* Sat May 15 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-readonly-disks
  handle read-only viodasd disks (SUSE40380 - LTC8442)
* Sat May 15 2004 olh@suse.de
- update patches.fixes/e100-mb.patch
  rmb needed in e100_rx_indicate() (SUSE40376 - LTC8434)
* Fri May 14 2004 olh@suse.de
- update patches.arch/suse-ppc64-iseries-available_veth
  do not write outside the allocated buffer
* Fri May 14 2004 garloff@suse.de
- Fix minor merging error of sysctl_hugetlb_shm_group and
  disable-cap-mlock (from andrea).
* Fri May 14 2004 olh@suse.de
- disable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  as broken as patches.suse/dm-03-32bit-ioctl
* Fri May 14 2004 agruen@suse.de
- Add supported command line option to disallow loading of
  unsupported modules.
* Fri May 14 2004 olh@suse.de
- disable kdb per default on pseries64. use 'kdb=on' to activate it
* Fri May 14 2004 agruen@suse.de
- Fix file list in kernel-syms.spec.
* Fri May 14 2004 okir@suse.de
- fixed strip level in previous patch
* Fri May 14 2004 okir@suse.de
- groups_alloc(0) would not allocate enough memory (SUSE38009)
* Fri May 14 2004 schwab@suse.de
- Fix missing VM_RESERVED in ia32 emulation [SUSE40532].
* Fri May 14 2004 schwab@suse.de
- Fix error handling in fast version of rt_sigprocmask [SUSE30297].
* Fri May 14 2004 agruen@suse.de
- running-kernel init script: Allow the running kernel and kernel
  sources to have a different version/release.
* Fri May 14 2004 mantel@suse.de
- fix boot on ES7000 machines (SUSE40274)
* Fri May 14 2004 mantel@suse.de
- JFS: fix hang with multiple mkdir commands (SUSE40540)
* Fri May 14 2004 mantel@suse.de
- CKRM: Don't allow non-root users to move any process to any
  class (SUSE40106)
* Fri May 14 2004 agruen@suse.de
- Create missing directories in kernel-syms.spec.
* Fri May 14 2004 hare@suse.de
- Fix lkcd dump for DUMP_LEVEL=1 (SUSE39840).
* Fri May 14 2004 okir@suse.de
- CIFS: prevent oops in smb_init if kmalloc fails (SUSE40385)
* Fri May 14 2004 agruen@suse.de
- No loger abort the build when modules are not listed in
  supported.conf.
* Fri May 14 2004 ak@suse.de
- Add simple CMP support to x86-64
* Fri May 14 2004 hare@suse.de
- Update sysfs-backing-store to official version from
  2.6.6-mm2 (SUSE36248).
* Fri May 14 2004 mantel@suse.de
- update pci.ids file to latest version
* Fri May 14 2004 mantel@suse.de
- fix AMD64 iommu compatibility in aacraid driver
* Fri May 14 2004 olh@suse.de
- update patches.arch/ibm-ppc64-numa-topology
  make some variables unsigned int (SUSE40201 - LTC8309)
* Fri May 14 2004 agruen@suse.de
- Fold patches.suse/tainted-warning into
  patches.rpmify/supported-flag where the bug was introduced.
* Thu May 13 2004 mason@suse.de
- enable ltt and dprobes in the i386 debug kernel
- fix minor merging error between kdb and ltt/dprobes
- fix lkcd so that it cant reboot after a crash (SUSE40218)
- fix ltt so that it works with regparm (SUSE40392)
- fix relayfs to use a workqueue for file removal (SUSE40393)
- fix the kernel taint message to send the proper number of args
  to printk (patches.suse/tainted-warning)
* Thu May 13 2004 mantel@suse.de
- back put aic7xxx driver update: driver panics
* Thu May 13 2004 kkeil@suse.de
- fix typo in the PCMCIA driver name in avm_cs.c
* Thu May 13 2004 olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth
  show the configured veth interfaces in /proc/iSeries/config
  (SUSE40527)
* Thu May 13 2004 schwab@suse.de
- Don't strip at all when compiling with debug info.
* Thu May 13 2004 agruen@suse.de
- Update unsupported modules patch; add /proc/sys/kernel/unsupported
  switch to allow/disallow loading unsupported modules.
* Thu May 13 2004 olh@suse.de
- add patches.fixes/scsi_device-type-signed.patch
  char is signed, aic7xxx puts a -1 in it.
* Thu May 13 2004 schwab@suse.de
- Add debug configuration for ia64.
* Thu May 13 2004 olh@suse.de
- add patches.drivers/qla2xxx-wmb_additions-sles9.diff
  io barriers for qla driver (SUSE40173 - LTC8017)
* Thu May 13 2004 kraxel@suse.de
- fix uml network problem (SUSE39978).
* Thu May 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks-kconfig
  CONFIG_SPINLINE for slpar locks
* Thu May 13 2004 mantel@suse.de
- fix scalability problem with del_timer_sync() (SUSE40475)
* Thu May 13 2004 mason@suse.de
- patch ltt and dprobes in again after some review from s390
  maintainers.  These patches are still disabled in .config
* Thu May 13 2004 mantel@suse.de
- update aic7xxx to 6.3.6 and aic79xxx to 2.0.8 (SUSE40144)
* Thu May 13 2004 mason@suse.de
- fix a race during writeback_inodes where the filesystem may
  be unmounted while it is being processed (bug SUSE40457 I hope)
* Thu May 13 2004 garloff@suse.de
- Correct binary kernel license: Proprietary modules are contained
  thus the license is non-GPL.
* Thu May 13 2004 schwab@suse.de
- Kill node_first_cpu [SUSE40449].
* Thu May 13 2004 ak@suse.de
- Implement simple overcommit memory checking for hugepages
  Can be controlled with /proc/sys/vm/overcommit_hugepages
- Do lazy hugepage allocation on IA64
- Support NUMA policy for huge tlb pages on IA64
- Fix a race in i386 hugepage allocation
- Fix mbind to not crash when it reaches end of memory
- Fix get_user_pages for lazy hugetlb
* Thu May 13 2004 ak@suse.de
- Mark subfs as supported again
* Thu May 13 2004 schwab@suse.de
- Update configs.
* Thu May 13 2004 olh@suse.de
- disable patches from SUSE40430 - LTC8104, go with this one instead:
  patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Thu May 13 2004 mason@suse.de
- disable ltt and dprobes
* Thu May 13 2004 hare@suse.de
- Add patches.suse/lkcd-arch-kerntypes.patch
  to enable kerntypes support for all architectures.
* Thu May 13 2004 hare@suse.de
- Fix patches.arch/s390-mapped-base.patch to compile on s390x.
* Thu May 13 2004 olh@suse.de
- add patches.fixes/linux-2.6.5-6.usb.dvb.diff
  fix unresolved symbol in dvb-ttusb-budget driver
* Thu May 13 2004 schwab@suse.de
- Fix breakage from mason.
* Thu May 13 2004 hare@suse.de
- Fix /proc/mapped_base for S/390 (SUSE40080).
  Add patches.arch/s390-core-changes.patch
  Add patches.arch/s390-mapped-base.patch
  Remove patches.arch/s390-proc-mapped-base.patch
  Reworked patches.suse/noexec_stack4 to apply again.
* Thu May 13 2004 ak@suse.de
- check for disabled nodes before registering them in sysfs
  partial fix for SUSE39708
* Thu May 13 2004 ak@suse.de
- mark econet and wanpipe as unsupported too
* Thu May 13 2004 ak@suse.de
- fix locking in bond_close()
* Thu May 13 2004 olh@suse.de
- revert rename hid -> usbhid from usb update
  remove random_ether_addr change from usbnet
* Thu May 13 2004 ak@suse.de
- really kill all reparent_to_init()s in amdshpc
* Thu May 13 2004 okir@suse.de
- nfsd: allow NULL calls to succeed, even if we don't know the
  client (SUSE40463)
* Thu May 13 2004 ak@suse.de
- set /dev/mem memory holes to uncached on x86-64 to make MTRRs
  work (SUSE29200)
* Thu May 13 2004 axboe@suse.de
- barrier-core update. clear_buffer_write_io_error() on
  WRITE_BARRIER, not just write (should just check direction).
  Correctly check BIO_EOPNOTSUPP at end_io time as well (for async
  notication of lacking barrier support)
* Thu May 13 2004 axboe@suse.de
- Correctly check cfs_enable_2 bits for FLUSH_CACHE/_EXT support
  (SUSE39747)
* Thu May 13 2004 mason@suse.de
- add ltt and dprobes, disabled in .configs
- fix ckrm bugs SUSE40024 SUSE40084 SUSE40386
- fix ckrm memory corruption in networking code
- fix relayfs compiler warning
* Thu May 13 2004 andrea@suse.de
- rewrite swap-unplug fixing at least one unplugging bug
  and with much cleaner design that doesn't expose swapcache
  details into the highlevel pagecache code, this should fix
  SUSE39744 correctly.
* Thu May 13 2004 olh@suse.de
- update usb stack to 2.6.6 level
* Thu May 13 2004 olh@suse.de
- build ibmveth as a module on pseries64
* Thu May 13 2004 olh@suse.de
- build tokenring as a module on iseries64
* Thu May 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks
  [PATCH] Un-inline spinlocks on ppc64
* Thu May 13 2004 agruen@suse.de
- patches.suse/intel-vtune-fix: Make compile on i386, enable it
  in the config files.
* Wed May 12 2004 okir@suse.de
- Fix TCPv6 dst underruns introduced by MIPv6 patch (SUSE39713)
* Wed May 12 2004 schwab@suse.de
- Only strip debug symbols from vmlinux.
* Wed May 12 2004 ak@suse.de
- add amd 8131 hotplug pci driver
* Wed May 12 2004 kraxel@suse.de
- make uml kernels uname syscall return machine == "i586" [bug SUSE40273]
* Wed May 12 2004 ak@suse.de
- small powernow-k8 update from AMD to handle newer CPUs
* Wed May 12 2004 axboe@suse.de
- dm-zero.c is buggy, it passes a bad argument to bvec_kunmap_irq()
* Wed May 12 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  patches.arch/ibm-ppc64-hotcpu_numa.patch
  patches.fixes/hotcpu_notifier_c99_initializers.patch
  obsoletes patches.arch/ibm-ppc64-numa-topology
  (SUSE40430 - LTC8104) CPU DLPAR and NUMA wont play well together
* Wed May 12 2004 agruen@suse.de
- Add missing wlan modules to supported.conf.
* Wed May 12 2004 garloff@suse.de
- sbp2-reset-3: Return SUCCESS in _abort handler if command can
  just be dequeued. Don't abort running commands then by resetting
  the bus. (SUSE38892)
- Enable i386/debug kernel in config.conf.
* Wed May 12 2004 schwab@suse.de
- Force little-endian during signal delivery [SUSE40382].
* Wed May 12 2004 mantel@suse.de
- fix shutting down network with quad tulip card (SUSE39204)
* Wed May 12 2004 okir@suse.de
- Fixed bug in tcp_ipv6_check_established
* Wed May 12 2004 olh@suse.de
- enable patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Wed May 12 2004 olh@suse.de
- update patches.arch/ibm-ppc64-rtasmsgs.patch
  rtasmsg patch with on/off instead of 0/1 (SUSE40195 - LTC8320)
* Wed May 12 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-isa-check.patch
  handle EEH on ISA devices (SUSE40221 - LTC8347)
* Wed May 12 2004 agruen@suse.de
- Fix external module support for SUBDIRS="more/ than/ one/".
* Wed May 12 2004 mantel@suse.de
- set up read-ahead for cciss driver on a per queue basis (SUSE40389)
* Wed May 12 2004 garloff@suse.de
- Enable CONFIG_DEBUG_STACK_OVERFLOW in i386 kernels, disbale
  CONFIG_DEBUG_STACK_USAGE instead.
- Add debug kernel config (currently disabled).
* Wed May 12 2004 mantel@suse.de
- don't start stopped processes on suspend to disk (SUSE38637)
* Wed May 12 2004 schwab@suse.de
- Fix pci probing on ia64 [SUSE38930].
* Wed May 12 2004 schwab@suse.de
- Don't use EXEC_PAGESIZE when PAGE_SIZE is meant.
* Wed May 12 2004 agruen@suse.de
- SUSE39199: Add Intel VTune(TM) Performance Analyzer Driver, with
  fixes from Intel.
- Add patches.fixes/priotree-hugetlbfs-truncate-lockup to
  series.conf.
* Wed May 12 2004 olh@suse.de
- remove patches.drivers/pcnet32-drop-ltint.patch
  add patches.fixes/pcnet32-disable-ltint
  just disable ltint for the time being
* Wed May 12 2004 olh@suse.de
- add patches.fixes/ext3-bogus-enospc
  [PATCH] Fix ext3 bogus ENOSPC
* Wed May 12 2004 olh@suse.de
- add patches.fixes/radeonfb_overlapping_copyarea
  [PATCH] radeon: fix overlapping copyarea
* Wed May 12 2004 olh@suse.de
- add patches.arch/ppc-XTABS-termio.patch
  PPC termio fix for TABDLY bits TAB3/XTABS
* Wed May 12 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  Fix panic in ibmvscsi_eh_abort_handler (LTC bugzilla 7983)
  fix the ibmvscsi server
  - getting rid of some debug that shouldn't be there
  - fixes the way adapter information is sent to the client
  - fixes a hang when the client sends device_reset or abort
* Tue May 11 2004 garloff@suse.de
- priotree-hugetlbfs-truncate-lockup: Patch from andrea, fixing
  a corner case with hugetlbfs truncate lockup in priotree.
* Tue May 11 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  show correct number of cpus (SUSE40194 - LTC8340)
* Tue May 11 2004 olh@suse.de
- add patches.fixes/dentry_inode_cache_hash.patch (SUSE40102 - LTC8261)
  [PATCH] dentry and inode cache hash algorithm performance changes.
* Tue May 11 2004 agruen@suse.de
- Add supported flag for modules. The file supported.conf lists
  all modules, and marks unsupported modules as in series.conf.
  Loading an unsupported module taints the kernel.
- Mark all drivers that depend on CONFIG_ISA as unsupported.
- Add a warning when symbol versions are not found while compiling
  external modules. Update documentation and example module.
* Tue May 11 2004 olh@suse.de
- update patches.fixes/schedaffinity-compat
  reverse check for access_ok result
* Tue May 11 2004 olh@suse.de
- add patches.arch/ibm-ppc64-vpurr (SUSE39732 - LTC8074)
  replaces patches.arch/ibm-ppc64-vpurr-preserve-cpumask
* Tue May 11 2004 okir@suse.de
- removed a few obsolete nfs and ipv6 patches
* Tue May 11 2004 mantel@suse.de
- device mapper fixes:
  o fix some potential buffer-overflow issues
  o exchange slow bit-by-bit count to use hweight32 to count bits
  per uint32_t
* Tue May 11 2004 mantel@suse.de
- fix non-working filtering based on file device number (SUSE40089)
* Tue May 11 2004 mantel@suse.de
- disable CONFIG_INTERMEZZO_FS
* Tue May 11 2004 olh@suse.de
- add patches.arch/ppc64-io-barrier2, make barriers stronger
* Tue May 11 2004 garloff@suse.de
- dentry-bloat: We don't need cache line alignment for dentries,
  more space for inline filenames (from Linus, in 2.6.6)
- qlogicisp-eh: Minimal for for qlogicisp exception handling
- scsi-format-unit-timeout: Some SCSI disks need much more than
  two hours to format.
- acpi-pci-link: Patch from Len Brown to fix IRQ assignment for
  2.6.6, disabled for 2.6.5 for now.
* Tue May 11 2004 mantel@suse.de
- fix oops in aic7xxx driver when hardware is not present (might
  fix SUSE35757)
* Tue May 11 2004 olh@suse.de
- add patches.fixes/report-printk-buffer-size_selinux
  [PATCH] SElinux interface for reporting size of printk buffer
* Tue May 11 2004 olh@suse.de
- add patches.fixes/bfs_read_past_end_of_dir
  [PATCH] bfs filesystem read past the end of dir
* Tue May 11 2004 okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
* Tue May 11 2004 mantel@suse.de
- make use of SHM_HUGETLB shm memory configurable via sysctl (SUSE40301)
* Tue May 11 2004 olh@suse.de
- add patches.suse/gendisk_removeable_media.patch
  flag removeable media via /block/*/removable with content 0/1
* Tue May 11 2004 hare@suse.de
- Update to IBM codedrop 16-05-2004 (preliminary)
* Tue May 11 2004 ak@suse.de
- Fix PCI ID tables for Intel AGP drivers (SUSE40150)
* Tue May 11 2004 agruen@suse.de
- SUSE40115: Fix installation path of Kerntypes for `make install'
  (now done in /sbin/installkernel).
* Tue May 11 2004 okir@suse.de
- updated ipv6-expire-redirect patch to fix bug SUSE38543
* Tue May 11 2004 okir@suse.de
- IPv6: IPv6 redirects to routers with no neighbor cache entry
  were ignored (TAHI test nd/74, bug SUSE38554)
* Tue May 11 2004 kraxel@suse.de
- fix uml build failure.
* Tue May 11 2004 okir@suse.de
- Added patch to prevent IPv6 ndisc changes from breaking
  gratuitous ARPs (needed for HA failover, bug SUSE30104)
* Mon May 10 2004 garloff@suse.de
- bluetooth-patch-265-mh3: Complete patchset patch-2.6.5-mh3
  (merged in 2.6.6) as advised by Marcel, fixing SUSE39349,
  obsoleting bluetooth-init-fix, bluetooth-usb-unlink-race,
  from-2.6.6-rcx-Bluetooth-Fix-broken-HCI-security-filter,
  from-2.6.6-rcx-Bluetooth-Fix-race-in-RX-complete-routine-of-
  the-USB-drivers.
- bluetooth-isoc-disconnect-crash: Fixing a crash when discon-
  necting from the ISOC interface. (SUSE39349)
* Mon May 10 2004 olh@suse.de
- add patches.arch/suse-ppc64-export-HvLpEvent_registerHandler
  allow iseriesveth to be a module, needed for version upgrade
* Mon May 10 2004 mantel@suse.de
- fix deadlock in create_workqueue (SUSE40073)
* Mon May 10 2004 mantel@suse.de
- fix kthread_stop for migration_thread (SUSE40075)
* Mon May 10 2004 mantel@suse.de
- fix I/O permission leak (SUSE40256)
* Mon May 10 2004 agruen@suse.de
- Fix typo in install path for Kerntypes-%%ver_str on x86_64.
* Mon May 10 2004 mantel@suse.de
- fix incorrect kobject_set_name usage (SUSE40078)
* Mon May 10 2004 agruen@suse.de
- patches.fixes/shrink_slab-handle-GFP_NOFS.patch: Improve fairness
  when shrinking pagecache vs. shrinking slab (from -mm).
* Mon May 10 2004 mantel@suse.de
- fix race in sys_sched_getaffinity (SUSE40079)
* Mon May 10 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-bolted-fix.patch
  fix power4 iseries (SUSE40104 - LTC8269)
* Mon May 10 2004 garloff@suse.de
- selinux-default-disable: Disable selinux by default (SUSE39439).
* Mon May 10 2004 okir@suse.de
- fix bug in nfsd export list handling (SUSE37879)
* Mon May 10 2004 mantel@suse.de
- fix programs that include cciss_ioctl.h (SUSE40090, SUSE26843)
* Mon May 10 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix.patch
  avoid oops on shutdown. added support for 970FX and GS
* Mon May 10 2004 hare@suse.de
- add patches.arch/s390-dasd-erp-debug.patch
  Remove ERP debugging messages (SUSE36834)
* Mon May 10 2004 olh@suse.de
- update patches.arch/ppc64-eeh-race.patch
  fix list handling (SUSE40066 - LTC8219)
* Mon May 10 2004 mantel@suse.de
- fix yet another name clash for JFS dmapi (SUSE40166)
* Mon May 10 2004 olh@suse.de
- add patches.fixes/modversions_dedotify.patch
  do not taint the kernel if a dot function is not found
* Mon May 10 2004 olh@suse.de
- update patches.fixes/schedaffinity-compat (SUSE40186)
* Mon May 10 2004 ak@suse.de
- Remove broken ppc64 only hugepage cow patch
* Mon May 10 2004 axboe@suse.de
- re-add requeueing as-iosched patch, integrate barrier request leak, fix
  sync reporting of missing driver barrier support, fix use-after-free of
  rq in failure case
* Mon May 10 2004 axboe@suse.de
- cpqarray fixlet
* Sun May 09 2004 schwab@suse.de
- Don't override default target.
* Sun May 09 2004 agruen@suse.de
- Add external kernel module documentation.
- Some fixes in xfs.
- Stop jfs dmapi from using the same slab names as xfs dmapi.
* Sun May 09 2004 olh@suse.de
- add patches.arch/ppc64-io-barrier
  extra barrier in I/O operations for cacheable stores
* Sun May 09 2004 olh@suse.de
- add patches.fixes/schedaffinity-compat to fix glibc make check
* Sun May 09 2004 agruen@suse.de
- Add improved external module support from 2.6.6-rc*.
* Sun May 09 2004 olh@suse.de
- add patches.fixes/sctp_memset_parameter
  [SCTP] Fix memset() parameter ordering.
* Sun May 09 2004 schwab@suse.de
- Audit LAuS patches for bad uses of audit_result [SUSE39936].
* Sat May 08 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iommu_alloc_consistent-return
  return null on allocation failure
* Sat May 08 2004 olh@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot2
  call populate_rootfs before do_initcalls
* Sat May 08 2004 olh@suse.de
- add patches.fixes/rwsem-sleepers patches.fixes/rwsem-sleepers2
  Be more careful about semaphore contention memory ordering.
* Sat May 08 2004 olh@suse.de
- add patches.drivers/pcnet32-drop-ltint.patch
  disalbe TxDone-intr inhibitor support (SUSE40202 - LTC7799)
* Sat May 08 2004 olh@suse.de
- add patches.arch/ppc64-slbie-hugepage
  [PATCH] ppc64: Use slbie, not slbia in hugepage code
* Sat May 08 2004 olh@suse.de
- add patches.fixes/ppc32.support.update
  new ibook g4, windtunnel fixes
* Sat May 08 2004 olh@suse.de
- update patches.drivers/firewire_ieee1394_nodemgr
  fix rmmod ieee1394 (SUSE39731)
* Sat May 08 2004 olh@suse.de
- add patches.fixes/ppc32.serial.zilog.CRTSCTS.mode
  fixes a bug in the pmac-zilog driver when in CRTSCTS mode
* Sat May 08 2004 olh@suse.de
- add patches.fixes/ncpfs-data-corruption
  [PATCH] ncpfs data corruption when using large TCP transfers
* Sat May 08 2004 olh@suse.de
- add patches.fixes/selinux.tags.patch  make tags for selinux
* Sat May 08 2004 olh@suse.de
- CONFIG_SECURITY_SELINUX_BOOTPARAM=y on pseries (SUSE40204 - LTC8359)
* Sat May 08 2004 olh@suse.de
- add patches.fixes/new-slab-order-0-for-vfs-caches.patch from -mm
  fix deadlocks with order-1 allocations ext3_inode_cache.
  (SUSE39707 - LTC8045)
* Sat May 08 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtasmsgs.patch
  disable rtas logs via rtasmsgs=off (SUSE40195 - LTC8320)
* Sat May 08 2004 olh@suse.de
- add patches.arch/ibm-ppc64-irqstack-local-paca
  Check local cpus paca in slb miss code (SUSE40193 - LTC8355)
* Sat May 08 2004 olh@suse.de
- add patches.fixes/e100-napi-pseries
  EEH and NAPI do not play well together (SUSE38183 - LTC7201)
* Fri May 07 2004 olh@suse.de
- add patches.fixes/e1000-netdev_register.patch
  move the reading of the user tunable parameters to before the
  registering of the netdevice. (SUSE40181 - LTC8195)
* Fri May 07 2004 ak@suse.de
- fix unload races in 32bit ioctl emulation
- change pty allocation to prefer low numbers again
* Fri May 07 2004 olh@suse.de
- add patches.fixes/e100-io_barrier.patch
  another io_barrier to keep things going (SUSE38183 - LTC7201)
* Fri May 07 2004 olh@suse.de
- disable patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  fix booting on power4 iseries (SUSE40104 - LTC8269)
* Fri May 07 2004 olh@suse.de
- enable lkcd block device dump on ppc64 (SUSE39910 - LTC8147)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-topology
  leave it disabled (SUSE40113 - LTC8259)
* Fri May 07 2004 olh@suse.de
- disable patches.arch/ibm-ppc64-force_max_zoneorder
  (SUSE40031 - LTC8213)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  handle cpus with than one SMT thread (SUSE40010 - LTC8174)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-global-enable.patch
  POWER5 Requires EEH to be enabled for all devices (SUSE40105 - LTC8267)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-irq-stacks-check
  more sanity checks
* Fri May 07 2004 olh@suse.de
- add patches.suse/kdb-xmon-coexistance-ppc64
  xmon may be more reliable, so allow coexistance of 2 debuggers.
* Fri May 07 2004 ak@suse.de
- move kmod patch to the end to make it actually patch
* Fri May 07 2004 ak@suse.de
- Fix compilation without KMOD
- Fix white space in series.conf
* Fri May 07 2004 okir@suse.de
- disable another ipv6 debug message
* Fri May 07 2004 olh@suse.de
- add patches.fixes/fix-tty-race (SUSE39399 - LTC7756)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ppc64-PTE_FREELIST_SIZE.patch
  typo in PTE_FREELIST_SIZE (LTC8238)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-sbl_invalidation
  Never flush out the kernel stack, even with interrupt stacks
  enabled (SUSE40014 - LTC8170)
* Fri May 07 2004 olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix compile without CONFIG_IRQSTACKS (SUSE40014 - LTC8170)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ppc64-eeh-race.patch
  close deadlock window in EEH failure path (SUSE40066 - LTC8219)
* Fri May 07 2004 olh@suse.de
- build rpms in subdir
* Thu May 06 2004 olh@suse.de
- do not strip the vmlinux elf binary (SUSE36735 - LTC7003)
* Thu May 06 2004 mason@suse.de
- fix request leak in the ide barriers
  (patches.suse/barrier-request-leak)
* Thu May 06 2004 axboe@suse.de
- revert small requeueing change, appears to still be a bug there
* Thu May 06 2004 mantel@suse.de
- fix race in kthread_stop (SUSE40082)
* Thu May 06 2004 duwe@suse.de
- re-introduce blacklist entries for HP P44 & P47 mainboards
  (a.k.a DL760G2 & DL740), to force pci=noacpi, and to hint
  bigsmp for Andi's new genapic code. Un-panic IO-APIC id setting
  along the way, now back to our SLES8 behaviour.
  Fixes blocker SUSE37238
* Thu May 06 2004 mantel@suse.de
- fix race in worker_thread (SUSE40065)
* Thu May 06 2004 mantel@suse.de
- fix UID/GID problems in audit subsystem (SUSE39031, SUSE39829)
* Thu May 06 2004 mantel@suse.de
- update i2o driver to 64bit clean version
* Thu May 06 2004 olh@suse.de
- update ipr scsi driver to version 2.0.6
  update patches.fixes/patch-2.6.5-sd_timeout_mod
  Don't run BIST at module load time. (SUSE39622 - LTC7974)
  This fixes the coldplug/ifup/lspci issue and speeds up boot time.
* Thu May 06 2004 mantel@suse.de
- export sys_ioctl on ia64 too. Needed by audit subsystem
* Thu May 06 2004 axboe@suse.de
- ... and one in sata_vsc, sorry folks.
* Thu May 06 2004 axboe@suse.de
- fix typo in sata_promise
* Thu May 06 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  better version of this patch (SUSE39909 - LTC8091)
* Thu May 06 2004 axboe@suse.de
- don't let sata sub drivers pci_disable a device, could be used by
  native driver (bug SUSE39044)
* Thu May 06 2004 ak@suse.de
- Disable suspend message in PAE kernels.
* Thu May 06 2004 schwab@suse.de
- Fix infiniband driver and enable on ia64.
* Thu May 06 2004 olh@suse.de
- update patches.drivers/ppc64-iseries-veth
  Fix discovery of MAC address in Virtual Ethernet. (LTC8191)
* Thu May 06 2004 agruen@suse.de
- SUSE39949: Update modules.dep correctly by running /sbin/
  update-modules.dep before creating the initrd. The modules.dep
  contained in the kernel package will not be complete if scripts
  create additional modules (for example, nvidia).
- Add three jfs fixes.
* Thu May 06 2004 axboe@suse.de
- Use requeue hook for ide re-adding real barrier request, works because
  the as accounting had another bug that is now fixed as well.
* Thu May 06 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up-race
  dont use cpu_is_offline() (SUSE39977 - LTC8128)
* Thu May 06 2004 olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix typo, call handle_irq_event() always (SUSE40011 - LTC8197)
* Thu May 06 2004 olh@suse.de
- add patches.suse/lkcd-kerntypes.ppc64.patch (SUSE40019 - LTC8198)
* Thu May 06 2004 okir@suse.de
- added patches.fixes/sunrpc-sched-deadlock to prevent rpc deadlock (SUSE38960)
* Thu May 06 2004 axboe@suse.de
- flush ide cache before unlocking door to prevent removal race there
* Thu May 06 2004 ak@suse.de
- Fix non contiguous APIC ID handling on i386 bigsmp
* Thu May 06 2004 ak@suse.de
- Disable mcdx and sbpcd drivers because they are broken.
* Wed May 05 2004 olh@suse.de
- enable CONFIG_E1000_NAPI also on ppc64
* Wed May 05 2004 axboe@suse.de
- only enable HPA if the protected area is bigger by more than a single
  sector (bug SUSE38147)
* Wed May 05 2004 ak@suse.de
- Fix infiniband undefined symbols on x86-64
* Wed May 05 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  wait for a cpu to become online (SUSE39909 - LTC8091)
* Wed May 05 2004 olh@suse.de
- disable CONFIG_CRASH_DUMP_MEMDEV on pseries (SUSE39910 - LTC8147)
* Wed May 05 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries_bolted_segment_fix
  do not overwrite SLB entry 0 (SUSE39915 - LTC8166)
* Wed May 05 2004 okir@suse.de
- fix off by one in CKRM accept_queue patch (SUSE39918)
* Wed May 05 2004 okir@suse.de
- fix compilation if CKRM accept_queues are enabled (SUSE39913)
* Wed May 05 2004 okir@suse.de
- selinux_socket_sock_rcv_skb: changed write_lock to read_lock
  to avoid deadlock (SUSE39912)
* Wed May 05 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  deadlock fix (SUSE39758 - LTC8099)
* Wed May 05 2004 ak@suse.de
- Add workaround for Nforce2 C1 disconnect hangs
* Wed May 05 2004 ak@suse.de
- Disable ECC driver on x86-64
- Make sure MCE error output on x86-64 reaches the console and do not
  try to kill init or the idle task silently.
* Wed May 05 2004 olh@suse.de
- disable CONFIG_VPURR until all related bugs get fixed
  (SUSE39732 - LTC8074)
* Wed May 05 2004 olh@suse.de
- add patches.fixes/report-printk-buffer-size
  dmesg can now dump entire log buffer by default (SUSE39761 - LTC8103)
* Tue May 04 2004 mantel@suse.de
- enable CONFIG_HISAX_SEDLBAUER_CS (SUSE39828)
* Tue May 04 2004 agruen@suse.de
- Update to patches.fixes/reiserfs-ioerror-xattr-fix.diff: Another
  bad unlock on an error path (jeffm@suse.com).
* Tue May 04 2004 olh@suse.de
- add patches.arch/ppc64-ames-rtas_flash-proc.patch
  fix a typo that prevents the creation of manage_flash /proc file
* Tue May 04 2004 olh@suse.de
- update patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  force irq stacks into the first segment (SUSE39753 - LTC8089)
* Tue May 04 2004 axboe@suse.de
- update barrier-ide
* Tue May 04 2004 mason@suse.de
- fix for aio stalls (patches.suse/aio-context-stall)
* Tue May 04 2004 agruen@suse.de
- SUSE39848: patches.fixes/nfsd-symlink-setattr: Creating symlinks
  on nfs over reiserfs fails on the server side if acls are
  enabled. Bug introduced in mainline.
* Tue May 04 2004 schwab@suse.de
- Better fix for the 8250 HCDP shared irq problem [SUSE39152].
* Tue May 04 2004 olh@suse.de
- kernel-pseries64 obsoletes kernel-ppc64
* Tue May 04 2004 axboe@suse.de
- bug SUSE39744 temp work-around
* Tue May 04 2004 agruen@suse.de
- SUSE39775: patches.fixes/reiserfs-ioerror-xattr-fix.diff: Lock
  releasing fix on error path (xattrs) from Jeff Mahoney
  <jeffm@suse.com>.
* Tue May 04 2004 axboe@suse.de
- kernel doesn't link it CKRM isn't configured (sigh)
* Tue May 04 2004 schwab@suse.de
- Enable CONFIG_SERIAL_8250_EXTENDED and CONFIG_SERIAL_8250_SHARE_IRQ
  [SUSE39152].
* Tue May 04 2004 olh@suse.de
- add patches.arch/ibm-ppc64-irqstacks
  add patches.fixes/irqstacks-do_softirq.patch
  add patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  (SUSE39753 - LTC8089) Stack overflow on SF2 running NFS/samba test
* Mon May 03 2004 ihno@suse.de
- Adding LAuS driver for s390 and s390x (missing Kconfig)
* Mon May 03 2004 mantel@suse.de
- make "clock=tsc" the default
* Mon May 03 2004 mantel@suse.de
- add generic APIC support for ES7000 platform
* Mon May 03 2004 ak@suse.de
- Increase i386 NR_CPUS for smp to 32 and bigsmp to 128
* Mon May 03 2004 olh@suse.de
- update patches.arch/ibm-ppc64-mark-exception-frames
  print SP in stack backtraces.
* Sun May 02 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pseries-stackoverflow
  print stack trace in case of stackoverflow
* Sun May 02 2004 agruen@suse.de
- Add POSIX message queue patches (disabled so far).
- xfs: Fix qsort removal patch; update vmtruncate fix; add
  security namespace fix.
* Sun May 02 2004 olh@suse.de
- add ioc4-serial-move-job-control-stuff-tosignal_struct.patch
  use the new define
* Sun May 02 2004 olh@suse.de
- add move-job-control-stuff-tosignal_struct-flag-our-backport.patch
  [#]define HAS_TTY_STRUCT_IN_SIGNAL_STRUCT for external drivers
* Sun May 02 2004 olh@suse.de
- add patches.suse/xfs-cvs-sleepers
  struct semaphore has no ->sleepers
* Sun May 02 2004 olh@suse.de
- reenable successful boot on ppc64
  SPINLOCK_SLEEP catches too many hard errors
* Sun May 02 2004 agruen@suse.de
- Add move-job-control-stuff-tosignal_struct.patch.
- XFS fixes; re-enable CONFIG_XFS_DMAPI; enable CONFIG_JFS_DMAPI.
- Re-enable hugetlb patches.
- Update cifs to 1.13a.
* Sun May 02 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-flat
  fix numa probing code, fall back to flat model (SUSE39160 - LTC7725)
* Sun May 02 2004 olh@suse.de
- add patches.arch/ibm-ppc64-signal-handler-args
  [PATCH] ppc64: fix incorrect signal handler argument
* Sat May 01 2004 olh@suse.de
- add patches.arch/ibm-ppc64-mark-exception-frames
  Mark exception frames, look for the marker in show_stack().
* Sat May 01 2004 garloff@suse.de
- Back to 8 CPUs for x86-64 smp kernel (APIC limited).
* Sat May 01 2004 olh@suse.de
- add patches.suse/suse.ppc32.sysfs-adb.patch
  adds /sys/class/adb/, removes unused devfs lines and updates a
  comment to match reality.
* Sat May 01 2004 olh@suse.de
- update patches.drivers/atixl-noinit-2.6.2
  set pll_gen_cntl based on mclk_post_div_real, fixes ibook1
* Sat May 01 2004 olh@suse.de
- add patches.arch/ppc64-no_sleep_in_irq
  allocate irq_map with GFP_ATOMIC
* Sat May 01 2004 olh@suse.de
- enable SPINLOCK_SLEEP, STACKOVERFLOW, STACK_USAGE on ppc64
* Fri Apr 30 2004 olh@suse.de
- Bump max no of CPUs to 64 on x86-64 Konfig.
* Fri Apr 30 2004 olh@suse.de
- drop patches.arch/ibm-ppc64-rtas-error-log-max, bug fixed
* Fri Apr 30 2004 olh@suse.de
- add patches.fixes/pcnet32-mac, patches.fixes/pcnet32-timer
  (SUSE36471 - LTC6941) machine displays the wrong MAC addresses
  added timer for 971/972 so skbufs don't remain on tx ring forever.
* Fri Apr 30 2004 olh@suse.de
- add patches.suse/sched-trivial-ppc64.patch
  [PATCH] [ppc64] ARCH_HAS_SCHED_WAKE_BALANCE doesnt exist
* Fri Apr 30 2004 kraxel@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot
  (fix bad atomic schedule with initrd).
* Fri Apr 30 2004 mantel@suse.de
- disable infiniband on ia64 as it does not build there as well
* Fri Apr 30 2004 garloff@suse.de
- Bump max no of CPUs to 64 on x86-64 smp config.
* Fri Apr 30 2004 agruen@suse.de
- Disable hugetlb-06_sles-map-hugetlb-flag,
  hugetlb-06.5_sles-map-flag-s390-ppc,
  hugetlb-07_sles-hugetlb-implicit.
* Fri Apr 30 2004 olh@suse.de
- update selinux-sock-rcv-skb-crash, return res;
* Fri Apr 30 2004 kraxel@suse.de
- update patches.fixes/posix-timers-deadlock2 (from kurt).
* Fri Apr 30 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-setri.patch
  set MSR.RI in iSeries exception prolog (SUSE39085 - LTC7655)
* Fri Apr 30 2004 olh@suse.de
- compile CONFIG_SCSI_SYM53C8XX_2=y on ppc32
* Fri Apr 30 2004 okir@suse.de
- Added selinux-sock-rcv-skb-crash (SUSE38762)
* Fri Apr 30 2004 mantel@suse.de
- fix infiniband on x86_64
* Fri Apr 30 2004 mantel@suse.de
- remove enhanced speedstep feature as it breaks ACPI on x86_64
* Fri Apr 30 2004 mantel@suse.de
- disable infiniband on x86_64 (does not compile)
* Fri Apr 30 2004 mantel@suse.de
- re-add infiniband drivers (SUSE35064)
* Fri Apr 30 2004 agruen@suse.de
- SUSE39662: Add a few extra files to kernel-source.src.rpm to
  simplify building from that package.
* Fri Apr 30 2004 mantel@suse.de
- add support for enhanced speedstep feature (SUSE39618)
* Fri Apr 30 2004 mantel@suse.de
- use correct fix for swsuspend-agp problem (SUSE36167)
* Fri Apr 30 2004 axboe@suse.de
- blk_start_queue() should use kblockd_schedule_work() to avoid blocking
  on keventd
* Fri Apr 30 2004 mantel@suse.de
- tag ibmasm driver experimental and have it print so at loading
* Fri Apr 30 2004 axboe@suse.de
- make the CFQ io sched tunables available in sysfs
* Fri Apr 30 2004 olh@suse.de
- add patches.arch/ibm-ppc64-vio-devspec
  provide pointer into the device-tree for vio devices
* Fri Apr 30 2004 kraxel@suse.de
- add patches.fixes/posix-timers-thread.patch (from 2.6.6-rc).
* Fri Apr 30 2004 okir@suse.de
- NFS: blocksize defaults to wsize, not the server's
  advertised wtmult anymore.
* Fri Apr 30 2004 okir@suse.de
- nfsd: Return proper error code in subtree check (SUSE38584)
* Fri Apr 30 2004 agruen@suse.de
- Enable 2.6.6-rc patches.
- Enable jfs dmapi patches (disable in config files).
* Fri Apr 30 2004 kraxel@suse.de
- add USB-fix-up-fake-usb_interface-structure-in-hiddev
  (from -rc kernels, ack by Vojtech)
* Fri Apr 30 2004 olh@suse.de
- add patches.arch/ibm-ppc64-shmget_translation
  32->64 bit syscall translation layer on ppc64 incorrectly
  sign-extends rather than zero-extending the second parameter to
  shmget() (LTC7941)
* Thu Apr 29 2004 agruen@suse.de
- Add some more patches from 2.6.6-rc.
* Thu Apr 29 2004 agruen@suse.de
- patches.fixes/zoran-overflow-fix.patch: Fix a potential integer
  overflow.
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg
  lparcfg fixup of capped indicator, and pool_capacity values.
* Thu Apr 29 2004 olh@suse.de
- update hugetbl patches, do_mmap call stack differs in our tree
* Thu Apr 29 2004 kraxel@suse.de
- committed a batch of small fixes from 2.6.6-rc kernels,
  disabled in series.conf for now.
* Thu Apr 29 2004 mason@suse.de
- fix rcfs compile on ia64, it doesn't really need asm/namei.h
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-handle_irq_event
  enable interrupts on iseries during bh handlers (SUSE39489 - LTC7254)
* Thu Apr 29 2004 mason@suse.de
- fix some ckrm compiler warnings
* Thu Apr 29 2004 okir@suse.de
- Fixed problem with spin_lock usage in token ring drivers (netdev)
  (SUSE39489 - LTC7254)
* Thu Apr 29 2004 mason@suse.de
- ckrm update to e12
* Thu Apr 29 2004 agruen@suse.de
- Update cifs to 1.12.
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-force_max_zoneorder
  CONFIG_FORCE_MAX_ZONEORDER must be set via Kconfig
* Thu Apr 29 2004 olh@suse.de
- update patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  call class_simple_device_remove() on rmmod (SUSE39493)
* Thu Apr 29 2004 rw@suse.de
- update xpnet driver patches for Altix (SUSE39488)
* Thu Apr 29 2004 olh@suse.de
- reenable hugetlb patches for ppc64, reenable shm_use_hugepages
* Thu Apr 29 2004 olh@suse.de
- change CONFIG_FORCE_MAX_ZONEORDER from 13 to 19 on ppc64 (16MB/1GB)
* Thu Apr 29 2004 mantel@suse.de
- update megaraid driver to version v2.20.0.B2.04.27.2004
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up-race
  wait in start_secondary() until current cpu is in cpu_online_map
* Thu Apr 29 2004 agruen@suse.de
- Disable CONFIG_XFS_DMAPI until it is fixed in the xfs cvs.
* Thu Apr 29 2004 olh@suse.de
- update patches.drivers/r8169-update
  include linux/dma-mapping.h because the driver uses stuff from it
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  add patches.arch/ibm-ppc64-hardcode-slb_size
  improve SLB handling (LTC7754)
* Thu Apr 29 2004 hare@suse.de
- Update xip2fs; fixes copyrights and lineendings.
* Thu Apr 29 2004 kraxel@suse.de
- add ethtool support to the uml virtual network driver.
* Thu Apr 29 2004 olh@suse.de
- update ipr scsi driver to version 2.0.5
  Adapter dump fixes.
  Add adapter type and microcode version to the dump.
* Thu Apr 29 2004 olh@suse.de
- add patches.fixes/alpha-procfs-dynamic-inodes
  remove last user of PROC_NDYNAMIC
* Thu Apr 29 2004 olh@suse.de
- fix build without CONFIG_BLK_DEV_INITRD on pseries,
  fix the case where the initrd is loaded before the kernel
  (SUSE39613 - LTC8005)
* Thu Apr 29 2004 hare@suse.de
- add patches.fixes/rwsem-contention-fix
  Fix rwsem contention on alpha and s390x.
* Thu Apr 29 2004 hare@suse.de
- modify patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-qeth-28042004.diff
  Update to IBM Codedrop 28/04/2004.
  Removed bk patches for S/390.
* Thu Apr 29 2004 mason@suse.de
- lkcd for x86_64
* Wed Apr 28 2004 olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  provide sysfs data to create chardev /dev/ica via udev
* Wed Apr 28 2004 olh@suse.de
- dont hide /linuxrc on ppc64.
  setting ROOT_DEV to Ram0 was never correct.
  Read Documentation/initrd.txt
* Wed Apr 28 2004 olh@suse.de
- disable patches.fixes/cpumask_arith-first_cpu.patch
  causes oops on x86_64, s390 doesnt even boot
* Wed Apr 28 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10e1
* Wed Apr 28 2004 mason@suse.de
- reiserfs data=journal support
- reiserfs bit operations cleanups
- reiserfs journal macro cleanups
- reiserfs io error handling
- fix aio bug where delayed timers don't get waited on during process
  exit
* Wed Apr 28 2004 bk@suse.de
- S/390 cpint: extend struct for cpint by an uppercase flag
* Wed Apr 28 2004 agruen@suse.de
- Update xfs to current cvs.
* Wed Apr 28 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvc_console
  Handle H_LongBusyOrder* hypervisor return codes in hvconsole.c
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-power5-slbie-workaround
  POWER5 < DD2.1 has a problem where slbie's need to be repeated
  under some circumstances. Apply workaround.
* Wed Apr 28 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * allow the ibmvscsi adapter to reconnect properly to the server
  if the server disconnects (i.e. reboots.)
  * Fix the ibmvscsi server to correctly handle the case where the
  client is active and waiting when the server boots.
* Wed Apr 28 2004 okir@suse.de
- Fix vgettimeofday sysenter case (SUSE39537)
* Wed Apr 28 2004 hare@suse.de
- S/390: Update configs for S/390 Crypto API.
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ppc64-user-stackcheck
  (SUSE37975 - LTC7227) shmdt01 ltp test fails to detach shared memory
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-error_log
  (SUSE39501 - LTC7920) restore /proc/ppc64/rtas/error_log
* Wed Apr 28 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_remove_slot_errno.patch
  (SUSE39556 - LTC7722) RPA DLPAR: remove slot error case error code
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pSeries_log_error
  add patches.arch/ibm-ppc64-ras-irq
  (SUSE39557 - LTC7435) handle EPOW events sent by OS/400 NWSDs
* Wed Apr 28 2004 olh@suse.de
- add patches.suse/hotplug-cpu-sched_balance_exec-fix
  add patches.fixes/cpumask_arith-first_cpu.patch
  reenable patches.suse/ibm-ppc64-domain-sched-fix.patch
  cpu hotplug fixes for DLPAR (SUSE39549 - LTC7946)
* Wed Apr 28 2004 olh@suse.de
- add patches.suse/lkcd-cpumask_t-handling
  better handling for cpumask_t in lkcd (SUSE39252 - LTC7781)
* Wed Apr 28 2004 olh@suse.de
- add patches.suse/sched-domain-stop_machine_run.patch
  possible fix for crash in find_busiest_group() (SUSE39160 - LTC7725)
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-rtas_error_log_buffer_max.patch
  (SUSE39257 - LTC7709) vmalloc enough space
* Wed Apr 28 2004 olh@suse.de
- add max_cpus to 128 again on pseries (SUSE39252 - LTC7781)
* Wed Apr 28 2004 hare@suse.de
- S/390 update from Bitkeeper
  add patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-update-02-april2004.diff
  add patches.arch/s390-update-04-april2004.diff
  add patches.arch/s390-update-05-april2004.diff
* Wed Apr 28 2004 mantel@suse.de
- fix problem with 8 bit characters on JFS (SUSE39542)
* Wed Apr 28 2004 olh@suse.de
- add patches.fixes/e100-mb.patch, patches.fixes/e1000-mb.patch
  add memory barriers to order stores (SUSE36881 - LTC7055)
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-node_set_online.patch
  (SUSE39550 - LTC7901) support NUMA nodes with empty memory/cpus in sysfs
* Wed Apr 28 2004 mantel@suse.de
- update Broadcom driver bcm5700 to 7.2.24
* Tue Apr 27 2004 olh@suse.de
- add patches.arch/ppc64-iseries-mf_proc-write.patch
  report errors back to userland when writing to /proc/iSeries/mf/
* Tue Apr 27 2004 mantel@suse.de
- re-add ecc driver (SUSE39508)
* Tue Apr 27 2004 mantel@suse.de
- fix anon vma locking
* Tue Apr 27 2004 mantel@suse.de
- fix swsuspend with $VENDOR-agp (SUSE36167)
* Tue Apr 27 2004 olh@suse.de
- add patches.fixes/get_user_pages-cow-corruption
  patch from Andrea to prevent unmapping of pinned pages
  (SUSE39138 - LTC7702)
* Tue Apr 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-sys32shmctl.patch
  fix ipcs -l output (SUSE39431 - LTC7852)
* Tue Apr 27 2004 rw@suse.de
- fix initialization of Vitesse SATA controller (SUSE39352)
* Tue Apr 27 2004 okir@suse.de
- IPv6: Add patch for TAHI pmtu test case #2 from mludvig (SUSE38557)
* Tue Apr 27 2004 rw@suse.de
- make 8250_hcdp.c set the share irq flag on console port and fix
  iosapic.c to not touch an irq, if an action is already attached
  (SUSE39152)
* Tue Apr 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * Correctly fail requests if the adapter is disabled.  This makes
  raid work very nicely across multiple virtual scsi adapters
  * Correctly handle busy return codes from H_FREE_CRQ call
* Tue Apr 27 2004 rw@suse.de
- remove obsolete pda overflow check to revive SGI Altix (SUSE39320)
- increase NR_CPUS to 128 in ia64/default and 64k-pagesize (SUSE38722)
* Tue Apr 27 2004 axboe@suse.de
- Fix SG_IO page pinning leak
* Tue Apr 27 2004 hare@suse.de
- Add patches.suse/lkcd-dump-gzip-compress.patch
  Fix error message on writing gzipped dump (SUSE39416)
* Tue Apr 27 2004 okir@suse.de
- allow kernel to compile with CONFIG_NETFILTER off (SUSE39391)
* Tue Apr 27 2004 olh@suse.de
- update patches.fixes/psmouse-usb-fix-3
  do not call the pci quirk for ppc until it is fixed (SUSE38070)
  causes a machine check
* Tue Apr 27 2004 olh@suse.de
- add patches.fixes/sunrpc-unix_domain_find-kmalloc-check.patch
  [SUNRPC]: Missing NULL kmalloc check in unix_domain_find().
* Tue Apr 27 2004 hare@suse.de
- Renamed patches.fixes/icmp-percpu-modules to
  patches.fixes/no-static-percpu-in-modules;
  Fixes drivers/scsi/scsi.c and drivers/char/random.c, too.
* Tue Apr 27 2004 mantel@suse.de
- update qla2xxx driver to 8.00.00b12
* Tue Apr 27 2004 hare@suse.de
- Fixed fshooks compilation for S/390
- Add patches.fixes/icmp-percpu-modules to fix loading
  of ipv6 modules with more the 4 GB (SUSE38820)
- Add patches.suse/sysfs-backing-store-0{0,1,2,3,4,5,6}.patch
  for S/390 only to reduce sysfs memory usage (SUSE36248)
* Tue Apr 27 2004 axboe@suse.de
- update ide-serialize-update-1 to allow !hwgroup
* Mon Apr 26 2004 axboe@suse.de
- Correct logic bug in ide-cd-loej-1
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_warningfix.patch
  declare function prototype
* Mon Apr 26 2004 agruen@suse.de
- Some more post-2.5.6 patches (patches.fixes/):
  QD65xx-io-ports-fix.patch, alpha-fix-unaligned-stxncpy-again.patch,
  ext2-alternate-sb-mount-fix.patch, ext3-alternate-sb-mount-fix.patch,
  get_user_pages-shortcut.patch, isicom-jiffies-fix.patch,
  jbd-do_get_write_access-lock-contention-reduction.patch,
  raid56-masking-fix.patch.
* Mon Apr 26 2004 mantel@suse.de
- update audit subsystem
* Mon Apr 26 2004 axboe@suse.de
- don't log failures to load a cdrom drive on START_STOP_UNIT
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/bluetooth-usb-unlink-race
  fix lockup on bluetooth disconnect (SUSE39349)
* Mon Apr 26 2004 garloff@suse.de
- Integrate CluserIP alias patches and enable in all configs.
- Enable BINFMT_MISC as module on ppc configs that lacked it.
* Mon Apr 26 2004 olh@suse.de
- add patches.arch/ppc64-xics_set_affinity_bug.patch
  (SUSE39397 - LTC7826) System hangs when write into /proc/irq/<irq#>
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location1.patch
  (SUSE39418 - LTC7876) system crash when loading rpaphp module
* Mon Apr 26 2004 olh@suse.de
- put the penguins back to the barn until linuxrc is fixed
  (SUSE39428 - LTC7873)
* Mon Apr 26 2004 okir@suse.de
- Merged netfilter fix from Rusty: missing ip_rt_put in ipt_MASQUERADE
* Mon Apr 26 2004 okir@suse.de
- Prevent annoying "nud_in_timer" warning
* Mon Apr 26 2004 okir@suse.de
- Added some more aliases for crypto module, so loading them
  by algorithm name works (mludvig)
* Mon Apr 26 2004 olh@suse.de
- update patches.suse/lkcd-bio-vector.patch
  use better version from Jens Axboe
* Mon Apr 26 2004 olh@suse.de
- Update kdb to 2.6.5-kdb-v4.3-{common-2,i386-1,ia64-040413-1}.
  dump() must be called after kdb, not before.
  Use the current version of sn_serial.c.
  (SUSE39355)
* Mon Apr 26 2004 olh@suse.de
- add patches.suse/lkcd-bio-vector.patch
  (SUSE39375 - LTC7697) setup bio->bi_vcnt correctly
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location.patch
  (SUSE39422 - LTC7486) use "linux-style" naming scheme
* Mon Apr 26 2004 olh@suse.de
- add patches.arch/ppc64-eeh-include.patch
  include struct device after recent changes
  add patches.suse/LAuS-kernel-ioctl-include
  include ioctl function prototypes
  add patches.suse/kdb-ppc64-warningfix.patch
  pass correct options to ss
* Mon Apr 26 2004 olh@suse.de
- Update ibmvscsis driver with bug fixes and cleanup.
  - fix incorrect report capacity
  - fix missing length in buffer pool
  - change driver to use dma_foo interfaces
  - change driver to use tasklet instead of workqueue
* Mon Apr 26 2004 axboe@suse.de
- pin hwgroup before making speed/dma changes to the interface (SUSE38595)
* Mon Apr 26 2004 okir@suse.de
- Merged patch to make lockd use the file system's
  underlying lock ops (conditional on a sysctl)
* Mon Apr 26 2004 okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
- Merged a fix for e100 at 10Mbbps/half-duplex
* Mon Apr 26 2004 okir@suse.de
- Merged patches for vsyscall-gettimeofday
* Mon Apr 26 2004 olh@suse.de
- consolidate ppc64 patches, update to current ameslab status
  set MAX_CPU back to 64, lkcd broken
* Mon Apr 26 2004 hare@suse.de
- add patches.suse/lkcd-netdump.patch
  Fixing lkcd netdump (SUSE39396)
* Mon Apr 26 2004 okir@suse.de
- Merged patch from netdev to prevent oops when removing tulip module
* Sun Apr 25 2004 olh@suse.de
- disable hugetlb patches for ppc64, disable shm_use_hugepages
  has to be fixed first, leads to segfaults in insmod
* Sat Apr 24 2004 agruen@suse.de
- scripts/sequence-patch: Improve integration with quilt; now
  sequence-patch.sh can apply patches up to a specific point
  (which it does slightly faster than quilt); the resulting tree
  is fully compatible with quilt. (Use the --clean option to get
  rid of quilt specific files in .pc/.)
* Sat Apr 24 2004 agruen@suse.de
- Add more stuff from -mc4 (patches.fixes/):
  ext3-transaction-batching-fix.patch, intermezzo-leak-fixes.patch,
  load_elf_binary-overflow-detection-fix.patch
  nfs-readdirplus-overflow-fix.patch, pmdisk-needs-asmlinkage.patch,
  proc-load-average-fix.patch, selinux-ipv6-support.patch,
  selinux-remove-duplicate-assignment.patch
  v850-bitop-volatiles.patch, v850-dma-mapping-fix.patch.
- Another minor nfsacl optimization: Reserve a little space for
  SETACL arguments in nfs so that in the common cases, no extra
  pages need to be allocated.
* Fri Apr 23 2004 olh@suse.de
- display brand on the front panel display
* Fri Apr 23 2004 olh@suse.de
- enable hugetlb patches for ppc64, enable shm_use_hugepages
  add patches.arch/ibm-ppc64-cow-bugfix
* Fri Apr 23 2004 agruen@suse.de
- From -mc4, add patches.fixes/hysnd-MOD_USE_COUNT-fix.patch and
  patches.fixes/remove-nswap-cnswap.patch; enable patches.fixes/
  huge-sparse-tmpfs-files.patch + rediff patches.suse/numa-api.
* Fri Apr 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-error-log-max
  use 1k for rtas-error-log-max (SUSE37978 - LTC7338)
* Fri Apr 23 2004 olh@suse.de
- add patches.fixes/net-MCAST_MSFILTER-error.patch
  [IPV4]: Fix return value on MCAST_MSFILTER error case.
* Fri Apr 23 2004 garloff@suse.de
- cpufreq-unsigned: Use unsigned in cpufreq ioctl handler (SUSE38898).
* Fri Apr 23 2004 agruen@suse.de
- xfs dmapi: Add vm_operations_struct->mprotect.
- Update cifs to version 1.10.
- patches.fixes/file-operations-fcntl.patch: Add fcntl file
  operation.
* Fri Apr 23 2004 hare@suse.de
- add patches.arch/s390-proc-mapped-base.patch (SUSE39066)
  Fix /proc/<pid>/mmapped_base for s390x
* Fri Apr 23 2004 okir@suse.de
- Make sure the null cipher crypto module is loaded automatically
  (patch from mludvig, SUSE39274)
* Fri Apr 23 2004 ak@suse.de
- add early cpu detect for i386
- add balance on fork for scheduler
* Fri Apr 23 2004 ak@suse.de
- Add SMT scheduling for x86-64
- Disable NUMA scheduler on x86-64
* Thu Apr 22 2004 olh@suse.de
- add patches.arch/eeh_rpaphp.patch (SUSE39259 - LTC7797)
  ethernet drivers can't create interfaces for newly added adapters
* Thu Apr 22 2004 olh@suse.de
- add patches.drivers/pcnet32-dump_regs.patch
  (SUSE39299 - LTC7796) add register dump capability to pcnet32
* Thu Apr 22 2004 ak@suse.de
- Add more overflow fixes (sdla)
- Prevent unloading of old IDE drivers
- Fix compilation with kmod off
- Fix typo in NUMA API
- Fix LFS in sendfile (SUSE39156)
- Fix bug in i810 overflow fix
* Thu Apr 22 2004 mantel@suse.de
- clean up fshooks/LAuS code
* Thu Apr 22 2004 agruen@suse.de
- nfsacl: Add on-demand buffer allocation patch from okir; this
  significantly improves common-case performance.
* Thu Apr 22 2004 kraxel@suse.de
- fix smp bugs in skas3 patch.
* Thu Apr 22 2004 axboe@suse.de
- dm-mp must use own work queue, to not stall others if it ends up block.
  Bug SUSE39260
* Thu Apr 22 2004 schwab@suse.de
- Disable KDB in default and 64k-pagesize.
* Wed Apr 21 2004 agruen@suse.de
- nfsacl: Fix another bug in xdr_xcode_array2, and clean it up.
  Remove some unnecessary xdr code. Return a more useful error
  code when an acl is too large.
* Wed Apr 21 2004 okir@suse.de
- Tentative fix for arp_solicit crash (SUSE38442)
- Fix for failure in tahi nd#21 (SUSE38542)
* Wed Apr 21 2004 olh@suse.de
- add patches.fixes/rpaphp_err_free.patch
  RPA PCI Hotplug - redundant free (SUSE39258 - LTC7101)
* Wed Apr 21 2004 olh@suse.de
- add patches.fixes/kobject_set_name-lenght.patch
  kobject_set_name() doesn't allocate enough space (SUSE39258 - LTC7101)
* Wed Apr 21 2004 olh@suse.de
- add patches.drivers/firewire_ieee1394_nodemgr
  allow rmmod ohci1394  (SUSE39190)
* Wed Apr 21 2004 garloff@suse.de
- More elegant solution for not attaching other highlevel drivers.
* Wed Apr 21 2004 kraxel@suse.de
- v4l driver updates (cx88, saa7134).
* Wed Apr 21 2004 garloff@suse.de
- Drop 2.4 style SCSI scanning patches except inq_timeout, in
  favour of using new style flags (scsi_mod.)default_dev_flags=Flags
  and dev_flags=Vendor:Model:Flags. Instead:
  * scsi-scan-deprecate-forcelun: Document we don't want FORCELUN
  entries. Instead max_luns=N parameter should be used.
  * scsi-scan-blist_replun: BLIST_NOREPORTLUN (0x10000) and BLIST_
  REPORTLUN2 (0x20000), the first disallowing the use of
  REPORT_LUNS, the second allowing even for SCSI-2 (if HBA
  supports more than 8 LUNs).
  * scsi-scan-no-offl-pq-notcon: Don't mark entire device offline
  if PQ reports not connected. Instead prevent sd driver from
  attaching. Replaces allow_ghost_luns parameter.
  * scsi-scan-dont-att-pq-notcon: Don't attach sr, st, or osst
  either for a PQ different from 0.
  * scsi-scan-dont-att-pq-notcon-ch: Don't attach changer.
* Wed Apr 21 2004 garloff@suse.de
- Disable posix-timers-deadlock patch as it's broken (at least
  on x86-64).
* Wed Apr 21 2004 garloff@suse.de
- Change CPU in bigsmp config to MPENTIUMII. Old PPro machines
  need to run the (small) smp kernel, as they need PPRO_FENCE
  (erratum #51).
* Wed Apr 21 2004 mantel@suse.de
- fix memory leak in do_fork() (SUSE39223)
* Wed Apr 21 2004 olh@suse.de
- CONFIG_HOTPLUG_PCI_RPA=y in pseries64 config (SUSE39216 - LTC7773)
* Wed Apr 21 2004 agruen@suse.de
- Remove patches.fixes/shm_unlink-posix.diff: This is supposed to
  be fixed in glibc (and it is indeed fixed there).
- Add selected fixes from -mc4:
  + bitmap_parse-fix.patch: Broken bitmap_parse for ncpus > 32
  + i4l-kernelcapi-rework.patch: receive workqueue and locking
  rework
  + strip-param-quotes.patch: Strip quotes from kernel parameters
  + sys_time-subtick-correction-fix.patch: Fix sys_time() to get
  subtick correction from the new xtime
  + huge-sparse-tmpfs-files.patch: Fix huge sparse tmpfs files
  (disabled, pending confirmation).
* Wed Apr 21 2004 okir@suse.de
- IPv6: Fixing various IPv6 redirect problems flagged by TAHI (SUSE38543, SUSE38549)
* Wed Apr 21 2004 garloff@suse.de
- posix-timers-deadlock: Avoid deadlock.
* Wed Apr 21 2004 agruen@suse.de
- patches.suse/sunrpc-xdr-arrays, patches.suse/nfs-acl: More
  fixes in nfsacl; the cleanup revealed a few additional bugs
  that did not trigger before.
- patches.fixes/ice-workaround.diff: Work around internal compiler
  error.
* Tue Apr 20 2004 garloff@suse.de
- fix-fb_copy_cmap: Fix error in framebuffer colourmap ioctl (SUSE39053)
* Tue Apr 20 2004 olh@suse.de
- reenable kdb for pseries
* Tue Apr 20 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-devinfo
  provice sysfs device symlink for hwinfo
* Tue Apr 20 2004 olh@suse.de
- update patches.arch/ppc64.patch
  preserve cpus_allowed in collect_startpurr() (# SUSE39143 - LTC7339)
* Tue Apr 20 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-procfs-dynamic-inodes
  [PATCH] Increase number of dynamic inodes in procfs
* Tue Apr 20 2004 olh@suse.de
- update ipr scsi driver to version 2.0.4
  Don't zero the hostrcb dma buffer address in unit check processing.
* Tue Apr 20 2004 ak@suse.de
- Add overflow fixes from linux-kernel (e1000, i810, 3ware, fusion)
- Add acpi_skip_timer_override option for nforce2
- update x86-64 patchkit:
  * fix MCE logging
  * allow compilation without PCI or GART_IOMMU
  * Add cache_alignment field/macro
  * more flexible node<->cpu mapping
  * fix stack page printing in oops log
  * minor cleanups
* Tue Apr 20 2004 mantel@suse.de
- disable CONFIG_PM_DISK on i386
* Tue Apr 20 2004 garloff@suse.de
- SCSI scanning parameters: Drop sparselun and largelun params,
  they are superceeded by default_dev_flags.
- SCSI scanning parameters: Drop llun_blklst: Superceeded by
  dev_flags.
- tmscsim-64bit: 64bit fixes for tmscsim SCSI driver.
* Tue Apr 20 2004 axboe@suse.de
- CFQ iosched alias request hash fix
* Tue Apr 20 2004 garloff@suse.de
- SCSI scanning parameters: Drop scsi_ prefixes as we have a
  scsi_mod. prefix anyways. Also split inq_timeout patch.
* Tue Apr 20 2004 hare@suse.de
- Update call_usermode_helper to use workqueues
  (from 2.6.6-rc1-mm)
  Removed patches.fixes/call_usermodehelper_async.patch,
  patches.fixes/call_usermodehelper_async-always.patch.
  Added patches.fixes/create_singlethread_workqueue.patch,
  patches.fixes/use-workqueue-for-call_usermodehelper.patch
* Tue Apr 20 2004 okir@suse.de
- added a fix from usagi for UDP sendmsg with options
* Tue Apr 20 2004 okir@suse.de
- Pulled in two ipsec patches: pfkey-prio, xfrm-family
* Tue Apr 20 2004 olh@suse.de
- add patches.suse/ibm-ppc64-domain-sched-fix.patch
  updates description to get it in sync with x86
  fixes one nodemask which wasnt being anded with cpu_possible_map.
* Tue Apr 20 2004 okir@suse.de
- Fixed firmware address in tg3 driver (Andreas Jochens)
* Tue Apr 20 2004 mantel@suse.de
- make suspend to S4 via powerbutton work more than once (SUSE39089)
* Tue Apr 20 2004 mantel@suse.de
- use in-kernel e100 driver; new version was meant for 2.4 only
  according to Intel
* Tue Apr 20 2004 garloff@suse.de
- vesafb-video-mem-mtrr: Apply MTRR setting to whole framebuffer.
  (SUSE39104)
* Mon Apr 19 2004 olh@suse.de
- add  patches.fixes/rcu_large_cpumask.patch
  The RCU code was missing cpus_empty() in one place,
  required with large cpumasks.
* Mon Apr 19 2004 schwab@suse.de
- Fix broken LAuS patch.
* Mon Apr 19 2004 schwab@suse.de
- Update configs.
* Mon Apr 19 2004 agruen@suse.de
- Add a few patches from Andrew's -mc4 tree:
  ext2-fsync-speedup-2, ext3-fsync-speedup, jbd-commit-ordered-fix,
  jbd-iobuf-error-handling-fix, jbd-move-locked-buffers,
  kerneldoc-handle-attributes,
  set-mod-waiter-before-calling-stop_machine.
* Mon Apr 19 2004 okir@suse.de
- IPv6: use official IANA value for MLDv2 (SUSE39070)
* Mon Apr 19 2004 olh@suse.de
- update arch/ppc64/kernel/rtas.c
* Mon Apr 19 2004 okir@suse.de
- How embarrassing - a missing semicolon in my previous commit
* Mon Apr 19 2004 mason@suse.de
- update to CKRM-e5
* Mon Apr 19 2004 okir@suse.de
- nat-before-ipsec patches were lacking an EXPORT_SYMBOL(nf_rcv_postxfrm_local)
* Mon Apr 19 2004 okir@suse.de
- open(O_EXCL) on NFSv3 produced incorrect time stamp (SUSE39056)
* Mon Apr 19 2004 mason@suse.de
- fix reiserfs oops during umount due to undeleted work queue timer
* Mon Apr 19 2004 kraxel@suse.de
- raise number of ttys for uml [bug SUSE38995].
* Mon Apr 19 2004 mason@suse.de
- merge aio O_SYNC code
- remove hunks from barrier-reiser that revert other patches
- fix reiserfs-dirty-warning to catch another bogus warning that
  was triggering an oops
* Mon Apr 19 2004 okir@suse.de
- Merged nat-before-ipsec patches and enabled CONFIG_IP_NF_MATCH_POLICY=m
* Mon Apr 19 2004 agruen@suse.de
- Use `make silentoldconfig' instead of `make oldconfig' in spec
  files: As a side effect, this prevents the infinitely growing
  build log problem from happening.
* Mon Apr 19 2004 axboe@suse.de
- update barrier md to use same layout as md unplug bits
* Mon Apr 19 2004 okir@suse.de
- Enabled CONFIG_SCHED_SMT on ppc64
- Fixed typo in sched-domain-setup-lock.patch
* Mon Apr 19 2004 mantel@suse.de
- added Intel e100 driver version 2.3.40. Since there is already a
  driver for this hardware in the kernel (e100.c version 3.0.17),
  the new one from Intel has been added under the name e100-intel.o
* Mon Apr 19 2004 axboe@suse.de
- update swap unplug bits. From Hugh.
* Mon Apr 19 2004 axboe@suse.de
- update md unplug bits. From Neil.
* Mon Apr 19 2004 mantel@suse.de
- update e1000 driver to 5.2.39
* Mon Apr 19 2004 mantel@suse.de
- add audit subsystem (LAuS-kernel and fshooks)
* Mon Apr 19 2004 okir@suse.de
- Merged domain scheduler patches from mm tree
* Sun Apr 18 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs-warning-fix
* Sun Apr 18 2004 olh@suse.de
- update kdb-ppc64 patch, fix bt <addr>
* Sun Apr 18 2004 olh@suse.de
- update patches.arch/ibm-ppc64-rtas-races
  avoid stale rtas lock, remove lock from rtas_stop_self()
* Sun Apr 18 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oops-platform_info
  add platform to oops message
* Sat Apr 17 2004 olh@suse.de
- fix alsa suspend
* Sat Apr 17 2004 olh@suse.de
- enable lkcd for ppc64
* Sat Apr 17 2004 agruen@suse.de
- patches.suse/nfs-acl: Add missing check.
* Sat Apr 17 2004 olh@suse.de
- temporary disable CONFIG_PPC_VPURR on pseries64
* Sat Apr 17 2004 olh@suse.de
- add patches.drivers/raw-2.6.6-rc1.patch
  create dev nodes in sysfs for raw device (SUSE39037 - LTC7618)
* Sat Apr 17 2004 olh@suse.de
- return 1 in kdb_debugger on ppc64 to avoid recursive calls to kdb
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-xmon, update from ameslab
* Fri Apr 16 2004 olh@suse.de
- update kdb for ppc64 from ameslab
* Fri Apr 16 2004 garloff@suse.de
- Forward port 2.4 SCSI patches:
  * scsi-log-unlikely: Branch prediction optimization
- Forward port 2.4 SCSI scanning patches:
  * patches.suse/scsi-scan-newopts:
  Introduce scsi_sparselun=1 and scsi_largelun=1 boot/module
  parameters.
  * patches.suse/scsi-scan-reportlun2:
  Drop SCSI_REPORT_LUNS config option, introduce scsi_noreportlun
  parameter instead. Also scsi_reportlun2 to allow trying
  REPORT_LUNS on SCSI-2 devices.
  * patches.suse/scsi-scan-allow-ghost-devs:
  Allow to avoid setting LUNs offline as needed by some EMC
  device (scsi_allow_ghost_devices parameter).
  * patches.suse/scsi-scan-inq-timeout:
  Allow the user to specify the SCSI scanning timeout, as some
  devices may need more (scsi_inq_timeout parameter).
  * patches.suse/scsi-scan-llun-blklst-param:
  Implement llun_blklst=C,B,T[,C,B,T[,...]] parameter that allows
  setting BLIST_LARGELUN|BLIST_SPARSELUN for single devices.
  * patches.suse/scsi-scan-host-noreportlun:
  Allow host adapters to not use REPORT_LUNS scanning.
  * patches.suse/scsi-zfcp-noreportlun.diff:
  The zfcp adapter uses it's own way of mapping LUNs, different
  from Linux. Thus don't use REPORT_LUNS.
* Fri Apr 16 2004 olh@suse.de
- add hugetblfs patches for ppc64
  patches.arch/ibm-ppc64-01_sles-macro-cleanup-1.patch
  patches.arch/ibm-ppc64-02_sles-hugetlb-race-1.patch
  patches.arch/ibm-ppc64-03_sles_dyn_as.patch
* Fri Apr 16 2004 olh@suse.de
- add patches.suse/dm-bbr.vmalloc
  vmalloc needs vmalloc.h
* Fri Apr 16 2004 olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1206, leave out whitespace changes
* Fri Apr 16 2004 agruen@suse.de
- Some cleanups in nfsacl.
* Fri Apr 16 2004 mason@suse.de
- reiserfs update:
- improved allocator (less fragmentation)
- optimizations for synchronous workloads
- metadata readahead
* Fri Apr 16 2004 schwab@suse.de
- Build sgi_fetchop as module [SUSE38862].
* Fri Apr 16 2004 mantel@suse.de
- fix alsa suspend
* Fri Apr 16 2004 schwab@suse.de
- Add driver for Intel Multimedia Timer [SUSE38873].
* Fri Apr 16 2004 agruen@suse.de
- Update cifs to version 1.0.8.
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-buffer-rmo
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-duplicate-mmu-hash-entry
  [PATCH] ppc64: Fix possible duplicate MMU hash entries
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-branch-trap
  [PATCH] [ppc64] catch branch to 0 in real mode (SUSE38737 - LTC7403)
* Fri Apr 16 2004 okir@suse.de
- merged some pcnet fixes (SUSE38961)
* Fri Apr 16 2004 axboe@suse.de
- import my correct unplug counting patch from mainline
* Fri Apr 16 2004 axboe@suse.de
- update sr reference count and disconnect race patch to match mainline
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-races
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 mantel@suse.de
- fix performance problems with pcnet32 driver (SUSE38962)
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-initialise-dn-properties
  [PATCH] [ppc64] always initialise dn->type and dn->name
  (SUSE37976 - LTC7231) qla2xxx driver oops on device discovery
* Fri Apr 16 2004 olh@suse.de
- add patches.fixes/call_usermodehelper_async-always.patch
  add patches.fixes/call_usermodehelper_async.patch
  add patches.fixes/kstrdup-and-friends.patch
  from 2.6.5-mm6
  (SUSE38925 - LTC7358) Boot hang in call_usermodehelper
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-dart-absolute_to_virt
  [PATCH] ppc64: Fix G5 build with DART (iommu) support
* Thu Apr 15 2004 agruen@suse.de
- Remove a few 64-bit cleanliness warnings that lead to build
  failures.
* Thu Apr 15 2004 olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.patch (SUSE37425)
  ftp://www-126.ibm.com/pub/icadd/icadd-2.6-0.23/
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh_register_disable_func
  export function for pci hotplug
  add patches.arch/ibm-ppc64-restore-r13s
  have to restore r13 when entering unrecoverable_exception
  add patches.arch/ibm-ppc64-si_addr-fix
* Thu Apr 15 2004 okir@suse.de
- Disabled CONFIG_NFS_V4 and CONFIG_NFSD_V4 on all platforms
* Thu Apr 15 2004 axboe@suse.de
- fix reference bug in barrier-core, fix clearing of ->doing_barrier
  in ide core in case of errors
* Thu Apr 15 2004 okir@suse.de
- Updated statfs-no-eoverflow: ia32 mode on AMD64 had the
  same problem with ffiles == -1 (SUSE36400)
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-signal_frame-corruption
  ppc64 signal frame issue
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-ras-bss
  (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Thu Apr 15 2004 mantel@suse.de
- fix ALSA update for PPC
* Thu Apr 15 2004 okir@suse.de
- Fix a typo on ipv6/ah6.c (from netdev)
* Thu Apr 15 2004 olh@suse.de
- update ipr scsi driver to version 2.0.3
  add patches.drivers/patch-ipr_evlog
  add patches.fixes/patch-2.6.5-sd_timeout_mod
  allows LLDs to override the default read/write timeout for scsi
  disks. The default timeout value used is too short for many RAID
  array devices, such as those created by the ipr driver.
* Thu Apr 15 2004 mantel@suse.de
- ALSA update and cleanup
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-loglevel
  (SUSE38172 - LTC7219) Frequent RTAS messages reported to the console
* Wed Apr 14 2004 garloff@suse.de
- Back out barrier patches temporarily (SUSE38950, SUSE38949).
* Wed Apr 14 2004 garloff@suse.de
- Patch from Arjan to fix cursor setting for framebuffer drivers.
* Wed Apr 14 2004 olh@suse.de
- update icom driver, fix PORT_ICOM define
* Wed Apr 14 2004 ak@suse.de
- Merge ext3 data=journal data corruption fix from mainline.
* Wed Apr 14 2004 garloff@suse.de
- Added missing ISO9660 symlink length check (mason, agruen).
* Wed Apr 14 2004 okir@suse.de
- IPv6: Disabled xfrm6_tunnel, adjusted several other patches (SUSE36302, SUSE37357)
* Wed Apr 14 2004 axboe@suse.de
- renable barrier-ide again, I killed the sync on block device close.
* Wed Apr 14 2004 okir@suse.de
- SCTP: fail if /proc/net/sctp couldn't be created (SUSE38038)
* Wed Apr 14 2004 agruen@suse.de
- Makefile.suse (for building external modules): Allow symlinks,
  too.
* Wed Apr 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu-power5
  add patches.suse/ibm-ppc64-cpu-features
  Update CPU features. Remove DABR feature, all cpus have it.
  Add MMCRA, PMC8, SMT, COHERENT_ICACHE, LOCKLESS_TLBIE features
* Wed Apr 14 2004 schwab@suse.de
- Enable parsing of PCI link entries in ACPI [SUSE36790].
* Wed Apr 14 2004 olh@suse.de
- add patches.fixes/generalise-system_running.patch
  (SUSE38395 - LTC7308) Crash at reboot on CONFIG_NUMA systems
* Wed Apr 14 2004 hare@suse.de
- S/390: Rename qeth module to qeth_mod for compability with
  old versions.
* Wed Apr 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-16mb-lmb
  (SUSE37612 - LTC7163)   [PATCH] ppc64: NUMA fix for 16MB LMBs
* Wed Apr 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-register-secondary
  (SUSE38648 - LTC7337) sibling cpus are not mapped to nodes
* Wed Apr 14 2004 hare@suse.de
- S/390: Update to IBM Codedrop 2004/04/15
- S/390: Removed obsolete patches
- Rediffed patches.suse/lkcd-kernel-changes-linux263.patch,
  patches.fixes/anon-vma to apply again.
* Tue Apr 13 2004 mantel@suse.de
- update mpt/fusion driver to 3.01.03
* Tue Apr 13 2004 mantel@suse.de
- fix dm so that EVMS snapshotting works correctly
* Tue Apr 13 2004 mantel@suse.de
- fix nonlinear/truncate problem
* Tue Apr 13 2004 mantel@suse.de
- fix module parameter problem in qla2xxx driver (SUSE38764)
* Tue Apr 13 2004 mantel@suse.de
- update cifs to 1.0.6
* Tue Apr 13 2004 schwab@suse.de
- Increase NR_CPUS to 512 in sn2 config.
* Tue Apr 13 2004 mantel@suse.de
- fix file system corruption from qla1280 driver (SUSE38732)
* Thu Apr 08 2004 ak@suse.de
- Disable unnecessary MTD drivers on x86-64
* Thu Apr 08 2004 ak@suse.de
- Add lazy time stamps for networking
* Thu Apr 08 2004 axboe@suse.de
- Don't issue unconditional sync on block driver release.
* Thu Apr 08 2004 ak@suse.de
- Readd new version of NUMA API
* Thu Apr 08 2004 agruen@suse.de
- Update check for unresolved symbols so that it is also effective
  inside Autobuild.
* Thu Apr 08 2004 garloff@suse.de
- Disable barrier-ide until it's fixed.
* Thu Apr 08 2004 agruen@suse.de
- scripts/cvs-wd-timestamp: Fix for users who don't have bash
  as their default shell on cvs.unitedlinux.com.
* Thu Apr 08 2004 andrea@suse.de
- Replace slab-no-comp with gfp-level-mask to better localize
  the dependencies on new gfpmask bitflags.
* Thu Apr 08 2004 andrea@suse.de
- Updated xfs-hugetlbfs-mm-corruption using an alternate
  cleaner fix from the XFS developers. This patch was less
  obvious than the previous one but it has been tested by now
  so it can be applied.
* Thu Apr 08 2004 andrea@suse.de
- added patches.fixes/mprotect-vma-merging and replaced prio-tree
  with the one in 2.6-aa and splitted out the prio-tree-suse
  part (covering kdb etc..) in a separate patch. This way
  the prio tree is applied before the numa-api patches.
- Disabled temporarily the three NUMA-API patches numa-api,
  mpol-copy-fix, numa-api-htlbpages. Andi has been notified,
  the patches need to be rediffed.
* Wed Apr 07 2004 garloff@suse.de
- Fix vscsi deadlocking (against call_usermode_helper/hotplug).
* Wed Apr 07 2004 garloff@suse.de
- Fix slab allocation flags (bug triggered by
  xfs-hugetlbfs-mm-corruption)
* Wed Apr 07 2004 garloff@suse.de
- Fix UML build.
* Wed Apr 07 2004 garloff@suse.de
- Disable non-executable stack on S390.
* Wed Apr 07 2004 ak@suse.de
- Fix 2TB overflow in MD RAID5
* Wed Apr 07 2004 ak@suse.de
- Fix PHY timer bug in updated r8169 driver
* Wed Apr 07 2004 agruen@suse.de
- lvm hash bucket calculation fix, solves snapshot creation
  problems on 32bit machines with > 4GB of ram.  Bug SUSE34418
  (mason@suse.de)
* Wed Apr 07 2004 agruen@suse.de
- fixes/xfs-hugetlbfs-mm-corruption: xfs mm corruption fix
  (andrea@suse.de)
- patches.fixes/anon_vma_prepares-locking: Fix locking for page
  faults in concurrent threads (andrea@suse.de).
- fixes/ext3-infoleak: SUSE35212: fixes/ext3-infoleak, CAN-2004-0133.
* Tue Apr 06 2004 agruen@suse.de
- SUSE38544: fixes/linux-2.6-flash-list-4gig-1: allows flashing of
  the JS20 firmware with the 2.6 kernel (ppc, meissner@suse.de).
- SUSE37815: fixes/iommu-alloc-failed: pci_alloc_consistent should
  return a NULL pointer instead of the magic NO_TCE value. (ppc,
  meissner@suse.de).
* Tue Apr 06 2004 schwab@suse.de
- Reenable auto-IRQ for HCDP serial driver.
* Tue Apr 06 2004 mantel@suse.de
- add Bad Block Relocation Device Target for device mapper
* Tue Apr 06 2004 agruen@suse.de
- SUSE38503: Running fsx-linux generates a truncate + mmap workload
  that can make reiserfs leak bufers.  Eventually the system will
  run out of ram and die.
* Tue Apr 06 2004 axboe@suse.de
- add ext3 barrier patch
* Tue Apr 06 2004 axboe@suse.de
- add barrier patchset
* Tue Apr 06 2004 agruen@suse.de
- patches.fixes/vicam-fix: Add missing copy_from_user (instead
  of direct memory access).
* Tue Apr 06 2004 kraxel@suse.de
- saa7134 driver card list fixes.
* Tue Apr 06 2004 agruen@suse.de
- Fix problem with %%prepare in kernel-source (triggered on ppc).
- Fix permissions of arch/x86_64/offset.h
* Tue Apr 06 2004 hare@suse.de
- S/390: Add patches.arch/s390-xip2fs-lru.patch.
  Fix build for xip2fs.
* Tue Apr 06 2004 agruen@suse.de
- SUSE38013: Enable patches.fixes/shm_unlink-posix.diff.
- Merge selected bug fixes from 2.6.5-mc1.
- Fail if km_* modules don't build or there are undefined
  symbols.
* Tue Apr 06 2004 axboe@suse.de
- update cdrom-refcount to better fix
* Tue Apr 06 2004 schwab@suse.de
- Update configs.
* Tue Apr 06 2004 schwab@suse.de
- Set MAX_DMA_ADDRESS earlier for HP platforms.
* Tue Apr 06 2004 axboe@suse.de
- update libata-update to latest
* Tue Apr 06 2004 mantel@suse.de
- remove HP ProLiant machines from ACPI blacklist (SUSE38427)
* Tue Apr 06 2004 andrea@suse.de
- backed out swap-writepage-sync-1 and applied real fix for SUSE38247
* Mon Apr 05 2004 ak@suse.de
- change map_base to mapped_base (SUSE38434)
* Mon Apr 05 2004 ak@suse.de
- keep ACPI processor module loaded even without ACPI (SUSE37702)
* Mon Apr 05 2004 ak@suse.de
- update r8169 driver (SUSE37793)
* Mon Apr 05 2004 ak@suse.de
- disable CONFIG_NET_DIVERT on pseries64 too
* Mon Apr 05 2004 schwab@suse.de
- Fix mmap overflow [SUSE37845].
* Mon Apr 05 2004 ak@suse.de
- handle empty/disabled nodes without oopsing (SUSE37135)
* Mon Apr 05 2004 agruen@suse.de
- Include binaries below scripts/ in kernel-source.$arch.rpm:
  Some external modules expect them.
- Include arch/asm-x86_64/offsets.h in kernel-source.$arch.rpm.
- Remove wrong Provides from kernel-syms.spec.
* Mon Apr 05 2004 garloff@suse.de
- cdcrom-refcount: Patch from axboe for CDROM refcounting (SUSE38222).
* Mon Apr 05 2004 okir@suse.de
- Remove remainder of udp-no-eagain patch; it breaks poll() on raw
  sockets (SUSE37842).
* Mon Apr 05 2004 hare@suse.de
- S/390: add patches.drivers/xip2fs_part{1,2}.diff
  Add new execute-in-place fs for S/390.
* Mon Apr 05 2004 mantel@suse.de
- disable CONFIG_PCI_NAMES
* Mon Apr 05 2004 schwab@suse.de
- Disable 32bit emulation when the cpu does not support it [SUSE37594].
* Mon Apr 05 2004 schwab@suse.de
- Fix missing include file.
* Mon Apr 05 2004 okir@suse.de
- Updated and re-enabled patches.fixes/sunrpc-disconnect-race (SUSE37686)
* Mon Apr 05 2004 mantel@suse.de
- fix AC97 register initialization
* Mon Apr 05 2004 ak@suse.de
- Force IPv6 FIB cleanup on netdevice unregister (SUSE38246)
* Mon Apr 05 2004 ak@suse.de
- add mapped-base for ppc64
* Mon Apr 05 2004 okir@suse.de
- Disabled patches.fixes/sunrpc-verbose-disconnect; bad idea
* Mon Apr 05 2004 kkeil@suse.de
- fix bug in the init of some bluetooth PCMCIA cards (SUSE34038)
* Mon Apr 05 2004 andrea@suse.de
- prio-tree internal fix from Rajesh Venkatasubramanian,
  changes only mm/prio_tree.c.
* Mon Apr 05 2004 garloff@suse.de
- Update to linux-2.6.5, dropping merged patches and adapt a few.
* Mon Apr 05 2004 ak@suse.de
- add alpha fixes from ro
* Sun Apr 04 2004 ak@suse.de
- add acpi_link_tolerant option to work around problems
  with VIA chipsets. Disabled by default for now.
* Sun Apr 04 2004 andrea@suse.de
- added obviously safe patches.suse/unmap_vmas-lat to provide
  lowlatency even with preempt disabled.
* Sun Apr 04 2004 andrea@suse.de
- XFS vmtruncate fix, will fix bug SUSE37257
* Sun Apr 04 2004 agruen@suse.de
- patches.fixes/sound-ati-ixp-fix: Fix the S/PDIF port on ATI IXP
  boards (takashi@suse.de).
* Sun Apr 04 2004 andrea@suse.de
- anon-vma arch update (noop for x86/x86-64 and most others)
* Sun Apr 04 2004 ak@suse.de
- add ACPI always enable gpes change from mainline
* Sun Apr 04 2004 garloff@suse.de
- Update cifs to version 1.0.5. (SUSE35685, SUSE37871).
* Sun Apr 04 2004 ak@suse.de
- disable apic off dmi entry for HP DL380 (SUSE34704)
* Sun Apr 04 2004 agruen@suse.de
- SUSE38070 hang in hwscan loading module uhci-hcd: Extended
  psmouse-usb-fix patch to reset the USB controller thoroughly
  (vojtech@suse.cz).
* Sat Apr 03 2004 agruen@suse.de
- patches.fixes/alsa-via82xx-amira-fix.diff: Fix from Takashi.
* Sat Apr 03 2004 ak@suse.de
- add ACPI updates from mainline (pci bridge and ACPI SCI fixes)
* Sat Apr 03 2004 garloff@suse.de
- protect-pids-from-oom2: Patch that allows adjustment of oom
  score per pid in powers of 2: 1 << $((/proc/$PID/oom_adj))
  with oom_adj in [-16 ... 15] and exports oom scores in /proc/
  $PID/oom_score. OOM killer sends SIGTERM prior to SIGKILL now.
- rediff patch-delay-2.6.3-040317
* Fri Apr 02 2004 garloff@suse.de
- Change max request size from 128k to 124k for SATA devices w/o
  LBA48 support.
* Fri Apr 02 2004 ak@suse.de
- Disable vectored interrupts support for i386 smp/bigsmp
* Fri Apr 02 2004 ak@suse.de
- set nodes online on ia64
* Fri Apr 02 2004 andrea@suse.de
- Removed suprious warnings from gfp-no-compound, and added
  further bugchecks to be more robust. Added some further
  __GFP_NO_COMP in the swapsuspend/swapresume (not strictly
  needed but just in case).
* Fri Apr 02 2004 kraxel@suse.de
- add missing MODULE_DEVICE_TABLE() to skystar2 driver.
* Fri Apr 02 2004 olh@suse.de
- merge a few patches from the linuxppc64-2.5 tree
  veth, vscsi, eeh
* Fri Apr 02 2004 mantel@suse.de
- JFS: initialize log->bp before calling lmNextPage
* Fri Apr 02 2004 mason@suse.de
- update snapshot locking code, fix possible deadlock cause by
  during dm activation.
* Fri Apr 02 2004 agruen@suse.de
- patches.fixes/shm_unlink-posix.diff: Proposed fix for for
  SUSE38013, error status of shm_unlink not compliant with
  POSIX.1-2001 (minor issue).  The fix is disabled right now; we
  will test/enable it after SL91 is out.
* Fri Apr 02 2004 mantel@suse.de
- downgrade bcm5700 driver to 7.1.22 as this is the latest official
  version
* Fri Apr 02 2004 hare@suse.de
- Fix patches.fixes/prio-tree to cover S/390.
* Fri Apr 02 2004 kkeil@suse.de
- fix Oops on unloading ISDN drivers with still activ connections
* Fri Apr 02 2004 axboe@suse.de
- update dm-02-leftovers to include fix for blk_pc_request residuals
* Fri Apr 02 2004 okir@suse.de
- Replaced IGMPv3 timer list fix icmp-dead-backout with a
  different one from DL Stevens (igmp-timerlist)
* Fri Apr 02 2004 agruen@suse.de
- kernel-source package: Call running-kernel init script with
  argument "start" in %%post; a few more rc.d => init.d changes.
* Fri Apr 02 2004 okir@suse.de
- IPv6 mcast defaults to MLDv1 now in order to prevent network
  meltdown with some cisco switches (SUSE34954)
- Remove obsolete patches.fixes/suse-ipv6-mld2 patch
* Fri Apr 02 2004 andrea@suse.de
- patches.fixes/aic7xxx-suspend (fix swap suspend for aic7xxx
  driver from Pavel)
- patches.fixes/gfp-no-compound this fixes a collision between
  rw_swap_page_sync with compound pages and anon-vma: swapsuspend
  called rw_swap_page_sync with a compound page. This is the last
  bit needed to close SUSE37442. This also cures the no-hugetlbfs
  compilation that currently is very suspect since it doesn't
  setup the page_count of all page_t * for the secondary pages
  in the multipage.
- patches.fixes/anon-vma added hardness check for PageCompound
  in rw_swap_page_sync so an explicit bug will trigger instead
  of a random oops (decoding the asm once is more than enough ;)
- patches.suse/disable-cap-mlock new version (slightly cleaner)
  from Andrew Morton (after s/unlikely/likely)
* Thu Apr 01 2004 okir@suse.de
- statfs should not return EOVERFLOW on 32bit systems if
  b_files or b_ffree is -1 (SUSE36400)
* Thu Apr 01 2004 agruen@suse.de
- Fix a build dependency in lkcd (kerntypes.o needs compile.h).
- Add missing PreReq entires in kernel-source.spec.in.
- Use /etc/init.d instead of /etc/rc.d.
* Thu Apr 01 2004 olh@suse.de
- update icom driver to version 1.3.1
* Thu Apr 01 2004 okir@suse.de
- patches.fixes/nfs-blocksize is superfluous, removed it
* Thu Apr 01 2004 okir@suse.de
- Starting the NFS server didn't work (SUSE37925)
  patches.fixes/sunrpc-xprt-connfix should address this
* Thu Apr 01 2004 okir@suse.de
- Some people still saw kernel messages complaining about an old
  NFS mount version. Fixed. (SUSE37689)
* Thu Apr 01 2004 mason@suse.de
- add BKL around reiserfs_end_persistent_transaction, fixing an
  oops in when reiserfs_get_block returns an error to
  reiserfs_prepare_write
* Thu Apr 01 2004 ak@suse.de
- make pci_dma_allowed on x86-64 bug to bug compatible to i386
  for alsa (SUSE37943)
* Thu Apr 01 2004 mason@suse.de
- disable reiserfs warning about locked buffers being marked dirty
  (bug SUSE37758)
* Thu Apr 01 2004 andrea@suse.de
- One more fix for bug SUSE37442 so that the page written with
  rw_swap_page_sync aren't considered exclusive by the
  swap_writepage operations. This should allow swapsuspend to
  work again. Added further bugchecks in the rw_swap_page_sync
  to protect against non-private pages being passed to that
  interface.
* Thu Apr 01 2004 okir@suse.de
- sunrpc-disconnect-race patch is broken; disabled for now
* Thu Apr 01 2004 agruen@suse.de
- Remove some swsusp warnings.
- patches.suse/disable-cap-mlock: Add sysctl so that the
  CAP_IPC_LOCK capability can be ignored in mlock/mlockall/mmap,
  and so unprivileged processes can use them.
* Thu Apr 01 2004 mantel@suse.de
- pci: Add quirks for USB devices, so that SMM BIOS Legacy PS/2
  emulation is switched off even when USB drivers are not loaded.
  (SUSE34824)
* Thu Apr 01 2004 kraxel@suse.de
- added updates for v4l drivers.
* Thu Apr 01 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10d
* Thu Apr 01 2004 andrea@suse.de
- Allow swap header to be rewritten with rw_swap_page_sync,
  may fix bug SUSE37442.
* Thu Apr 01 2004 ak@suse.de
- disable EDD reporting url
* Wed Mar 31 2004 olh@suse.de
- add patches.drivers/usb-static-sysfs-info
  the sysfs files 'serial', 'product' and 'manufacturer' will be
  read on the fly. this causes problems and unexpected results
  if many processes read that file at once.
  just read this info once now during plugin time and keep it in
  memory.
* Wed Mar 31 2004 andrea@suse.de
- Andrew's fix for SUSE37442 was buggy, rewritten the fix
  and hopefully fixed the bug for real this time.
* Wed Mar 31 2004 okir@suse.de
- Fixed a race condition in the NFS disconnect code (SUSE37686)
* Wed Mar 31 2004 agruen@suse.de
- patches.suse/nfs-mount-warning: Include user space mount version
  in warning.
* Wed Mar 31 2004 stepan@suse.de
-  update bootsplash to 3.1.6
* Wed Mar 31 2004 andrea@suse.de
- Fix a very minor bug while dealing with device driver memory
  in anon-vma (it couldn't harm but this is more correct).
- Fix another minor issue in xfs in prio-tree with nonlinear vmas.
  An xfs fixup for a generic VM truncate bug spotted by objrmap is
  also pending but it's unrelated to this so it'll be in another
  checkin.
- Rediffed ppc64-kdb so it applies cleanly with my scripts (no
  difference for anybody else).
* Wed Mar 31 2004 agruen@suse.de
- Add reiserfs acl support for special files (jeffm@suse.de).
* Tue Mar 30 2004 ak@suse.de
- Add missing vmalloc.h include on x86-64
* Tue Mar 30 2004 mason@suse.de
- lkcd update, disable IPF support until IBM can integrate and
  test the fujitsu patch
- merge ppc64 support, leave them disabled in series.conf until
  the ppc folks can try things out and make sure it compiles
* Tue Mar 30 2004 agruen@suse.de
- Don't artificially limit the number of ACL entries on ext[23].
* Tue Mar 30 2004 garloff@suse.de
- Forward port patch to increase sense buffer size to 96 bytes.
  (Some devices need it, e.g. IBM MagStar tapes.)
- Increase the libata request size from 100k to 128k resp. 512k
  for LBA48 devices.
* Tue Mar 30 2004 okir@suse.de
- Increased the limit when nfsd starts dropping connections
- NFSD now prints a (hopefully) helpful message when it reaches
  this limit and has to drop connections
* Tue Mar 30 2004 agruen@suse.de
- Generate symlinks in /boot also for uml.
* Tue Mar 30 2004 okir@suse.de
- NFS now prints a message when the server drops the connection
* Tue Mar 30 2004 ak@suse.de
- Enable oprofile in i386 configuration
* Tue Mar 30 2004 ak@suse.de
- support more than 8 local APICs on x86-64
* Tue Mar 30 2004 kraxel@suse.de
- update lirc patch and update config files (fixes SUSE37261).
* Tue Mar 30 2004 kkeil@suse.de
- add SET_NETDEV_DEV macros to many network drivers
* Tue Mar 30 2004 agruen@suse.de
- prio_tree: Add missing include module.h for symbol exports.
- Exclude um from module test build: it's badly broken with
  respect to O= building.
* Tue Mar 30 2004 axboe@suse.de
- Make partial io completions with io errors work properly when
  .using bio pairs
* Tue Mar 30 2004 axboe@suse.de
- Fix PREP_KILL return in elv_next_request(), can cause dead
  kernel if used by drivers (send MODE6 to ide-cd, for instance).
* Tue Mar 30 2004 agruen@suse.de
- Export prio_tree_{first,next} symbols.
* Mon Mar 29 2004 mason@suse.de
- Make reiserfs warnings give device details (SUSE29740)
* Mon Mar 29 2004 agruen@suse.de
- Two small prio-tree fixes from Andrea.
* Mon Mar 29 2004 mason@suse.de
- properly set block device size during loop device setup
* Mon Mar 29 2004 mantel@suse.de
- added prio-tree feature
* Mon Mar 29 2004 axboe@suse.de
- fix oops in pci_alloc_consistent with iommu for pcidev == NULL (SUSE37191)
* Mon Mar 29 2004 olh@suse.de
- remove changes to arch/ppc/mm/pgtable.c from anon_vma patch
* Mon Mar 29 2004 andrea@suse.de
- Add bugcheck for page->mapcount == 0 in alloc/free page paths
  (just in case).
- Convert BUG_ON to WARN_ON in page_remove_rmap and added a
  WARN_ON(page->mapcount) in remove_from_page_cache, to try
  to trap the case of pages being removed from pagecache while
  they still had some mapping. This should fix SUSE37257.
* Mon Mar 29 2004 mantel@suse.de
- add swsuspend support for highmem machines; show progress (SUSE37147)
* Mon Mar 29 2004 mantel@suse.de
- ALSA update:
  - fix the hang up of AD1985 codec.
  - fix the handling of chained AD188x/AD198x codecs.
  - fix the detection of AC97 rev2.3.
* Mon Mar 29 2004 axboe@suse.de
- return -ENXIO in scsi_device_get() if it isn't fully set up yet (SUSE37303)
* Mon Mar 29 2004 mantel@suse.de
- update IBM ServeRaid driver (ips) to 7.00.15
* Mon Mar 29 2004 mantel@suse.de
- don't use arbitrary MAC address in prism driver when firmware is
  not yet loaded
* Mon Mar 29 2004 mantel@suse.de
- fix signal/restart loop in autofs (SUSE35148)
* Mon Mar 29 2004 kkeil@suse.de
- update ppp-filter-fix to fix also the ippp autodial filter (SUSE37284)
* Mon Mar 29 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040329
  s390 updates, mount compat changes, ide updates
* Sun Mar 28 2004 olh@suse.de
- update patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  use the official version
* Sun Mar 28 2004 olh@suse.de
- add patches.drivers/ppc64-iseries-icom.patch
  serial icom driver for iseries
* Sun Mar 28 2004 olh@suse.de
- add patches.arch/ppc64.patch_iseriesworkaround
  the segment handling patch broke iseries, temporary fix
  add patches.drivers/ppc64-iseries-viocd-removableflag
  dont show iSeries virtual CD in /proc/partitions
* Sun Mar 28 2004 agruen@suse.de
- patches.fixes/alsa2.diff: Fix from Takashi Iwai <tiwai@suse.de>.
* Sun Mar 28 2004 olh@suse.de
- disable patches.suse/dm-03-32bit-ioctl
  breaks interfaces on ppc (SUSE36813 - LTC7019)
* Sat Mar 27 2004 garloff@suse.de
- Enable noexec-stack on all archs and put in front of anon-vma.
  (Rediffed the latter.)
* Sat Mar 27 2004 agruen@suse.de
- xfs got the attribute namespaces wrong with a tight buffer as in
  listxattr(file, buffer, listxattr(file, NULL, 0)).
* Sat Mar 27 2004 schwab@suse.de
- Remove obsolete patches.
* Sat Mar 27 2004 olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pcspkr.patch
* Sat Mar 27 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040327
  acpi, ia64, ppc23, arm, sparc64 updates
  add patches.drivers/usb-2.6-disable-pwc
  disabled umaintained usb driver
* Fri Mar 26 2004 olh@suse.de
- add patches.fixes/usb-interface-init-fix (SUSE36990)
* Fri Mar 26 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040326
  add patches.drivers/pci_dma_mapping_error.patch
* Fri Mar 26 2004 mason@suse.de
- merge patches.fixes/reiserfs-writepage back into
  reiserfs-writepage-ordered-race (which added the bug)
- add writepage-ordered-race to fix the data=ordered race with
  fsync/O_SYNC for ext3, integrate speedups from Andrew's fix into
  reiserfs-writepage-ordered-race
  fsync should really be syncing now (finally)
* Fri Mar 26 2004 axboe@suse.de
- Back out problematic igmp dev ref counting patch (SUSE36696)
* Fri Mar 26 2004 schwab@suse.de
- Export register_percpu_irq.
* Fri Mar 26 2004 schwab@suse.de
- Fix an unwind bug.
* Fri Mar 26 2004 ak@suse.de
- Make VIA IOMMU change compile on SMP too
* Fri Mar 26 2004 okir@suse.de
- Removed my mcast timer fix after Jens imported the mainline fix
* Fri Mar 26 2004 mantel@suse.de
- do not panic when resume partition cannot be found (SUSE36972)
* Fri Mar 26 2004 ak@suse.de
- Force swiotlb on VIA chipsets for >3GB RAM.
* Fri Mar 26 2004 ak@suse.de
- Make ACPI modular on x86-64
* Fri Mar 26 2004 axboe@suse.de
- add ip_mc_down() fix from linux-bk (SUSE36696)
* Fri Mar 26 2004 ak@suse.de
- Disable debugging messages in parport daisy driver
* Fri Mar 26 2004 ak@suse.de
- Enable powernow k8 acpi driver on x86-64 and i386 (SUSE36822)
* Fri Mar 26 2004 agruen@suse.de
- xfs cvs update.
* Thu Mar 25 2004 andrea@suse.de
- Fixup one locking bit in the objrmap-core, more precisely
  backed out this below incorrect patch. This results in a
  microscalability optimization for munmap, and it fixes an smp
  race in swapoff (such race existed in mainline too btw).
- After modifying this part of objrmap-core, anon-vma generated a
  trivial reject, but there is absolutely no change to anon-vma
  except for the reject fixup.
* Thu Mar 25 2004 ak@suse.de
- Fix use of uninitialized memory in split_vma (SUSE36890)
* Thu Mar 25 2004 okir@suse.de
- Prevent dst underrun in ip6t_REJECT (SUSE36923)
* Thu Mar 25 2004 ak@suse.de
- Force alignment of task_struct to 16 bytes (SUSE36301)
* Thu Mar 25 2004 okir@suse.de
- prevent "uninitialized timer in ip_mc_down" message (SUSE36842)
* Thu Mar 25 2004 schwab@suse.de
- Make VFAT builtin.
* Thu Mar 25 2004 ak@suse.de
- Fix vsyscall debugging on x86-64
* Thu Mar 25 2004 agruen@suse.de
- SUSE36841: Disable ``mount version is older than kernel'' warning:
  The kernel for SL 9.1 will support a higher mount version than
  the mount binary.
* Thu Mar 25 2004 mantel@suse.de
- update libata
* Thu Mar 25 2004 axboe@suse.de
- add CFQ io sheduler
* Thu Mar 25 2004 mantel@suse.de
- add objrmap nonlinear and anon-vma ppc support
* Thu Mar 25 2004 ak@suse.de
- Use correct optimization option for intel x86-64 CPUs (SUSE36901)
* Thu Mar 25 2004 ak@suse.de
- Disable network debugging messages
* Thu Mar 25 2004 axboe@suse.de
- Fix ide-cd capacity query
* Thu Mar 25 2004 ak@suse.de
- Emulate bridge ioctls for vmware (SUSE36641)
* Thu Mar 25 2004 garloff@suse.de
- Revert sysfs changes from rc2. (SUSE36844, SUSE36198).
* Thu Mar 25 2004 garloff@suse.de
- Drop part from lkcd_ipf that panics the kernel on accessing
  /proc/sys/kernel/cad_pid.
* Wed Mar 24 2004 agruen@suse.de
- patches.fixes/doc-syntax.diff: Fix a syntax error that causes
  the kernel-docs package to fail.
* Wed Mar 24 2004 agruen@suse.de
- Update configs, and relax the config file consistency check.
* Wed Mar 24 2004 ak@suse.de
- another swap fix for NUMA kernels under load (SUSE36806)
- remove debugging messages in usagi ip6ip6 tunnel
- enlarge kernel log size on x86-64
* Wed Mar 24 2004 mantel@suse.de
- some ALSA updates still missing from 2.6.5-rc2
* Wed Mar 24 2004 olh@suse.de
- add patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  do not hang during usb device unplug (SUSE36830)
* Wed Mar 24 2004 schwab@suse.de
- Fix buffer list walking bug in reiserfs writepage [SUSE36797].
* Wed Mar 24 2004 agruen@suse.de
- kernel-dummy.spec.in: Remove wrong Provides line.
* Wed Mar 24 2004 axboe@suse.de
- don't show cdroms in /proc/partitions (SUSE36527)
* Wed Mar 24 2004 mantel@suse.de
- allow capabilities to be disabled via kernel parameter (SUSE36821)
* Wed Mar 24 2004 olh@suse.de
- update kdb for ppc64, keep the ameslab version intact
  fix stacktrace for current process
* Wed Mar 24 2004 schwab@suse.de
- Fix SAL revision detection [SUSE36782].
* Wed Mar 24 2004 ak@suse.de
- delete obsolete patches.
* Wed Mar 24 2004 ak@suse.de
- Fix 32bit getdents and remount on x86-64
* Wed Mar 24 2004 hare@suse.de
- Disable LTT & dprobe completely as they also do not
  work on S/390.
- Rediff numa-api.
* Wed Mar 24 2004 schwab@suse.de
- Enable KDB on ia64, off by default.
* Tue Mar 23 2004 ak@suse.de
- fix oops in numa api code (SUSE36806)
* Tue Mar 23 2004 garloff@suse.de
- Non executable stack for x86-64.
* Tue Mar 23 2004 kkeil@suse.de
- add PPP filter fix (SUSE34724)
- add ported iff_dynamic patch
* Tue Mar 23 2004 ak@suse.de
- Disable relayfs on um
* Tue Mar 23 2004 ak@suse.de
- Fix build on x86-64 again
* Tue Mar 23 2004 ak@suse.de
- Really disable IO-APIC on UP by default in ACPI (SUSE36767)
* Tue Mar 23 2004 agruen@suse.de
- patches.fixes/um-O=.diff: UML related fix for O=.
- rpm/generate-Makefile.suse: Minor quircks.
* Tue Mar 23 2004 agruen@suse.de
- Add Required-Start: $remote_fs to running-kernel.init so that
  the script will find /usr mounted.
* Tue Mar 23 2004 schwab@suse.de
- Enable forced interrupts by default on SN [SUSE36439].
* Tue Mar 23 2004 ak@suse.de
- Disable non fatal MCE checks for i386 (too many false errors)
* Tue Mar 23 2004 ak@suse.de
- Disable HPET timer support for i386 (SUSE35081)
* Tue Mar 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pci_dma_error.patch
  update vio drivers for recent pci_dma changes
* Tue Mar 23 2004 okir@suse.de
- nfs-blocksize: prevent 32bit statfs failures on large NFS file
  systems (SUSE36400)
- nfs-mount-fail-crash: do not oops when fsinfo call fails during
  OB  NFS super block initialization (SUSE36018)
* Tue Mar 23 2004 garloff@suse.de
- ngroups-max-var: Add patch to allow adjustment of NGROUPS_MAX
  (SUSE36724).
* Tue Mar 23 2004 garloff@suse.de
- vm_reserve-patch: Add patch from Karsten Keil to implement
  vm_reserve boot parameter.
* Tue Mar 23 2004 garloff@suse.de
- Make __HZ int instead of long and use sizeof(int) in sysctl
  handler. It displayed two values on 64 bit archs :-(
* Tue Mar 23 2004 schwab@suse.de
- Fix ckrm patch so that it compiles.
* Tue Mar 23 2004 ak@suse.de
- Update ACPI to 20040311 test queue.
* Tue Mar 23 2004 ak@suse.de
- Update configurations
* Tue Mar 23 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040323
  isdn updates, ps2 works again on ppc64
* Tue Mar 23 2004 olh@suse.de
- remove patches.suse/kdb-common-softirq again, it was old kdb code
* Tue Mar 23 2004 ak@suse.de
- make s2io driver actually compile with standard configuration
* Tue Mar 23 2004 ak@suse.de
- add s2io driver
* Tue Mar 23 2004 mason@suse.de
- hopefully fix lkcd for ia64 compiles as a module
* Tue Mar 23 2004 mason@suse.de
- remove duplicate entry for num api in series.conf
* Tue Mar 23 2004 mason@suse.de
- well, that didn't work.  disable ckrm on ppc
- reorder things in series.conf so ckrm comes before llt, that
  way it won't conflict with anon-vma on ppc.  Enable relayfs
  for ppc.
* Tue Mar 23 2004 ak@suse.de
- disable debugging code in numa api
* Tue Mar 23 2004 mason@suse.de
- add ckrm core patches
* Tue Mar 23 2004 schwab@suse.de
- Remove ILP32 patch.
* Tue Mar 23 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10c
* Mon Mar 22 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  restore old simpler version of this patch
* Mon Mar 22 2004 schwab@suse.de
- Fix lkcd patch so that it compiles.
* Mon Mar 22 2004 schwab@suse.de
- More fallout from ak's patch.
* Mon Mar 22 2004 schwab@suse.de
- Fix ak's fixes.
* Mon Mar 22 2004 mason@suse.de
- fix lkcd compile for ia64
* Mon Mar 22 2004 mason@suse.de
- fix ia64 configs for lkcd
* Mon Mar 22 2004 ak@suse.de
- Some fixes for previous checkin
* Mon Mar 22 2004 schwab@suse.de
- Update ppc64 kdb patches.
* Mon Mar 22 2004 ak@suse.de
- Add NUMA API
* Mon Mar 22 2004 agruen@suse.de
- add lkcd for ia64
* Mon Mar 22 2004 agruen@suse.de
- Switch from a build-kernel-modules script to Makefile.suse for
  test-building external modules.
- Remove test that breaks the external modules test.
- patches.rpmify/kbuild-out-of-tree: Remove modversions files
  when doing a `make distclean'.
* Mon Mar 22 2004 schwab@suse.de
- kdb: move bfd.h and ansidecl.h to include/asm.
* Mon Mar 22 2004 mantel@suse.de
- disable CONFIG_WATCHDOG_NOWAYOUT (SUSE36511)
* Mon Mar 22 2004 mantel@suse.de
- add fix for vmware to anon-vma
* Mon Mar 22 2004 axboe@suse.de
- update patches.suse/backing-dev-unplug.patch to not call into q->unplug_fn
  unconditionally, saves some cpu io bound loads.
- update patches.suse/dm-30-unplug-update-1 to not include md patches now
  folded into the above patch
* Mon Mar 22 2004 olh@suse.de
- add patches.suse/kdb-common-softirq
  ignore softirqs when in kdb
* Mon Mar 22 2004 olh@suse.de
- add patches.drivers/ppc64-e1000-tce-leak
  Don't wrap the ring in tx_map, since that'll lead to TCE leaks
* Mon Mar 22 2004 olh@suse.de
- update patches.arch/ppc64.patch
  sync with Linus, some hotplug things changed when rusty merged it
  upstream
* Mon Mar 22 2004 ak@suse.de
- fix DEBUG_INFO build on x86-64 again
* Sun Mar 21 2004 olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1193, Some host driver cleanups.
* Sun Mar 21 2004 mason@suse.de
- reiserfs laptop mode support
* Sun Mar 21 2004 olh@suse.de
- add patches.suse/aio-cancel-debug
* Sun Mar 21 2004 olh@suse.de
- update ipr scsi driver to version 2.0.0-8
* Sun Mar 21 2004 mason@suse.de
- fix aacraid compile problem
* Sun Mar 21 2004 mason@suse.de
- disable the hooks probes and LTT on ppc, needs a rediff against
  anon_vma once andrea fixes that
- disable kprobes/dprobes entirely, it doesn't compile on arches
  it doesn't support
* Sun Mar 21 2004 mason@suse.de
- update evlog so that dev_printk can go there
- add e1000 dprintk code from IBM
- add relayfs, kernel hooks, dprobes and LTT
* Sun Mar 21 2004 mason@suse.de
- quota locking update from Jan Kara
* Sun Mar 21 2004 andrea@suse.de
- Make mmap(MAP_SHARED|MAP_ANONYMOUS) work again.
* Sun Mar 21 2004 olh@suse.de
- split patches.arch/ppc64.patch into smaller pieces for
  rtas, ipr and vscsi driver, veth, hvc console and server
* Sun Mar 21 2004 andrea@suse.de
- Change BUG_ON with WARN_ON. Current kernel will work fine
  even if the WARN_ON triggers. However it would be nice to
  catch drivers not setting VM_RESERVED since those wouldn't work
  properly with a pagetable walk anymore.
- this will make SUSE36628 not a problem, but still I'd like to
  fix the vmmon module to set VM_RESERVED to enforce a
  stronger VM API.
* Sun Mar 21 2004 olh@suse.de
- add patches.drivers/emulex-lpfc-compat
  remove compat defines to get it going on ppc (SUSE35691 - LTC6704)
* Sun Mar 21 2004 olh@suse.de
- update patches.drivers/usb-eciadsl.patch
  better version from David Brownell
* Sun Mar 21 2004 olh@suse.de
- add patches.fixes/sg_cmd_done_oops.patch
  fixes a race condition in sg_cmd_done that results in an oops.
  sg_cmd_done cannot touch sfp once srp->done is set.
* Sun Mar 21 2004 agruen@suse.de
- When installing a second kernel in addition to the existing
  one(s), keep symlinks to the previously active kernel around as
  /boot/{vmlinuz,initrd}.previous.
- Remove ``Requires: make c_compiler'' from kernel-source package.
* Sun Mar 21 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20030420
* Sat Mar 20 2004 andrea@suse.de
- Fixed NOPAGE_SIGBUS/OOM returned by ->nopage, and save
  8 bytes per page on 64bit archs.
* Sat Mar 20 2004 mason@suse.de
- Pull in Takashi's latest latency fixes for reiserfs and
  mpage_writepages
* Sat Mar 20 2004 mason@suse.de
- cleanup: get rid of the old dm patches, they have been disabled
  most of the week.
* Sat Mar 20 2004 mason@suse.de
- reiserfs-file_write_hole_sd.diff needs to be in the series.conf
  to do any good.  whoops.  Now bug SUSE36353 should be fixed
* Sat Mar 20 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  implement a pipe as suggested by viro
* Sat Mar 20 2004 agruen@suse.de
- SUSE36587: Remove qsort from xfs; it's in our kernel for nfsacl
  anyway.
* Fri Mar 19 2004 olh@suse.de
- readd patches.suse/suse.ppc32.console.autodetection
* Fri Mar 19 2004 schwab@suse.de
- Prevent GCC from clobbering r13.
* Fri Mar 19 2004 mantel@suse.de
- re-add ppp_mppe (SUSE34335)
* Fri Mar 19 2004 mantel@suse.de
- update powernow-k8
* Fri Mar 19 2004 schwab@suse.de
- Fix fallout from last change.
* Fri Mar 19 2004 mantel@suse.de
- update objrmap-core, add anon-vma
* Fri Mar 19 2004 okir@suse.de
- Back out patches.fixes/suse-ipv6-mld2
- Removed patches.fixes/ipv6-rtm-dump-no-mcast; folded into mainline
* Fri Mar 19 2004 ak@suse.de
- Update to x86_64-2.6.5rc1-3. Should fix SUSE35405
* Fri Mar 19 2004 agruen@suse.de
- Fix the override-config-file mechanism.
* Fri Mar 19 2004 mason@suse.de
- fix reiserfs_file_write hole bug
- Try to fix some O_DIRECT<->buffered io races
- fix reiserfs writepage for fsync vs data=ordered races
- add O_DIRECT aio fixes from -mm
- make fsaio really async (from Suparna)
* Thu Mar 18 2004 ak@suse.de
- Disable PM_TIMER on x86-64
* Thu Mar 18 2004 stepan@suse.de
- update bootsplash to v3.1.5
* Thu Mar 18 2004 agruen@suse.de
- Fix breakage in the merged version.h/autoconf.h files.
* Thu Mar 18 2004 hare@suse.de
- add patches.fixes/ide-pci-module.patch to fix modular IDE drivers.
* Thu Mar 18 2004 mantel@suse.de
- add monitor patch to orinoco driver (SUSE34371)
* Thu Mar 18 2004 ak@suse.de
- disable software suspend on x86-64 and i386 SMP kernels.
* Thu Mar 18 2004 ak@suse.de
- enable SIS190 and RAID6 on x86-64
- enable SIS190 on i386
* Thu Mar 18 2004 ak@suse.de
- fix compilation with fusion driver (hopefully last fix needed now)
* Thu Mar 18 2004 mason@suse.de
- fix race with ak on the fusion change
* Thu Mar 18 2004 mason@suse.de
- fix mpt fusion fix so it patches
- fix for mm-writeback changes, make wait_on_page_writeback_range
  actually wait
* Thu Mar 18 2004 ak@suse.de
- Remove bogus hunk from usb-set_idle.patch that broke compilation
* Thu Mar 18 2004 ak@suse.de
- Set correct consistent dma mask in mpt fusion.
- Disable previous workaround in x86-64 code for that.
- Disable warning in fusion that triggers under load.
* Thu Mar 18 2004 ak@suse.de
- Disable donauboe driver completely on 64bit, drop older patch.
* Wed Mar 17 2004 olh@suse.de
- add patches.arch/ppc32.make_smp.patch
  no extra space for mkprep
* Wed Mar 17 2004 olh@suse.de
- add patches.suse/kdb-common-disable-kdbm_inode_pages
  workaround struct inode changes from -mm
* Wed Mar 17 2004 mason@suse.de
- add missing EXPORT_SYMBOL for test_set_page_writeback()
* Wed Mar 17 2004 mason@suse.de
- update for the mm writeback changes, some filesystems need to
  switch from SetPageWriteback to set_page_writeback()
* Wed Mar 17 2004 ak@suse.de
- Readd apic option to i386 UP kernel. Enable UP APIC support
  in configuration. Disable by default. Add DMI entries
  for Intel G440X+and HP Proliant DL380 (SUSE34704, SUSE35681)
* Wed Mar 17 2004 mantel@suse.de
- avoid overflow in fs/read_write.c (SUSE35403)
* Wed Mar 17 2004 olh@suse.de
- add a bunch of ppc64 patches,
  limit OF property size to 1Mb, provide vioconfig info, g5 iommu
  freq in cpu info, rtas log_error, vscsi report lun
* Wed Mar 17 2004 ak@suse.de
- Disable not 64bit EICON driver on x86-64
* Wed Mar 17 2004 ak@suse.de
- Disable APIC on x86-64 even with acpi=off
* Wed Mar 17 2004 kraxel@suse.de
- fix uml build.
- put uml kernel also into kernel-um.
* Wed Mar 17 2004 ak@suse.de
- Disable LANSTREAMER driver on x86-64
- Fix 64bit bug on donauboe driver
* Wed Mar 17 2004 olh@suse.de
- add patches.drivers/alsa-ppc-snd_dma_continuous_data.patch
  fix unresolved symbol in pmac alsa driver
* Wed Mar 17 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas_os_term.patch
  passes the panic string to the os-term call so that it can be
  stored in a platform error log
* Wed Mar 17 2004 ak@suse.de
- Disable MWAVE driver on x86-64
* Wed Mar 17 2004 schwab@suse.de
- Disable IRQ debugging by default.
- Add hook to be able to speed up process migration.
* Wed Mar 17 2004 schwab@suse.de
- Fix missing symbol export.
* Wed Mar 17 2004 ak@suse.de
- Update to x86_64-2.6.5rc1-2 (should fix SUSE36030)
* Wed Mar 17 2004 olh@suse.de
- add patches.arch/ppc64-slb.patch (SUSE34332 - LTC6143)
  1. Paulus' exception stack changes that will enter xmon if we
  ever do more than 2 levels of exception
  2. Checks of MSR_RI at exception entry, if this is an exception
  taken during the critical window, enter xmon so we can debug it
  3. Anton's removal of class bits from SLB entries
  4. Added SLB invalidates when we reuse entries.
* Wed Mar 17 2004 mantel@suse.de
- update dm-30-unplug-update-1
* Wed Mar 17 2004 ak@suse.de
- Add workaround for consistent dma mask bug added with 2.6.5rc1
  on x86-64.
* Wed Mar 17 2004 ak@suse.de
- Fix hyperthreading support on x86-64
* Wed Mar 17 2004 mason@suse.de
- fixes from Jens for device mapper:
-   dm update reverted a bit shifting fix
-   dm raid1 unplugging fix
* Wed Mar 17 2004 ak@suse.de
- Add powernow k8 ACPI driver.
* Wed Mar 17 2004 ak@suse.de
- update to x86_64-2.6.5rc-1
* Tue Mar 16 2004 olh@suse.de
- add patches.drivers/usb-eciadsl.patch
  make the eci adsl modem work with 2.6
  add patches.fixes/ppc32-2.6.5-compile.patch
  compilefixes for recent dma changes
* Tue Mar 16 2004 bk@suse.de
- S/390 cpint: retry with more response buffer if it was too small
* Tue Mar 16 2004 mason@suse.de
- merge writeback changes from -mm
- merge latest device mapper patchset
* Tue Mar 16 2004 mantel@suse.de
- add missing PCI ID for ATI IXP
* Tue Mar 16 2004 schwab@suse.de
- Update 64k-pagesize and sn2 configuration to be more similar to
  default.
* Tue Mar 16 2004 schwab@suse.de
- Remove dig and zx1 configuration.
- Enable BLK_DEV_SGIIOC4 in default config.
* Tue Mar 16 2004 mantel@suse.de
- add ATI IXP chipset IDE support
* Tue Mar 16 2004 mantel@suse.de
- ALSA update for 2.6.5-rc1
* Tue Mar 16 2004 agruen@suse.de
- Include all spec files into kernel-source.src.rpm for easier
  rpm rebuild.
* Tue Mar 16 2004 okir@suse.de
- Updated MIPv6 patch
* Tue Mar 16 2004 olh@suse.de
- remove patches.suse/suse-ppc64-xmon.disassembler.update
  xmon and bfd interface differs alot
* Tue Mar 16 2004 schwab@suse.de
- Fix missing braces.
* Tue Mar 16 2004 schwab@suse.de
- Remove obsolete patch.
* Tue Mar 16 2004 mantel@suse.de
- fix double export of md_unplug_mddev
* Tue Mar 16 2004 schwab@suse.de
- Remove obsolete patches.
* Tue Mar 16 2004 mantel@suse.de
- fix a missing export and two missing shifts with BIO_RW_SYNC in
  backing-dev-unplug.patch
* Tue Mar 16 2004 mantel@suse.de
- update to 2.6.5-rc1
* Tue Mar 16 2004 mantel@suse.de
- remove infiniband drivers
* Tue Mar 16 2004 olh@suse.de
- reenable patches.drivers/firewire_ieee1394
  rev 1191, fixes some list corruption in ieee1394 core
* Mon Mar 15 2004 olh@suse.de
- add patches.fixes/alsa.patch, patches.fixes/ia64-dma.patch
  fix compile errors after dma_sync_for_device-cpu.patch
  more alsa updates
  preserve ABI in arch/s390/appldata/appldata_mem.c
* Mon Mar 15 2004 garloff@suse.de
- dynamic-timeslice: Add patch to allow tuning of scheduling
  timeslices. (Port from 2.4.)
* Mon Mar 15 2004 garloff@suse.de
- bio-unplug-bitmasks: Another unplugging fix: The bitmasks were
  confused.
* Mon Mar 15 2004 garloff@suse.de
- fix-plugging-race: Add patch from axboe to fix a plugging race
  (SUSE36090).
* Mon Mar 15 2004 schwab@suse.de
- Fix more breakage from olh.
* Mon Mar 15 2004 agruen@suse.de
- Reenable pre-configuring of the kernel sources: sadly a number
  of packages expect configured kernel sources; it doesn't seem
  realistic to assume that we can fix them all.
- Check for files that may be msising when building from nosrc
  packages.
- scripts/sequence-patch.sh: Add `-' option to set up the scratch
  area without applying any patches.
* Mon Mar 15 2004 schwab@suse.de
- Fix last change.
* Mon Mar 15 2004 mantel@suse.de
- fix slab corruption by sys_swapon (SUSE36016)
* Mon Mar 15 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040315
  nfs merge, alsa updates, fix ppc32 PReP booting
* Mon Mar 15 2004 schwab@suse.de
- Fix broken exports.
* Mon Mar 15 2004 agruen@suse.de
- patches.rpmify/cloneconfig.diff: Add cloneconfig target, and
  make defconfig do ``the right thing''.
* Mon Mar 15 2004 mantel@suse.de
- update backing-dev-unplug.patch
* Mon Mar 15 2004 agruen@suse.de
- Remove a few obsolete patches. Re-enable xfs permission() fix
  that was accidentally commented out.
* Mon Mar 15 2004 agruen@suse.de
- No longer add the cvs timestamp to packages: We now have
  it in `rpm -qi'.
* Sun Mar 14 2004 mason@suse.de
- make backing-dev-unplug.patch able to handle swap pages, add
  a few barriers for luck.
* Sun Mar 14 2004 agruen@suse.de
- Add a flag for ignoring failures in external modules.
* Sun Mar 14 2004 mason@suse.de
- fix reiserfs tail packing bug
* Sun Mar 14 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040314
* Sat Mar 13 2004 schwab@suse.de
- Remove unwanted patches.
* Fri Mar 12 2004 olh@suse.de
- disable emulex lpfc driver on ppc64 until it is fixed (SUSE35691)
* Fri Mar 12 2004 kraxel@suse.de
- update uml config.
* Fri Mar 12 2004 schwab@suse.de
- Add Vitesse SATA driver.
* Fri Mar 12 2004 mantel@suse.de
- export missing symbols from dm-table
* Fri Mar 12 2004 kraxel@suse.de
- uml update.
* Fri Mar 12 2004 schwab@suse.de
- Enable MD_RAID6.
* Fri Mar 12 2004 agruen@suse.de
- Abort build on unresolved symbols.
- SUSE35753: Update from old versions: Force replacement of
  /boot/$image and /boot/initrd even if they are regular files.
* Fri Mar 12 2004 ak@suse.de
- Fix DEBUG_INFO build on x86-64
* Fri Mar 12 2004 schwab@suse.de
- Add latest ia64 updates.
- Fix compilation of infiniband driver.
* Fri Mar 12 2004 olh@suse.de
- add patches.arch/ppc64.patch.numa_cpu_lookup_table-init
  init non existant cpus to zero. (SUSE35497 - LTC6747)
* Fri Mar 12 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040312
  x86-64 merge, G5 temperature control update
* Fri Mar 12 2004 olh@suse.de
- add patches.arch/ppc64.patch.errno-truncate
  errno is an int, but the syscall stored unsigned long
* Fri Mar 12 2004 mantel@suse.de
- some fixes for backing-dev-unplug
* Fri Mar 12 2004 mantel@suse.de
- kill the global queue plugging in the block layer, which was a
  huge scalability problem on big iron (axboe@suse.de)
* Fri Mar 12 2004 ak@suse.de
- decrease struct page size on x86-64
* Thu Mar 11 2004 mason@suse.de
- latency fixes from Takashi
- enable reiserfs preallocation
- mpool alloc and free race fix
* Thu Mar 11 2004 mason@suse.de
- reiserfs logging fixes
* Thu Mar 11 2004 ak@suse.de
- update x86-64 configs (enable mmconfig support)
* Thu Mar 11 2004 ak@suse.de
- update to x86_64-2.6.4rc3-1
* Thu Mar 11 2004 mantel@suse.de
- update to 2.6.4
* Thu Mar 11 2004 agruen@suse.de
- Disable pre-configuration of the kernel source package: Building
  with O= is well supported now. (The km_* packages don't support
  O=, yet.)
- Also install the arch/$arch/defconfig.$flavor files in the
  binary kernels. Add scripts/build-kernel-modules (generated by
  script) for testing compilation and installation.
* Thu Mar 11 2004 agruen@suse.de
- %%postun-script: Fix relink code (broke recently).
- Rename /boot/vmlinux to /boot/vmlinux.gz for gzip'ed files
  (the extension was lost at some point).
- patches.fixes/x86_64-memcpy_io.diff: Force memcpy_{from,to}io
  into the kernel; they are needed by modules. Fix usage of long
- patches.fixes/alsa-bk-2004-03-01-fix.patch: Fix usage of long
  as pointer in memcpy_{from,to}io.
- patches.fixes/reiserfs-direct-tail.diff: SUSE34646 (comment #63):
  Fix for reiserfs_unmap_buffer() with bh->b_page == NULL.
* Wed Mar 10 2004 schwab@suse.de
- Fix USB oops.
* Wed Mar 10 2004 schwab@suse.de
- Enable AGP_HP_ZX1.
* Wed Mar 10 2004 okir@suse.de
- Fixed nfs-short-read patch
* Wed Mar 10 2004 agruen@suse.de
- Packaging: Rename file timestamp to build-source-timestamp;
  Autobuild will expand the file contents into the description
  in the rpm info.
* Wed Mar 10 2004 mantel@suse.de
- fix oops on psmouse reconnect (SUSE35489)
* Wed Mar 10 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc3-20040310
  irda fixes, G5 OF interface fixes
* Wed Mar 10 2004 agruen@suse.de
- Update to current cvs version of xfs (+ a minor fix).
- Create directory for miscellaneous stuff, and add scripts for
  diffing against the xfs cvs, and the kernel package build
  script.
- Set the same version number in kernel-dummy as in all other
  spec files.
* Tue Mar 09 2004 schwab@suse.de
- Fix partial reads at end of block device [SUSE31902].
* Tue Mar 09 2004 schwab@suse.de
- Restore previous version of tiocgdev patch.
* Tue Mar 09 2004 okir@suse.de
- added patches.fixes/nfs-short-read
- added patches.fixes/ipv6-rtm-dump-no-mcast to fix SUSE35288
* Tue Mar 09 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040309
* Tue Mar 09 2004 agruen@suse.de
- scripts/tar-up.sh: Also create kernel-dummy.changes.
- Update configs (duwe).
* Mon Mar 08 2004 agruen@suse.de
- Add internal kernel-dummy package to keep release numbers
  synchronized.
* Mon Mar 08 2004 mantel@suse.de
- correctly set the block size on the loopback block device
* Mon Mar 08 2004 mantel@suse.de
- restore 32/64 bit compatibility of TIOCGDEV
* Mon Mar 08 2004 mason@suse.de
- evlog update
* Mon Mar 08 2004 ak@suse.de
- Enable CONFIG_LEGACY_PTYS everywhere
* Mon Mar 08 2004 olh@suse.de
- build scsi into the kernel on G5
* Mon Mar 08 2004 olh@suse.de
- add patches.fixes/xfs-export-filemap_flush.patch
* Sun Mar 07 2004 olh@suse.de
- add patches.suse/kdb-common-xfs
  add patches.suse/suse-ppc64-export-find_next_bit
* Sun Mar 07 2004 ak@suse.de
- Add workaround for AMD768MPX erratum
* Sun Mar 07 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040307
  acpi fixes, hfsplus, nfsd
* Sun Mar 07 2004 agruen@suse.de
- Re-enable km_wlan.
* Sat Mar 06 2004 ak@suse.de
- Fix cache flushing on x86-64 in i810 fb
* Sat Mar 06 2004 olh@suse.de
- add patches.suse/suse-con_set_unimap.patch
  workaround for unimap handling in the console driver
* Sat Mar 06 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  look for /init instead of /sbin/init
  kinit= gone
* Sat Mar 06 2004 olh@suse.de
- add patches.suse/suse-ppc64-clear_user_page-power3
  proper kernel segment handling on power3/rs64
* Sat Mar 06 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040306
  update patches.arch/ppc64.patch
  includes kdb4.3, add disassembler update for xmon
* Sat Mar 06 2004 ak@suse.de
- Undo wrong off-by-one IST change in x86-64 patchkit
* Sat Mar 06 2004 schwab@suse.de
- Make TIOCGDEV compatible again.
* Sat Mar 06 2004 schwab@suse.de
- Read patches.drivers/xpnet-04-xpc.
* Sat Mar 06 2004 ak@suse.de
- Update x86-64 patchkit to x86_64-2.6.4rc2-1
* Fri Mar 05 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040305
  ibmasm, xfs, lots of other fixes
* Fri Mar 05 2004 mantel@suse.de
- fix problems with broken USB->PS/2 legacy emulation in certain
  BIOSes (SUSE34761)
* Fri Mar 05 2004 mantel@suse.de
- some fixes for the cciss driver from HP (SUSE35163)
* Fri Mar 05 2004 mantel@suse.de
- check for NULL argument in pciehprm_free_bridges() (SUSE34978)
* Fri Mar 05 2004 okir@suse.de
- Another fix to MIPv6
* Fri Mar 05 2004 okir@suse.de
- Fix an ICMPv6 crash caused by the MIPv6 patch
* Fri Mar 05 2004 hare@suse.de
- Update S/390 to pre-lobster codedrop.
* Thu Mar 04 2004 mantel@suse.de
- fix qla2xxx driver for 64 bit archs
* Thu Mar 04 2004 mantel@suse.de
- add laptop disk mode
* Thu Mar 04 2004 mantel@suse.de
- yet another update for tiocgdev
* Thu Mar 04 2004 mantel@suse.de
- update qla2xxx driver to 8.00.00b11; enable failover
* Thu Mar 04 2004 stepan@suse.de
- update atixl-noinit patch
* Thu Mar 04 2004 mantel@suse.de
- add objrmap-core to start mitigate rmap problems with Oracle
* Thu Mar 04 2004 mantel@suse.de
- make TIOCGDEV 64bit clean
* Wed Mar 03 2004 mason@suse.de
- reiserfs quota support
* Wed Mar 03 2004 mason@suse.de
- update reiserfs-lock-lat, latency fix during deletes
- fix reiserfs metadata corruption bugs in reiserfs_file_write and
  search_by_key
* Wed Mar 03 2004 kraxel@suse.de
- fix uml init calls ordering.
- update uml configuration.
* Wed Mar 03 2004 stepan@suse.de
- add patches.drivers/atixl-noinit-2.6.2 (allow bios-less
  initialization of ATI XL cards)
* Wed Mar 03 2004 olh@suse.de
- add patches.suse/suse-ppc64-xmon_backtrace.patch
  dont do symbol lookup per default, breaks if the system is gone
* Wed Mar 03 2004 ak@suse.de
- Don't include .orig file in printkat
* Wed Mar 03 2004 agruen@suse.de
- Allow for a non-numeric CONFIG_RELEASE so that test builds
  with distinct names can be created.
- Adapt the spec files accordingly.
* Wed Mar 03 2004 schwab@suse.de
- Add ioc4 serial driver.
* Wed Mar 03 2004 schwab@suse.de
- Remove patches.drivers/xpnet-04-xpc.
* Wed Mar 03 2004 schwab@suse.de
- Fix staircase effect on Altix serial console.
* Wed Mar 03 2004 schwab@suse.de
- Fix net/ipv6/mobile_ip6 for parallel build.
* Tue Mar 02 2004 olh@suse.de
- net/ipv6/mobile_ip6/mobhdr_mn.c needs linux/init.h
* Tue Mar 02 2004 olh@suse.de
- update patches.fixes/linux-post-2.6.4rc1-20040302
  ieee1394, s390, x86-64, networking updates
* Tue Mar 02 2004 mantel@suse.de
- update configs for mobile ipv6
* Tue Mar 02 2004 mantel@suse.de
- update ALSA to 1.0.3
* Tue Mar 02 2004 okir@suse.de
- Minor fix to MIPv6 patch
* Tue Mar 02 2004 okir@suse.de
- Don't send multicast group membership packets for the IPv6
  solicited-node address (SUSE34954)
- IPv6: Don't fragment 1500 byte packets if the MTU is 1500
- Merge MIPv6 patch from Krishna Kumar @IBM
* Tue Mar 02 2004 schwab@suse.de
- Add Altix partitioning drivers (xpnet) [SUSE35164].
* Tue Mar 02 2004 schwab@suse.de
- Disable CONFIG_DVB_TDA1004X.
* Tue Mar 02 2004 okir@suse.de
- Updated sunrpc-nulltimeout. The "NFS tasks stuck in D state"
  problem should now be gone
* Tue Mar 02 2004 agruen@suse.de
- reiserfs xattrs: Update from Jeff Mahoney <jeffm@suse.com>:
  + Update inode->i_ctime for a file when its xattrs are changed.
  + Improvement to hiding the .reiserf_priv directory: Only
  hide directories with that name in the root of the mounted
  filesystem.
* Tue Mar 02 2004 agruen@suse.de
- Fix the mainline `make rpm' target.
* Tue Mar 02 2004 ak@suse.de
- Fix cosmetical issues in ACPI initrd DSDT patch.
* Tue Mar 02 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040302
  libata fixes, netupdates, usblp fixes
* Tue Mar 02 2004 agruen@suse.de
- Bug in sequence-patch.sh: After applying all patches, the
  default configuration file was copied to arch/$arch/defconfig,
  accidentally also trashing hardlinks. Sequence-patch.sh uses
  hard-linked trees, so this caused patched failures with patches
  that touched the defconfig files. The fix is to no longer modify
  the defconfig files; nobody needed this, anyway.
* Mon Mar 01 2004 agruen@suse.de
- reiserfs: enable trusted xattrs iff the filesystem supports
  them, i.e., only enable them if the filesystem supports xattrs
  (Jeff Mahoney <jeffm@suse.de>).
- Also enable the post-install heuristic of finding the most
  recent remaining kernel for vmlinux-%%ver_str (ppc and ppc64).
* Mon Mar 01 2004 garloff@suse.de
- Allow > 256 raw devices (for real now, patch from Badari).
* Mon Mar 01 2004 kraxel@suse.de
- fix uml build (again).
* Mon Mar 01 2004 hare@suse.de
- Update configurations for S/390
* Mon Mar 01 2004 olh@suse.de
- add patches.drivers/emulex-lpfc
  emulex fibrechannel driver for ppc64, ia64, i386 and x86-64
  version lpfcdriver-2.10a.tar.gz
* Mon Mar 01 2004 hare@suse.de
- Added patches/arch/s390-nohz-timer
* Mon Mar 01 2004 hare@suse.de
- Preliminary update of S/390 to pre-Lobster codedrop.
* Mon Mar 01 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch to version 2.0.0-7
* Mon Mar 01 2004 agruen@suse.de
- Fix in %%post: /boot/initrd symlink accidentally didn't get
  created.
* Mon Mar 01 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040301
* Sun Feb 29 2004 schwab@suse.de
- Fix stack usage on kernel thread creation.
- Fix 64 bit DMA mapping problem with PCI cards on SN2.
* Sun Feb 29 2004 agruen@suse.de
- patches.suse/twofish-2.6: Merge fix from Andrea (type of
  loop_func_table->transfer operation has changed).
* Sun Feb 29 2004 schwab@suse.de
- Fix NULL pointer reference in pciehp driver.
* Sun Feb 29 2004 garloff@suse.de
- alarm-round: Commit fix for alarm() return value being one too
  much because of roundoff errors in tv <-> jiffie conversion.
* Sun Feb 29 2004 agruen@suse.de
- Add timestamp of cvs working directory to rpm files:
  /boot/timestamp-%%ver_str, /usr/src/linux-%%ver_str/timestamp.
* Sat Feb 28 2004 ak@suse.de
- Fix mellanox tlb flush for UP kernels
* Sat Feb 28 2004 ak@suse.de
- Fix compilation of mellanox HCA and ibm asm on x86-64
* Sat Feb 28 2004 agruen@suse.de
- Re-enable lkcd with the right config options.
* Sat Feb 28 2004 kraxel@suse.de
- make uml kernels build parallel.
* Sat Feb 28 2004 agruen@suse.de
- infiniband: Evil hack to get parallel build to work again.
- Re-enable infiniband in the config files.
- Disable mellanox-hca infiniband module on x86_64: won't
  compile.
* Sat Feb 28 2004 agruen@suse.de
- Fix regression in reiserfs_mknod.
- Another regparm fix.
* Fri Feb 27 2004 mason@suse.de
- device mapper update
- snapshot<->fs locking patch
* Fri Feb 27 2004 mason@suse.de
- update aio-poll to the latest rev
- add aio-read-immediate, allows short aio reads on pipe/socket
- add aio-context-switch to keep the wakeups on worker threads
  within reason
* Fri Feb 27 2004 hare@suse.de
- Split kerntypes support from crash dump support.
* Fri Feb 27 2004 okir@suse.de
- Added IBM evlog patches
* Fri Feb 27 2004 mantel@suse.de
- update cpqarray driver to 2.6.0 and add fixes (SUSE35163)
* Fri Feb 27 2004 schwab@suse.de
- Add workaround for problem with PAL_HALT_LIGHT on sn2 [SUSE34645].
* Fri Feb 27 2004 mantel@suse.de
- add infiniband drivers (SUSE35064)
* Fri Feb 27 2004 mantel@suse.de
- add bcm5700 driver version 7.2.15 (hopefully fixes SUSE34508)
* Fri Feb 27 2004 mantel@suse.de
- fix hang on "rmmod parport_pc" (SUSE34997)
* Fri Feb 27 2004 mantel@suse.de
- add aio-poll
* Fri Feb 27 2004 mantel@suse.de
- added ibmasm driver
* Fri Feb 27 2004 mantel@suse.de
- re-add adaptive-lazy-readahead
* Fri Feb 27 2004 kraxel@suse.de
- regparam / fastcall fixes.
* Fri Feb 27 2004 agruen@suse.de
- Fix regression in __reiserfs_permission.
* Fri Feb 27 2004 hare@suse.de
- Re-enable crash dumps for S/390.
* Fri Feb 27 2004 kraxel@suse.de
- more __attribute__((used)) fixes for uml.
* Thu Feb 26 2004 kraxel@suse.de
- fix undefined symbols in uml modules.
* Thu Feb 26 2004 mantel@suse.de
- fix loop device hangs
* Thu Feb 26 2004 agruen@suse.de
- Add parisc architecture (patch is only enabled for parisc
  itself, no risk for all others).
* Thu Feb 26 2004 agruen@suse.de
- patches.fixes/ext23-no-ace-read-limit.diff: SUSE34623: Patch was
  accidentally calling ext2_xattr_get from ext3 -- ouch!
* Wed Feb 25 2004 mason@suse.de
- disable kerntypes patch
- add netpoll for netconsole and lkcd dump driver
- add lkcd for ia32
* Wed Feb 25 2004 agruen@suse.de
- patches.fixes/missing-exports.diff: bcm5700.ko requires the
  genapic symbol.
- patches.fixes/icn-strchr-bug.diff: strpbrk gets converted to
  strchr from libgcc by the compiler, but there is no libgcc in
  the kernel. The compieler does not realize that it should use
  an inlined function instead.
* Wed Feb 25 2004 ak@suse.de
- Update to latest x86-64 patchkit
* Wed Feb 25 2004 hare@suse.de
- add patches.fixes/s390-zfcp-hotplug-fix:
  Fix deadlock when adding more than one lun (SUSE34984)
- add patches.fixes/s390-sysfs-net.patch:
  Add correct sysfs attributes for net drivers (SUSE34632)
* Wed Feb 25 2004 mantel@suse.de
- SCSI support now modular again (SUSE34955)
* Wed Feb 25 2004 hare@suse.de
- add patches.arch/s390-qeth-eui64.patch to
  enable IPV6 support for qeth (SUSE34980).
* Wed Feb 25 2004 hare@suse.de
- S/390: Update from -mm3.
- S/390: Adapted configuration files for update.
* Wed Feb 25 2004 agruen@suse.de
- More CONFIG_REGPARM fixes.
* Tue Feb 24 2004 agruen@suse.de
- patches.fixes/regparm-fix.diff: CONFIG_REGPARM breaks some
  syscalls that are not declared as asmlinkage.
* Tue Feb 24 2004 schwab@suse.de
- Disable CONFIG_DVB_SP887X.
* Tue Feb 24 2004 schwab@suse.de
- pcibios_set_irq_routing is x86-only.
* Tue Feb 24 2004 mantel@suse.de
- fix suspend to disk (SUSE34476)
* Tue Feb 24 2004 mantel@suse.de
- fix checksum bug for multicast/broadcast packets on postrouting (SUSE34669)
* Mon Feb 23 2004 mason@suse.com
- reiserfs update, data=ordered and other fixes
* Mon Feb 23 2004 okir@suse.de
- updated patches.suse/usagi-ipv6-ndisc to fix neighbor cache
  updates when receiving redirects
* Mon Feb 23 2004 schwab@suse.de
- Import kdb v4.3.
* Mon Feb 23 2004 olh@suse.de
- update patches.arch/ppc64.patch
  numa sysfs fixes, ibmvscsi update, iseries irq fixes
* Mon Feb 23 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.3-20040223
  dynamic pty98 allocation, ieee1394, serial, arm, m68k updates
* Sun Feb 22 2004 olh@suse.de
- update hfsplus driver, enable adbhid on pmac64
* Sun Feb 22 2004 agruen@suse.de
- Fix override configs/additional patches on i386.
* Sun Feb 22 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040222
  sungem, h8300, networking updates
* Sat Feb 21 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040221
  ieee1394, mips, ppc64 pci hotplug, networking updates
* Sat Feb 21 2004 agruen@suse.de
- Fix modversions for out-of-tree modules with O=... set.
- Remove obsolete patches.arch/i386-regparm.
- Another xfs cvs update.
* Fri Feb 20 2004 okir@suse.de
- Repaired broken ipv6 ndisc patch
* Fri Feb 20 2004 agruen@suse.de
- Add xfs smp fix from Christoph Hellwig (via Jens Axboe).
* Fri Feb 20 2004 schwab@suse.de
- Add python to neededforbuild.
* Fri Feb 20 2004 schwab@suse.de
- Revert last change.
* Fri Feb 20 2004 okir@suse.de
- IPv6: properly purge expired routers from routing cache
* Fri Feb 20 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040220
  update to linus latest, usb, ia64, xeon64, i4l, ide fixes
* Thu Feb 19 2004 agruen@suse.de
- Update xfs to current cvs version.
- Remove now-obsolete patches.suse/xfs-dmapi.
- Fix a long-standing bug in the rollback code in
  sequence-patch.sh.
* Thu Feb 19 2004 okir@suse.de
- Fix for the "dst underflow" bug when running TAHI (SUSE34664)
* Thu Feb 19 2004 okir@suse.de
- experimental sunrpc patch to prevent processes from getting
  stuck in D state forever
* Thu Feb 19 2004 stepan@suse.de
- patches.suse/bootsplash: update to fixed version 3.1.4
- patches.suse/bootsplash-fixdep: dropped (included in above)
* Thu Feb 19 2004 garloff@suse.de
- patches.suse/sd-many-4: Add support for 32k SCSI disks.
- patches.suse/sg-many-1: Add support for 32k SCSI generic devices.
- patches.suse/scsi_sysfs-procname-2: Export proc_name of SCSI
  hostadapter via sysfs.
* Thu Feb 19 2004 ak@suse.de
- fix IA32e patch for !SMP
* Thu Feb 19 2004 olh@suse.de
- build scsi as a module on pseries64
* Wed Feb 18 2004 olh@suse.de
- add patches.drivers/drivers-net-pcnet32.patch
  many fixes for this driver (SUSE34509 - LTC4358)
* Wed Feb 18 2004 ak@suse.de
- Add support for IA32e to x86-64
- Enable Intel specific configure options in x86-64 config
- Enable some missing config options (IPMI, SCSI logging etc.)
* Wed Feb 18 2004 olh@suse.de
- update patches.arch/ppc64-patch
* Wed Feb 18 2004 schwab@suse.de
- Add support for HP sx1000.
* Wed Feb 18 2004 sf@suse.de
- patches.fixes/libata-core.diff: fix ide detection on
  x86_64
* Wed Feb 18 2004 ak@suse.de
- port mapped_base feature to 2.6
* Wed Feb 18 2004 mantel@suse.de
- add missing pci info to cs5520 and cs5530 drivers (SUSE34268)
* Wed Feb 18 2004 agruen@suse.de
- patches.suse/twofish-2.6: add module license, clean up a little.
* Wed Feb 18 2004 mantel@suse.de
- update to 2.6.3
* Wed Feb 18 2004 kraxel@suse.de
- config update -- enable the new netfilter6 options.
* Tue Feb 17 2004 agruen@suse.de
- Fold fix for SUSE34432 - LTC6269 into patches.suse/reiserfs-acl-02
* Tue Feb 17 2004 schwab@suse.de
- Add configuration 64k-pagesize.
* Tue Feb 17 2004 okir@suse.de
- Merged netfilter6 conntrack code from usagi cvs
* Tue Feb 17 2004 okir@suse.de
- Merged tentative patch for UDP recvmsg/EAGAIN problem (SUSE34510)
* Tue Feb 17 2004 okir@suse.de
- added patches.suse/usagi-ipv6-netfilter, including REJECT target
* Tue Feb 17 2004 olh@suse.de
- add patches.fixes/serial_console_init.patch
  It results in serial console getting initialised really late
* Tue Feb 17 2004 hare@suse.de
- add patches.arch/s390-dasd-update
  Update DASD driver to latest version from IBM.
* Tue Feb 17 2004 kraxel@suse.de
- update uml patch.
- dropped some uml fixes merged upstream.
* Mon Feb 16 2004 olh@suse.de
- add patches.arch/ppc64.tce_init_pSeries.patch
  from 2.6.3 final
* Mon Feb 16 2004 olh@suse.de
- add patches.suse/suse-ppc64-pseries-nvram
  fix the damn thing
* Mon Feb 16 2004 agruen@suse.de
- Add directory /lib/modules/precompiled to binary kernels for
  the glue layer code of binary-only modules.
* Mon Feb 16 2004 olh@suse.de
- update patches.fixes/ppc32-pmac_zilog-consoleinit
  add MacRISC3 to whitelist to avoid crash during cat < /dev/ttyS0
* Mon Feb 16 2004 mantel@suse.de
- increase maximum number of command line arguments (SUSE34511)
* Mon Feb 16 2004 mantel@suse.de
- don't leak space in aio subsystem
* Mon Feb 16 2004 olh@suse.de
- go back to xmon in pseries64 .config
* Mon Feb 16 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.3-rc3-20040216
* Sun Feb 15 2004 agruen@suse.de
- Minor cosmetic fixes in error handling paths in fs/xattr_acl.c
  and fs/nfs/xattr.c.
* Fri Feb 13 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040213
  64bit G5 support, add config/ppc64/pmac64
* Fri Feb 13 2004 mantel@suse.de
- work around umount problem of loopback devices
* Fri Feb 13 2004 okir@suse.de
- fixed the ndisc patch again
* Fri Feb 13 2004 okir@suse.de
- re-diffed and re-enabled usagi ndisc patch
* Thu Feb 12 2004 kkeil@suse.de
- Update ISDN to 2.6.3-rc2-mm1 version
  + this is a new port 2.4 -> 2.6 I4L code
- enable SMP for AVM activ cards
* Thu Feb 12 2004 agruen@suse.de
- Update from Jeff Mahoney <jeffm@suse.com>:
  + Fix mounting of v3.5 filesystems (fixed in 2.4 series, but
  the patch was not yet ported).
  + Permissions checking more closely tracks ext[23] xattr perms.
  + When the fs returns -EIO due to a bad magic/hash value, an
  error message is printed.
* Thu Feb 12 2004 agruen@suse.de
- patches.fixes/alpha-compile: Compile fix for AXP.
- Also check for /boot/image-%%ver_str in post.sh (s390).
* Thu Feb 12 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040212
  bluetooth, watchdog, cpufreq, ia64 updates
* Thu Feb 12 2004 hare@suse.de
-  add patches.fixes/dmapool-nopci.patch
  Do not compile drivers/base/dmapool.c for non-PCI systems.
* Thu Feb 12 2004 olh@suse.de
- add patches.suse/kdb-common-inital_env
  print enough lines, dump bta in one go
* Wed Feb 11 2004 kraxel@suse.de
- uml fixes.
* Wed Feb 11 2004 olh@suse.de
- add patches.arch/suse-ppc32-pmac-rootdevice
  really use /linuxrc if root= not given
* Wed Feb 11 2004 garloff@suse.de
- Set max number of raw devices to 4096.
* Wed Feb 11 2004 agruen@suse.de
- Update to current xfs cvs + dmapi fixes.
- patches.suse/sunrpc-multiple-programs accidentally got lost
  with 2.6.3-rc2 update.
- Update config files.
* Wed Feb 11 2004 mantel@suse.de
- fix dependency for CONFIG_BOOTSPLASH
* Wed Feb 11 2004 mantel@suse.de
- update to 2.6.3-rc2
* Wed Feb 11 2004 olh@suse.de
- add kernel-pmac64_32bit
* Tue Feb 10 2004 olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pc_floppy.patch
* Tue Feb 10 2004 olh@suse.de
- drop patches.suse/suse.ppc32.boot.per_board_initrd.patch
* Tue Feb 10 2004 schwab@suse.de
- Fix provides/obsoletes for ia64.
* Mon Feb 09 2004 okir@suse.de
- Merged several NFS patches from Chuck Lever
- Fixed some USAGI rejects caused by the update
  to post 2.6.3-rc1
* Mon Feb 09 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/ibm-ipr-scsi-start_unit.patch
* Mon Feb 09 2004 mantel@suse.de
- enable CONFIG_PPP_MULTILINK (SUSE34363)
* Mon Feb 09 2004 olh@suse.de
- update to post 2.6.3-rc1 20040209
* Sat Feb 07 2004 agruen@suse.de
- patches.suse/xfs-dmapi-fix: Add code missing for 2.6 kernels.
* Sat Feb 07 2004 schwab@suse.de
- Fix ia64 build failures.
* Sat Feb 07 2004 agruen@suse.de
- In binary kernels, check if a file $arch-$flavor.conf exists.
  If so, use that as the config file, otherwise use the
  appropriate config file in config.tar.bz2 like before.
- Likewise for $arch-$flavor.diff: If it exists, apply this patch
  after all other patches in series.conf.
* Sat Feb 07 2004 kraxel@suse.de
- fix missing init.h include in lirc driver.
* Fri Feb 06 2004 mantel@suse.de
- update aio to make it pass some glibc rtkaio tests
* Fri Feb 06 2004 agruen@suse.de
- Minor fix in nfs-acl Makefile.
- Synchronize version numbers on kernel-syms instead of
  kernel-source (kernel-source no longer is dependent on
  the binary kernels).
* Fri Feb 06 2004 kraxel@suse.de
- update configs.
* Fri Feb 06 2004 agruen@suse.de
- Fix RPM macro expansion irregularity in source-post.sh.
* Fri Feb 06 2004 agruen@suse.de
- ext[23]: Remove limit of 32 acl entries when reading.
  Write support not yet enabled pending discussion.
- Update to XFS CVS + patches for DMAPI support.
- Allow to install multiple kernel-source.spec packages in
  parallel.
- Update cofigs.
* Thu Feb 05 2004 kraxel@suse.de
- update configs for i386 and x86_64.
* Thu Feb 05 2004 kraxel@suse.de
- fix uml build.
- add lirc drivers.
* Thu Feb 05 2004 ak@suse.de
- fix x86-64 compilation (patches.arch/x86_64-elf-compile)
* Thu Feb 05 2004 olh@suse.de
- restore drivers/scsi/ata_piix.c, add #ifdef to rivafb
* Thu Feb 05 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.2-20040205
  altix update, qla update, many other fixes
* Thu Feb 05 2004 olh@suse.de
- update patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  Fix oops when fbcon_mode_changed is called at boot time
  Fix the radeonfb "workaround" for external TMDS
  Update ADT 7467 thermostat driver
* Wed Feb 04 2004 okir@suse.de
- Potential fix for the NFS "busy inodes after unmount" problem (SUSE30943)
* Wed Feb 04 2004 olh@suse.de
- add patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  brings hfs+, G5 support and support for newer Macs
* Wed Feb 04 2004 agruen@suse.de
- patches.fixes/xattr-keep-block.diff: Fix xattr bug when keeping
  the same disk block in ext[23].
* Wed Feb 04 2004 olh@suse.de
- update to 2.6.2 final
  update ppc64.patch
* Tue Feb 03 2004 agruen@suse.de
- Add patches.suse/ext3-register-filesystem-lifo: Forward port
  of Andrea's patch.
* Tue Feb 03 2004 okir@suse.de
- Merged nfsd patch from MvS that fixes a largefile bug in nfsd_commit
* Tue Feb 03 2004 ak@suse.de
- Add patch for CONFIG_REGPARM for i386
- Enable it by default
* Tue Feb 03 2004 agruen@suse.de
- patches.fixes/toshiba-acpi-0.17: Update toshiba_acpi driver
  to version 0.17.
- Update config files.
* Mon Feb 02 2004 ak@suse.de
- Reenable -funit-at-a-time for i386 (+ bug fix)
- Add new early printk for i386
- Remove some white space from series file
* Sat Jan 31 2004 olh@suse.de
- add patches.suse/suse-ppc64-iseries-pci_fn_scan
  add patches.suse/suse.ppc32.export.cpu_possible_map
* Sat Jan 31 2004 olh@suse.de
- update to 2.6.2-rc3
* Fri Jan 30 2004 agruen@suse.de
- Expand Provides or Obsoletes tags as a nested if statement
  in the spec file.
* Fri Jan 30 2004 olh@suse.de
- add patches.drivers/driver-input-linuxwacom.patch
  use patches from linuxwacom project (SUSE32504)
* Fri Jan 30 2004 okir@suse.de
- Two more USAGI patches:
  +       patches.suse/usagi-ipv6-fib-subtree
  +       patches.suse/usagi-ipv6-ndisc
  Enabled CONFIG_IPV6_NDISC_NEW=y in almost all config files
* Fri Jan 30 2004 agruen@suse.de
- Fix several problems with Provides and Obsoletes.
- Split modversion symbols from kernel-source, and put them
  into kernel-syms instead. This also obsoletes kernel-bare.
* Fri Jan 30 2004 olh@suse.de
- add patches.drivers/firewire_ieee1394 (rev 1113)
  update sbp2 driver to provide ieee1394_guid in sysfs device/ dir
* Thu Jan 29 2004 agruen@suse.de
- Alsa update to version 1.0.2 (tiwai@suse.de).
* Thu Jan 29 2004 agruen@suse.de
- Allow line continuation in scripts/guards (avoids a lot of mess
  in rpm/old-packages.conf).
- Add rpm/old-packages.conf and scripts/old-config.sh: The conf
  file defines the Provides and Obsoletes entries. The script
  is for testing the config file.
* Thu Jan 29 2004 okir@suse.de
- Two more USAGI patches:
  patches.fixes/usagi-ipv6-privacy
  patches.suse/usagi-ipv6-ipcomp
* Thu Jan 29 2004 schwab@suse.de
- Update ilp32 patch.
* Thu Jan 29 2004 okir@suse.de
- Updated usagi ipv6-ipv6 tunnel patch
* Thu Jan 29 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  trigger CONFIG_FW_LOADER if enabled
* Wed Jan 28 2004 okir@suse.de
- Merged the first couple of USAGI fixes
* Wed Jan 28 2004 schwab@suse.de
- Fix ILP32 emulation to compile with 3.4.
* Wed Jan 28 2004 okir@suse.de
- Increase number of RPC slots
* Tue Jan 27 2004 agruen@suse.de
- Add get_release_numbers.sh to synchronize the release numbers
  between packages.
* Tue Jan 27 2004 schwab@suse.de
- Add support for ILP32 on ia64.
* Tue Jan 27 2004 agruen@suse.de
- nfsacl: Building sunrpc + nfsd + nfs was still broken. Fix.
* Mon Jan 26 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/scsi-type-RAID.patch
  enable SCSI_IPR_TRACE + SCSI_IPR_DUMP=y
* Mon Jan 26 2004 olh@suse.de
- update patches.arch/ppc64.patch
* Mon Jan 26 2004 agruen@suse.de
- Rename packages (strip -26).
- Merge source and binary rpm changes files into
  kernel-source.changes.
* Mon Jan 26 2004 olh@suse.de
- update patches.suse/kdb-common
  use __LOG_BUF_LEN in kdb dmesg command
* Mon Jan 26 2004 olh@suse.de
- update to 2.6.2-rc2
* Sun Jan 25 2004 agruen@suse.de
- Add /lib/modules/scripts directory to file list.
* Fri Jan 23 2004 agruen@suse.de
- Fix ownership of linux-um binary.
* Fri Jan 23 2004 agruen@suse.de
- Some more fixes in the spec files.
- Also compile kernel modules in kernel-um-26.spec.
- patches.fixes/sata_sil_enable: Mark driver as working, and
  add it in the configs (from ro@suse.de).
* Fri Jan 23 2004 kraxel@suse.de
- fix i386 build with CONFIG_PROC_MM (skas) turned off.
* Fri Jan 23 2004 agruen@suse.de
- patches.suse/sunrpc-xdr-arrays: Add missing exports.
* Thu Jan 22 2004 olh@suse.de
- use plain elf vmlinux binary on ppc and ppc64 as bootfile
* Thu Jan 22 2004 olh@suse.de
- split patches.suse/early_userspace-instead-of-linuxrc
  core and debug patch.
* Thu Jan 22 2004 olh@suse.de
- reenable patches.fixes/alsa-101.patch
  from 2.6.2-rc1-mm1
* Thu Jan 22 2004 agruen@suse.de
- Lots of changes in the spec files (for biarch, etc.).
  M4 no longer used.
* Thu Jan 22 2004 mantel@suse.de
- update to 2.6.2-rc1 (linus-latest-2.6)
* Thu Jan 22 2004 olh@suse.de
- update patches.fixes/linus-latest-2.6
  input fixes
  update patches.arch/ppc64.patch
  vio fixes
* Wed Jan 21 2004 olh@suse.de
- add patches.drivers/ibm-ipr-2.0.0.patch
  ibmsis replacement, older iseries systems do still need ibmsis
* Wed Jan 21 2004 olh@suse.de
- add patches.fixes/ppc32.sort_exception_table
* Wed Jan 21 2004 kraxel@suse.de
- fix selinux for uml.
* Wed Jan 21 2004 kraxel@suse.de
- disable raid6 on hammer (doesn't build, mmx/sse2 issues).
* Wed Jan 21 2004 kraxel@suse.de
- one more uml fix.
* Wed Jan 21 2004 kraxel@suse.de
- added i2c kbuild fix.
* Wed Jan 21 2004 hare@suse.de
- Remove S390 specific patches from IBM; have been
  merged into 2.6.2-rc1.
* Wed Jan 21 2004 kraxel@suse.de
- fix and reenable uml.
* Wed Jan 21 2004 olh@suse.de
- update to 2.6.2-rc1
  update patches.arch/ppc64.patch
  disabled s390, alsa and uml patches until it is merged
* Wed Jan 21 2004 hare@suse.de
- Fix syntax error in kernel-binary-26.spec.in
- Fix build on s390x.
* Wed Jan 21 2004 hare@suse.de
- Fix config for s390 / s390x.
* Wed Jan 21 2004 agruen@suse.de
- Fix syntax error in kernel-source-26.spec.in.
* Tue Jan 20 2004 agruen@suse.de
- Spec files and pre-configuration: Add architecture into
  configuration identifier (e.g., what before was
  CONFIG_CFGNAME="smp" on x86_64 now becomes
  ARCH_FLAVOR="x86_64-smp").
- patches.fixes/aha152x-fix: Fix compile-time bug.
- patches.suse/reiserfs-acl-02: Fix the previous fix.
- sequence-patch.sh: Add all config files from all architectures,
  useful for run_oldconfig.sh.
- Update some configs.
* Tue Jan 20 2004 kraxel@suse.de
- dropped forcedeth patch (merged in latest -bk).
* Tue Jan 20 2004 schwab@suse.de
- Reenable ia64 updates.
* Mon Jan 19 2004 kraxel@suse.de
- fix uml modules
- update uml config
* Mon Jan 19 2004 schwab@suse.de
- Enable CONFIG_IA64_PAL_IDLE [SUSE33188].
* Mon Jan 19 2004 hare@suse.de
- Update patches.arch/s390-gcc-inline-assembly to version
  from Martin Schwidefsky.
* Mon Jan 19 2004 agruen@suse.de
- SUSE31399: Add nfsacl fix from 2.4 branch (thanks okir).
- Fix `make distclean': By accident, the dependency on the clean
  target got lost.
* Mon Jan 19 2004 olh@suse.de
- update to current Linus tree
  update patches.arch/ppc64.patch
  add sysfs patches from Greg KH
* Fri Jan 16 2004 kraxel@suse.de
- updated uml patch to 2.6.1 version
- updated configs.
* Fri Jan 16 2004 schwab@suse.de
- Add latest ia64 updates.
* Fri Jan 16 2004 hare@suse.de
- add patches.arch/s390-gcc-inline-assembly to fix
  errorneous inline assembly on S390 (SUSE32972).
* Thu Jan 15 2004 kraxel@suse.de
- re-add patches.uml/uml-fix-fixaddr patch.
* Thu Jan 15 2004 olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  use set_preferred_console
* Thu Jan 15 2004 olh@suse.de
- add patches.suse/suse-ppc64-kdb.disassembler.update
  update a few files to current binutils cvs status
* Thu Jan 15 2004 olh@suse.de
- update patches.arch/ppc64.patch
  spinlock fixes
* Thu Jan 15 2004 olh@suse.de
- add patches.fixes/linus-latest-2.6
  add patches.fixes/input_key84-2.6.1.patch,
  fixes a dead key, might require a console keymap update, X works
  disable patches.drivers/forcedeth-v20, as merged upstream
* Thu Jan 15 2004 hare@suse.de
- Update series.conf to reflect configuration changes.
* Thu Jan 15 2004 hare@suse.de
- S390: Removed ald configurations z900, g5;
  Update s390 and s390x configuration.
- S390: Update spec file to use image instead of bzImage
  for install.
- Install init/kerntypes.o instead of Kerntypes
  (with does not exist).
* Wed Jan 14 2004 kraxel@suse.de
- add video4linux driver updates.
- update user-mode-linux patch
- remove some uml patches (merged upstream).
* Wed Jan 14 2004 hare@suse.de
- S390: add patches.arch/s390-export-module-symbols; adding
  missing EXPORT_SYMBOL for modular build.
- S390: add patches.arch/s390-07-zfcp-host-adapter-update.patch from
  2.6.1-mm3.
- S390: add patches.fixed/s390-ffs-fix for fixing dosfs access.
* Wed Jan 14 2004 agruen@suse.de
- Add ALSA 1.0.1 update according to Takashi Iwai <tiwai@suse.de>.
* Wed Jan 14 2004 olh@suse.de
- add patches.suse/suse.ppc64.spinlock_asm_syntax.patch
  correct syntax for spinlock asm to avoid NULL pointer derefs.
* Wed Jan 14 2004 olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  update patches.suse/suse.ppc32.console.autodetection
  remove hardcoded speed for the console= parameter
* Wed Jan 14 2004 garloff@suse.de
- Enable km_submount.
* Tue Jan 13 2004 schwab@suse.de
- Update configs.
* Tue Jan 13 2004 hare@suse.de
- S390: Update s390-ibm-* patches to 2.6.1-mm2.
* Mon Jan 12 2004 olh@suse.de
- update patches.arch/ppc64.patch
  restore config files
* Mon Jan 12 2004 agruen@suse.de
- sunrpc: Report -ENOSYS for unavailable programs.
- nfsacl: Fix handling of minimal ACLs.
- nfsacl: Fix dependency to allow to build sunrpc + nfsd + nfs
  to be built as modules.
* Mon Jan 12 2004 garloff@suse.de
- rpmify on DEC Alpha as well.
* Sun Jan 11 2004 garloff@suse.de
- Two patches from Ivan to make DEC alpha work:
  * Don't prefetch spinlocks on UP machines
  * Fix relocation issue in module loading
* Sun Jan 11 2004 agruen@suse.de
- Fix accidentally reversed condition in patches.rpmify/
  kbuild-out-of-tree.
- Also fill in the kernel version in the generated spec files.
* Sun Jan 11 2004 agruen@suse.de
- Add patches.fixes/ipsec-nat-t-old: Backward compatibility of
  NAT Traversal with draft-ietf-ipsec-udp-encaps-00/01 (which
  have long since expired).
* Sun Jan 11 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  do not mount sysfs early, the events can be replayed later
  keep the early binfmt_elf init to record early hotplug calls
* Sat Jan 10 2004 agruen@suse.de
- Rework how kernel-source and the binary kernels are built: Now,
  the source and binary package are all built directly from the
  sources.
* Fri Jan 09 2004 schwab@suse.de
- Fix missing header.
* Fri Jan 09 2004 schwab@suse.de
- Force arch/ia64/lib/io.o to be linked in.
* Fri Jan 09 2004 kraxel@suse.de
- update to 2.6.1-final
- commented patches.fixes/missing-headers (doesn't apply and build
  seems to work fine without).
- added patches.drivers/forcedeth-v20 (nvidia network driver).
* Fri Jan 09 2004 kraxel@suse.de
- updated configurations.
* Fri Jan 09 2004 agruen@suse.de
- patches.suse/reiserfs-acl-02: Locking fix from Jeff Mahoney.
  Fold patches.suse/reiserfs-acl-fix into the man patch.
* Thu Jan 08 2004 agruen@suse.de
- Re-enable patches.rpmify/kbuild-out-of-tree after version
  update, and add patches.rpmify/kbuild-out-of-tree-meta which
  enables different modversion tables for different configuration
  flavors.
* Thu Jan 08 2004 kraxel@suse.de
- disable CONFIG_CPU_FREQ_24_API (bug SUSE33598).
* Wed Jan 07 2004 schwab@suse.de
- Readd missing parts from ia64 update.
* Wed Jan 07 2004 kraxel@suse.de
- added patches.suse/twofish-2.6 (suse24-compatible crypto loop).
- renamed /proc/bus/usb/bielefeld to something less confusing.
* Tue Jan 06 2004 kraxel@suse.de
- moved patch chunk from export_symbol to uml-fix-skas.
* Tue Jan 06 2004 kraxel@suse.de
- updated kernel configs.
* Tue Jan 06 2004 kraxel@suse.de
- fixed and reenabled bootsplash patch.
* Tue Jan 06 2004 kraxel@suse.de
- update to 2.6.1-rc2 -- first cut.
- disabled usb-2.5 patches (doesn't apply, partly merged).
- disabled ia64 update (doesn't apply, partly merged).
- disabled amd64 patches (doesn't apply, partly merged).
- fixed patches.arch/ppc32.lxppc.patch
- disabled ppc64 patches (rejects in arch/ppc64/kernel/irq.c).
- disabled uml patches (also irq.c rejects).
- deleted patches.fixes/gencpio.offset (merged).
- deleted patches.fixes/no-Werror (not needed any more).
- deleted patches.fixes/unimap_set (merged).
- disabled patches.fixes/s390-ibm-40_compat.diff (doesn't apply, partly merged).
- disabled patches.arch/s390-compat_wrapper (doesn't apply).
- disabled patches.rpmify/kbuild-out-of-tree (doesn't apply).
- disabled patches.suse/bootsplash (doesn't apply).
* Mon Jan 05 2004 schwab@suse.de
- Add latest ia64 updates.
- Cleanup use of EXPORT_SYMBOL.
* Mon Jan 05 2004 agruen@suse.de
- Add a missing #ifdef + #endif in patches.arch/ia64-update.
* Mon Jan 05 2004 schwab@suse.de
- gcc-no-unit-at-a-time: don't redefine check_gcc.
* Mon Jan 05 2004 agruen@suse.de
- Replace permission POSIX compliance fix with the version sent to
  Andrew Morton <akpm@osdl.org>, and add a separare patch for
  ReiserFS.
* Sat Dec 20 2003 schwab@suse.de
- Add latest ia64 updates.
* Fri Dec 19 2003 garloff@suse.de
- Make xconfig work on lib64 archs.
* Fri Dec 19 2003 agruen@suse.de
- Update for version 2.6.0. Various clean-ups.
- Add /boot/modversions-%%{ver_str}.gz.
* Fri Dec 19 2003 agruen@suse.de
- Modversions for km_* modules. (Modversion tables still missing
  in kernel-source-26 package.)
* Thu Dec 18 2003 olh@suse.de
- update to 2.6.0
  iseries updates, pci updates
* Wed Dec 17 2003 agruen@suse.de
- SUSE33559 nfsacl: add missing initialization and re-enable patches.
- Proberly map between NFSERR_NOTSUPP (v3+v4) and -ENOTSUPP /
  -EOPNOTSUPP (thanks jeffm@suse.com).
* Wed Dec 17 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  ide-cd blank media handling
  update patches.arch/ppc64.patch
  more iseries changes, altivec updates
* Tue Dec 16 2003 agruen@suse.de
- Disable patches.rpmify/kbuild-out-of-tree for now, as it breaks
  external modules.
* Tue Dec 16 2003 agruen@suse.de
- The hotplug_path variable is only defined with CONFIG_HOTPLUG,
  but used unconditionally.
* Tue Dec 16 2003 ak@suse.de
- Update configs for x86-64. Enable various options that should be
  enabled. ISDN still off.
* Tue Dec 16 2003 olh@suse.de
- update patches.suse/suse-ppc64-ksymoops.calltrace.patch
  print newline unconditionally
* Tue Dec 16 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  raid5 fixes, usb merges
* Mon Dec 15 2003 agruen@suse.de
- List all defined configurations in running-kernel.make.
- patches.rpmify/meta-config-version: Keep "meta-version" of
  include/linux/version.h intact (see patch).
- patches.rpmify/{kbuild-readonly,kbuild-out-of-tree}:
  Allow out-of-tree modules against read-only kernel sources
  (see patches).
* Sun Dec 14 2003 olh@suse.de
- add patches.suse/suse-ppc64-ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
  add  patches.suse/suse-ppc64-wchan64
  yes, we have now a 64bit ps
* Sun Dec 14 2003 olh@suse.de
- add patches.suse/suse.ppc32.ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
* Sun Dec 14 2003 olh@suse.de
- update patches.suse/kdb-common
  kallsyms_get_addr is not required of kallsyms is off
* Sun Dec 14 2003 olh@suse.de
- update patches.arch/ppc64.patch
  surveillance, lpar, proc updates
* Sun Dec 14 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  more smp fixes
* Sat Dec 13 2003 olh@suse.de
- mark some generic s390 changes as generic
* Sat Dec 13 2003 olh@suse.de
- update patches.drivers/usb-2.5
  more usb fixes, storage updates
* Sat Dec 13 2003 olh@suse.de
- handle s390x as s390 in specfile
* Sat Dec 13 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  fix smp race in finish_wait
* Thu Dec 11 2003 kraxel@suse.de
- delete bogous drivers/media/video/tvmixer.c patch chunk from usb-2.5
* Thu Dec 11 2003 ak@suse.de
- Update x86_64 patchkit to x86_64-2.6.0test11-3
* Thu Dec 11 2003 ak@suse.de
- Remove obsolete patches
* Thu Dec 11 2003 olh@suse.de
- less guessing about the ARCH make flag and the used .config file
* Thu Dec 11 2003 olh@suse.de
- add patches.suse/suse.ppc32.boot.per_board_initrd.patch
  allow smaller initrd for some boards
* Wed Dec 10 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  update patches.arch/suse-ppc64-pcihotplug-makefile
  iseries pci support
  patches.drivers/usb-2.5
  usb storage updates, ohci updates
* Tue Dec 09 2003 agruen@suse.de
- Relax the configuration file check: Don't abort if options are
  only taken away, but no new options are added.
* Tue Dec 09 2003 olh@suse.de
- add patches.arch/suse-ppc64-export-csum_partial
  csum_partial should be exported per arch now
* Tue Dec 09 2003 olh@suse.de
- add patches.arch/suse-ppc64-miscdev-late_initcall
  call the arch specific init stuff late, for sysfs misc dev node
* Tue Dec 09 2003 olh@suse.de
- add patches.drivers/usb-2.5
  patches.drivers/usb-2.5_kobject.debug
  patches.drivers/usb-2.5_module_sig-depend
  dump the usb and sysfs tree in our repo
* Mon Dec 08 2003 agruen@suse.de
- SUSE33559: Disable nfsacl until the problem can be debugged.
* Mon Dec 08 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  tmpfs oops fix
* Mon Dec 08 2003 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  simplify changes
* Sun Dec 07 2003 olh@suse.de
- add patches.arch/suse-ppc64-pcihotplug-rpa
  rpa is ppc64 only
* Sun Dec 07 2003 olh@suse.de
- update to current status:
  patches.fixes/linux-2.6.0-test11-bk-latest
  patches.arch/ppc32.lxppc.patch
  patches.arch/ppc64.patch
* Sun Dec 07 2003 agruen@suse.de
- Update configurations of i386 and x86_64.
* Sun Dec 07 2003 agruen@suse.de
- patches.suse/sunrpc-enosys-when-unavail: Return -ENOSYS for
  programs or procedures that are unavailable. The nfsacl support
  needs this to decide whether or not to turn nfsacl support off.
* Sat Dec 06 2003 agruen@suse.de
- Update i386 and x86_64 configs for qla2xxx driver update.
* Sat Dec 06 2003 agruen@suse.de
- The uname replacement in Autobuild also breaks with the
  meta-configuration. Work around this by creating /.kernelversion
  when running inside Autobuild.
* Sat Dec 06 2003 schwab@suse.de
- Update qla2xxx driver to 8.00.00b8.
* Sat Dec 06 2003 schwab@suse.de
- Update qla2xxx driver to 8.00.00b7.
* Sat Dec 06 2003 agruen@suse.de
- Fail if default configurations have missing symbols. Update
  i386 and x86_64 configurations.
- Add pre-configured headers proposal ("meta-configuration").
* Thu Dec 04 2003 bk@suse.de
- add patches.arch/s390-suse-bk-cpint_cpcmd.diff for cpint support
* Thu Dec 04 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  Fix /proc access to dead thread group list oops
  Add RTPROT_XORP.
  Sanitize ip_ct_tcp_timeout_close_wait value, from 2.4.x
  Fix ipv4 mapped address calculation in udpv6_sendmsg().
* Wed Dec 03 2003 olh@suse.de
- add patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  Fix a number of irq affinity bugs
* Tue Dec 02 2003 schwab@suse.de
- Add qla2xxx drivers.
* Tue Dec 02 2003 agruen@suse.de
- A fix in the xdr array encoding code (nfsacl).
- Enable nfsacl in config files.
* Tue Dec 02 2003 agruen@suse.de
- Less complicated versions of xdr_{encode,decode}_word can be
  used given proper word alignment in xdr_buf's. Luckily we can
  assume that.
* Tue Dec 02 2003 agruen@suse.de
- patches.suse/reiserfs-acl-fix: Need to set the MS_POSIXACL mount
  option too, or else nfsacl won't work.
* Tue Dec 02 2003 hare@suse.de
- S/390: Made definition of atomic_t visible from userspace.
* Tue Dec 02 2003 agruen@suse.de
- Update version of ACPI DSDT patch (by Thomas Renninger
  <trenn@suse.de>).
* Tue Dec 02 2003 agruen@suse.de
- Enable nfsacl port from 2.4.
* Tue Dec 02 2003 hare@suse.de
- Using G5 as default configuration for s390.
* Tue Dec 02 2003 hare@suse.de
- add patches.arch/s390-compat_wrapper
  Adding missing global symbol
- Update patches.fixes/export_symbol
  Export symbol delete_partition(), required for dasd_mod.
- Include ip_fast_csum in patches.arch/s390-ibm-01-base.diff.
* Mon Dec 01 2003 olh@suse.de
- add missing CMD_LINE_SIZE to asm-ppc/bootinfo.h
* Sun Nov 30 2003 olaf@suse.de
- add patches.suse/suse.ppc32.boot.ldscript.__kcrctab
  discard a kernel section, breaks OF booting
- add patches.suse/suse.ppc32.boot.ldscript.depend
  rebuild boot files if ld.script changes
- add patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  put a built-in cmdline into zImage, overrides stuff passed from OF
- add patches.suse/suse.ppc32.console.autodetection
  autodetect serial console on pmac and CHRP
* Sun Nov 30 2003 olh@suse.de
- add patches.suse/suse.ppc32.601cpu.exception
  avoid unhandled alignment exceptions on 601 cpus
* Sun Nov 30 2003 olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_i8042.patch
  suse.ppc32.pmac.no_isapnp.patch
  suse.ppc32.pmac.no_pc_serial.patch
  dont probe for pc style hardware on mac
* Sun Nov 30 2003 olh@suse.de
- add patches.suse/suse.ppc32.boot.zlib.debug
  add patches.suse/suse.ppc32.boot.zlib.no_memcpy
  update debugging code, no memcpy to avoid deadly exceptions in OF
* Sun Nov 30 2003 olh@suse.de
- update patches.arch/ppc64.patch
  remove changes to sym2 driver and sg_add
  simplify ppc32 ROOT_DEV changes
* Sun Nov 30 2003 olh@suse.de
- rename patches.arch/ppc32.patch to ppc32.lxppc.patch
  remove all the 4xx changes, to reduce patch noise
* Sun Nov 30 2003 olh@suse.de
- update patches.arch/ppc64.patch
  remove bogus change in pci_scan_slot() loop, breaks some setups
* Fri Nov 28 2003 hare@suse.de
- Added new configuration options for S/390.
* Fri Nov 28 2003 hare@suse.de
- Update configuration files for S/390.
* Fri Nov 28 2003 schwab@suse.de
- Disable CONFIG_IDE_TASKFILE_IO.
* Fri Nov 28 2003 garloff@suse.de
- unimap_set: Allow setfont to set unicode map on openend console
  file descriptor (not only on current foreground console).
* Fri Nov 28 2003 okir@suse.de
- Ported two minor nfs patches over from 2.4: nfs-d_drop-lowmem,
  nfs-min-blocksize
* Fri Nov 28 2003 garloff@suse.de
- rdtsc-var-shadow: Variable name in rdtscll macro shadowed
  real variable (from axboe).
* Fri Nov 28 2003 olh@suse.de
- update patches.arch/ppc64.patch
  vio fixes
* Thu Nov 27 2003 agruen@suse.de
- Update spec file: add scripts/config_subst.sh. Remove defconfig
  files if the architecture has no default configuration.
- Remove test build; we haven't done test builds in the 2.4 kernel
  source package for a long time now without problems.
* Thu Nov 27 2003 olh@suse.de
- update patches.arch/ppc64.patch
  update patches.suse/kdb-common
* Thu Nov 27 2003 kraxel@suse.de
- bump version to test11
* Thu Nov 27 2003 schwab@suse.de
- Readd bootmem sorting for discontigmem.
- Add sn2 and zx1 configs.
* Thu Nov 27 2003 agruen@suse.de
- Add hotfix for Reiserfs+RPM problem: We need a working 2.6
  kernel for Autobuild.
* Thu Nov 27 2003 hare@suse.de
- Added Patches from IBM which won't make it for 2.6.0.
  Enabled only for S390 for now.
- Updated config for s390 and s390x.
* Thu Nov 27 2003 sf@suse.de
- add aacraid module to config
* Thu Nov 27 2003 olh@suse.de
- update to 2.6.0-test11
* Wed Nov 26 2003 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  call also init_elf32_binfmt
* Wed Nov 26 2003 olh@suse.de
- add patches.suse/suse-ppc64-chrp-console-cmdline
  autodetect serial console and update cmdline
* Wed Nov 26 2003 kraxel@suse.de
- added amd64 32bit signal handling fix (from ak).
* Tue Nov 25 2003 olh@suse.de
- add patches.suse/suse-ppc64-chrp-root-sda3
  force sda3 if no root= specified
* Tue Nov 25 2003 olh@suse.de
- Fix error return on concurrent fork() with threaded exit()
  CONFIG_PACKET=y on ppc32 for dhcpcd
* Tue Nov 25 2003 schwab@suse.de
- Update scsi-changer patch.
* Tue Nov 25 2003 olh@suse.de
- update to 2.6.0-test10-bk1-
  update ppc64.patch, some iseries support
* Mon Nov 24 2003 olh@suse.de
- umount sysfs before calling name_to_dev_t()
* Mon Nov 24 2003 olh@suse.de
- update to 2.6.0-test10
  disable CONFIG_IP_PNP, was dead code anyway
  enable minix per default
* Sun Nov 23 2003 olh@suse.de
- add patches.suse/early_userspace-instead-of-linuxrc
  run /sbin/kinit if available, instead of linuxrc
* Fri Nov 21 2003 olh@suse.de
- update to 2.6.0-test9-bk25
  update ppc64.patch,
  Add support for POSIX timer, clock syscalls for 32-bit processes.
* Thu Nov 20 2003 olh@suse.de
- update ppc64.patch to fix compilation
* Thu Nov 20 2003 olh@suse.de
- update to 2.6.0-test9-bk24
  update ppc64.patch
* Wed Nov 19 2003 agruen@suse.de
- The patches.fixes/permission fix is incomplete and introduces
  a bug. Adding patches.fixes/permission-hack for now to hotfix
  the issue; more complete solution pending.
* Tue Nov 18 2003 olh@suse.de
- add patches.arch/ppc64.ppc32.compat.syscalls
  a few missing syscalls: compat_clock_settime,
  compat_clock_gettime, compat_clock_getres, compat_clock_nanosleep
* Tue Nov 18 2003 olh@suse.de
- update patches.arch/ppc64.as.no_power4
  use -Wa,-many to make it compile
* Tue Nov 18 2003 olh@suse.de
- update patches.arch/ppc64.patch
  stat64 and fadvice64 updates, and more
* Tue Nov 18 2003 olh@suse.de
- update to 2.6.0-test9-bk23+
  update ppc32.patch
* Tue Nov 18 2003 olh@suse.de
- add patches.fixes/drivers.net.pcnet32.watchdog.spinlock
  see http://bugme.osdl.org/show_bug.cgi?id=817
* Tue Nov 18 2003 olh@suse.de
- add patches.fixes/gencpio.offset
  add an offset after adding a file to initramfs
* Tue Nov 18 2003 olh@suse.de
- add patches.arch/ppc32.syscall6
  define _syscall6 for klibc
* Tue Nov 18 2003 olh@suse.de
- add patches.arch/ppc64.as.no_power4
  do not optimize for power4, or older cpus will not boot
* Tue Nov 18 2003 olh@suse.de
- update to 2.6.0-test9-bk22, update config, arch ia64 + x86_64
  split patches.arch/ia64-early-printk
* Mon Nov 17 2003 agruen@suse.de
- Fail build if one of the km_* modules fails.
* Fri Nov 14 2003 stepan@suse.de
- add patches.suse/bootsplash
* Fri Nov 14 2003 schwab@suse.de
- Update ia64 config.
* Fri Nov 14 2003 schwab@suse.de
- Update ia64 support.
* Fri Nov 14 2003 schwab@suse.de
- Fix reiserfs xattr and acl patches.
* Thu Nov 13 2003 schwab@suse.de
- Remove blkdev_get_block-partial, it doesn't properly fix the issue and
  is better addressed in user space.
* Thu Nov 13 2003 agruen@suse.de
- SUSE33097: patches.common/xattr-pointer-arith fixes a pointer
  arithmetic bug in the xattr code.
- Enable CONFIG_MODVERSIONS for all archs.
* Thu Nov 13 2003 kraxel@suse.de
- updated i386 + amd64 configs.
* Thu Nov 13 2003 agruen@suse.de
- Merge reiserfs xattr and acl patches from jeffm@suse.com.
* Wed Nov 12 2003 agruen@suse.de
- Fix get_release_number.sh: Did not work with the --prefer-rpms
  option of build script.
* Tue Nov 11 2003 ak@suse.de
- Merge to x86_64-2.6.0test9-5
* Tue Nov 11 2003 schwab@suse.de
- Fix rounding error for blkdev reads [SUSE31902].
* Mon Nov 10 2003 schwab@suse.de
- Reenable serial console patch.
* Fri Nov 07 2003 hare@suse.de
- patches.suse/kerntypes: Fixed #define.
* Thu Nov 06 2003 ro@suse.de
- bump version to test9
* Fri Oct 31 2003 hare@suse.de
- Update configuration for S/390
- patches.suse/kerntypes: Added Kerntypes patch (needed for lcrash)
- patches.arch/s390-semaphore: Add mb() to __down to avoid races.
- patches.fixes/ip-compute-checksum: Add patch for S/390.
- Removed obsolete S/390 specific compilation fix.
* Thu Oct 30 2003 kraxel@suse.de
- make uml recognise console= cmd line args.
* Thu Oct 30 2003 kraxel@suse.de
- fix uml disk names.
* Tue Oct 28 2003 agruen@suse.de
- patches.fixes/permission: Make permission() functions and
  access() system call comply with POSIX.1-2001.
- patches.suse/sunrpc-multiple-programs: Allow multiple rpc
  programs in the same transport endpoint. (First part of nfsacl
  port from 2.4).
* Mon Oct 27 2003 kraxel@suse.de
- fixup UML fixaddr stuff.
* Mon Oct 27 2003 kraxel@suse.de
- updated UML.
* Sun Oct 26 2003 ak@suse.de
- Add x86-64-2.6.0test9-1 patchkit
- Export ip_compute_csum
- Remove obsolete file
- Work around compat mode wrap issue
* Sun Oct 26 2003 schwab@suse.de
- Update ia64 support.
* Sun Oct 26 2003 olh@suse.de
- update to 2.6.0-test9
* Thu Oct 23 2003 kraxel@suse.de
- one more uml fix.
* Thu Oct 23 2003 okir@suse.de
- Fix miscompilation of ip_send_check in ip_fragment (SUSE31812)
* Thu Oct 23 2003 kraxel@suse.de
- UML build fixes.
* Wed Oct 22 2003 kraxel@suse.de
- updated UML patches.
* Tue Oct 21 2003 olh@suse.de
- add patches.fixes/ppc32-pmac_zilog-consoleinit
  init pmac serial only on powermac, to prevent early crash
* Tue Oct 21 2003 olh@suse.de
- build with -k to spot all errors in one go
* Tue Oct 21 2003 olh@suse.de
- add patches.fixes/root_dev-partition3
  define Root_SDA3 before using it
* Mon Oct 20 2003 ak@suse.de
- Fix warning added by ppc64 patch
* Mon Oct 20 2003 schwab@suse.de
- Fix numa init error.
* Mon Oct 20 2003 schwab@suse.de
- Update ia64 patches and configs.
- Update spec file.
* Mon Oct 20 2003 kraxel@suse.de
- updated i386 configs.
* Mon Oct 20 2003 kraxel@suse.de
- updated x86_64 configs.
* Mon Oct 20 2003 olh@suse.de
- add patches.arch/suse-ppc32-chrp-rootdevice
  add patches.arch/suse-ppc32-prep-rootdevice
  use sda3 as default root device if no root= given
* Mon Oct 20 2003 olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3-float
  request->sector is u64, leads to floating point usage on divide
* Mon Oct 20 2003 olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3
  PowerMac floppy driver update
* Mon Oct 20 2003 olh@suse.de
- add patches.fixes/usb-serial-whiteheat-CMSPAR
  some archs do not define CMSPAR in asm/termbits.h
  add patches.fixes/kdb-dis-asm.h
  add missing header
* Mon Oct 20 2003 olh@suse.de
- update to 2.6.0-test8
  update patches.arch/ppc64.patch
  add patches.arch/ppc32.patch
* Fri Oct 17 2003 schwab@suse.de
- Update to latest ia64 updates.
- Switch to generic build.
- Remove early printk patch again, it does not even compile.
* Thu Oct 16 2003 ak@suse.de
- Reenable early printk support for i386
* Wed Oct 15 2003 schwab@suse.de
- Update to latest ia64 patches.
- Enable ia32 support.
* Wed Oct 15 2003 hare@suse.de
- S/390 update: fixes and default configuration.
* Tue Oct 14 2003 schwab@suse.de
- Translate LF to CRLF instead of LFCR on serial console.
- Remove stack hard limit on ia64.
* Sat Oct 11 2003 schwab@suse.de
- Fix more missing EXPORT_SYMBOLs.
* Fri Oct 10 2003 schwab@suse.de
- Add missing EXPORT_SYMBOL.
* Fri Oct 10 2003 olh@suse.de
- add patches.arch/ppc64.patch and a pseries config
* Fri Oct 10 2003 schwab@suse.de
- Add futex fix.
* Thu Oct 09 2003 kraxel@suse.de
- char/sc driver buildfix.
- updated ppc/hammer configs.
* Thu Oct 09 2003 schwab@suse.de
- Fix bug in genksyms parser.
* Thu Oct 09 2003 ak@suse.de
- remove more obsolete files
* Thu Oct 09 2003 ak@suse.de
- remove obsolete file
- add x86-64 APIC hack for nvidia/via
* Thu Oct 09 2003 kraxel@suse.de
- updated to -test7
- removed ia64/smp from config.conf
* Tue Oct 07 2003 schwab@suse.de
- Make ia64 default to SMP and remove smp configuration.
* Mon Oct 06 2003 schwab@suse.de
- Fix invalid pointer in megaraid driver.
* Wed Oct 01 2003 schwab@suse.de
- Apply tiocgdev patch.
- Remove printk in ia64_ni_syscall.
* Wed Oct 01 2003 schwab@suse.de
- Adapt ia64 patch.
* Mon Sep 29 2003 kraxel@suse.de
- Updated configs (ppc,i386,amd64).
* Mon Sep 29 2003 schwab@suse.de
- Fix specfile for ia64.
* Mon Sep 29 2003 schwab@suse.de
- Update ia64 configs.
* Mon Sep 29 2003 kraxel@suse.de
- updated to kernel 2.6.0-test6
- added tiocgdev patch.
* Fri Sep 19 2003 kraxel@suse.de
- amd64 smp fix.
* Fri Sep 19 2003 kraxel@suse.de
- misc build fixes.
* Tue Sep 16 2003 kraxel@suse.de
- updated uml patch.
* Fri Sep 12 2003 schwab@suse.de
- Reenable ia64 patch.
- Update configs.
* Wed Sep 10 2003 kraxel@suse.de
- configuration updates.
* Wed Sep 10 2003 kraxel@suse.de
- updated scsi changer patch.
* Tue Sep 09 2003 kraxel@suse.de
- commented ia64 patch, breaks i386 build.
* Tue Sep 09 2003 kraxel@suse.de
- updated spec file.
* Tue Sep 09 2003 kraxel@suse.de
- updated to 2.6.0-test5.
- updated ia64 patch.
- commented merged and/or obsolete patches.
- fixed some rejects.
* Wed Sep 03 2003 schwab@suse.de
- Avoid repeating version.
* Wed Sep 03 2003 schwab@suse.de
- Fix missing patches.
* Wed Sep 03 2003 schwab@suse.de
- Update ia64 patch to 2.6.0-test4-ia64-030826.
- Update ia64 configs.
* Wed Sep 03 2003 schwab@suse.de
- Readd non-obsolete fix.
* Tue Sep 02 2003 agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: Overwrite the bios ACPI DSDT
  with one attached to the initrd.
* Mon Sep 01 2003 olh@suse.de
- add patches.fixes/proc_bus_usb_bielefeld
  noone must ever read /proc/bus/usb/devices
* Thu Aug 28 2003 kraxel@suse.de
- updated configs (ia64, uml).
* Wed Aug 27 2003 kraxel@suse.de
- updated ia64 configs.
* Wed Aug 27 2003 kraxel@suse.de
- uml networking fixes.
* Tue Aug 26 2003 kraxel@suse.de
- updated config files (ppc, i386, x86_64).
* Tue Aug 26 2003 kraxel@suse.de
- more UML fixes.
* Mon Aug 25 2003 kraxel@suse.de
- UML fixes.
* Mon Aug 25 2003 kraxel@suse.de
- updated to 2.6.0-test4.
- updated amd64 patch.
- removed ia64 patch.
- removed obsolete fixes.
- rediffed uml patch.
- commented config.gz patch (standard kernel has /proc/ikconfig/*
  now ...).
* Fri Aug 22 2003 kraxel@suse.de
- updated uml patches.
* Mon Aug 18 2003 schwab@suse.de
- Fix ia64_ksyms.c.
- Disable NUMA on UP.
* Mon Aug 18 2003 schwab@suse.de
- Update ia64 patch to 2.6.0-test3-ia64-030815.
- Update ia64 configs.
- Fix paride disk driver.
* Fri Aug 15 2003 kraxel@suse.de
- set CONFIG_FRAMEBUFFER_CONSOLE=y
* Wed Aug 13 2003 kraxel@suse.de
- disabled CONFIG_PARIDE (doesn't build)
- more uml fixes.
* Mon Aug 11 2003 kraxel@suse.de
- uml build fix.
* Mon Aug 11 2003 kraxel@suse.de
- updated to -test3.
- commented ia64 patches.
- updated amd64 patches.
- minor other fixups.
* Thu Aug 07 2003 kraxel@suse.de
- updated ia64 configs
* Wed Aug 06 2003 kraxel@suse.de
- updated ppc configs
* Wed Aug 06 2003 kraxel@suse.de
- updated i386 configs
* Wed Aug 06 2003 kraxel@suse.de
- add -fno-unit-at-a-time to cflags
* Tue Aug 05 2003 kraxel@suse.de
- uml fixups, added ia32 uml config
* Tue Aug 05 2003 kraxel@suse.de
- update amd64 configs
* Mon Aug 04 2003 kraxel@suse.de
- update to 2.6.0-test2
- updated ia64 arch patch
- added amd64 arch patch
- added uml arch patch
- dropped vesafb patch (merged)
* Fri Jul 25 2003 kraxel@suse.de
- *really* added s390 build fix (no cross compile).
* Fri Jul 25 2003 kraxel@suse.de
- added uli's s390 fix to cvs.
* Thu Jul 24 2003 kraxel@suse.de
- rm global -g switch from ia64 arch patch.
* Tue Jul 15 2003 kraxel@suse.de
- fix vesafb
* Mon Jul 14 2003 schwab@suse.de
- Update ia64 config files.
* Mon Jul 14 2003 kraxel@suse.de
- updated amd64 config files
* Mon Jul 14 2003 kraxel@suse.de
- updated media changer patch
* Mon Jul 14 2003 schwab@suse.de
- Update ia64 patch to 2.5.75-ia64-030712 (with some tweaks).
- Readd patches that still apply.
* Mon Jul 14 2003 kraxel@suse.de
- added ppc build fix
- updated ppc configurations
- deleted merged/obsolete arch patches
* Mon Jul 14 2003 kraxel@suse.de
- updated configurations for i386/ia64/amd64
* Mon Jul 14 2003 kraxel@suse.de
- updated to 2.6.0-test1
- commented all patches which don't apply
- specfile tweaks -- rpm doesn't like a dash in Version: :-/
* Wed Jul 02 2003 schwab@suse.de
- Fix xfs build.
- Fix huge kmallocs.
- Fix divacapi driver.
* Wed Jul 02 2003 kraxel@suse.de
- added ppc smp build fix (missing include).
* Wed Jul 02 2003 kraxel@suse.de
- ppc build fix, added/updated configurations for ppc+ia64
* Tue Jul 01 2003 schwab@suse.de
- Add latest ia64 patches.
* Tue Jul 01 2003 kraxel@suse.de
- updated to 2.5.73
- removed ia64 patches (merged).
- added amd64 patches.
- commented patches which don't apply.
- updated amd64 configs
* Fri Jun 20 2003 schwab@suse.de
- Update ia64 patch to 2.5.72-030619
* Wed Jun 18 2003 ak@suse.de
- add early_printk for i386
- fix genapic compilation
- add bigsmp configuration (with PAE, M686, genapic, 32 CPUs support)
- disable APICs for now for default kernels.
- fix PPPoE for SMP kernels
- Tell compiler to optimize for 686 by default
- various configuration fixes
* Thu Jun 12 2003 schwab@suse.de
- Update ia64 patch to 2.5.69-030521, throwing away the parts included
  in 2.5.70.
* Wed May 28 2003 kraxel@suse.de
- updated to kernel 2.5.70.
- deleted hammer patches (merged).
- updated scsi changer patch.
- commented patches which don't apply any more.
- disabled some config options to make stuff compile.
* Wed May 14 2003 schwab@suse.de
- Separate out show_stack changes into own patch.
- Add some build fixes.
* Wed May 14 2003 schwab@suse.de
- Fix uses of head and tail.
* Thu May 08 2003 kraxel@suse.de
- initial release
